
var SupplierInput = SupplierInput || {};

var SupplierSearchClass = {
		
	initialize: function() {
		var me = this;

		this.root.find('.search_results').setTemplateElement(this.root.find('.search_results_template'));

		$.History.bind(function(trigger) {
			return me.historyRead(trigger);
		});

		if (!Core.qhs('search')) {
			me.switchToSimpleSearch();
//			this.search('simple');
		};
		
	},
	afterHistoryRead: function(trigger) {
		var query = Core.historyCheckAndSet(trigger, 'query');
		
		if (query.changed) {
			if (query.value !== null) {
				this.searchTerm({
					query: query.value
				});
			}
		}
	},
	clearResults: function() {
		Core.trigger(this.prefix + 'clear-search');
	},
	simpleSearch: function() {
		var query = this.root.find('.search_box .simple_search :input[name=query]').val();

		var searchParameters = {
			mode: 'simple',
			query: query
		};

		Core.historyTrigger({
			query: query
		});
		
		this.submit(searchParameters);
	},
	afterDisplayResult: function(config) {
		this.root.find('.search_results .result').fixButtonsHeight();
	},
	searchTerm: function(obj) {
		var query = $("<div />").html(obj.query).text();
		this.root.find('.search_box .simple_search :input[name=query]').val(query);
		
		this.root.find('.search_box .main_button:visible').trigger('click');
	},
	loadRecord: function(record, callback) {
		this.clearAll();
		this.selectedRecord = record;

		if (this.enableTabs) {
			Core.changeTab(this.selectedTab || 'form', this);
		}
	},
	tabHandler: function(tab, params) {
		params = params || {};
		data = params.data || this.selectedRecord;

		this.selectedTab = tab;
		switch (tab) {
			case 'form':
				this.loadSupplierForm(data, params);
				break;
		}
	},
	clearTab: function(tab) {
		switch (tab) {
			case 'form':
				$('#biblivre_supplier_form').empty().data('loaded', false);
				$('#biblivre_supplier_form_body').empty();
				$('#biblivre_supplier_info_form').empty();
				break;
		}
	},	
	clearAll: function() {
		this.clearTab('form');
	},	
	loadSupplierForm: function(record, params) {
		var div = $('#biblivre_supplier_form_body');
		
		if (div.data('loaded')) {
			if (params.force) {
				this.clearTab('form');
			} else {
				return;
			}
		}
		
		div.processTemplate(record);
		$('#biblivre_supplier_form').processTemplate(record);
		$('#biblivre_supplier_info_form').processTemplate(record);
		
		if (!params.keepEditing && SupplierInput) {
			SupplierInput.setAsReadOnly();
		}
	}
};