var Administration = Administration || {};

Administration.progress = {};

Administration.progress.showPopupProgress = function() {
	Core.showOverlay();

	$('#progress_popup')
		.appendTo('body')
		.show()
		.center();
		
	$('#progress_popup .progress').progressbar(); 
};

Administration.progress.progressTimeout = null;
Administration.progress.progressXHR = null;
Administration.progress.progress = function(delay) {
	if (delay) {
		Administration.progress.progressTimeout = setTimeout(Administration.progress.progress, delay);
		return;
	}
	
	Administration.progress.progressXHR = $.ajax({
		url: window.location.pathname,
		type: 'POST',
		dataType: 'json',
		data: {
			controller: 'json',
			module: 'administration.setup',
			action: 'progress'
		},
		success: function(response) {
			if (!response.success) {
				return;
			}

			$('#progress_popup .progress').progressbar(response);

			if (response.complete) {
				Administration.progress.cancel();
				if (Administration.progress.autoReload) {
					window.location.reload();
				}
			}
		},
		complete: function() {
			Administration.progress.progress(500);
		}
	});
};

Administration.progress.cancel = function() {
	clearTimeout(Administration.progress.progressTimeout);
	if (Administration.progress.progressXHR) {
		Administration.progress.progressXHR.abort();
		Administration.progress.progressXHR = null;
	}
	
	Core.hideOverlay();
	$('#progress_popup').hide();
};


var Upload = Upload || {};

Upload.showUploadPopup = function() {
	Core.showOverlay();

	$('#upload_popup')
		.appendTo('body')
		.show()
		.center();
		
	$('#upload_popup .progress').progressbar().continuousProgress();
};

Upload.stopUploadProgress = function() {
	$('#upload_popup .progress').stopContinuousProgress();
};

Upload.advanceUploadProgress = function(current, total, percentComplete) {
	Upload.stopUploadProgress();
	
	$('#upload_popup .progress').progressbar({
		current: current,
		total: total
	});
};

Upload.cancel = function() {
	Core.hideOverlay();
	$('#upload_popup').hide();
};

Upload.continuousProgress = function() {
	$('#upload_popup .progress').progressbar().continuousProgress();
};