var Z3950SearchClass = $.extend(CatalogingSearchClass, {
	initialize: function() {
		var me = this;
		
		this.prefix = this.type = 'z3950';
		this.root = $('body');
		
		this.root.find('.search_results').setTemplateElement(this.root.find('.search_results_template'));

		$.History.bind(function(trigger) {
			return me.historyRead(trigger);
		});

		me.switchToSimpleSearch();
		
		
	},
	afterHistoryRead: function(trigger) {
		var query = Core.historyCheckAndSet(trigger, 'query');
		var attribute = Core.historyCheckAndSet(trigger, 'attribute');
		var server = Core.historyCheckAndSet(trigger, 'server');

		if (query.changed || attribute.changed || server.changed) {
			if (query.value !== null) {
				this.searchTerm({
					query: query.value, 
					attribute: attribute.value,
					server: server.value
				});
			}
		}			
	},
	clearResults: function(keepOrderingBar) {
		Core.trigger(this.prefix + 'clear-search');
		
		if (!keepOrderingBar) {
			Core.removeMsg();
		}
	},
	simpleSearch: function() {
		var query = this.root.find('.search_box .simple_search :input[name=query]').val();
		var attribute = this.root.find('.search_box .simple_search :input[name=attribute]').val();

		if (!query) {
			return; //TODO mensagem
		}

		var server = [];
		this.root.find('.search_box .distributed_servers :checkbox[name=server]:checked').each(function() {
			server.push($(this).val());
		});
		
		if (server.length == 0) {
			var el = this.root.find('.search_box .distributed_servers :checkbox[name=server]:first');
			el.prop('checked', true);
			server.push(el.val());
		}

		serverList = server.join(',');
		
		var searchParameters = {
			query: query,
			attribute: attribute,
			server: serverList
		};
		
		Core.historyTrigger({
			query: query, 
			attribute: attribute,
			server: serverList
		});

		this.submit(searchParameters);
	},
	afterDisplayResult: function() {
		// Empty function to override CatalogingSearch
	},
	searchTerm: function(obj) {	
		var query = $("<div />").html(obj.query).text();

		this.root.find('.search_box .simple_search :input[name=query]').val(query);
		this.root.find('.search_box .simple_search :input[name=attribute]').trigger('setvalue', obj.attribute);
		
		var server = (obj.server || '').split(',');
		this.root.find('.search_box .distributed_servers :checkbox[name=server]').each(function() {
			$(this).prop("checked", ($.inArray($(this).val(), server) != -1));
		});

		this.root.find('.search_box .main_button:visible').trigger('click');
	},
	loadRecordExtraParams: function() {
		return {
			search_id: this.lastPagingParameters.search_id
		};
	},
	getSearchResult: function(record_id) {
		var result = this.lastSearchResult[record_id] || {};
		
		return $.extend({}, result, result.record);
	}
});