--
-- PostgreSQL database dump
--

-- Dumped from database version 9.1.4
-- Dumped by pg_dump version 9.1.4
-- Started on 2014-06-09 23:23:00 BRT

SET statement_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SET check_function_bodies = false;
SET client_min_messages = warning;

--
-- TOC entry 8 (class 2615 OID 729290)
-- Name: bib4template; Type: SCHEMA; Schema: -; Owner: biblivre
--

CREATE SCHEMA bib4template;


ALTER SCHEMA bib4template OWNER TO biblivre;

SET search_path = bib4template, pg_catalog;

--
-- TOC entry 268 (class 1255 OID 729291)
-- Dependencies: 8 835
-- Name: clear_indexing_type(); Type: FUNCTION; Schema: bib4template; Owner: biblivre
--

CREATE FUNCTION clear_indexing_type() RETURNS trigger
    LANGUAGE plpgsql
    AS $$
BEGIN
	EXECUTE 'DELETE FROM "' || TG_TABLE_SCHEMA || '".' || TG_ARGV[0] || '_idx_fields WHERE indexing_group_id = ' || OLD.id;
	EXECUTE 'DELETE FROM "' || TG_TABLE_SCHEMA || '".' || TG_ARGV[0] || '_idx_sort WHERE indexing_group_id = ' || OLD.id;

	RETURN NULL;
END;
$$;


ALTER FUNCTION bib4template.clear_indexing_type() OWNER TO biblivre;

--
-- TOC entry 269 (class 1255 OID 729292)
-- Dependencies: 8 835
-- Name: clear_record(); Type: FUNCTION; Schema: bib4template; Owner: biblivre
--

CREATE FUNCTION clear_record() RETURNS trigger
    LANGUAGE plpgsql
    AS $$
BEGIN
	EXECUTE 'DELETE FROM "' || TG_TABLE_SCHEMA || '".' || TG_ARGV[0] || '_idx_fields WHERE record_id = ' || OLD.id;
	EXECUTE 'DELETE FROM "' || TG_TABLE_SCHEMA || '".' || TG_ARGV[0] || '_idx_sort WHERE record_id = ' || OLD.id;
	EXECUTE 'DELETE FROM "' || TG_TABLE_SCHEMA || '".' || TG_ARGV[0] || '_search_results WHERE record_id = ' || OLD.id;

	RETURN NULL;
END;
$$;


ALTER FUNCTION bib4template.clear_record() OWNER TO biblivre;

--
-- TOC entry 169 (class 1259 OID 729293)
-- Dependencies: 8
-- Name: access_cards_id_seq; Type: SEQUENCE; Schema: bib4template; Owner: biblivre
--

CREATE SEQUENCE access_cards_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE bib4template.access_cards_id_seq OWNER TO biblivre;

--
-- TOC entry 2822 (class 0 OID 0)
-- Dependencies: 169
-- Name: access_cards_id_seq; Type: SEQUENCE SET; Schema: bib4template; Owner: biblivre
--

SELECT pg_catalog.setval('access_cards_id_seq', 1, false);


SET default_tablespace = '';

SET default_with_oids = false;

--
-- TOC entry 170 (class 1259 OID 729295)
-- Dependencies: 2462 2463 2464 8
-- Name: access_cards; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE access_cards (
    id integer DEFAULT nextval('access_cards_id_seq'::regclass) NOT NULL,
    code character varying NOT NULL,
    status character varying NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    created_by integer,
    modified timestamp without time zone DEFAULT now() NOT NULL,
    modified_by integer
);


ALTER TABLE bib4template.access_cards OWNER TO biblivre;

--
-- TOC entry 171 (class 1259 OID 729304)
-- Dependencies: 8
-- Name: access_control_id_seq; Type: SEQUENCE; Schema: bib4template; Owner: biblivre
--

CREATE SEQUENCE access_control_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE bib4template.access_control_id_seq OWNER TO biblivre;

--
-- TOC entry 2823 (class 0 OID 0)
-- Dependencies: 171
-- Name: access_control_id_seq; Type: SEQUENCE SET; Schema: bib4template; Owner: biblivre
--

SELECT pg_catalog.setval('access_control_id_seq', 1, false);


--
-- TOC entry 172 (class 1259 OID 729306)
-- Dependencies: 2465 2466 2467 2468 8
-- Name: access_control; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE access_control (
    id integer DEFAULT nextval('access_control_id_seq'::regclass) NOT NULL,
    access_card_id integer NOT NULL,
    user_id integer NOT NULL,
    arrival_time timestamp without time zone DEFAULT now() NOT NULL,
    departure_time timestamp without time zone,
    created timestamp without time zone DEFAULT now() NOT NULL,
    created_by integer,
    modified timestamp without time zone DEFAULT now() NOT NULL,
    modified_by integer
);


ALTER TABLE bib4template.access_control OWNER TO biblivre;

--
-- TOC entry 173 (class 1259 OID 729313)
-- Dependencies: 2469 2470 8
-- Name: authorities_brief_formats; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE authorities_brief_formats (
    datafield character(3) NOT NULL,
    format text NOT NULL,
    sort_order integer,
    created timestamp without time zone DEFAULT now() NOT NULL,
    created_by integer,
    modified timestamp without time zone DEFAULT now() NOT NULL,
    modified_by integer
);


ALTER TABLE bib4template.authorities_brief_formats OWNER TO biblivre;

--
-- TOC entry 174 (class 1259 OID 729321)
-- Dependencies: 2471 2472 2473 2474 8
-- Name: authorities_form_datafields; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE authorities_form_datafields (
    datafield character(3) NOT NULL,
    collapsed boolean DEFAULT false NOT NULL,
    repeatable boolean DEFAULT false NOT NULL,
    indicator_1 character varying,
    indicator_2 character varying,
    material_type character varying,
    created timestamp without time zone DEFAULT now() NOT NULL,
    created_by integer,
    modified timestamp without time zone DEFAULT now() NOT NULL,
    modified_by integer
);


ALTER TABLE bib4template.authorities_form_datafields OWNER TO biblivre;

--
-- TOC entry 175 (class 1259 OID 729331)
-- Dependencies: 2475 2476 2477 2478 2479 8
-- Name: authorities_form_subfields; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE authorities_form_subfields (
    datafield character(3) NOT NULL,
    subfield character(1) NOT NULL,
    collapsed boolean DEFAULT false NOT NULL,
    repeatable boolean DEFAULT false NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    created_by integer,
    modified timestamp without time zone DEFAULT now() NOT NULL,
    modified_by integer,
    autocomplete_type character varying DEFAULT 'disabled'::character varying NOT NULL
);


ALTER TABLE bib4template.authorities_form_subfields OWNER TO biblivre;

--
-- TOC entry 176 (class 1259 OID 729342)
-- Dependencies: 8
-- Name: authorities_idx_autocomplete; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE authorities_idx_autocomplete (
    id integer NOT NULL,
    datafield character(3) NOT NULL,
    subfield character(1) NOT NULL,
    word character varying NOT NULL,
    phrase character varying NOT NULL,
    record_id integer
);


ALTER TABLE bib4template.authorities_idx_autocomplete OWNER TO biblivre;

--
-- TOC entry 177 (class 1259 OID 729348)
-- Dependencies: 8 176
-- Name: authorities_idx_autocomplete_id_seq; Type: SEQUENCE; Schema: bib4template; Owner: biblivre
--

CREATE SEQUENCE authorities_idx_autocomplete_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE bib4template.authorities_idx_autocomplete_id_seq OWNER TO biblivre;

--
-- TOC entry 2824 (class 0 OID 0)
-- Dependencies: 177
-- Name: authorities_idx_autocomplete_id_seq; Type: SEQUENCE OWNED BY; Schema: bib4template; Owner: biblivre
--

ALTER SEQUENCE authorities_idx_autocomplete_id_seq OWNED BY authorities_idx_autocomplete.id;


--
-- TOC entry 2825 (class 0 OID 0)
-- Dependencies: 177
-- Name: authorities_idx_autocomplete_id_seq; Type: SEQUENCE SET; Schema: bib4template; Owner: biblivre
--

SELECT pg_catalog.setval('authorities_idx_autocomplete_id_seq', 1, false);


--
-- TOC entry 178 (class 1259 OID 729350)
-- Dependencies: 8
-- Name: authorities_idx_fields; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE authorities_idx_fields (
    record_id integer NOT NULL,
    indexing_group_id integer NOT NULL,
    word character varying NOT NULL,
    datafield integer NOT NULL
);


ALTER TABLE bib4template.authorities_idx_fields OWNER TO biblivre;

--
-- TOC entry 179 (class 1259 OID 729356)
-- Dependencies: 8
-- Name: authorities_idx_sort; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE authorities_idx_sort (
    record_id integer NOT NULL,
    indexing_group_id integer NOT NULL,
    phrase character varying,
    ignore_chars_count integer
);


ALTER TABLE bib4template.authorities_idx_sort OWNER TO biblivre;

--
-- TOC entry 180 (class 1259 OID 729362)
-- Dependencies: 2481 2482 2483 2484 8
-- Name: authorities_indexing_groups; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE authorities_indexing_groups (
    id integer NOT NULL,
    translation_key character varying NOT NULL,
    datafields text,
    sortable boolean DEFAULT false NOT NULL,
    default_sort boolean DEFAULT false NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    created_by integer,
    modified timestamp without time zone DEFAULT now() NOT NULL,
    modified_by integer
);


ALTER TABLE bib4template.authorities_indexing_groups OWNER TO biblivre;

--
-- TOC entry 181 (class 1259 OID 729372)
-- Dependencies: 8 180
-- Name: authorities_indexing_groups_id_seq; Type: SEQUENCE; Schema: bib4template; Owner: biblivre
--

CREATE SEQUENCE authorities_indexing_groups_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE bib4template.authorities_indexing_groups_id_seq OWNER TO biblivre;

--
-- TOC entry 2826 (class 0 OID 0)
-- Dependencies: 181
-- Name: authorities_indexing_groups_id_seq; Type: SEQUENCE OWNED BY; Schema: bib4template; Owner: biblivre
--

ALTER SEQUENCE authorities_indexing_groups_id_seq OWNED BY authorities_indexing_groups.id;


--
-- TOC entry 2827 (class 0 OID 0)
-- Dependencies: 181
-- Name: authorities_indexing_groups_id_seq; Type: SEQUENCE SET; Schema: bib4template; Owner: biblivre
--

SELECT pg_catalog.setval('authorities_indexing_groups_id_seq', 5, false);


--
-- TOC entry 182 (class 1259 OID 729374)
-- Dependencies: 2486 2487 2488 8
-- Name: authorities_records; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE authorities_records (
    id integer NOT NULL,
    iso2709 text NOT NULL,
    material character varying(20),
    database character varying(10) DEFAULT 'main'::character varying NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    created_by integer,
    modified timestamp without time zone DEFAULT now() NOT NULL,
    modified_by integer
);


ALTER TABLE bib4template.authorities_records OWNER TO biblivre;

--
-- TOC entry 183 (class 1259 OID 729383)
-- Dependencies: 8 182
-- Name: authorities_records_id_seq; Type: SEQUENCE; Schema: bib4template; Owner: biblivre
--

CREATE SEQUENCE authorities_records_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE bib4template.authorities_records_id_seq OWNER TO biblivre;

--
-- TOC entry 2828 (class 0 OID 0)
-- Dependencies: 183
-- Name: authorities_records_id_seq; Type: SEQUENCE OWNED BY; Schema: bib4template; Owner: biblivre
--

ALTER SEQUENCE authorities_records_id_seq OWNED BY authorities_records.id;


--
-- TOC entry 2829 (class 0 OID 0)
-- Dependencies: 183
-- Name: authorities_records_id_seq; Type: SEQUENCE SET; Schema: bib4template; Owner: biblivre
--

SELECT pg_catalog.setval('authorities_records_id_seq', 1, false);


--
-- TOC entry 184 (class 1259 OID 729385)
-- Dependencies: 8
-- Name: authorities_search_results; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE authorities_search_results (
    search_id integer NOT NULL,
    indexing_group_id integer NOT NULL,
    record_id integer NOT NULL
);


ALTER TABLE bib4template.authorities_search_results OWNER TO biblivre;

--
-- TOC entry 185 (class 1259 OID 729388)
-- Dependencies: 2490 8
-- Name: authorities_searches; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE authorities_searches (
    id integer NOT NULL,
    parameters text NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    created_by integer
);


ALTER TABLE bib4template.authorities_searches OWNER TO biblivre;

--
-- TOC entry 186 (class 1259 OID 729395)
-- Dependencies: 8 185
-- Name: authorities_searches_id_seq; Type: SEQUENCE; Schema: bib4template; Owner: biblivre
--

CREATE SEQUENCE authorities_searches_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE bib4template.authorities_searches_id_seq OWNER TO biblivre;

--
-- TOC entry 2830 (class 0 OID 0)
-- Dependencies: 186
-- Name: authorities_searches_id_seq; Type: SEQUENCE OWNED BY; Schema: bib4template; Owner: biblivre
--

ALTER SEQUENCE authorities_searches_id_seq OWNED BY authorities_searches.id;


--
-- TOC entry 2831 (class 0 OID 0)
-- Dependencies: 186
-- Name: authorities_searches_id_seq; Type: SEQUENCE SET; Schema: bib4template; Owner: biblivre
--

SELECT pg_catalog.setval('authorities_searches_id_seq', 1, false);


--
-- TOC entry 187 (class 1259 OID 729397)
-- Dependencies: 2492 2493 8
-- Name: backups; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE backups (
    id integer NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    path character varying,
    schemas character varying NOT NULL,
    type character varying NOT NULL,
    scope character varying NOT NULL,
    downloaded boolean DEFAULT false NOT NULL,
    steps integer,
    current_step integer
);


ALTER TABLE bib4template.backups OWNER TO biblivre;

--
-- TOC entry 188 (class 1259 OID 729405)
-- Dependencies: 8 187
-- Name: backups_id_seq; Type: SEQUENCE; Schema: bib4template; Owner: biblivre
--

CREATE SEQUENCE backups_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE bib4template.backups_id_seq OWNER TO biblivre;

--
-- TOC entry 2832 (class 0 OID 0)
-- Dependencies: 188
-- Name: backups_id_seq; Type: SEQUENCE OWNED BY; Schema: bib4template; Owner: biblivre
--

ALTER SEQUENCE backups_id_seq OWNED BY backups.id;


--
-- TOC entry 2833 (class 0 OID 0)
-- Dependencies: 188
-- Name: backups_id_seq; Type: SEQUENCE SET; Schema: bib4template; Owner: biblivre
--

SELECT pg_catalog.setval('backups_id_seq', 1, false);


--
-- TOC entry 189 (class 1259 OID 729407)
-- Dependencies: 2495 2496 8
-- Name: biblio_brief_formats; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE biblio_brief_formats (
    datafield character(3) NOT NULL,
    format text NOT NULL,
    sort_order integer,
    created timestamp without time zone DEFAULT now() NOT NULL,
    created_by integer,
    modified timestamp without time zone DEFAULT now() NOT NULL,
    modified_by integer
);


ALTER TABLE bib4template.biblio_brief_formats OWNER TO biblivre;

--
-- TOC entry 190 (class 1259 OID 729415)
-- Dependencies: 2497 2498 2499 2500 8
-- Name: biblio_form_datafields; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE biblio_form_datafields (
    datafield character(3) NOT NULL,
    collapsed boolean DEFAULT false NOT NULL,
    repeatable boolean DEFAULT false NOT NULL,
    indicator_1 character varying,
    indicator_2 character varying,
    material_type character varying,
    created timestamp without time zone DEFAULT now() NOT NULL,
    created_by integer,
    modified timestamp without time zone DEFAULT now() NOT NULL,
    modified_by integer
);


ALTER TABLE bib4template.biblio_form_datafields OWNER TO biblivre;

--
-- TOC entry 191 (class 1259 OID 729425)
-- Dependencies: 2501 2502 2503 2504 2505 8
-- Name: biblio_form_subfields; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE biblio_form_subfields (
    datafield character(3) NOT NULL,
    subfield character(1) NOT NULL,
    collapsed boolean DEFAULT false NOT NULL,
    repeatable boolean DEFAULT false NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    created_by integer,
    modified timestamp without time zone DEFAULT now() NOT NULL,
    modified_by integer,
    autocomplete_type character varying DEFAULT 'disabled'::character varying NOT NULL
);


ALTER TABLE bib4template.biblio_form_subfields OWNER TO biblivre;

--
-- TOC entry 192 (class 1259 OID 729436)
-- Dependencies: 2506 2507 2508 2509 2510 8
-- Name: biblio_holdings; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE biblio_holdings (
    id integer NOT NULL,
    record_id integer NOT NULL,
    iso2709 text NOT NULL,
    database character varying(10) DEFAULT 'main'::character varying NOT NULL,
    accession_number character varying NOT NULL,
    location_d character varying,
    created timestamp without time zone DEFAULT now() NOT NULL,
    created_by integer,
    modified timestamp without time zone DEFAULT now() NOT NULL,
    modified_by integer,
    material character varying(20),
    availability character varying DEFAULT 'available'::character varying NOT NULL,
    label_printed boolean DEFAULT false
);


ALTER TABLE bib4template.biblio_holdings OWNER TO biblivre;

--
-- TOC entry 193 (class 1259 OID 729447)
-- Dependencies: 8 192
-- Name: biblio_holdings_id_seq; Type: SEQUENCE; Schema: bib4template; Owner: biblivre
--

CREATE SEQUENCE biblio_holdings_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE bib4template.biblio_holdings_id_seq OWNER TO biblivre;

--
-- TOC entry 2834 (class 0 OID 0)
-- Dependencies: 193
-- Name: biblio_holdings_id_seq; Type: SEQUENCE OWNED BY; Schema: bib4template; Owner: biblivre
--

ALTER SEQUENCE biblio_holdings_id_seq OWNED BY biblio_holdings.id;


--
-- TOC entry 2835 (class 0 OID 0)
-- Dependencies: 193
-- Name: biblio_holdings_id_seq; Type: SEQUENCE SET; Schema: bib4template; Owner: biblivre
--

SELECT pg_catalog.setval('biblio_holdings_id_seq', 1, false);


--
-- TOC entry 194 (class 1259 OID 729449)
-- Dependencies: 8
-- Name: biblio_idx_autocomplete; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE biblio_idx_autocomplete (
    id integer NOT NULL,
    datafield character(3) NOT NULL,
    subfield character(1) NOT NULL,
    word character varying NOT NULL,
    phrase character varying NOT NULL,
    record_id integer
);


ALTER TABLE bib4template.biblio_idx_autocomplete OWNER TO biblivre;

--
-- TOC entry 195 (class 1259 OID 729455)
-- Dependencies: 8 194
-- Name: biblio_idx_autocomplete_id_seq; Type: SEQUENCE; Schema: bib4template; Owner: biblivre
--

CREATE SEQUENCE biblio_idx_autocomplete_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE bib4template.biblio_idx_autocomplete_id_seq OWNER TO biblivre;

--
-- TOC entry 2836 (class 0 OID 0)
-- Dependencies: 195
-- Name: biblio_idx_autocomplete_id_seq; Type: SEQUENCE OWNED BY; Schema: bib4template; Owner: biblivre
--

ALTER SEQUENCE biblio_idx_autocomplete_id_seq OWNED BY biblio_idx_autocomplete.id;

--
-- TOC entry 196 (class 1259 OID 729457)
-- Dependencies: 8
-- Name: biblio_idx_fields; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE biblio_idx_fields (
    record_id integer NOT NULL,
    indexing_group_id integer NOT NULL,
    word character varying NOT NULL,
    datafield integer NOT NULL
);


ALTER TABLE bib4template.biblio_idx_fields OWNER TO biblivre;

--
-- TOC entry 197 (class 1259 OID 729463)
-- Dependencies: 8
-- Name: biblio_idx_sort; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE biblio_idx_sort (
    record_id integer NOT NULL,
    indexing_group_id integer NOT NULL,
    phrase character varying,
    ignore_chars_count integer
);


ALTER TABLE bib4template.biblio_idx_sort OWNER TO biblivre;

--
-- TOC entry 198 (class 1259 OID 729469)
-- Dependencies: 2513 2514 2515 2516 8
-- Name: biblio_indexing_groups; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE biblio_indexing_groups (
    id integer NOT NULL,
    translation_key character varying NOT NULL,
    datafields text,
    sortable boolean DEFAULT false NOT NULL,
    default_sort boolean DEFAULT false NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    created_by integer,
    modified timestamp without time zone DEFAULT now() NOT NULL,
    modified_by integer
);


ALTER TABLE bib4template.biblio_indexing_groups OWNER TO biblivre;

--
-- TOC entry 199 (class 1259 OID 729479)
-- Dependencies: 8 198
-- Name: biblio_indexing_groups_id_seq; Type: SEQUENCE; Schema: bib4template; Owner: biblivre
--

CREATE SEQUENCE biblio_indexing_groups_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE bib4template.biblio_indexing_groups_id_seq OWNER TO biblivre;

--
-- TOC entry 2838 (class 0 OID 0)
-- Dependencies: 199
-- Name: biblio_indexing_groups_id_seq; Type: SEQUENCE OWNED BY; Schema: bib4template; Owner: biblivre
--

ALTER SEQUENCE biblio_indexing_groups_id_seq OWNED BY biblio_indexing_groups.id;


--
-- TOC entry 2839 (class 0 OID 0)
-- Dependencies: 199
-- Name: biblio_indexing_groups_id_seq; Type: SEQUENCE SET; Schema: bib4template; Owner: biblivre
--

SELECT pg_catalog.setval('biblio_indexing_groups_id_seq', 7, false);


--
-- TOC entry 200 (class 1259 OID 729481)
-- Dependencies: 2518 2519 2520 8
-- Name: biblio_records; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE biblio_records (
    id integer NOT NULL,
    iso2709 text NOT NULL,
    material character varying(20),
    database character varying(10) DEFAULT 'main'::character varying NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    created_by integer,
    modified timestamp without time zone DEFAULT now() NOT NULL,
    modified_by integer
);


ALTER TABLE bib4template.biblio_records OWNER TO biblivre;

--
-- TOC entry 201 (class 1259 OID 729490)
-- Dependencies: 8 200
-- Name: biblio_records_id_seq; Type: SEQUENCE; Schema: bib4template; Owner: biblivre
--

CREATE SEQUENCE biblio_records_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE bib4template.biblio_records_id_seq OWNER TO biblivre;

--
-- TOC entry 2840 (class 0 OID 0)
-- Dependencies: 201
-- Name: biblio_records_id_seq; Type: SEQUENCE OWNED BY; Schema: bib4template; Owner: biblivre
--

ALTER SEQUENCE biblio_records_id_seq OWNED BY biblio_records.id;


--
-- TOC entry 2841 (class 0 OID 0)
-- Dependencies: 201
-- Name: biblio_records_id_seq; Type: SEQUENCE SET; Schema: bib4template; Owner: biblivre
--

SELECT pg_catalog.setval('biblio_records_id_seq', 1, false);


--
-- TOC entry 202 (class 1259 OID 729492)
-- Dependencies: 8
-- Name: biblio_search_results; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE biblio_search_results (
    search_id integer NOT NULL,
    indexing_group_id integer NOT NULL,
    record_id integer NOT NULL
);


ALTER TABLE bib4template.biblio_search_results OWNER TO biblivre;

--
-- TOC entry 203 (class 1259 OID 729495)
-- Dependencies: 2522 8
-- Name: biblio_searches; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE biblio_searches (
    id integer NOT NULL,
    parameters text NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    created_by integer
);


ALTER TABLE bib4template.biblio_searches OWNER TO biblivre;

--
-- TOC entry 204 (class 1259 OID 729502)
-- Dependencies: 8 203
-- Name: biblio_searches_id_seq; Type: SEQUENCE; Schema: bib4template; Owner: biblivre
--

CREATE SEQUENCE biblio_searches_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE bib4template.biblio_searches_id_seq OWNER TO biblivre;

--
-- TOC entry 2842 (class 0 OID 0)
-- Dependencies: 204
-- Name: biblio_searches_id_seq; Type: SEQUENCE OWNED BY; Schema: bib4template; Owner: biblivre
--

ALTER SEQUENCE biblio_searches_id_seq OWNED BY biblio_searches.id;


--
-- TOC entry 2843 (class 0 OID 0)
-- Dependencies: 204
-- Name: biblio_searches_id_seq; Type: SEQUENCE SET; Schema: bib4template; Owner: biblivre
--

SELECT pg_catalog.setval('biblio_searches_id_seq', 1, false);


--
-- TOC entry 205 (class 1259 OID 729504)
-- Dependencies: 2524 2525 2526 8
-- Name: configurations; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE configurations (
    key character varying NOT NULL,
    value character varying NOT NULL,
    type character varying DEFAULT 'string'::character varying NOT NULL,
    required boolean DEFAULT false NOT NULL,
    modified timestamp without time zone DEFAULT now() NOT NULL,
    modified_by integer
);


ALTER TABLE bib4template.configurations OWNER TO biblivre;

--
-- TOC entry 206 (class 1259 OID 729513)
-- Dependencies: 2527 8
-- Name: digital_media; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE digital_media (
    id integer NOT NULL,
    name character varying,
    blob oid NOT NULL,
    content_type character varying,
    size bigint,
    created timestamp without time zone DEFAULT now() NOT NULL,
    created_by integer
);


ALTER TABLE bib4template.digital_media OWNER TO biblivre;

--
-- TOC entry 207 (class 1259 OID 729520)
-- Dependencies: 8 206
-- Name: digital_media_id_seq; Type: SEQUENCE; Schema: bib4template; Owner: biblivre
--

CREATE SEQUENCE digital_media_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE bib4template.digital_media_id_seq OWNER TO biblivre;

--
-- TOC entry 2844 (class 0 OID 0)
-- Dependencies: 207
-- Name: digital_media_id_seq; Type: SEQUENCE OWNED BY; Schema: bib4template; Owner: biblivre
--

ALTER SEQUENCE digital_media_id_seq OWNED BY digital_media.id;


--
-- TOC entry 2845 (class 0 OID 0)
-- Dependencies: 207
-- Name: digital_media_id_seq; Type: SEQUENCE SET; Schema: bib4template; Owner: biblivre
--

SELECT pg_catalog.setval('digital_media_id_seq', 1, false);


--
-- TOC entry 208 (class 1259 OID 729522)
-- Dependencies: 2529 8
-- Name: holding_creation_counter; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE holding_creation_counter (
    id integer NOT NULL,
    user_name character varying(255) NOT NULL,
    user_login character varying(100),
    created timestamp without time zone DEFAULT now() NOT NULL,
    created_by integer NOT NULL
);


ALTER TABLE bib4template.holding_creation_counter OWNER TO biblivre;

--
-- TOC entry 209 (class 1259 OID 729526)
-- Dependencies: 8 208
-- Name: holding_creation_counter_id_seq; Type: SEQUENCE; Schema: bib4template; Owner: biblivre
--

CREATE SEQUENCE holding_creation_counter_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE bib4template.holding_creation_counter_id_seq OWNER TO biblivre;

--
-- TOC entry 2846 (class 0 OID 0)
-- Dependencies: 209
-- Name: holding_creation_counter_id_seq; Type: SEQUENCE OWNED BY; Schema: bib4template; Owner: biblivre
--

ALTER SEQUENCE holding_creation_counter_id_seq OWNED BY holding_creation_counter.id;


--
-- TOC entry 2847 (class 0 OID 0)
-- Dependencies: 209
-- Name: holding_creation_counter_id_seq; Type: SEQUENCE SET; Schema: bib4template; Owner: biblivre
--

SELECT pg_catalog.setval('holding_creation_counter_id_seq', 1, false);


--
-- TOC entry 210 (class 1259 OID 729528)
-- Dependencies: 2531 2532 2533 2534 8
-- Name: holding_form_datafields; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE holding_form_datafields (
    datafield character(3) NOT NULL,
    collapsed boolean DEFAULT false NOT NULL,
    repeatable boolean DEFAULT false NOT NULL,
    indicator_1 character varying,
    indicator_2 character varying,
    material_type character varying,
    created timestamp without time zone DEFAULT now() NOT NULL,
    created_by integer,
    modified timestamp without time zone DEFAULT now() NOT NULL,
    modified_by integer
);


ALTER TABLE bib4template.holding_form_datafields OWNER TO biblivre;

--
-- TOC entry 211 (class 1259 OID 729538)
-- Dependencies: 2535 2536 2537 2538 2539 8
-- Name: holding_form_subfields; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE holding_form_subfields (
    datafield character(3) NOT NULL,
    subfield character(1) NOT NULL,
    collapsed boolean DEFAULT false NOT NULL,
    repeatable boolean DEFAULT false NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    created_by integer,
    modified timestamp without time zone DEFAULT now() NOT NULL,
    modified_by integer,
    autocomplete_type character varying DEFAULT 'disabled'::character varying NOT NULL
);


ALTER TABLE bib4template.holding_form_subfields OWNER TO biblivre;

--
-- TOC entry 212 (class 1259 OID 729549)
-- Dependencies: 2540 8
-- Name: lending_fines; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE lending_fines (
    id integer NOT NULL,
    lending_id integer NOT NULL,
    user_id integer NOT NULL,
    fine_value real NOT NULL,
    payment_date timestamp without time zone,
    created timestamp without time zone DEFAULT now() NOT NULL,
    created_by integer
);


ALTER TABLE bib4template.lending_fines OWNER TO biblivre;

--
-- TOC entry 213 (class 1259 OID 729553)
-- Dependencies: 212 8
-- Name: lending_fines_id_seq; Type: SEQUENCE; Schema: bib4template; Owner: biblivre
--

CREATE SEQUENCE lending_fines_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE bib4template.lending_fines_id_seq OWNER TO biblivre;

--
-- TOC entry 2848 (class 0 OID 0)
-- Dependencies: 213
-- Name: lending_fines_id_seq; Type: SEQUENCE OWNED BY; Schema: bib4template; Owner: biblivre
--

ALTER SEQUENCE lending_fines_id_seq OWNED BY lending_fines.id;


--
-- TOC entry 2849 (class 0 OID 0)
-- Dependencies: 213
-- Name: lending_fines_id_seq; Type: SEQUENCE SET; Schema: bib4template; Owner: biblivre
--

SELECT pg_catalog.setval('lending_fines_id_seq', 1, false);


--
-- TOC entry 214 (class 1259 OID 729555)
-- Dependencies: 2542 8
-- Name: lendings; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE lendings (
    id integer NOT NULL,
    holding_id integer NOT NULL,
    user_id integer NOT NULL,
    previous_lending_id integer,
    expected_return_date timestamp without time zone,
    return_date timestamp without time zone,
    created timestamp without time zone DEFAULT now() NOT NULL,
    created_by integer
);


ALTER TABLE bib4template.lendings OWNER TO biblivre;

--
-- TOC entry 215 (class 1259 OID 729559)
-- Dependencies: 8 214
-- Name: lendings_id_seq; Type: SEQUENCE; Schema: bib4template; Owner: biblivre
--

CREATE SEQUENCE lendings_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE bib4template.lendings_id_seq OWNER TO biblivre;

--
-- TOC entry 2850 (class 0 OID 0)
-- Dependencies: 215
-- Name: lendings_id_seq; Type: SEQUENCE OWNED BY; Schema: bib4template; Owner: biblivre
--

ALTER SEQUENCE lendings_id_seq OWNED BY lendings.id;


--
-- TOC entry 2851 (class 0 OID 0)
-- Dependencies: 215
-- Name: lendings_id_seq; Type: SEQUENCE SET; Schema: bib4template; Owner: biblivre
--

SELECT pg_catalog.setval('lendings_id_seq', 1, false);


--
-- TOC entry 216 (class 1259 OID 729561)
-- Dependencies: 2544 2545 2546 8
-- Name: logins; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE logins (
    id integer NOT NULL,
    login character varying NOT NULL,
    employee boolean DEFAULT false NOT NULL,
    password text NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    created_by integer,
    modified timestamp without time zone DEFAULT now() NOT NULL,
    modified_by integer
);


ALTER TABLE bib4template.logins OWNER TO biblivre;

--
-- TOC entry 217 (class 1259 OID 729570)
-- Dependencies: 8 216
-- Name: logins_id_seq; Type: SEQUENCE; Schema: bib4template; Owner: biblivre
--

CREATE SEQUENCE logins_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE bib4template.logins_id_seq OWNER TO biblivre;

--
-- TOC entry 2852 (class 0 OID 0)
-- Dependencies: 217
-- Name: logins_id_seq; Type: SEQUENCE OWNED BY; Schema: bib4template; Owner: biblivre
--

ALTER SEQUENCE logins_id_seq OWNED BY logins.id;


--
-- TOC entry 2853 (class 0 OID 0)
-- Dependencies: 217
-- Name: logins_id_seq; Type: SEQUENCE SET; Schema: bib4template; Owner: biblivre
--

SELECT pg_catalog.setval('logins_id_seq', 2, false);


--
-- TOC entry 218 (class 1259 OID 729572)
-- Dependencies: 2548 2549 2550 2551 8
-- Name: orders; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE orders (
    id integer NOT NULL,
    info text,
    status character varying,
    invoice_number character varying,
    receipt_date timestamp without time zone DEFAULT now(),
    total_value numeric,
    delivered_quantity integer,
    terms_of_payment character varying,
    deadline_date timestamp without time zone DEFAULT now() NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    created_by integer,
    modified timestamp without time zone DEFAULT now() NOT NULL,
    modified_by integer,
    quotation_id integer NOT NULL
);


ALTER TABLE bib4template.orders OWNER TO biblivre;

--
-- TOC entry 219 (class 1259 OID 729582)
-- Dependencies: 8 218
-- Name: orders_id_seq; Type: SEQUENCE; Schema: bib4template; Owner: biblivre
--

CREATE SEQUENCE orders_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE bib4template.orders_id_seq OWNER TO biblivre;

--
-- TOC entry 2854 (class 0 OID 0)
-- Dependencies: 219
-- Name: orders_id_seq; Type: SEQUENCE OWNED BY; Schema: bib4template; Owner: biblivre
--

ALTER SEQUENCE orders_id_seq OWNED BY orders.id;


--
-- TOC entry 2855 (class 0 OID 0)
-- Dependencies: 219
-- Name: orders_id_seq; Type: SEQUENCE SET; Schema: bib4template; Owner: biblivre
--

SELECT pg_catalog.setval('orders_id_seq', 1, false);


--
-- TOC entry 220 (class 1259 OID 729584)
-- Dependencies: 8
-- Name: permissions; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE permissions (
    login_id integer NOT NULL,
    permission character varying(80) NOT NULL
);


ALTER TABLE bib4template.permissions OWNER TO biblivre;

--
-- TOC entry 221 (class 1259 OID 729587)
-- Dependencies: 8
-- Name: quotations_id_seq; Type: SEQUENCE; Schema: bib4template; Owner: biblivre
--

CREATE SEQUENCE quotations_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE bib4template.quotations_id_seq OWNER TO biblivre;

--
-- TOC entry 2856 (class 0 OID 0)
-- Dependencies: 221
-- Name: quotations_id_seq; Type: SEQUENCE SET; Schema: bib4template; Owner: biblivre
--

SELECT pg_catalog.setval('quotations_id_seq', 1, false);


--
-- TOC entry 222 (class 1259 OID 729589)
-- Dependencies: 2553 2554 2555 8
-- Name: quotations; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE quotations (
    id integer DEFAULT nextval('quotations_id_seq'::regclass) NOT NULL,
    supplier_id integer NOT NULL,
    response_date timestamp without time zone,
    expiration_date timestamp without time zone,
    delivery_time integer,
    info text,
    created timestamp without time zone DEFAULT now() NOT NULL,
    created_by integer,
    modified timestamp without time zone DEFAULT now() NOT NULL,
    modified_by integer
);


ALTER TABLE bib4template.quotations OWNER TO biblivre;

--
-- TOC entry 223 (class 1259 OID 729598)
-- Dependencies: 8
-- Name: request_id_seq; Type: SEQUENCE; Schema: bib4template; Owner: biblivre
--

CREATE SEQUENCE request_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE bib4template.request_id_seq OWNER TO biblivre;

--
-- TOC entry 2857 (class 0 OID 0)
-- Dependencies: 223
-- Name: request_id_seq; Type: SEQUENCE SET; Schema: bib4template; Owner: biblivre
--

SELECT pg_catalog.setval('request_id_seq', 1, false);


--
-- TOC entry 224 (class 1259 OID 729600)
-- Dependencies: 8
-- Name: request_quotation; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE request_quotation (
    request_id integer NOT NULL,
    quotation_id integer NOT NULL,
    quotation_quantity integer,
    unit_value numeric,
    response_quantity integer
);


ALTER TABLE bib4template.request_quotation OWNER TO biblivre;

--
-- TOC entry 225 (class 1259 OID 729606)
-- Dependencies: 2556 2557 2558 8
-- Name: requests; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE requests (
    id integer DEFAULT nextval('request_id_seq'::regclass) NOT NULL,
    requester character varying,
    author character varying,
    item_title character varying,
    item_subtitle character varying,
    edition_number character varying,
    publisher character varying,
    info text,
    status character varying,
    quantity integer,
    created timestamp without time zone DEFAULT now() NOT NULL,
    created_by integer,
    modified timestamp without time zone DEFAULT now() NOT NULL,
    modified_by integer
);


ALTER TABLE bib4template.requests OWNER TO biblivre;

--
-- TOC entry 226 (class 1259 OID 729615)
-- Dependencies: 2559 8
-- Name: reservations; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE reservations (
    id integer NOT NULL,
    record_id integer NOT NULL,
    user_id integer NOT NULL,
    expires timestamp without time zone,
    created timestamp without time zone DEFAULT now() NOT NULL,
    created_by integer
);


ALTER TABLE bib4template.reservations OWNER TO biblivre;

--
-- TOC entry 227 (class 1259 OID 729619)
-- Dependencies: 226 8
-- Name: reservations_id_seq; Type: SEQUENCE; Schema: bib4template; Owner: biblivre
--

CREATE SEQUENCE reservations_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE bib4template.reservations_id_seq OWNER TO biblivre;

--
-- TOC entry 2858 (class 0 OID 0)
-- Dependencies: 227
-- Name: reservations_id_seq; Type: SEQUENCE OWNED BY; Schema: bib4template; Owner: biblivre
--

ALTER SEQUENCE reservations_id_seq OWNED BY reservations.id;


--
-- TOC entry 2859 (class 0 OID 0)
-- Dependencies: 227
-- Name: reservations_id_seq; Type: SEQUENCE SET; Schema: bib4template; Owner: biblivre
--

SELECT pg_catalog.setval('reservations_id_seq', 1, false);


--
-- TOC entry 228 (class 1259 OID 729621)
-- Dependencies: 8
-- Name: supplier_id_seq; Type: SEQUENCE; Schema: bib4template; Owner: biblivre
--

CREATE SEQUENCE supplier_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE bib4template.supplier_id_seq OWNER TO biblivre;

--
-- TOC entry 2860 (class 0 OID 0)
-- Dependencies: 228
-- Name: supplier_id_seq; Type: SEQUENCE SET; Schema: bib4template; Owner: biblivre
--

SELECT pg_catalog.setval('supplier_id_seq', 1, false);


--
-- TOC entry 229 (class 1259 OID 729623)
-- Dependencies: 2561 2562 2563 8
-- Name: suppliers; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE suppliers (
    id integer DEFAULT nextval('supplier_id_seq'::regclass) NOT NULL,
    trademark character varying NOT NULL,
    supplier_name character varying,
    supplier_number character varying NOT NULL,
    vat_registration_number character varying,
    address character varying,
    address_number character varying,
    address_complement character varying,
    area character varying,
    city character varying,
    state character varying,
    country character varying,
    zip_code character varying,
    telephone_1 character varying,
    telephone_2 character varying,
    telephone_3 character varying,
    telephone_4 character varying,
    contact_1 character varying,
    contact_2 character varying,
    contact_3 character varying,
    contact_4 character varying,
    info character varying,
    url character varying,
    email character varying,
    created timestamp without time zone DEFAULT now() NOT NULL,
    created_by integer,
    modified timestamp without time zone DEFAULT now() NOT NULL,
    modified_by integer
);


ALTER TABLE bib4template.suppliers OWNER TO biblivre;

--
-- TOC entry 230 (class 1259 OID 729632)
-- Dependencies: 2564 2565 2566 8
-- Name: translations; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE translations (
    language character varying NOT NULL,
    key character varying NOT NULL,
    text text NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    created_by integer,
    modified timestamp without time zone DEFAULT now() NOT NULL,
    modified_by integer,
    user_created boolean DEFAULT false NOT NULL
);


ALTER TABLE bib4template.translations OWNER TO biblivre;

--
-- TOC entry 231 (class 1259 OID 729641)
-- Dependencies: 2567 2568 2569 8
-- Name: users; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE users (
    id integer NOT NULL,
    name character varying NOT NULL,
    type integer,
    photo_id character varying,
    status character varying NOT NULL,
    login_id integer,
    created timestamp without time zone DEFAULT now() NOT NULL,
    created_by integer,
    modified timestamp without time zone DEFAULT now() NOT NULL,
    modified_by integer,
    user_card_printed boolean DEFAULT false,
	name_ascii character varying
);


ALTER TABLE bib4template.users OWNER TO biblivre;

--
-- TOC entry 232 (class 1259 OID 729650)
-- Dependencies: 2571 2572 2573 2574 8
-- Name: users_fields; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE users_fields (
    key character varying NOT NULL,
    type character varying NOT NULL,
    required boolean DEFAULT false NOT NULL,
    max_length integer DEFAULT 0 NOT NULL,
    sort_order integer,
    created timestamp without time zone DEFAULT now() NOT NULL,
    created_by integer,
    modified timestamp without time zone DEFAULT now() NOT NULL,
    modified_by integer
);


ALTER TABLE bib4template.users_fields OWNER TO biblivre;

--
-- TOC entry 233 (class 1259 OID 729660)
-- Dependencies: 8 231
-- Name: users_id_seq; Type: SEQUENCE; Schema: bib4template; Owner: biblivre
--

CREATE SEQUENCE users_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE bib4template.users_id_seq OWNER TO biblivre;

--
-- TOC entry 2861 (class 0 OID 0)
-- Dependencies: 233
-- Name: users_id_seq; Type: SEQUENCE OWNED BY; Schema: bib4template; Owner: biblivre
--

ALTER SEQUENCE users_id_seq OWNED BY users.id;


--
-- TOC entry 2862 (class 0 OID 0)
-- Dependencies: 233
-- Name: users_id_seq; Type: SEQUENCE SET; Schema: bib4template; Owner: biblivre
--

SELECT pg_catalog.setval('users_id_seq', 1, false);


--
-- TOC entry 234 (class 1259 OID 729662)
-- Dependencies: 2575 2576 2577 8
-- Name: users_types; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE users_types (
    id integer NOT NULL,
    name character varying NOT NULL,
    description character varying,
    lending_limit integer,
    reservation_limit integer,
    lending_time_limit integer,
    reservation_time_limit integer,
    fine_value real DEFAULT 0.00 NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    created_by integer,
    modified timestamp without time zone DEFAULT now() NOT NULL,
    modified_by integer
);


ALTER TABLE bib4template.users_types OWNER TO biblivre;

--
-- TOC entry 235 (class 1259 OID 729671)
-- Dependencies: 234 8
-- Name: users_types_id_seq; Type: SEQUENCE; Schema: bib4template; Owner: biblivre
--

CREATE SEQUENCE users_types_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE bib4template.users_types_id_seq OWNER TO biblivre;

--
-- TOC entry 2863 (class 0 OID 0)
-- Dependencies: 235
-- Name: users_types_id_seq; Type: SEQUENCE OWNED BY; Schema: bib4template; Owner: biblivre
--

ALTER SEQUENCE users_types_id_seq OWNED BY users_types.id;


--
-- TOC entry 2864 (class 0 OID 0)
-- Dependencies: 235
-- Name: users_types_id_seq; Type: SEQUENCE SET; Schema: bib4template; Owner: biblivre
--

SELECT pg_catalog.setval('users_types_id_seq', 3, false);


--
-- TOC entry 236 (class 1259 OID 729673)
-- Dependencies: 8
-- Name: users_values; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE users_values (
    user_id integer NOT NULL,
    key character varying NOT NULL,
    value character varying NOT NULL,
    ascii character varying
);


ALTER TABLE bib4template.users_values OWNER TO biblivre;

--
-- TOC entry 237 (class 1259 OID 729679)
-- Dependencies: 2579 2580 8
-- Name: vocabulary_brief_formats; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE vocabulary_brief_formats (
    datafield character(3) NOT NULL,
    format text NOT NULL,
    sort_order integer,
    created timestamp without time zone DEFAULT now() NOT NULL,
    created_by integer,
    modified timestamp without time zone DEFAULT now() NOT NULL,
    modified_by integer
);


ALTER TABLE bib4template.vocabulary_brief_formats OWNER TO biblivre;

--
-- TOC entry 238 (class 1259 OID 729687)
-- Dependencies: 2581 2582 2583 2584 8
-- Name: vocabulary_form_datafields; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE vocabulary_form_datafields (
    datafield character(3) NOT NULL,
    collapsed boolean DEFAULT false NOT NULL,
    repeatable boolean DEFAULT false NOT NULL,
    indicator_1 character varying,
    indicator_2 character varying,
    material_type character varying,
    created timestamp without time zone DEFAULT now() NOT NULL,
    created_by integer,
    modified timestamp without time zone DEFAULT now() NOT NULL,
    modified_by integer
);


ALTER TABLE bib4template.vocabulary_form_datafields OWNER TO biblivre;

--
-- TOC entry 239 (class 1259 OID 729697)
-- Dependencies: 2585 2586 2587 2588 2589 8
-- Name: vocabulary_form_subfields; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE vocabulary_form_subfields (
    datafield character(3) NOT NULL,
    subfield character(1) NOT NULL,
    collapsed boolean DEFAULT false NOT NULL,
    repeatable boolean DEFAULT false NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    created_by integer,
    modified timestamp without time zone DEFAULT now() NOT NULL,
    modified_by integer,
    autocomplete_type character varying DEFAULT 'disabled'::character varying NOT NULL
);


ALTER TABLE bib4template.vocabulary_form_subfields OWNER TO biblivre;

--
-- TOC entry 240 (class 1259 OID 729708)
-- Dependencies: 8
-- Name: vocabulary_idx_autocomplete; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE vocabulary_idx_autocomplete (
    id integer NOT NULL,
    datafield character(3) NOT NULL,
    subfield character(1) NOT NULL,
    word character varying NOT NULL,
    phrase character varying NOT NULL,
    record_id integer
);


ALTER TABLE bib4template.vocabulary_idx_autocomplete OWNER TO biblivre;

--
-- TOC entry 241 (class 1259 OID 729714)
-- Dependencies: 8 240
-- Name: vocabulary_idx_autocomplete_id_seq; Type: SEQUENCE; Schema: bib4template; Owner: biblivre
--

CREATE SEQUENCE vocabulary_idx_autocomplete_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE bib4template.vocabulary_idx_autocomplete_id_seq OWNER TO biblivre;

--
-- TOC entry 2865 (class 0 OID 0)
-- Dependencies: 241
-- Name: vocabulary_idx_autocomplete_id_seq; Type: SEQUENCE OWNED BY; Schema: bib4template; Owner: biblivre
--

ALTER SEQUENCE vocabulary_idx_autocomplete_id_seq OWNED BY vocabulary_idx_autocomplete.id;


--
-- TOC entry 2866 (class 0 OID 0)
-- Dependencies: 241
-- Name: vocabulary_idx_autocomplete_id_seq; Type: SEQUENCE SET; Schema: bib4template; Owner: biblivre
--

SELECT pg_catalog.setval('vocabulary_idx_autocomplete_id_seq', 1, false);


--
-- TOC entry 242 (class 1259 OID 729716)
-- Dependencies: 8
-- Name: vocabulary_idx_fields; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE vocabulary_idx_fields (
    record_id integer NOT NULL,
    indexing_group_id integer NOT NULL,
    word character varying NOT NULL,
    datafield integer NOT NULL
);


ALTER TABLE bib4template.vocabulary_idx_fields OWNER TO biblivre;

--
-- TOC entry 243 (class 1259 OID 729722)
-- Dependencies: 8
-- Name: vocabulary_idx_sort; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE vocabulary_idx_sort (
    record_id integer NOT NULL,
    indexing_group_id integer NOT NULL,
    phrase character varying,
    ignore_chars_count integer
);


ALTER TABLE bib4template.vocabulary_idx_sort OWNER TO biblivre;

--
-- TOC entry 244 (class 1259 OID 729728)
-- Dependencies: 2591 2592 2593 2594 8
-- Name: vocabulary_indexing_groups; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE vocabulary_indexing_groups (
    id integer NOT NULL,
    translation_key character varying NOT NULL,
    datafields text,
    sortable boolean DEFAULT false NOT NULL,
    default_sort boolean DEFAULT false NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    created_by integer,
    modified timestamp without time zone DEFAULT now() NOT NULL,
    modified_by integer
);


ALTER TABLE bib4template.vocabulary_indexing_groups OWNER TO biblivre;

--
-- TOC entry 245 (class 1259 OID 729738)
-- Dependencies: 244 8
-- Name: vocabulary_indexing_groups_id_seq; Type: SEQUENCE; Schema: bib4template; Owner: biblivre
--

CREATE SEQUENCE vocabulary_indexing_groups_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE bib4template.vocabulary_indexing_groups_id_seq OWNER TO biblivre;

--
-- TOC entry 2867 (class 0 OID 0)
-- Dependencies: 245
-- Name: vocabulary_indexing_groups_id_seq; Type: SEQUENCE OWNED BY; Schema: bib4template; Owner: biblivre
--

ALTER SEQUENCE vocabulary_indexing_groups_id_seq OWNED BY vocabulary_indexing_groups.id;


--
-- TOC entry 2868 (class 0 OID 0)
-- Dependencies: 245
-- Name: vocabulary_indexing_groups_id_seq; Type: SEQUENCE SET; Schema: bib4template; Owner: biblivre
--

SELECT pg_catalog.setval('vocabulary_indexing_groups_id_seq', 5, false);


--
-- TOC entry 246 (class 1259 OID 729740)
-- Dependencies: 2596 2597 2598 8
-- Name: vocabulary_records; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE vocabulary_records (
    id integer NOT NULL,
    iso2709 text NOT NULL,
    material character varying(20),
    database character varying(10) DEFAULT 'main'::character varying NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    created_by integer,
    modified timestamp without time zone DEFAULT now() NOT NULL,
    modified_by integer
);


ALTER TABLE bib4template.vocabulary_records OWNER TO biblivre;

--
-- TOC entry 247 (class 1259 OID 729749)
-- Dependencies: 8 246
-- Name: vocabulary_records_id_seq; Type: SEQUENCE; Schema: bib4template; Owner: biblivre
--

CREATE SEQUENCE vocabulary_records_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE bib4template.vocabulary_records_id_seq OWNER TO biblivre;

--
-- TOC entry 2869 (class 0 OID 0)
-- Dependencies: 247
-- Name: vocabulary_records_id_seq; Type: SEQUENCE OWNED BY; Schema: bib4template; Owner: biblivre
--

ALTER SEQUENCE vocabulary_records_id_seq OWNED BY vocabulary_records.id;


--
-- TOC entry 2870 (class 0 OID 0)
-- Dependencies: 247
-- Name: vocabulary_records_id_seq; Type: SEQUENCE SET; Schema: bib4template; Owner: biblivre
--

SELECT pg_catalog.setval('vocabulary_records_id_seq', 1, false);


--
-- TOC entry 248 (class 1259 OID 729751)
-- Dependencies: 8
-- Name: vocabulary_search_results; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE vocabulary_search_results (
    search_id integer NOT NULL,
    indexing_group_id integer NOT NULL,
    record_id integer NOT NULL
);


ALTER TABLE bib4template.vocabulary_search_results OWNER TO biblivre;

--
-- TOC entry 249 (class 1259 OID 729754)
-- Dependencies: 2600 8
-- Name: vocabulary_searches; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE vocabulary_searches (
    id integer NOT NULL,
    parameters text NOT NULL,
    created timestamp without time zone DEFAULT now() NOT NULL,
    created_by integer
);


ALTER TABLE bib4template.vocabulary_searches OWNER TO biblivre;

--
-- TOC entry 250 (class 1259 OID 729761)
-- Dependencies: 8 249
-- Name: vocabulary_searches_id_seq; Type: SEQUENCE; Schema: bib4template; Owner: biblivre
--

CREATE SEQUENCE vocabulary_searches_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE bib4template.vocabulary_searches_id_seq OWNER TO biblivre;

--
-- TOC entry 2871 (class 0 OID 0)
-- Dependencies: 250
-- Name: vocabulary_searches_id_seq; Type: SEQUENCE OWNED BY; Schema: bib4template; Owner: biblivre
--

ALTER SEQUENCE vocabulary_searches_id_seq OWNED BY vocabulary_searches.id;


--
-- TOC entry 2872 (class 0 OID 0)
-- Dependencies: 250
-- Name: vocabulary_searches_id_seq; Type: SEQUENCE SET; Schema: bib4template; Owner: biblivre
--

SELECT pg_catalog.setval('vocabulary_searches_id_seq', 1, false);


--
-- TOC entry 251 (class 1259 OID 729763)
-- Dependencies: 2602 8
-- Name: z3950_addresses; Type: TABLE; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE TABLE z3950_addresses (
    id integer NOT NULL,
    name character varying NOT NULL,
    url character varying NOT NULL,
    port integer NOT NULL,
    collection character varying DEFAULT 'default'::character varying NOT NULL
);


ALTER TABLE bib4template.z3950_addresses OWNER TO biblivre;

--
-- TOC entry 252 (class 1259 OID 729770)
-- Dependencies: 8 251
-- Name: z3950_addresses_id_seq; Type: SEQUENCE; Schema: bib4template; Owner: biblivre
--

CREATE SEQUENCE z3950_addresses_id_seq
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE bib4template.z3950_addresses_id_seq OWNER TO biblivre;

--
-- TOC entry 2873 (class 0 OID 0)
-- Dependencies: 252
-- Name: z3950_addresses_id_seq; Type: SEQUENCE OWNED BY; Schema: bib4template; Owner: biblivre
--

ALTER SEQUENCE z3950_addresses_id_seq OWNED BY z3950_addresses.id;


--
-- TOC entry 2874 (class 0 OID 0)
-- Dependencies: 252
-- Name: z3950_addresses_id_seq; Type: SEQUENCE SET; Schema: bib4template; Owner: biblivre
--

SELECT pg_catalog.setval('z3950_addresses_id_seq', 13, false);


--
-- TOC entry 2480 (class 2604 OID 729772)
-- Dependencies: 177 176
-- Name: id; Type: DEFAULT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY authorities_idx_autocomplete ALTER COLUMN id SET DEFAULT nextval('authorities_idx_autocomplete_id_seq'::regclass);


--
-- TOC entry 2485 (class 2604 OID 729773)
-- Dependencies: 181 180
-- Name: id; Type: DEFAULT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY authorities_indexing_groups ALTER COLUMN id SET DEFAULT nextval('authorities_indexing_groups_id_seq'::regclass);


--
-- TOC entry 2489 (class 2604 OID 729774)
-- Dependencies: 183 182
-- Name: id; Type: DEFAULT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY authorities_records ALTER COLUMN id SET DEFAULT nextval('authorities_records_id_seq'::regclass);


--
-- TOC entry 2491 (class 2604 OID 729775)
-- Dependencies: 186 185
-- Name: id; Type: DEFAULT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY authorities_searches ALTER COLUMN id SET DEFAULT nextval('authorities_searches_id_seq'::regclass);


--
-- TOC entry 2494 (class 2604 OID 729776)
-- Dependencies: 188 187
-- Name: id; Type: DEFAULT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY backups ALTER COLUMN id SET DEFAULT nextval('backups_id_seq'::regclass);


--
-- TOC entry 2511 (class 2604 OID 729777)
-- Dependencies: 193 192
-- Name: id; Type: DEFAULT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY biblio_holdings ALTER COLUMN id SET DEFAULT nextval('biblio_holdings_id_seq'::regclass);


--
-- TOC entry 2512 (class 2604 OID 729778)
-- Dependencies: 195 194
-- Name: id; Type: DEFAULT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY biblio_idx_autocomplete ALTER COLUMN id SET DEFAULT nextval('biblio_idx_autocomplete_id_seq'::regclass);


--
-- TOC entry 2517 (class 2604 OID 729779)
-- Dependencies: 199 198
-- Name: id; Type: DEFAULT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY biblio_indexing_groups ALTER COLUMN id SET DEFAULT nextval('biblio_indexing_groups_id_seq'::regclass);


--
-- TOC entry 2521 (class 2604 OID 729780)
-- Dependencies: 201 200
-- Name: id; Type: DEFAULT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY biblio_records ALTER COLUMN id SET DEFAULT nextval('biblio_records_id_seq'::regclass);


--
-- TOC entry 2523 (class 2604 OID 729781)
-- Dependencies: 204 203
-- Name: id; Type: DEFAULT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY biblio_searches ALTER COLUMN id SET DEFAULT nextval('biblio_searches_id_seq'::regclass);


--
-- TOC entry 2528 (class 2604 OID 729782)
-- Dependencies: 207 206
-- Name: id; Type: DEFAULT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY digital_media ALTER COLUMN id SET DEFAULT nextval('digital_media_id_seq'::regclass);


--
-- TOC entry 2530 (class 2604 OID 729783)
-- Dependencies: 209 208
-- Name: id; Type: DEFAULT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY holding_creation_counter ALTER COLUMN id SET DEFAULT nextval('holding_creation_counter_id_seq'::regclass);


--
-- TOC entry 2541 (class 2604 OID 729784)
-- Dependencies: 213 212
-- Name: id; Type: DEFAULT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY lending_fines ALTER COLUMN id SET DEFAULT nextval('lending_fines_id_seq'::regclass);


--
-- TOC entry 2543 (class 2604 OID 729785)
-- Dependencies: 215 214
-- Name: id; Type: DEFAULT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY lendings ALTER COLUMN id SET DEFAULT nextval('lendings_id_seq'::regclass);


--
-- TOC entry 2547 (class 2604 OID 729786)
-- Dependencies: 217 216
-- Name: id; Type: DEFAULT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY logins ALTER COLUMN id SET DEFAULT nextval('logins_id_seq'::regclass);


--
-- TOC entry 2552 (class 2604 OID 729787)
-- Dependencies: 219 218
-- Name: id; Type: DEFAULT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY orders ALTER COLUMN id SET DEFAULT nextval('orders_id_seq'::regclass);


--
-- TOC entry 2560 (class 2604 OID 729788)
-- Dependencies: 227 226
-- Name: id; Type: DEFAULT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY reservations ALTER COLUMN id SET DEFAULT nextval('reservations_id_seq'::regclass);


--
-- TOC entry 2570 (class 2604 OID 729789)
-- Dependencies: 233 231
-- Name: id; Type: DEFAULT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY users ALTER COLUMN id SET DEFAULT nextval('users_id_seq'::regclass);


--
-- TOC entry 2578 (class 2604 OID 729790)
-- Dependencies: 235 234
-- Name: id; Type: DEFAULT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY users_types ALTER COLUMN id SET DEFAULT nextval('users_types_id_seq'::regclass);


--
-- TOC entry 2590 (class 2604 OID 729791)
-- Dependencies: 241 240
-- Name: id; Type: DEFAULT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY vocabulary_idx_autocomplete ALTER COLUMN id SET DEFAULT nextval('vocabulary_idx_autocomplete_id_seq'::regclass);


--
-- TOC entry 2595 (class 2604 OID 729792)
-- Dependencies: 245 244
-- Name: id; Type: DEFAULT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY vocabulary_indexing_groups ALTER COLUMN id SET DEFAULT nextval('vocabulary_indexing_groups_id_seq'::regclass);


--
-- TOC entry 2599 (class 2604 OID 729793)
-- Dependencies: 247 246
-- Name: id; Type: DEFAULT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY vocabulary_records ALTER COLUMN id SET DEFAULT nextval('vocabulary_records_id_seq'::regclass);


--
-- TOC entry 2601 (class 2604 OID 729794)
-- Dependencies: 250 249
-- Name: id; Type: DEFAULT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY vocabulary_searches ALTER COLUMN id SET DEFAULT nextval('vocabulary_searches_id_seq'::regclass);


--
-- TOC entry 2603 (class 2604 OID 729795)
-- Dependencies: 252 251
-- Name: id; Type: DEFAULT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY z3950_addresses ALTER COLUMN id SET DEFAULT nextval('z3950_addresses_id_seq'::regclass);


--
-- TOC entry 2765 (class 0 OID 729295)
-- Dependencies: 170
-- Data for Name: access_cards; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--



--
-- TOC entry 2766 (class 0 OID 729306)
-- Dependencies: 172
-- Data for Name: access_control; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--



--
-- TOC entry 2767 (class 0 OID 729313)
-- Dependencies: 173
-- Data for Name: authorities_brief_formats; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--

INSERT INTO authorities_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('100', '${a}_{; }${c}_{ - }${d}', 1, '2014-03-20 12:20:01.029', NULL, '2014-03-20 12:20:01.029', NULL);
INSERT INTO authorities_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('670', '${a}', 7, '2014-03-20 12:23:36.822', NULL, '2014-03-20 12:23:36.822', NULL);
INSERT INTO authorities_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('400', '${a}', 4, '2014-03-20 12:22:53.502', NULL, '2014-03-20 12:22:53.502', NULL);
INSERT INTO authorities_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('410', '${a}', 5, '2014-03-20 12:23:04.503', NULL, '2014-03-20 12:23:04.503', NULL);
INSERT INTO authorities_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('411', '${a}', 6, '2014-03-20 12:23:14.566', NULL, '2014-03-20 12:23:14.566', NULL);
INSERT INTO authorities_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('110', '${a}_{; }${c}_{ - }${d}
', 2, '2014-03-20 12:22:07.272', NULL, '2014-03-20 12:22:07.272', NULL);
INSERT INTO authorities_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('111', '${a}_{; }${c}_{ - }${d}', 3, '2014-03-20 12:22:40.585', NULL, '2014-03-20 12:22:40.585', NULL);


--
-- TOC entry 2768 (class 0 OID 729321)
-- Dependencies: 174
-- Data for Name: authorities_form_datafields; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--

INSERT INTO authorities_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('100', false, false, '0,1,2,3', '', '100', '2014-02-08 15:21:25.813358', NULL, '2014-02-08 15:21:25.813358', NULL);
INSERT INTO authorities_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('110', false, false, '0,1,2', '', '110', '2014-02-08 15:21:25.813358', NULL, '2014-02-08 15:21:25.813358', NULL);
INSERT INTO authorities_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('111', false, false, '0,1,2', '', '111', '2014-02-08 15:21:25.813358', NULL, '2014-02-08 15:21:25.813358', NULL);
INSERT INTO authorities_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('400', false, true, '', '', '100', '2014-02-08 15:21:25.813358', NULL, '2014-02-08 15:21:25.813358', NULL);
INSERT INTO authorities_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('410', false, true, '', '', '110', '2014-02-08 15:21:25.813358', NULL, '2014-02-08 15:21:25.813358', NULL);
INSERT INTO authorities_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('411', false, true, '', '', '111', '2014-02-08 15:21:25.813358', NULL, '2014-02-08 15:21:25.813358', NULL);
INSERT INTO authorities_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('670', false, true, '', '', '100,110,111', '2014-02-08 15:21:25.813358', NULL, '2014-02-08 15:21:25.813358', NULL);


--
-- TOC entry 2769 (class 0 OID 729331)
-- Dependencies: 175
-- Data for Name: authorities_form_subfields; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--

INSERT INTO authorities_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('100', 'a', false, false, '2014-02-08 15:26:31.667337', NULL, '2014-02-08 15:26:31.667337', NULL, 'disabled');
INSERT INTO authorities_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('100', 'b', false, false, '2014-02-08 15:26:31.667337', NULL, '2014-02-08 15:26:31.667337', NULL, 'disabled');
INSERT INTO authorities_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('100', 'c', false, true, '2014-02-08 15:26:31.667337', NULL, '2014-02-08 15:26:31.667337', NULL, 'disabled');
INSERT INTO authorities_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('100', 'd', false, false, '2014-02-08 15:26:31.667337', NULL, '2014-02-08 15:26:31.667337', NULL, 'disabled');
INSERT INTO authorities_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('100', 'q', false, false, '2014-02-08 15:26:31.667337', NULL, '2014-02-08 15:26:31.667337', NULL, 'disabled');
INSERT INTO authorities_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('400', 'a', false, false, '2014-02-08 15:26:31.667337', NULL, '2014-02-08 15:26:31.667337', NULL, 'disabled');
INSERT INTO authorities_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('670', 'a', false, false, '2014-02-08 15:26:31.667337', NULL, '2014-02-08 15:26:31.667337', NULL, 'disabled');
INSERT INTO authorities_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('670', 'b', false, false, '2014-02-08 15:26:31.667337', NULL, '2014-02-08 15:26:31.667337', NULL, 'disabled');
INSERT INTO authorities_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('111', 'a', false, false, '2014-02-08 15:26:31.667337', NULL, '2014-02-08 15:26:31.667337', NULL, 'disabled');
INSERT INTO authorities_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('111', 'c', false, false, '2014-02-08 15:26:31.667337', NULL, '2014-02-08 15:26:31.667337', NULL, 'disabled');
INSERT INTO authorities_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('111', 'd', false, false, '2014-02-08 15:26:31.667337', NULL, '2014-02-08 15:26:31.667337', NULL, 'disabled');
INSERT INTO authorities_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('111', 'e', false, true, '2014-02-08 15:26:31.667337', NULL, '2014-02-08 15:26:31.667337', NULL, 'disabled');
INSERT INTO authorities_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('111', 'g', false, false, '2014-02-08 15:26:31.667337', NULL, '2014-02-08 15:26:31.667337', NULL, 'disabled');
INSERT INTO authorities_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('111', 'k', false, false, '2014-02-08 15:26:31.667337', NULL, '2014-02-08 15:26:31.667337', NULL, 'disabled');
INSERT INTO authorities_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('111', 'n', false, true, '2014-02-08 15:26:31.667337', NULL, '2014-02-08 15:26:31.667337', NULL, 'disabled');
INSERT INTO authorities_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('411', 'a', false, false, '2014-02-08 15:26:31.667337', NULL, '2014-02-08 15:26:31.667337', NULL, 'disabled');
INSERT INTO authorities_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('110', 'a', false, false, '2014-02-08 15:26:31.667337', NULL, '2014-02-08 15:26:31.667337', NULL, 'disabled');
INSERT INTO authorities_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('110', 'b', false, true, '2014-02-08 15:26:31.667337', NULL, '2014-02-08 15:26:31.667337', NULL, 'disabled');
INSERT INTO authorities_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('110', 'c', false, false, '2014-02-08 15:26:31.667337', NULL, '2014-02-08 15:26:31.667337', NULL, 'disabled');
INSERT INTO authorities_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('110', 'd', false, true, '2014-02-08 15:26:31.667337', NULL, '2014-02-08 15:26:31.667337', NULL, 'disabled');
INSERT INTO authorities_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('110', 'l', false, false, '2014-02-08 15:26:31.667337', NULL, '2014-02-08 15:26:31.667337', NULL, 'disabled');
INSERT INTO authorities_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('110', 'n', false, true, '2014-02-08 15:26:31.667337', NULL, '2014-02-08 15:26:31.667337', NULL, 'disabled');
INSERT INTO authorities_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('410', 'a', false, false, '2014-02-08 15:26:31.667337', NULL, '2014-02-08 15:26:31.667337', NULL, 'disabled');


--
-- TOC entry 2770 (class 0 OID 729342)
-- Dependencies: 176
-- Data for Name: authorities_idx_autocomplete; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--



--
-- TOC entry 2771 (class 0 OID 729350)
-- Dependencies: 178
-- Data for Name: authorities_idx_fields; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--



--
-- TOC entry 2772 (class 0 OID 729356)
-- Dependencies: 179
-- Data for Name: authorities_idx_sort; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--



--
-- TOC entry 2773 (class 0 OID 729362)
-- Dependencies: 180
-- Data for Name: authorities_indexing_groups; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--

INSERT INTO authorities_indexing_groups (id, translation_key, datafields, sortable, default_sort, created, created_by, modified, modified_by) VALUES (0, 'all', NULL, false, false, '2014-03-04 11:09:07.241', NULL, '2014-03-04 11:09:07.241', NULL);
INSERT INTO authorities_indexing_groups (id, translation_key, datafields, sortable, default_sort, created, created_by, modified, modified_by) VALUES (1, 'author', '100_a', true, true, '2014-03-04 11:13:31.512', NULL, '2014-03-04 11:13:31.512', NULL);
INSERT INTO authorities_indexing_groups (id, translation_key, datafields, sortable, default_sort, created, created_by, modified, modified_by) VALUES (2, 'entity', '110_a', true, false, '2014-03-04 11:13:46.059', NULL, '2014-03-04 11:13:46.059', NULL);
INSERT INTO authorities_indexing_groups (id, translation_key, datafields, sortable, default_sort, created, created_by, modified, modified_by) VALUES (3, 'event', '111_a', true, false, '2014-03-04 11:14:39.973', NULL, '2014-03-04 11:14:39.973', NULL);
INSERT INTO authorities_indexing_groups (id, translation_key, datafields, sortable, default_sort, created, created_by, modified, modified_by) VALUES (4, 'other_name', '400_a, 410_a, 411_a', true, false, '2014-03-04 11:14:55.617', NULL, '2014-03-04 11:14:55.617', NULL);


--
-- TOC entry 2774 (class 0 OID 729374)
-- Dependencies: 182
-- Data for Name: authorities_records; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--



--
-- TOC entry 2775 (class 0 OID 729385)
-- Dependencies: 184
-- Data for Name: authorities_search_results; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--



--
-- TOC entry 2776 (class 0 OID 729388)
-- Dependencies: 185
-- Data for Name: authorities_searches; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--



--
-- TOC entry 2777 (class 0 OID 729397)
-- Dependencies: 187
-- Data for Name: backups; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--



--
-- TOC entry 2778 (class 0 OID 729407)
-- Dependencies: 189
-- Data for Name: biblio_brief_formats; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--

INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('130', '${a}', 4, '2014-02-01 11:43:41.882279', NULL, '2014-02-01 11:43:41.882279', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('260', '${a}_{: }${b}_{, }${c}', 20, '2014-02-01 12:04:44.576993', NULL, '2014-02-01 12:04:44.576993', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('650', '${a}_{ - }${x}_{ - }${y}_{ - }${z}', 41, '2014-02-01 12:06:20.547937', NULL, '2014-02-01 12:06:20.547937', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('651', '${a}_{ - }${x}_{ - }${y}_{ - }${z}', 42, '2014-02-01 12:06:27.116236', NULL, '2014-02-01 12:06:27.116236', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('699', '${a}_{ - }${x}_{ - }${y}_{ - }${z}', 43, '2014-02-01 12:06:34.276548', NULL, '2014-02-01 12:06:34.276548', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('100', '${a}', 1, '2013-05-11 14:09:22.681914', NULL, '2013-05-11 14:09:22.681914', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('110', '${a}', 2, '2013-05-11 14:09:28.849574', NULL, '2013-05-11 14:09:28.849574', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('111', '${a}', 3, '2013-05-11 14:09:33.10575', NULL, '2013-05-11 14:09:33.10575', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('611', '${a}_{ - }${x}_{ - }${y}_{ - }${z}', 39, '2014-02-01 12:06:02.963596', NULL, '2014-02-01 12:06:02.963596', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('630', '${a}_{ - }${x}_{ - }${y}_{ - }${z}', 40, '2014-02-01 12:06:13.363821', NULL, '2014-02-01 12:06:13.363821', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('306', '${a}', 25, '2014-02-01 12:13:07.424794', NULL, '2014-02-01 12:13:07.424794', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('490', '${a}', 26, '2014-02-01 12:13:12.984999', NULL, '2014-02-01 12:13:12.984999', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('520', '${a}', 27, '2014-02-01 12:13:19.273647', NULL, '2014-02-01 12:13:19.273647', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('020', '${a}', 22, '2014-02-01 12:04:17.840354', NULL, '2014-02-01 12:04:17.840354', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('022', '${a}', 23, '2014-02-01 12:04:24.056557', NULL, '2014-02-01 12:04:24.056557', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('024', '${a}', 24, '2014-02-01 12:04:30.936737', NULL, '2014-02-01 12:04:30.936737', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('245', '${a}_{: }${b}', 11, '2013-05-11 14:09:53.242277', NULL, '2013-05-11 14:09:53.242277', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('256', '${a}', 44, '2014-02-01 12:15:25.005212', NULL, '2014-02-01 12:15:25.005212', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('043', '${a}', 45, '2014-02-01 12:15:33.581457', NULL, '2014-02-01 12:15:33.581457', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('045', '${a}', 46, '2014-02-01 12:15:42.981651', NULL, '2014-02-01 12:15:42.981651', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('255', '${a}', 47, '2014-02-01 12:15:46.853963', NULL, '2014-02-01 12:15:46.853963', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('041', '${a}', 48, '2014-02-01 12:15:50.093832', NULL, '2014-02-01 12:15:50.093832', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('090', '${a}_{ }${b}_{ }${c}_{ }${d}', 49, '2014-02-01 12:05:17.018043', NULL, '2014-02-01 12:05:17.018043', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('310', '${a}', 50, '2014-02-01 12:16:08.046403', NULL, '2014-02-01 12:16:08.046403', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('362', '${a}', 51, '2014-02-01 12:16:11.822932', NULL, '2014-02-01 12:16:11.822932', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('555', '${a}', 52, '2014-02-01 12:16:16.422789', NULL, '2014-02-01 12:16:16.422789', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('852', '${a}', 53, '2014-02-01 12:16:20.998809', NULL, '2014-02-01 12:16:20.998809', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('400', '${a}', 5, '2014-02-01 12:03:15.21457', NULL, '2014-02-01 12:03:15.21457', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('410', '${a}', 6, '2014-02-01 12:03:19.934289', NULL, '2014-02-01 12:03:19.934289', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('411', '${a}', 7, '2014-02-01 12:03:27.070922', NULL, '2014-02-01 12:03:27.070922', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('700', '${a}', 8, '2014-02-01 11:44:15.995588', NULL, '2014-02-01 11:44:15.995588', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('710', '${a}', 9, '2014-02-01 11:44:21.019794', NULL, '2014-02-01 11:44:21.019794', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('711', '${a}', 10, '2014-02-01 11:44:27.579924', NULL, '2014-02-01 11:44:27.579924', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('243', '${a}_{ }${f}', 12, '2014-02-01 12:09:14.089412', NULL, '2014-02-01 12:09:14.089412', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('240', '${a}', 13, '2014-02-01 12:09:24.050018', NULL, '2014-02-01 12:09:24.050018', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('730', '${a}', 14, '2014-02-01 12:09:30.866228', NULL, '2014-02-01 12:09:30.866228', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('740', '${a}_{ }${n}_{ }${p}', 15, '2014-02-01 12:09:44.610667', NULL, '2014-02-01 12:09:44.610667', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('830', '${a}_{ }${v}', 16, '2014-02-01 12:09:56.027131', NULL, '2014-02-01 12:09:56.027131', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('250', '${a}', 17, '2014-02-01 12:10:18.923422', NULL, '2014-02-01 12:10:18.923422', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('257', '${a}', 18, '2014-02-01 12:10:36.436278', NULL, '2014-02-01 12:10:36.436278', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('258', '${a}', 19, '2014-02-01 12:10:41.228113', NULL, '2014-02-01 12:10:41.228113', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('300', '${a}_{ }${b}_{ }${c}_{ }${e}', 21, '2014-02-01 12:12:58.160709', NULL, '2014-02-01 12:12:58.160709', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('080', '${a}_{ }_{2}', 54, '2014-02-01 12:16:38.015323', NULL, '2014-02-01 12:16:38.015323', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('082', '${a}_{ }_{2}', 55, '2014-02-01 12:17:24.376916', NULL, '2014-02-01 12:17:24.376916', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('013', '${a}_{; }${b}_{; }${c}_{; }${d}_{; }${e}_{; }${f}', 56, '2014-02-01 12:18:17.042647', NULL, '2014-02-01 12:18:17.042647', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('095', '${a}', 57, '2014-02-01 12:18:25.330589', NULL, '2014-02-01 12:18:25.330589', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('500', '${a}', 28, '2014-02-01 12:13:34.913539', NULL, '2014-02-01 12:13:34.913539', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('504', '${a}', 29, '2014-02-01 12:13:43.050064', NULL, '2014-02-01 12:13:43.050064', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('505', '${a}', 30, '2014-02-01 12:13:49.402136', NULL, '2014-02-01 12:13:49.402136', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('521', '${a}', 31, '2014-02-01 12:13:56.762462', NULL, '2014-02-01 12:13:56.762462', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('534', '${a}', 32, '2014-02-01 12:14:02.570381', NULL, '2014-02-01 12:14:02.570381', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('590', '${a}', 33, '2014-02-01 12:14:06.138512', NULL, '2014-02-01 12:14:06.138512', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('502', '${a}', 34, '2014-02-01 12:14:11.876239', NULL, '2014-02-01 12:14:11.876239', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('506', '${a}', 35, '2014-02-01 12:14:17.131068', NULL, '2014-02-01 12:14:17.131068', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('876', '${h}', 36, '2014-02-01 12:14:30.355534', NULL, '2014-02-01 12:14:30.355534', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('600', '${a}_{ - }${x}_{ - }${y}_{ - }${z}', 37, '2014-02-01 12:05:47.099015', NULL, '2014-02-01 12:05:47.099015', NULL);
INSERT INTO biblio_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('610', '${a}_{ - }${x}_{ - }${y}_{ - }${z}', 38, '2014-02-01 12:05:55.971671', NULL, '2014-02-01 12:05:55.971671', NULL);


--
-- TOC entry 2779 (class 0 OID 729415)
-- Dependencies: 190
-- Data for Name: biblio_form_datafields; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--

INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('013', false, true, '', '', 'book,manuscript,pamphlet,thesis,computer_legible,map,movie,score,object_3d,photo,periodic,articles,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('020', false, false, '', '', 'book', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('022', false, false, '', '', 'book,periodic,articles', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('029', false, true, '', '', 'score,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('040', false, false, '', '', 'book,manuscript,pamphlet,thesis,computer_legible,map,movie,score,photo,periodic,articles,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('045', false, false, '_,0,1,2', '', 'map', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('080', false, false, '', '', 'book,manuscript,pamphlet,thesis,computer_legible,map,movie,score,object_3d,photo,periodic,articles,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('082', false, false, '', '', 'book,manuscript,pamphlet,thesis,computer_legible,map,movie,score,object_3d,photo,periodic,articles,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('255', false, true, '', '', 'map', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('090', false, false, '', '', 'book,manuscript,pamphlet,thesis,computer_legible,map,movie,score,object_3d,photo,periodic,articles,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('095', false, false, '', '', 'book,manuscript,pamphlet,thesis,computer_legible,map,movie,score,object_3d,photo,periodic,articles,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('100', false, false, '1,0,2,3', '', 'book,manuscript,pamphlet,thesis,computer_legible,map,movie,score,object_3d,photo,articles,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('110', false, false, '0,1,2', '', 'book,manuscript,pamphlet,thesis,computer_legible,map,movie,score,object_3d,photo,articles,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('111', false, false, '0,1,2', '', 'book,manuscript,pamphlet,thesis,computer_legible,map,movie,score,object_3d,photo,articles,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('245', false, false, '1,0', '0,1,2,3,4,5,6,7,8,9', 'book,manuscript,pamphlet,thesis,computer_legible,map,movie,score,object_3d,photo,periodic,articles,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('250', false, false, '', '', 'book,thesis', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('256', false, false, '', '', 'computer_legible', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('257', false, false, '', '', 'movie', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('258', false, false, '', '', 'photo', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('260', false, true, '', '', 'book,manuscript,thesis,computer_legible,map,movie,score,photo,periodic,articles,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('300', false, false, '', '', 'book,manuscript,thesis,computer_legible,map,movie,score,object_3d,photo,periodic,articles,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('306', false, true, '', '', 'movie,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('340', false, true, '', '', 'map', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('342', false, true, '0,1', '0,1,2,3,4,5,6,7,8', 'map', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('343', false, true, '', '', 'map', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('490', false, true, '0,1', '', 'book,movie,score,object_3d,photo,periodic,articles,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('500', false, true, '', '', 'book,manuscript,pamphlet,thesis,computer_legible,map,movie,score,object_3d,photo,periodic,articles,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('501', false, true, '', '', 'book,manuscript,pamphlet,thesis,computer_legible,map,movie,score,object_3d,photo,periodic,articles,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('502', false, true, '', '', 'book,manuscript,pamphlet,thesis,computer_legible,map,movie,score,object_3d,photo,periodic,articles,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('504', false, true, '', '', 'book,manuscript,pamphlet,thesis,computer_legible,map,movie,score,object_3d,photo,periodic,articles,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('505', false, true, '', '', 'book,manuscript,pamphlet,thesis,computer_legible,map,movie,score,object_3d,photo,periodic,articles,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('520', false, true, '', '', 'book,manuscript,pamphlet,thesis,computer_legible,map,movie,score,object_3d,photo,periodic,articles,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('521', false, true, '', '', 'book,manuscript,pamphlet,thesis,computer_legible,map,movie,score,object_3d,photo,periodic,articles,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('530', false, true, '', '', 'book,manuscript,pamphlet,thesis,computer_legible,map,movie,score,object_3d,photo,periodic,articles,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('534', false, true, '', '', 'book,manuscript,pamphlet,thesis,computer_legible,map,movie,score,object_3d,photo,periodic,articles,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('590', false, true, '', '', 'book,manuscript,pamphlet,thesis,computer_legible,map,movie,score,object_3d,photo,periodic,articles,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('595', false, true, '', '', 'book,manuscript,pamphlet,thesis,computer_legible,map,movie,score,object_3d,photo,periodic,articles,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('600', false, true, '0,1,2,3', '', 'book,manuscript,pamphlet,thesis,computer_legible,map,movie,score,object_3d,photo,periodic,articles,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('610', false, true, '0,1,2', '', 'book,manuscript,pamphlet,thesis,computer_legible,map,movie,score,object_3d,photo,periodic,articles,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('611', false, true, '0,1,2', '', 'book,manuscript,pamphlet,thesis,computer_legible,map,movie,score,object_3d,photo,periodic,articles,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('650', false, true, '', '', 'book,manuscript,pamphlet,thesis,computer_legible,map,movie,score,object_3d,photo,periodic,articles,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('651', false, true, '', '', 'book,manuscript,pamphlet,thesis,computer_legible,map,movie,score,object_3d,photo,periodic,articles,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('700', false, true, '1,0,2,3', '_,2', 'book,manuscript,pamphlet,thesis,computer_legible,map,movie,score,object_3d,photo,periodic,articles,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('710', false, true, '0,1,2', '_,2', 'book,manuscript,pamphlet,thesis,computer_legible,map,movie,score,object_3d,photo,periodic,articles,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('711', false, true, '0,1,2', '', 'book,manuscript,pamphlet,thesis,computer_legible,map,movie,score,object_3d,photo,periodic,articles,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('856', false, true, '', '', 'book,manuscript,pamphlet,thesis,computer_legible,map,movie,score,object_3d,photo,periodic,articles,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('630', false, true, '0,1,2,3,4,5,6,7,8,9', '', 'book,manuscript,pamphlet,thesis,computer_legible,map,movie,score,object_3d,photo,periodic,articles,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('730', false, true, '0,1,2,3,4,5,6,7,8,9', '_,2', 'book,manuscript,pamphlet,thesis,computer_legible,map,movie,score,object_3d,photo,periodic,articles,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('740', false, true, '0,1,2,3,4,5,6,7,8,9', '_,2', 'book,manuscript,pamphlet,thesis,computer_legible,map,movie,score,object_3d,photo,periodic,articles,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('043', false, false, '', '', 'map,periodic', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('830', false, true, '', '0,1,2,3,4,5,6,7,8,9', 'book,manuscript,pamphlet,thesis,computer_legible,map,movie,score,object_3d,photo,periodic,articles,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('041', false, true, '0,1', '', 'book,manuscript,pamphlet,thesis,computer_legible,map,movie,score,photo,periodic,articles,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('240', false, false, '1,0', '0,1,2,3,4,5,6,7,8,9', 'book,manuscript,pamphlet,thesis,computer_legible,map,movie,score,object_3d,photo,periodic,articles,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('243', false, false, '1,0', '0,1,2,3,4,5,6,7,8,9', 'book,manuscript,pamphlet,thesis,computer_legible,map,movie,score,object_3d,photo,periodic,articles,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('130', false, false, '0,1,2,3,4,5,6,7,8,9', '', 'book,manuscript,pamphlet,thesis,computer_legible,map,movie,score,object_3d,photo,periodic,articles,music,nonmusical_sound', '2013-04-13 13:42:03.23405', NULL, '2013-04-13 13:42:03.23405', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('210', false, true, '0,1', '_,0', 'periodic', '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('246', false, true, '0,1,2,3', '_,0,1,2,3,4,5,6,7,8', 'periodic', '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('310', false, false, '', '', 'periodic', '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('321', false, false, '', '', 'periodic', '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('362', false, true, '0,1', '', 'periodic', '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('515', false, true, '', '', 'periodic', '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('525', false, true, '', '', 'periodic', '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('550', false, true, '', '', 'periodic', '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('555', false, true, '_,0,8', '', 'periodic', '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('580', false, true, '', '', 'periodic', '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL);
INSERT INTO biblio_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('947', false, true, '', '', 'periodic', '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL);


--
-- TOC entry 2780 (class 0 OID 729425)
-- Dependencies: 191
-- Data for Name: biblio_form_subfields; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--

INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('013', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('013', 'b', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('013', 'c', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('013', 'd', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('013', 'e', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('013', 'f', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('020', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('022', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('029', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('040', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('040', 'b', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('041', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('041', 'b', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('041', 'h', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('043', 'a', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('045', 'a', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('045', 'b', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('045', 'c', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('080', '2', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('080', 'a', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('082', '2', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('082', 'a', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('090', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('090', 'b', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('090', 'c', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('095', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'fixed_table');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('100', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'authorities');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('100', 'b', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('100', 'c', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('100', 'd', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('100', 'q', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('110', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'authorities');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('110', 'b', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('110', 'c', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('110', 'd', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('110', 'l', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('110', 'n', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('111', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'authorities');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('111', 'c', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('111', 'd', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('111', 'e', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('111', 'g', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('111', 'k', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('111', 'n', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('130', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('130', 'd', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('130', 'f', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('130', 'g', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('130', 'k', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('130', 'l', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('130', 'p', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('240', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('240', 'b', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('240', 'f', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('243', 'f', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('243', 'g', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('243', 'k', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('243', 'l', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('245', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('245', 'b', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('245', 'c', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('245', 'h', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('245', 'n', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('245', 'p', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('250', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('250', 'b', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('255', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('256', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('257', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('258', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('258', 'b', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('260', 'a', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('260', 'b', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('260', 'c', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('243', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('240', 'p', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('240', 'n', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('240', 'l', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('240', 'k', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('240', 'g', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('260', 'e', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('260', 'f', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('260', 'g', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('300', 'a', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('300', 'b', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('300', 'c', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('300', 'e', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('306', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('340', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('340', 'b', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('340', 'c', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('340', 'd', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('340', 'e', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('342', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('342', 'b', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('342', 'c', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('342', 'd', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('343', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('343', 'b', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('490', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('490', 'v', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('500', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('501', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('502', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('504', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('505', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('520', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('520', 'u', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('521', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('530', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('534', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('590', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('595', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('595', 'b', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('600', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'vocabulary');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('600', 'b', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('600', 'c', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('600', 'd', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('600', 'k', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('600', 'q', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('600', 't', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('600', 'x', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('600', 'y', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('600', 'z', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('610', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'vocabulary');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('610', 'b', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('610', 'c', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('610', 'd', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('610', 'g', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('610', 'k', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('610', 'l', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('610', 'n', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('610', 't', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('610', 'x', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('610', 'y', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('610', 'z', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('611', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'vocabulary');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('611', 'c', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('611', 'd', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('611', 'e', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('611', 'n', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('611', 't', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('611', 'x', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('611', 'y', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('611', 'z', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('630', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'vocabulary');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('630', 'd', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('630', 'f', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('630', 'g', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('630', 'k', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('630', 'l', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('630', 'p', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('630', 'x', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('630', 'y', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('630', 'z', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('650', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'vocabulary');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('650', 'x', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('650', 'y', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('650', 'z', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('651', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'vocabulary');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('651', 'x', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('651', 'y', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('651', 'z', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('700', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('700', 'b', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('700', 'c', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('700', 'd', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('700', 'e', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('700', 'l', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('700', 'q', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('700', 't', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('710', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('710', 'b', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('710', 'c', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('710', 'd', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('710', 'g', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('710', 'l', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('710', 'n', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('710', 't', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('711', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('711', 'c', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('711', 'd', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('711', 'e', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('711', 'g', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('711', 'k', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('711', 'n', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('711', 't', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('730', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('730', 'd', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('730', 'f', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('730', 'g', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('730', 'k', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('730', 'l', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('730', 'p', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('730', 'x', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('730', 'y', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('730', 'z', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('740', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('740', 'n', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('740', 'p', false, true, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('830', 'a', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('830', 'v', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('856', 'd', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('856', 'f', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('856', 'u', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('856', 'y', false, false, '2013-04-13 13:43:11.351056', NULL, '2013-04-13 13:43:11.351056', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('210', 'a', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('210', 'b', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('246', 'a', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('246', 'b', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('246', 'f', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('246', 'g', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('246', 'h', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('246', 'i', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('246', 'n', false, true, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('246', 'p', false, true, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('310', 'a', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('310', 'b', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('321', 'a', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('321', 'b', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('362', 'a', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('362', 'z', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('515', 'a', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('525', 'a', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('550', 'a', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('555', 'a', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('555', 'b', false, true, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('555', 'c', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('555', 'd', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('555', 'u', false, true, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('555', '3', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('580', 'a', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('947', 'a', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('947', 'b', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('947', 'c', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('947', 'd', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('947', 'e', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('947', 'f', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('947', 'g', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('947', 'i', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('947', 'j', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('947', 'k', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('947', 'l', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('947', 'm', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('947', 'n', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('947', 'o', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('947', 'p', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('947', 'q', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('947', 'r', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('947', 's', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('947', 't', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('947', 'u', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');
INSERT INTO biblio_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('947', 'z', false, false, '2014-04-28 19:25:12.931', 1, '2014-04-28 19:25:12.931', NULL, 'disabled');


--
-- TOC entry 2781 (class 0 OID 729436)
-- Dependencies: 192
-- Data for Name: biblio_holdings; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--



--
-- TOC entry 2782 (class 0 OID 729449)
-- Dependencies: 194
-- Data for Name: biblio_idx_autocomplete; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--



--
-- TOC entry 2783 (class 0 OID 729457)
-- Dependencies: 196
-- Data for Name: biblio_idx_fields; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--



--
-- TOC entry 2784 (class 0 OID 729463)
-- Dependencies: 197
-- Data for Name: biblio_idx_sort; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--



--
-- TOC entry 2785 (class 0 OID 729469)
-- Dependencies: 198
-- Data for Name: biblio_indexing_groups; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--

INSERT INTO biblio_indexing_groups (id, translation_key, datafields, sortable, default_sort, created, created_by, modified, modified_by) VALUES (4, 'subject', '650_a_x_y_z,600_a_x_y_z,610_a_x_y_z,611_a_x_y_z,630_a_x_y_z,651_a_x_y_z,699_a_x_y_z', false, false, '2013-04-13 13:45:00.977717', NULL, '2013-04-13 13:45:00.977717', NULL);
INSERT INTO biblio_indexing_groups (id, translation_key, datafields, sortable, default_sort, created, created_by, modified, modified_by) VALUES (5, 'isbn', '020_a', false, false, '2013-04-13 13:45:00.977717', NULL, '2013-04-13 13:45:00.977717', NULL);
INSERT INTO biblio_indexing_groups (id, translation_key, datafields, sortable, default_sort, created, created_by, modified, modified_by) VALUES (6, 'issn', '022_a', false, false, '2013-04-13 13:45:00.977717', NULL, '2013-04-13 13:45:00.977717', NULL);
INSERT INTO biblio_indexing_groups (id, translation_key, datafields, sortable, default_sort, created, created_by, modified, modified_by) VALUES (1, 'author', '100_a,110_a,111_a,700_a,710_a,711_a', true, false, '2013-04-13 13:45:00.977717', NULL, '2013-04-13 13:45:00.977717', NULL);
INSERT INTO biblio_indexing_groups (id, translation_key, datafields, sortable, default_sort, created, created_by, modified, modified_by) VALUES (0, 'all', NULL, false, false, '2013-04-13 13:45:00.977717', NULL, '2013-04-13 13:45:00.977717', NULL);
INSERT INTO biblio_indexing_groups (id, translation_key, datafields, sortable, default_sort, created, created_by, modified, modified_by) VALUES (3, 'title', '245_a_b,243_a_f,240_a,730_a,740_a_n_p,830_a_v,250_a', true, true, '2013-04-13 13:45:00.977717', NULL, '2013-04-13 13:45:00.977717', NULL);
INSERT INTO biblio_indexing_groups (id, translation_key, datafields, sortable, default_sort, created, created_by, modified, modified_by) VALUES (2, 'year', '260_c', true, false, '2013-04-13 13:45:00.977717', NULL, '2013-04-13 13:45:00.977717', NULL);


--
-- TOC entry 2786 (class 0 OID 729481)
-- Dependencies: 200
-- Data for Name: biblio_records; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--



--
-- TOC entry 2787 (class 0 OID 729492)
-- Dependencies: 202
-- Data for Name: biblio_search_results; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--



--
-- TOC entry 2788 (class 0 OID 729495)
-- Dependencies: 203
-- Data for Name: biblio_searches; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--



--
-- TOC entry 2789 (class 0 OID 729504)
-- Dependencies: 205
-- Data for Name: configurations; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--

INSERT INTO configurations (key, value, type, required, modified, modified_by) VALUES ('setup.new_library', 'true', 'boolean', false, '2014-05-28 22:01:58.228421', 0);
-- INSERT INTO configurations (key, value, type, required, modified, modified_by) VALUES ('general.business_days', '2,3,4,5,6,7', 'string', true, '2014-02-22 17:07:33.380256', 1);
-- INSERT INTO configurations (key, value, type, required, modified, modified_by) VALUES ('general.default_language', 'pt-BR', 'string', true, '2014-02-22 17:18:48.852604', 1);
-- INSERT INTO configurations (key, value, type, required, modified, modified_by) VALUES ('general.title', 'Biblivre IV', 'string', true, '2014-02-22 17:01:57.071056', 1);
-- INSERT INTO configurations (key, value, type, required, modified, modified_by) VALUES ('administration.z3950.server.active', 'true', 'boolean', true, '2014-04-07 19:58:15.127', 1);
-- INSERT INTO configurations (key, value, type, required, modified, modified_by) VALUES ('circulation.lending_receipt.printer.type', 'printer_common', 'string', false, '2014-04-14 15:27:14.339', 1);
-- INSERT INTO configurations (key, value, type, required, modified, modified_by) VALUES ('general.backup_path', '', 'string', false, '2014-04-07 19:15:49.925', 1);
-- INSERT INTO configurations (key, value, type, required, modified, modified_by) VALUES ('general.pg_dump_path', '', 'string', false, '2014-04-07 19:15:49.925', 1);
-- INSERT INTO configurations (key, value, type, required, modified, modified_by) VALUES ('general.psql_path', '', 'string', false, '2014-04-07 19:15:49.925', 1);

--
-- TOC entry 2790 (class 0 OID 729513)
-- Dependencies: 206
-- Data for Name: digital_media; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--



--
-- TOC entry 2791 (class 0 OID 729522)
-- Dependencies: 208
-- Data for Name: holding_creation_counter; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--



--
-- TOC entry 2792 (class 0 OID 729528)
-- Dependencies: 210
-- Data for Name: holding_form_datafields; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--

INSERT INTO holding_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('949', false, false, '', '', 'holdings', '2014-02-08 15:07:07.222864', NULL, '2014-02-08 15:07:07.222864', NULL);
INSERT INTO holding_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('541', false, true, '_,0,1', '', 'holdings', '2014-02-08 15:07:07.222864', NULL, '2014-02-08 15:07:07.222864', NULL);
INSERT INTO holding_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('090', false, false, '', '', 'holdings', '2014-02-08 15:07:07.222864', NULL, '2014-02-08 15:07:07.222864', NULL);
INSERT INTO holding_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('852', false, true, '_,0,1,2,4,5,6,8', '0,1,2', 'holdings', '2014-02-08 15:07:07.222864', NULL, '2014-02-08 15:07:07.222864', NULL);
INSERT INTO holding_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('856', false, true, '', '', 'holdings', '2014-02-08 15:07:07.222864', NULL, '2014-02-08 15:07:07.222864', NULL);


--
-- TOC entry 2793 (class 0 OID 729538)
-- Dependencies: 211
-- Data for Name: holding_form_subfields; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--

INSERT INTO holding_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('949', 'a', false, false, '2014-02-08 15:10:19.847594', NULL, '2014-02-08 15:10:19.847594', NULL, 'disabled');
INSERT INTO holding_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('541', 'a', false, false, '2014-02-08 15:10:19.847594', NULL, '2014-02-08 15:10:19.847594', NULL, 'disabled');
INSERT INTO holding_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('541', 'b', false, false, '2014-02-08 15:10:19.847594', NULL, '2014-02-08 15:10:19.847594', NULL, 'disabled');
INSERT INTO holding_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('541', 'c', false, false, '2014-02-08 15:10:19.847594', NULL, '2014-02-08 15:10:19.847594', NULL, 'disabled');
INSERT INTO holding_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('541', 'd', false, false, '2014-02-08 15:10:19.847594', NULL, '2014-02-08 15:10:19.847594', NULL, 'disabled');
INSERT INTO holding_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('541', 'e', false, true, '2014-02-08 15:10:19.847594', NULL, '2014-02-08 15:10:19.847594', NULL, 'disabled');
INSERT INTO holding_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('541', 'f', false, true, '2014-02-08 15:10:19.847594', NULL, '2014-02-08 15:10:19.847594', NULL, 'disabled');
INSERT INTO holding_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('541', 'h', false, true, '2014-02-08 15:10:19.847594', NULL, '2014-02-08 15:10:19.847594', NULL, 'disabled');
INSERT INTO holding_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('541', 'n', false, true, '2014-02-08 15:10:19.847594', NULL, '2014-02-08 15:10:19.847594', NULL, 'disabled');
INSERT INTO holding_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('541', 'o', false, true, '2014-02-08 15:10:19.847594', NULL, '2014-02-08 15:10:19.847594', NULL, 'disabled');
INSERT INTO holding_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('541', '3', false, true, '2014-02-08 15:10:19.847594', NULL, '2014-02-08 15:10:19.847594', NULL, 'disabled');
INSERT INTO holding_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('090', 'a', false, false, '2014-02-08 15:10:19.847594', NULL, '2014-02-08 15:10:19.847594', NULL, 'disabled');
INSERT INTO holding_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('090', 'b', false, false, '2014-02-08 15:10:19.847594', NULL, '2014-02-08 15:10:19.847594', NULL, 'disabled');
INSERT INTO holding_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('090', 'c', false, false, '2014-02-08 15:10:19.847594', NULL, '2014-02-08 15:10:19.847594', NULL, 'disabled');
INSERT INTO holding_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('090', 'd', false, false, '2014-02-08 15:10:19.847594', NULL, '2014-02-08 15:10:19.847594', NULL, 'disabled');
INSERT INTO holding_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('852', 'a', false, false, '2014-02-08 15:10:19.847594', NULL, '2014-02-08 15:10:19.847594', NULL, 'disabled');
INSERT INTO holding_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('852', 'b', false, true, '2014-02-08 15:10:19.847594', NULL, '2014-02-08 15:10:19.847594', NULL, 'disabled');
INSERT INTO holding_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('852', 'c', false, true, '2014-02-08 15:10:19.847594', NULL, '2014-02-08 15:10:19.847594', NULL, 'disabled');
INSERT INTO holding_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('852', 'e', false, true, '2014-02-08 15:10:19.847594', NULL, '2014-02-08 15:10:19.847594', NULL, 'disabled');
INSERT INTO holding_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('852', 'j', false, false, '2014-02-08 15:10:19.847594', NULL, '2014-02-08 15:10:19.847594', NULL, 'disabled');
INSERT INTO holding_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('852', 'n', false, true, '2014-02-08 15:10:19.847594', NULL, '2014-02-08 15:10:19.847594', NULL, 'disabled');
INSERT INTO holding_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('852', 'q', false, false, '2014-02-08 15:10:19.847594', NULL, '2014-02-08 15:10:19.847594', NULL, 'disabled');
INSERT INTO holding_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('852', 'x', false, true, '2014-02-08 15:10:19.847594', NULL, '2014-02-08 15:10:19.847594', NULL, 'disabled');
INSERT INTO holding_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('852', 'z', false, true, '2014-02-08 15:10:19.847594', NULL, '2014-02-08 15:10:19.847594', NULL, 'disabled');
INSERT INTO holding_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('856', 'd', false, true, '2014-02-08 15:10:19.847594', NULL, '2014-02-08 15:10:19.847594', NULL, 'disabled');
INSERT INTO holding_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('856', 'f', false, true, '2014-02-08 15:10:19.847594', NULL, '2014-02-08 15:10:19.847594', NULL, 'disabled');
INSERT INTO holding_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('856', 'u', false, true, '2014-02-08 15:10:19.847594', NULL, '2014-02-08 15:10:19.847594', NULL, 'disabled');
INSERT INTO holding_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('856', 'y', false, true, '2014-02-08 15:10:19.847594', NULL, '2014-02-08 15:10:19.847594', NULL, 'disabled');


--
-- TOC entry 2794 (class 0 OID 729549)
-- Dependencies: 212
-- Data for Name: lending_fines; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--



--
-- TOC entry 2795 (class 0 OID 729555)
-- Dependencies: 214
-- Data for Name: lendings; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--



--
-- TOC entry 2796 (class 0 OID 729561)
-- Dependencies: 216
-- Data for Name: logins; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--

INSERT INTO logins (id, login, employee, password, created, created_by, modified, modified_by) VALUES (1, 'admin', true, 'C4wx3TpMHnSwdk1bUQ/V6qwAQmw=', '2014-05-18 15:46:31.632', 1, '2014-05-18 15:46:31.632', NULL);


--
-- TOC entry 2797 (class 0 OID 729572)
-- Dependencies: 218
-- Data for Name: orders; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--



--
-- TOC entry 2798 (class 0 OID 729584)
-- Dependencies: 220
-- Data for Name: permissions; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--



--
-- TOC entry 2799 (class 0 OID 729589)
-- Dependencies: 222
-- Data for Name: quotations; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--



--
-- TOC entry 2800 (class 0 OID 729600)
-- Dependencies: 224
-- Data for Name: request_quotation; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--



--
-- TOC entry 2801 (class 0 OID 729606)
-- Dependencies: 225
-- Data for Name: requests; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--



--
-- TOC entry 2802 (class 0 OID 729615)
-- Dependencies: 226
-- Data for Name: reservations; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--



--
-- TOC entry 2803 (class 0 OID 729623)
-- Dependencies: 229
-- Data for Name: suppliers; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--



--
-- TOC entry 2804 (class 0 OID 729632)
-- Dependencies: 230
-- Data for Name: translations; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--



--
-- TOC entry 2805 (class 0 OID 729641)
-- Dependencies: 231
-- Data for Name: users; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--



--
-- TOC entry 2806 (class 0 OID 729650)
-- Dependencies: 232
-- Data for Name: users_fields; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--

INSERT INTO users_fields (key, type, required, max_length, sort_order, created, created_by, modified, modified_by) VALUES ('email', 'string', true, 0, 1, '2013-04-13 13:47:34.765388', NULL, '2013-04-13 13:47:34.765388', NULL);
INSERT INTO users_fields (key, type, required, max_length, sort_order, created, created_by, modified, modified_by) VALUES ('gender', 'list', false, 2, 2, '2014-06-07 12:51:14.565458', NULL, '2014-06-07 12:51:14.565458', NULL);
INSERT INTO users_fields (key, type, required, max_length, sort_order, created, created_by, modified, modified_by) VALUES ('phone_cel', 'string', false, 25, 3, '2014-06-07 12:47:50.811875', NULL, '2014-06-07 12:47:50.811875', NULL);
INSERT INTO users_fields (key, type, required, max_length, sort_order, created, created_by, modified, modified_by) VALUES ('phone_home', 'string', false, 25, 4, '2014-06-07 12:47:33.283702', NULL, '2014-06-07 12:47:33.283702', NULL);
INSERT INTO users_fields (key, type, required, max_length, sort_order, created, created_by, modified, modified_by) VALUES ('phone_work', 'string', false, 25, 5, '2014-06-07 12:47:42.779511', NULL, '2014-06-07 12:47:42.779511', NULL);
INSERT INTO users_fields (key, type, required, max_length, sort_order, created, created_by, modified, modified_by) VALUES ('obs', 'text', false, 0, 1002, '2013-04-13 13:47:34.765388', NULL, '2013-04-13 13:47:34.765388', NULL);
INSERT INTO users_fields (key, type, required, max_length, sort_order, created, created_by, modified, modified_by) VALUES ('id_cpf', 'string', false, 20, 8, '2014-06-07 12:46:47.409991', NULL, '2014-06-07 12:46:47.409991', NULL);
INSERT INTO users_fields (key, type, required, max_length, sort_order, created, created_by, modified, modified_by) VALUES ('address', 'string', false, 500, 9, '2014-06-07 12:41:23.221671', NULL, '2014-06-07 12:41:23.221671', NULL);
INSERT INTO users_fields (key, type, required, max_length, sort_order, created, created_by, modified, modified_by) VALUES ('address_number', 'string', false, 100, 10, '2014-06-07 12:42:30.610671', NULL, '2014-06-07 12:42:30.610671', NULL);
INSERT INTO users_fields (key, type, required, max_length, sort_order, created, created_by, modified, modified_by) VALUES ('address_complement', 'string', false, 100, 11, '2014-06-07 12:44:27.624027', NULL, '2014-06-07 12:44:27.624027', NULL);
INSERT INTO users_fields (key, type, required, max_length, sort_order, created, created_by, modified, modified_by) VALUES ('address_zip', 'string', false, 20, 12, '2014-06-07 12:45:05.425222', NULL, '2014-06-07 12:45:05.425222', NULL);
INSERT INTO users_fields (key, type, required, max_length, sort_order, created, created_by, modified, modified_by) VALUES ('address_city', 'string', false, 100, 13, '2014-06-07 12:45:21.458004', NULL, '2014-06-07 12:45:21.458004', NULL);
INSERT INTO users_fields (key, type, required, max_length, sort_order, created, created_by, modified, modified_by) VALUES ('address_state', 'string', false, 100, 14, '2014-06-07 12:45:31.657995', NULL, '2014-06-07 12:45:31.657995', NULL);
INSERT INTO users_fields (key, type, required, max_length, sort_order, created, created_by, modified, modified_by) VALUES ('birthday', 'date', false, 0, 15, '2014-06-07 12:50:08.933974', NULL, '2014-06-07 12:50:08.933974', NULL);
INSERT INTO users_fields (key, type, required, max_length, sort_order, created, created_by, modified, modified_by) VALUES ('id_rg', 'string', false, 20, 7, '2014-06-07 12:46:30.386262', NULL, '2014-06-07 12:46:30.386262', NULL);
INSERT INTO users_fields (key, type, required, max_length, sort_order, created, created_by, modified, modified_by) VALUES ('phone_work_extension', 'string', false, 10, 6, '2014-06-07 12:53:42.743594', NULL, '2014-06-07 12:53:42.743594', NULL);


--
-- TOC entry 2807 (class 0 OID 729662)
-- Dependencies: 234
-- Data for Name: users_types; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--

INSERT INTO users_types (id, name, description, lending_limit, reservation_limit, lending_time_limit, reservation_time_limit, fine_value, created, created_by, modified, modified_by) VALUES (1, 'Leitor', 'Leitores', 3, 3, 15, 10, 0, '2014-05-18 15:46:31.379', 1, '2014-05-18 15:46:31.379', NULL);
INSERT INTO users_types (id, name, description, lending_limit, reservation_limit, lending_time_limit, reservation_time_limit, fine_value, created, created_by, modified, modified_by) VALUES (2, 'Funcionário', 'Funcionários', 99, 99, 365, 365, 0, '2014-05-18 15:46:31.379', 1, '2014-05-18 15:46:31.379', NULL);


--
-- TOC entry 2808 (class 0 OID 729673)
-- Dependencies: 236
-- Data for Name: users_values; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--



--
-- TOC entry 2809 (class 0 OID 729679)
-- Dependencies: 237
-- Data for Name: vocabulary_brief_formats; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--

INSERT INTO vocabulary_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('040', '${a}_{- }${b}', 1, '2014-03-20 12:26:27.691', NULL, '2014-03-20 12:26:27.691', NULL);
INSERT INTO vocabulary_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('150', '${a}_{- }${i}_{; }${x}', 2, '2014-03-20 12:28:43.529', NULL, '2014-03-20 12:28:43.529', NULL);
INSERT INTO vocabulary_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('450', '${a}_{; }${x}', 4, '2014-03-20 12:29:58.601', NULL, '2014-03-20 12:29:58.601', NULL);
INSERT INTO vocabulary_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('550', '${a}_{; }${x}', 5, '2014-03-20 12:30:37.837', NULL, '2014-03-20 12:30:37.837', NULL);
INSERT INTO vocabulary_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('670', '${a}', 6, '2014-03-20 12:30:52.156', NULL, '2014-03-20 12:30:52.156', NULL);
INSERT INTO vocabulary_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('680', '${a}', 7, '2014-03-20 12:31:13.64', NULL, '2014-03-20 12:31:13.64', NULL);
INSERT INTO vocabulary_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('685', '${a}', 8, '2014-03-20 12:31:24.135', NULL, '2014-03-20 12:31:24.135', NULL);
INSERT INTO vocabulary_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('750', '${a}_{; }${x}_{; }${y}_{; }${z}', 9, '2014-03-20 12:32:37.881', NULL, '2014-03-20 12:32:37.881', NULL);
INSERT INTO vocabulary_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('913', '${a}', 10, '2014-03-20 12:32:57.598', NULL, '2014-03-20 12:32:57.598', NULL);
INSERT INTO vocabulary_brief_formats (datafield, format, sort_order, created, created_by, modified, modified_by) VALUES ('360', '${a}_{; }${x}', 3, '2014-03-20 13:03:12.684', NULL, '2014-03-20 13:03:12.684', NULL);


--
-- TOC entry 2810 (class 0 OID 729687)
-- Dependencies: 238
-- Data for Name: vocabulary_form_datafields; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--

INSERT INTO vocabulary_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('040', false, false, '', '', '', '2014-02-08 15:29:41.844864', NULL, '2014-02-08 15:29:41.844864', NULL);
INSERT INTO vocabulary_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('150', false, false, '', '', '', '2014-02-08 15:29:41.844864', NULL, '2014-02-08 15:29:41.844864', NULL);
INSERT INTO vocabulary_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('450', false, true, '', '', '', '2014-02-08 15:29:41.844864', NULL, '2014-02-08 15:29:41.844864', NULL);
INSERT INTO vocabulary_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('550', false, true, '', '', '', '2014-02-08 15:29:41.844864', NULL, '2014-02-08 15:29:41.844864', NULL);
INSERT INTO vocabulary_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('360', false, true, '', '', '', '2014-02-08 15:29:41.844864', NULL, '2014-02-08 15:29:41.844864', NULL);
INSERT INTO vocabulary_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('670', false, false, '', '', '', '2014-02-08 15:29:41.844864', NULL, '2014-02-08 15:29:41.844864', NULL);
INSERT INTO vocabulary_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('680', false, true, '', '', '', '2014-02-08 15:29:41.844864', NULL, '2014-02-08 15:29:41.844864', NULL);
INSERT INTO vocabulary_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('685', false, true, '', '', '', '2014-02-08 15:29:41.844864', NULL, '2014-02-08 15:29:41.844864', NULL);
INSERT INTO vocabulary_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('750', false, false, '0,1,2', '0,4', '', '2014-02-08 15:29:41.844864', NULL, '2014-02-08 15:29:41.844864', NULL);
INSERT INTO vocabulary_form_datafields (datafield, collapsed, repeatable, indicator_1, indicator_2, material_type, created, created_by, modified, modified_by) VALUES ('913', false, false, '', '', '', '2014-02-08 15:29:41.844864', NULL, '2014-02-08 15:29:41.844864', NULL);


--
-- TOC entry 2811 (class 0 OID 729697)
-- Dependencies: 239
-- Data for Name: vocabulary_form_subfields; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--

INSERT INTO vocabulary_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('040', 'a', false, false, '2014-02-08 15:30:23.272565', NULL, '2014-02-08 15:30:23.272565', NULL, 'disabled');
INSERT INTO vocabulary_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('040', 'b', false, false, '2014-02-08 15:30:23.272565', NULL, '2014-02-08 15:30:23.272565', NULL, 'disabled');
INSERT INTO vocabulary_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('040', 'c', false, false, '2014-02-08 15:30:23.272565', NULL, '2014-02-08 15:30:23.272565', NULL, 'disabled');
INSERT INTO vocabulary_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('040', 'd', false, true, '2014-02-08 15:30:23.272565', NULL, '2014-02-08 15:30:23.272565', NULL, 'disabled');
INSERT INTO vocabulary_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('040', 'e', false, true, '2014-02-08 15:30:23.272565', NULL, '2014-02-08 15:30:23.272565', NULL, 'disabled');
INSERT INTO vocabulary_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('150', 'a', false, false, '2014-02-08 15:30:23.272565', NULL, '2014-02-08 15:30:23.272565', NULL, 'disabled');
INSERT INTO vocabulary_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('150', 'i', false, false, '2014-02-08 15:30:23.272565', NULL, '2014-02-08 15:30:23.272565', NULL, 'disabled');
INSERT INTO vocabulary_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('150', 'x', false, true, '2014-02-08 15:30:23.272565', NULL, '2014-02-08 15:30:23.272565', NULL, 'disabled');
INSERT INTO vocabulary_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('150', 'y', false, true, '2014-02-08 15:30:23.272565', NULL, '2014-02-08 15:30:23.272565', NULL, 'disabled');
INSERT INTO vocabulary_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('150', 'z', false, true, '2014-02-08 15:30:23.272565', NULL, '2014-02-08 15:30:23.272565', NULL, 'disabled');
INSERT INTO vocabulary_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('450', 'a', false, false, '2014-02-08 15:30:23.272565', NULL, '2014-02-08 15:30:23.272565', NULL, 'disabled');
INSERT INTO vocabulary_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('550', 'a', false, false, '2014-02-08 15:30:23.272565', NULL, '2014-02-08 15:30:23.272565', NULL, 'disabled');
INSERT INTO vocabulary_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('550', 'x', false, true, '2014-02-08 15:30:23.272565', NULL, '2014-02-08 15:30:23.272565', NULL, 'disabled');
INSERT INTO vocabulary_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('550', 'y', false, true, '2014-02-08 15:30:23.272565', NULL, '2014-02-08 15:30:23.272565', NULL, 'disabled');
INSERT INTO vocabulary_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('550', 'z', false, true, '2014-02-08 15:30:23.272565', NULL, '2014-02-08 15:30:23.272565', NULL, 'disabled');
INSERT INTO vocabulary_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('360', 'a', false, false, '2014-02-08 15:30:23.272565', NULL, '2014-02-08 15:30:23.272565', NULL, 'disabled');
INSERT INTO vocabulary_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('360', 'x', false, true, '2014-02-08 15:30:23.272565', NULL, '2014-02-08 15:30:23.272565', NULL, 'disabled');
INSERT INTO vocabulary_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('360', 'y', false, true, '2014-02-08 15:30:23.272565', NULL, '2014-02-08 15:30:23.272565', NULL, 'disabled');
INSERT INTO vocabulary_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('360', 'z', false, true, '2014-02-08 15:30:23.272565', NULL, '2014-02-08 15:30:23.272565', NULL, 'disabled');
INSERT INTO vocabulary_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('670', 'a', false, false, '2014-02-08 15:30:23.272565', NULL, '2014-02-08 15:30:23.272565', NULL, 'disabled');
INSERT INTO vocabulary_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('680', 'a', false, false, '2014-02-08 15:30:23.272565', NULL, '2014-02-08 15:30:23.272565', NULL, 'disabled');
INSERT INTO vocabulary_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('685', 'i', false, false, '2014-02-08 15:30:23.272565', NULL, '2014-02-08 15:30:23.272565', NULL, 'disabled');
INSERT INTO vocabulary_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('750', 'a', false, false, '2014-02-08 15:30:23.272565', NULL, '2014-02-08 15:30:23.272565', NULL, 'disabled');
INSERT INTO vocabulary_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('750', 'x', false, true, '2014-02-08 15:30:23.272565', NULL, '2014-02-08 15:30:23.272565', NULL, 'disabled');
INSERT INTO vocabulary_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('750', 'y', false, true, '2014-02-08 15:30:23.272565', NULL, '2014-02-08 15:30:23.272565', NULL, 'disabled');
INSERT INTO vocabulary_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('750', 'z', false, true, '2014-02-08 15:30:23.272565', NULL, '2014-02-08 15:30:23.272565', NULL, 'disabled');
INSERT INTO vocabulary_form_subfields (datafield, subfield, collapsed, repeatable, created, created_by, modified, modified_by, autocomplete_type) VALUES ('913', 'a', false, false, '2014-02-08 15:30:23.272565', NULL, '2014-02-08 15:30:23.272565', NULL, 'disabled');


--
-- TOC entry 2812 (class 0 OID 729708)
-- Dependencies: 240
-- Data for Name: vocabulary_idx_autocomplete; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--



--
-- TOC entry 2813 (class 0 OID 729716)
-- Dependencies: 242
-- Data for Name: vocabulary_idx_fields; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--



--
-- TOC entry 2814 (class 0 OID 729722)
-- Dependencies: 243
-- Data for Name: vocabulary_idx_sort; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--



--
-- TOC entry 2815 (class 0 OID 729728)
-- Dependencies: 244
-- Data for Name: vocabulary_indexing_groups; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--

INSERT INTO vocabulary_indexing_groups (id, translation_key, datafields, sortable, default_sort, created, created_by, modified, modified_by) VALUES (0, 'all', NULL, false, false, '2014-03-04 11:16:16.428', NULL, '2014-03-04 11:16:16.428', NULL);
INSERT INTO vocabulary_indexing_groups (id, translation_key, datafields, sortable, default_sort, created, created_by, modified, modified_by) VALUES (1, 'te_term', '150_a', true, true, '2014-03-04 11:16:31.24', NULL, '2014-03-04 11:16:31.24', NULL);
INSERT INTO vocabulary_indexing_groups (id, translation_key, datafields, sortable, default_sort, created, created_by, modified, modified_by) VALUES (2, 'up_term', '450_a', true, false, '2014-03-04 11:16:48.069', NULL, '2014-03-04 11:16:48.069', NULL);
INSERT INTO vocabulary_indexing_groups (id, translation_key, datafields, sortable, default_sort, created, created_by, modified, modified_by) VALUES (3, 'tg_term', '550_a', true, false, '2014-03-04 11:16:59.899', NULL, '2014-03-04 11:16:59.899', NULL);
INSERT INTO vocabulary_indexing_groups (id, translation_key, datafields, sortable, default_sort, created, created_by, modified, modified_by) VALUES (4, 'vt_ta_term', '360_a', true, false, '2014-03-04 11:17:18.848', NULL, '2014-03-04 11:17:18.848', NULL);


--
-- TOC entry 2816 (class 0 OID 729740)
-- Dependencies: 246
-- Data for Name: vocabulary_records; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--



--
-- TOC entry 2817 (class 0 OID 729751)
-- Dependencies: 248
-- Data for Name: vocabulary_search_results; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--



--
-- TOC entry 2818 (class 0 OID 729754)
-- Dependencies: 249
-- Data for Name: vocabulary_searches; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--



--
-- TOC entry 2819 (class 0 OID 729763)
-- Dependencies: 251
-- Data for Name: z3950_addresses; Type: TABLE DATA; Schema: bib4template; Owner: biblivre
--

INSERT INTO z3950_addresses (id, name, url, port, collection) VALUES (1, 'Universidad de Chile - Santiago, Chile', 'unicornio.uchile.cl', 2200, 'default');
INSERT INTO z3950_addresses (id, name, url, port, collection) VALUES (2, 'Université Laval - Quebec, Canadá', 'ariane2.ulaval.ca', 2200, 'default');
INSERT INTO z3950_addresses (id, name, url, port, collection) VALUES (3, 'Brunel University - Londres, Reino Unido', 'library.brunel.ac.uk', 2200, 'default');
INSERT INTO z3950_addresses (id, name, url, port, collection) VALUES (4, 'Acadia University - Nova Escócia, Canada', 'jasper.acadiau.ca', 2200, 'default');
INSERT INTO z3950_addresses (id, name, url, port, collection) VALUES (5, 'Carnegie Mellon University - Pittsburgh, PA - EUA', 'webcat.library.cmu.edu', 2200, 'unicorn');
INSERT INTO z3950_addresses (id, name, url, port, collection) VALUES (6, 'New York Public Library - EUA', 'catalog.nypl.org', 210, 'INNOPAC');
INSERT INTO z3950_addresses (id, name, url, port, collection) VALUES (7, 'Biblioteca Nacional da Espanha - Madrid', 'sigb.bne.es', 2200, 'default');
INSERT INTO z3950_addresses (id, name, url, port, collection) VALUES (8, 'Library of Congress Online Catalog - EUA', '140.147.249.67', 210, 'LCDB');
INSERT INTO z3950_addresses (id, name, url, port, collection) VALUES (9, 'South University New Orleans, EUA', 'suno.louislibraries.org', 7705, 'default');
INSERT INTO z3950_addresses (id, name, url, port, collection) VALUES (10, 'Penn State University, EUA', 'zcat.libraries.psu.edu', 2200, 'default');
INSERT INTO z3950_addresses (id, name, url, port, collection) VALUES (11, 'The Fletcher School, Tufts University, EUA', 'fletcher.louislibraries.org', 8205, 'default');
INSERT INTO z3950_addresses (id, name, url, port, collection) VALUES (12, 'Univerdidad de Madrid, Espanha', 'marte.biblioteca.upm.es', 2200, 'default');


--
-- TOC entry 2605 (class 2606 OID 729797)
-- Dependencies: 170 170
-- Name: PK_access_cards; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY access_cards
    ADD CONSTRAINT "PK_access_cards" PRIMARY KEY (id);


--
-- TOC entry 2611 (class 2606 OID 729799)
-- Dependencies: 172 172
-- Name: PK_access_control; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY access_control
    ADD CONSTRAINT "PK_access_control" PRIMARY KEY (id);


--
-- TOC entry 2614 (class 2606 OID 729801)
-- Dependencies: 173 173
-- Name: PK_authorities_brief_formats; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY authorities_brief_formats
    ADD CONSTRAINT "PK_authorities_brief_formats" PRIMARY KEY (datafield);


--
-- TOC entry 2616 (class 2606 OID 729803)
-- Dependencies: 174 174
-- Name: PK_authorities_form_datafields; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY authorities_form_datafields
    ADD CONSTRAINT "PK_authorities_form_datafields" PRIMARY KEY (datafield);


--
-- TOC entry 2618 (class 2606 OID 729805)
-- Dependencies: 175 175 175
-- Name: PK_authorities_form_subfields; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY authorities_form_subfields
    ADD CONSTRAINT "PK_authorities_form_subfields" PRIMARY KEY (datafield, subfield);


--
-- TOC entry 2622 (class 2606 OID 729807)
-- Dependencies: 176 176
-- Name: PK_authorities_idx_autocomplete; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY authorities_idx_autocomplete
    ADD CONSTRAINT "PK_authorities_idx_autocomplete" PRIMARY KEY (id);


--
-- TOC entry 2625 (class 2606 OID 729809)
-- Dependencies: 178 178 178 178 178
-- Name: PK_authorities_idx_fields; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY authorities_idx_fields
    ADD CONSTRAINT "PK_authorities_idx_fields" PRIMARY KEY (record_id, indexing_group_id, word, datafield);


--
-- TOC entry 2627 (class 2606 OID 729811)
-- Dependencies: 179 179 179
-- Name: PK_authorities_idx_sort; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY authorities_idx_sort
    ADD CONSTRAINT "PK_authorities_idx_sort" PRIMARY KEY (record_id, indexing_group_id);


--
-- TOC entry 2629 (class 2606 OID 729813)
-- Dependencies: 180 180
-- Name: PK_authorities_indexing_groups; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY authorities_indexing_groups
    ADD CONSTRAINT "PK_authorities_indexing_groups" PRIMARY KEY (id);


--
-- TOC entry 2631 (class 2606 OID 729815)
-- Dependencies: 182 182
-- Name: PK_authorities_records; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY authorities_records
    ADD CONSTRAINT "PK_authorities_records" PRIMARY KEY (id);


--
-- TOC entry 2634 (class 2606 OID 729817)
-- Dependencies: 184 184 184 184
-- Name: PK_authorities_search_results; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY authorities_search_results
    ADD CONSTRAINT "PK_authorities_search_results" PRIMARY KEY (search_id, indexing_group_id, record_id);


--
-- TOC entry 2636 (class 2606 OID 729819)
-- Dependencies: 185 185
-- Name: PK_authorities_searches; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY authorities_searches
    ADD CONSTRAINT "PK_authorities_searches" PRIMARY KEY (id);


--
-- TOC entry 2638 (class 2606 OID 729821)
-- Dependencies: 187 187
-- Name: PK_backups; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY backups
    ADD CONSTRAINT "PK_backups" PRIMARY KEY (id);


--
-- TOC entry 2640 (class 2606 OID 729823)
-- Dependencies: 189 189
-- Name: PK_biblio_brief_formats; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY biblio_brief_formats
    ADD CONSTRAINT "PK_biblio_brief_formats" PRIMARY KEY (datafield);


--
-- TOC entry 2642 (class 2606 OID 729825)
-- Dependencies: 190 190
-- Name: PK_biblio_form_datafields; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY biblio_form_datafields
    ADD CONSTRAINT "PK_biblio_form_datafields" PRIMARY KEY (datafield);


--
-- TOC entry 2644 (class 2606 OID 729827)
-- Dependencies: 191 191 191
-- Name: PK_biblio_form_subfields; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY biblio_form_subfields
    ADD CONSTRAINT "PK_biblio_form_subfields" PRIMARY KEY (datafield, subfield);


--
-- TOC entry 2653 (class 2606 OID 729829)
-- Dependencies: 194 194
-- Name: PK_biblio_idx_autocomplete; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY biblio_idx_autocomplete
    ADD CONSTRAINT "PK_biblio_idx_autocomplete" PRIMARY KEY (id);


--
-- TOC entry 2656 (class 2606 OID 729831)
-- Dependencies: 196 196 196 196 196
-- Name: PK_biblio_idx_fields; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY biblio_idx_fields
    ADD CONSTRAINT "PK_biblio_idx_fields" PRIMARY KEY (record_id, indexing_group_id, word, datafield);


--
-- TOC entry 2658 (class 2606 OID 729833)
-- Dependencies: 197 197 197
-- Name: PK_biblio_idx_sort; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY biblio_idx_sort
    ADD CONSTRAINT "PK_biblio_idx_sort" PRIMARY KEY (record_id, indexing_group_id);


--
-- TOC entry 2660 (class 2606 OID 729835)
-- Dependencies: 198 198
-- Name: PK_biblio_indexing_groups; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY biblio_indexing_groups
    ADD CONSTRAINT "PK_biblio_indexing_groups" PRIMARY KEY (id);


--
-- TOC entry 2662 (class 2606 OID 729837)
-- Dependencies: 200 200
-- Name: PK_biblio_records; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY biblio_records
    ADD CONSTRAINT "PK_biblio_records" PRIMARY KEY (id);


--
-- TOC entry 2665 (class 2606 OID 729839)
-- Dependencies: 202 202 202 202
-- Name: PK_biblio_search_results; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY biblio_search_results
    ADD CONSTRAINT "PK_biblio_search_results" PRIMARY KEY (search_id, indexing_group_id, record_id);


--
-- TOC entry 2667 (class 2606 OID 729841)
-- Dependencies: 203 203
-- Name: PK_biblio_searches; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY biblio_searches
    ADD CONSTRAINT "PK_biblio_searches" PRIMARY KEY (id);


--
-- TOC entry 2669 (class 2606 OID 729843)
-- Dependencies: 205 205
-- Name: PK_configurations; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY configurations
    ADD CONSTRAINT "PK_configurations" PRIMARY KEY (key);


--
-- TOC entry 2671 (class 2606 OID 729845)
-- Dependencies: 206 206
-- Name: PK_digital_media; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY digital_media
    ADD CONSTRAINT "PK_digital_media" PRIMARY KEY (id);


--
-- TOC entry 2673 (class 2606 OID 729847)
-- Dependencies: 208 208
-- Name: PK_holding_creation_counter; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY holding_creation_counter
    ADD CONSTRAINT "PK_holding_creation_counter" PRIMARY KEY (id);


--
-- TOC entry 2675 (class 2606 OID 729849)
-- Dependencies: 210 210
-- Name: PK_holding_form_datafields; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY holding_form_datafields
    ADD CONSTRAINT "PK_holding_form_datafields" PRIMARY KEY (datafield);


--
-- TOC entry 2677 (class 2606 OID 729851)
-- Dependencies: 211 211 211
-- Name: PK_holding_form_subfields; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY holding_form_subfields
    ADD CONSTRAINT "PK_holding_form_subfields" PRIMARY KEY (datafield, subfield);


--
-- TOC entry 2679 (class 2606 OID 729853)
-- Dependencies: 212 212
-- Name: PK_lending_fines; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY lending_fines
    ADD CONSTRAINT "PK_lending_fines" PRIMARY KEY (id);


--
-- TOC entry 2683 (class 2606 OID 729855)
-- Dependencies: 216 216
-- Name: PK_logins; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY logins
    ADD CONSTRAINT "PK_logins" PRIMARY KEY (id);


--
-- TOC entry 2687 (class 2606 OID 729857)
-- Dependencies: 218 218
-- Name: PK_order; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY orders
    ADD CONSTRAINT "PK_order" PRIMARY KEY (id);


--
-- TOC entry 2689 (class 2606 OID 729859)
-- Dependencies: 220 220 220
-- Name: PK_permissions; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY permissions
    ADD CONSTRAINT "PK_permissions" PRIMARY KEY (login_id, permission);


--
-- TOC entry 2691 (class 2606 OID 729861)
-- Dependencies: 222 222
-- Name: PK_quotations; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY quotations
    ADD CONSTRAINT "PK_quotations" PRIMARY KEY (id);


--
-- TOC entry 2695 (class 2606 OID 729863)
-- Dependencies: 225 225
-- Name: PK_request; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY requests
    ADD CONSTRAINT "PK_request" PRIMARY KEY (id);


--
-- TOC entry 2693 (class 2606 OID 729865)
-- Dependencies: 224 224 224
-- Name: PK_request_quotation; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY request_quotation
    ADD CONSTRAINT "PK_request_quotation" PRIMARY KEY (request_id, quotation_id);


--
-- TOC entry 2699 (class 2606 OID 729867)
-- Dependencies: 229 229
-- Name: PK_supplier; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY suppliers
    ADD CONSTRAINT "PK_supplier" PRIMARY KEY (id);


--
-- TOC entry 2701 (class 2606 OID 729869)
-- Dependencies: 230 230 230
-- Name: PK_translations; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY translations
    ADD CONSTRAINT "PK_translations" PRIMARY KEY (language, key);


--
-- TOC entry 2706 (class 2606 OID 729871)
-- Dependencies: 232 232
-- Name: PK_users_fields; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY users_fields
    ADD CONSTRAINT "PK_users_fields" PRIMARY KEY (key);


--
-- TOC entry 2708 (class 2606 OID 729873)
-- Dependencies: 234 234
-- Name: PK_users_types; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY users_types
    ADD CONSTRAINT "PK_users_types" PRIMARY KEY (id);


--
-- TOC entry 2710 (class 2606 OID 729875)
-- Dependencies: 236 236 236
-- Name: PK_users_values; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY users_values
    ADD CONSTRAINT "PK_users_values" PRIMARY KEY (user_id, key);


--
-- TOC entry 2712 (class 2606 OID 729877)
-- Dependencies: 237 237
-- Name: PK_vocabulary_brief_formats; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY vocabulary_brief_formats
    ADD CONSTRAINT "PK_vocabulary_brief_formats" PRIMARY KEY (datafield);


--
-- TOC entry 2714 (class 2606 OID 729879)
-- Dependencies: 238 238
-- Name: PK_vocabulary_form_datafields; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY vocabulary_form_datafields
    ADD CONSTRAINT "PK_vocabulary_form_datafields" PRIMARY KEY (datafield);


--
-- TOC entry 2716 (class 2606 OID 729881)
-- Dependencies: 239 239 239
-- Name: PK_vocabulary_form_subfields; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY vocabulary_form_subfields
    ADD CONSTRAINT "PK_vocabulary_form_subfields" PRIMARY KEY (datafield, subfield);


--
-- TOC entry 2720 (class 2606 OID 729883)
-- Dependencies: 240 240
-- Name: PK_vocabulary_idx_autocomplete; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY vocabulary_idx_autocomplete
    ADD CONSTRAINT "PK_vocabulary_idx_autocomplete" PRIMARY KEY (id);


--
-- TOC entry 2723 (class 2606 OID 729885)
-- Dependencies: 242 242 242 242 242
-- Name: PK_vocabulary_idx_fields; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY vocabulary_idx_fields
    ADD CONSTRAINT "PK_vocabulary_idx_fields" PRIMARY KEY (record_id, indexing_group_id, word, datafield);


--
-- TOC entry 2725 (class 2606 OID 729887)
-- Dependencies: 243 243 243
-- Name: PK_vocabulary_idx_sort; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY vocabulary_idx_sort
    ADD CONSTRAINT "PK_vocabulary_idx_sort" PRIMARY KEY (record_id, indexing_group_id);


--
-- TOC entry 2727 (class 2606 OID 729889)
-- Dependencies: 244 244
-- Name: PK_vocabulary_indexing_groups; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY vocabulary_indexing_groups
    ADD CONSTRAINT "PK_vocabulary_indexing_groups" PRIMARY KEY (id);


--
-- TOC entry 2729 (class 2606 OID 729891)
-- Dependencies: 246 246
-- Name: PK_vocabulary_records; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY vocabulary_records
    ADD CONSTRAINT "PK_vocabulary_records" PRIMARY KEY (id);


--
-- TOC entry 2732 (class 2606 OID 729893)
-- Dependencies: 248 248 248 248
-- Name: PK_vocabulary_search_results; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY vocabulary_search_results
    ADD CONSTRAINT "PK_vocabulary_search_results" PRIMARY KEY (search_id, indexing_group_id, record_id);


--
-- TOC entry 2734 (class 2606 OID 729895)
-- Dependencies: 249 249
-- Name: PK_vocabulary_searches; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY vocabulary_searches
    ADD CONSTRAINT "PK_vocabulary_searches" PRIMARY KEY (id);


--
-- TOC entry 2736 (class 2606 OID 729897)
-- Dependencies: 251 251
-- Name: PK_z3950_addresses; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY z3950_addresses
    ADD CONSTRAINT "PK_z3950_addresses" PRIMARY KEY (id);


--
-- TOC entry 2607 (class 2606 OID 729899)
-- Dependencies: 170 170
-- Name: UN_access_cards; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY access_cards
    ADD CONSTRAINT "UN_access_cards" UNIQUE (code);


--
-- TOC entry 2685 (class 2606 OID 729901)
-- Dependencies: 216 216
-- Name: UN_logins; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY logins
    ADD CONSTRAINT "UN_logins" UNIQUE (login);


--
-- TOC entry 2649 (class 2606 OID 729903)
-- Dependencies: 192 192
-- Name: pk_biblio_holdings; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY biblio_holdings
    ADD CONSTRAINT pk_biblio_holdings PRIMARY KEY (id);


--
-- TOC entry 2681 (class 2606 OID 729905)
-- Dependencies: 214 214
-- Name: pk_lendings; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY lendings
    ADD CONSTRAINT pk_lendings PRIMARY KEY (id);


--
-- TOC entry 2697 (class 2606 OID 729907)
-- Dependencies: 226 226
-- Name: pk_reservations; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY reservations
    ADD CONSTRAINT pk_reservations PRIMARY KEY (id);


--
-- TOC entry 2704 (class 2606 OID 729909)
-- Dependencies: 231 231
-- Name: users_pkey; Type: CONSTRAINT; Schema: bib4template; Owner: biblivre; Tablespace: 
--

ALTER TABLE ONLY users
    ADD CONSTRAINT users_pkey PRIMARY KEY (id);


--
-- TOC entry 2608 (class 1259 OID 729910)
-- Dependencies: 172
-- Name: FKI_access_control_access_cards; Type: INDEX; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE INDEX "FKI_access_control_access_cards" ON access_control USING btree (access_card_id);


--
-- TOC entry 2609 (class 1259 OID 729911)
-- Dependencies: 172
-- Name: FKI_access_control_users; Type: INDEX; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE INDEX "FKI_access_control_users" ON access_control USING btree (user_id);


--
-- TOC entry 2619 (class 1259 OID 729912)
-- Dependencies: 176
-- Name: IX_authorities_idx_autocomplete_record_id; Type: INDEX; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE INDEX "IX_authorities_idx_autocomplete_record_id" ON authorities_idx_autocomplete USING btree (record_id);


--
-- TOC entry 2620 (class 1259 OID 729913)
-- Dependencies: 176 176 176
-- Name: IX_authorities_idx_autocomplete_word; Type: INDEX; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE INDEX "IX_authorities_idx_autocomplete_word" ON authorities_idx_autocomplete USING btree (datafield, subfield, word varchar_pattern_ops);


--
-- TOC entry 2623 (class 1259 OID 729914)
-- Dependencies: 178
-- Name: IX_authorities_idx_fields_word; Type: INDEX; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE INDEX "IX_authorities_idx_fields_word" ON authorities_idx_fields USING btree (word varchar_pattern_ops);


--
-- TOC entry 2632 (class 1259 OID 729915)
-- Dependencies: 184 184
-- Name: IX_authorities_search_results; Type: INDEX; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE INDEX "IX_authorities_search_results" ON authorities_search_results USING btree (search_id, record_id);


--
-- TOC entry 2645 (class 1259 OID 729916)
-- Dependencies: 192
-- Name: IX_biblio_holdings_accession_number; Type: INDEX; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE UNIQUE INDEX "IX_biblio_holdings_accession_number" ON biblio_holdings USING btree (accession_number);


--
-- TOC entry 2646 (class 1259 OID 729917)
-- Dependencies: 192 192
-- Name: IX_biblio_holdings_biblio_record; Type: INDEX; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE INDEX "IX_biblio_holdings_biblio_record" ON biblio_holdings USING btree (record_id, database);


--
-- TOC entry 2647 (class 1259 OID 729918)
-- Dependencies: 192 192
-- Name: IX_biblio_holdings_location_d; Type: INDEX; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE INDEX "IX_biblio_holdings_location_d" ON biblio_holdings USING btree (record_id, location_d);


--
-- TOC entry 2650 (class 1259 OID 729919)
-- Dependencies: 194
-- Name: IX_biblio_idx_autocomplete_record_id; Type: INDEX; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE INDEX "IX_biblio_idx_autocomplete_record_id" ON biblio_idx_autocomplete USING btree (record_id);


--
-- TOC entry 2651 (class 1259 OID 729920)
-- Dependencies: 194 194 194
-- Name: IX_biblio_idx_autocomplete_word; Type: INDEX; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE INDEX "IX_biblio_idx_autocomplete_word" ON biblio_idx_autocomplete USING btree (datafield, subfield, word varchar_pattern_ops);


--
-- TOC entry 2654 (class 1259 OID 729921)
-- Dependencies: 196
-- Name: IX_biblio_idx_fields_word; Type: INDEX; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE INDEX "IX_biblio_idx_fields_word" ON biblio_idx_fields USING btree (word varchar_pattern_ops);


--
-- TOC entry 2663 (class 1259 OID 729922)
-- Dependencies: 202 202
-- Name: IX_biblio_search_results; Type: INDEX; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE INDEX "IX_biblio_search_results" ON biblio_search_results USING btree (search_id, record_id);


--
-- TOC entry 2702 (class 1259 OID 729923)
-- Dependencies: 231
-- Name: IX_users_name; Type: INDEX; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE INDEX "IX_users_name" ON users USING btree (name varchar_pattern_ops);


--
-- TOC entry 2717 (class 1259 OID 729924)
-- Dependencies: 240
-- Name: IX_vocabulary_idx_autocomplete_record_id; Type: INDEX; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE INDEX "IX_vocabulary_idx_autocomplete_record_id" ON vocabulary_idx_autocomplete USING btree (record_id);


--
-- TOC entry 2718 (class 1259 OID 729925)
-- Dependencies: 240 240 240
-- Name: IX_vocabulary_idx_autocomplete_word; Type: INDEX; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE INDEX "IX_vocabulary_idx_autocomplete_word" ON vocabulary_idx_autocomplete USING btree (datafield, subfield, word varchar_pattern_ops);


--
-- TOC entry 2721 (class 1259 OID 729926)
-- Dependencies: 242
-- Name: IX_vocabulary_idx_fields_word; Type: INDEX; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE INDEX "IX_vocabulary_idx_fields_word" ON vocabulary_idx_fields USING btree (word varchar_pattern_ops);


--
-- TOC entry 2730 (class 1259 OID 729927)
-- Dependencies: 248 248
-- Name: IX_vocabulary_search_results; Type: INDEX; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE INDEX "IX_vocabulary_search_results" ON vocabulary_search_results USING btree (search_id, record_id);


--
-- TOC entry 2612 (class 1259 OID 729928)
-- Dependencies: 172 172
-- Name: ix_access_control_departure_time_user_id; Type: INDEX; Schema: bib4template; Owner: biblivre; Tablespace: 
--

CREATE INDEX ix_access_control_departure_time_user_id ON access_control USING btree (departure_time, user_id);


--
-- TOC entry 2758 (class 2620 OID 729929)
-- Dependencies: 268 180
-- Name: TRIGGER_clear_authorities_indexing_type; Type: TRIGGER; Schema: bib4template; Owner: biblivre
--

CREATE TRIGGER "TRIGGER_clear_authorities_indexing_type" AFTER DELETE ON authorities_indexing_groups FOR EACH ROW EXECUTE PROCEDURE clear_indexing_type('authorities');


--
-- TOC entry 2759 (class 2620 OID 729930)
-- Dependencies: 269 182
-- Name: TRIGGER_clear_authorities_record; Type: TRIGGER; Schema: bib4template; Owner: biblivre
--

CREATE TRIGGER "TRIGGER_clear_authorities_record" AFTER DELETE ON authorities_records FOR EACH ROW EXECUTE PROCEDURE clear_record('authorities');


--
-- TOC entry 2760 (class 2620 OID 729931)
-- Dependencies: 268 198
-- Name: TRIGGER_clear_biblio_indexing_type; Type: TRIGGER; Schema: bib4template; Owner: biblivre
--

CREATE TRIGGER "TRIGGER_clear_biblio_indexing_type" AFTER DELETE ON biblio_indexing_groups FOR EACH ROW EXECUTE PROCEDURE clear_indexing_type('biblio');


--
-- TOC entry 2761 (class 2620 OID 729932)
-- Dependencies: 200 269
-- Name: TRIGGER_clear_biblio_record; Type: TRIGGER; Schema: bib4template; Owner: biblivre
--

CREATE TRIGGER "TRIGGER_clear_biblio_record" AFTER DELETE ON biblio_records FOR EACH ROW EXECUTE PROCEDURE clear_record('biblio');


--
-- TOC entry 2763 (class 2620 OID 729933)
-- Dependencies: 268 244
-- Name: TRIGGER_clear_vocabulary_indexing_type; Type: TRIGGER; Schema: bib4template; Owner: biblivre
--

CREATE TRIGGER "TRIGGER_clear_vocabulary_indexing_type" AFTER DELETE ON vocabulary_indexing_groups FOR EACH ROW EXECUTE PROCEDURE clear_indexing_type('vocabulary');


--
-- TOC entry 2764 (class 2620 OID 729934)
-- Dependencies: 246 269
-- Name: TRIGGER_clear_vocabulary_record; Type: TRIGGER; Schema: bib4template; Owner: biblivre
--

CREATE TRIGGER "TRIGGER_clear_vocabulary_record" AFTER DELETE ON vocabulary_records FOR EACH ROW EXECUTE PROCEDURE clear_record('vocabulary');


--
-- TOC entry 2762 (class 2620 OID 729935)
-- Dependencies: 265 206
-- Name: TRIGGER_digital_media_lo; Type: TRIGGER; Schema: bib4template; Owner: biblivre
--

CREATE TRIGGER "TRIGGER_digital_media_lo" BEFORE DELETE ON digital_media FOR EACH ROW EXECUTE PROCEDURE global.unlink();


--
-- TOC entry 2737 (class 2606 OID 729936)
-- Dependencies: 170 172 2604
-- Name: FK_access_control_access_cards; Type: FK CONSTRAINT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY access_control
    ADD CONSTRAINT "FK_access_control_access_cards" FOREIGN KEY (access_card_id) REFERENCES access_cards(id) ON DELETE CASCADE;


--
-- TOC entry 2738 (class 2606 OID 729941)
-- Dependencies: 231 2703 172
-- Name: FK_access_control_users; Type: FK CONSTRAINT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY access_control
    ADD CONSTRAINT "FK_access_control_users" FOREIGN KEY (user_id) REFERENCES users(id) ON DELETE CASCADE;


--
-- TOC entry 2739 (class 2606 OID 729946)
-- Dependencies: 2615 174 175
-- Name: FK_authorities_form_subfields_authorities_form_datafields; Type: FK CONSTRAINT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY authorities_form_subfields
    ADD CONSTRAINT "FK_authorities_form_subfields_authorities_form_datafields" FOREIGN KEY (datafield) REFERENCES authorities_form_datafields(datafield) ON DELETE CASCADE;


--
-- TOC entry 2740 (class 2606 OID 729951)
-- Dependencies: 2641 191 190
-- Name: FK_biblio_form_subfields_biblio_form_datafields; Type: FK CONSTRAINT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY biblio_form_subfields
    ADD CONSTRAINT "FK_biblio_form_subfields_biblio_form_datafields" FOREIGN KEY (datafield) REFERENCES biblio_form_datafields(datafield) ON DELETE CASCADE;


--
-- TOC entry 2742 (class 2606 OID 729956)
-- Dependencies: 211 2674 210
-- Name: FK_holding_form_subfields_holding_form_datafields; Type: FK CONSTRAINT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY holding_form_subfields
    ADD CONSTRAINT "FK_holding_form_subfields_holding_form_datafields" FOREIGN KEY (datafield) REFERENCES holding_form_datafields(datafield) ON DELETE CASCADE;


--
-- TOC entry 2743 (class 2606 OID 729961)
-- Dependencies: 212 214 2680
-- Name: FK_lending_fines_lendings; Type: FK CONSTRAINT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY lending_fines
    ADD CONSTRAINT "FK_lending_fines_lendings" FOREIGN KEY (lending_id) REFERENCES lendings(id) ON DELETE CASCADE;


--
-- TOC entry 2744 (class 2606 OID 729966)
-- Dependencies: 2703 231 212
-- Name: FK_lending_fines_users; Type: FK CONSTRAINT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY lending_fines
    ADD CONSTRAINT "FK_lending_fines_users" FOREIGN KEY (user_id) REFERENCES users(id) ON DELETE CASCADE;


--
-- TOC entry 2749 (class 2606 OID 729971)
-- Dependencies: 216 2682 220
-- Name: FK_permissions_logins; Type: FK CONSTRAINT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY permissions
    ADD CONSTRAINT "FK_permissions_logins" FOREIGN KEY (login_id) REFERENCES logins(id) ON DELETE CASCADE;


--
-- TOC entry 2750 (class 2606 OID 729976)
-- Dependencies: 229 2698 222
-- Name: FK_quotations_suppliers; Type: FK CONSTRAINT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY quotations
    ADD CONSTRAINT "FK_quotations_suppliers" FOREIGN KEY (supplier_id) REFERENCES suppliers(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 2751 (class 2606 OID 729981)
-- Dependencies: 222 224 2690
-- Name: FK_request_quotation_quotations; Type: FK CONSTRAINT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY request_quotation
    ADD CONSTRAINT "FK_request_quotation_quotations" FOREIGN KEY (quotation_id) REFERENCES quotations(id) ON DELETE CASCADE;


--
-- TOC entry 2752 (class 2606 OID 729986)
-- Dependencies: 225 224 2694
-- Name: FK_request_quotation_requests; Type: FK CONSTRAINT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY request_quotation
    ADD CONSTRAINT "FK_request_quotation_requests" FOREIGN KEY (request_id) REFERENCES requests(id) ON DELETE CASCADE;


--
-- TOC entry 2755 (class 2606 OID 729991)
-- Dependencies: 236 2703 231
-- Name: FK_users_values_users; Type: FK CONSTRAINT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY users_values
    ADD CONSTRAINT "FK_users_values_users" FOREIGN KEY (user_id) REFERENCES users(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 2756 (class 2606 OID 729996)
-- Dependencies: 236 232 2705
-- Name: FK_users_values_users_fields; Type: FK CONSTRAINT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY users_values
    ADD CONSTRAINT "FK_users_values_users_fields" FOREIGN KEY (key) REFERENCES users_fields(key) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 2757 (class 2606 OID 730001)
-- Dependencies: 238 2713 239
-- Name: FK_vocabulary_form_subfields_vocabulary_form_datafields; Type: FK CONSTRAINT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY vocabulary_form_subfields
    ADD CONSTRAINT "FK_vocabulary_form_subfields_vocabulary_form_datafields" FOREIGN KEY (datafield) REFERENCES vocabulary_form_datafields(datafield) ON DELETE CASCADE;


--
-- TOC entry 2748 (class 2606 OID 730205)
-- Dependencies: 2690 222 218
-- Name: PK_orders_quotations; Type: FK CONSTRAINT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY orders
    ADD CONSTRAINT "FK_orders_quotations" FOREIGN KEY (quotation_id) REFERENCES quotations(id) ON UPDATE CASCADE ON DELETE CASCADE;


--
-- TOC entry 2741 (class 2606 OID 730011)
-- Dependencies: 200 2661 192
-- Name: fk_biblio_holdings_biblio_records; Type: FK CONSTRAINT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY biblio_holdings
    ADD CONSTRAINT fk_biblio_holdings_biblio_records FOREIGN KEY (record_id) REFERENCES biblio_records(id) ON DELETE CASCADE;


--
-- TOC entry 2745 (class 2606 OID 730016)
-- Dependencies: 2648 192 214
-- Name: fk_lendings_biblio_holdings; Type: FK CONSTRAINT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY lendings
    ADD CONSTRAINT fk_lendings_biblio_holdings FOREIGN KEY (holding_id) REFERENCES biblio_holdings(id) ON DELETE CASCADE;


--
-- TOC entry 2746 (class 2606 OID 730021)
-- Dependencies: 214 214 2680
-- Name: fk_lendings_lendings; Type: FK CONSTRAINT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY lendings
    ADD CONSTRAINT fk_lendings_lendings FOREIGN KEY (previous_lending_id) REFERENCES lendings(id) ON DELETE CASCADE;


--
-- TOC entry 2747 (class 2606 OID 730026)
-- Dependencies: 2703 231 214
-- Name: fk_lendings_users; Type: FK CONSTRAINT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY lendings
    ADD CONSTRAINT fk_lendings_users FOREIGN KEY (user_id) REFERENCES users(id) ON DELETE CASCADE;


--
-- TOC entry 2753 (class 2606 OID 730031)
-- Dependencies: 231 226 2703
-- Name: fk_lendings_users; Type: FK CONSTRAINT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY reservations
    ADD CONSTRAINT fk_lendings_users FOREIGN KEY (user_id) REFERENCES users(id) ON DELETE CASCADE;


--
-- TOC entry 2754 (class 2606 OID 730036)
-- Dependencies: 226 200 2661
-- Name: fk_reservations_biblio_records; Type: FK CONSTRAINT; Schema: bib4template; Owner: biblivre
--

ALTER TABLE ONLY reservations
    ADD CONSTRAINT fk_reservations_biblio_records FOREIGN KEY (record_id) REFERENCES biblio_records(id) ON DELETE CASCADE;


--
-- TOC entry 2415 (class 0 OID 0)
-- Dependencies: 195
-- Name: biblio_idx_autocomplete_id_seq; Type: SEQUENCE SET; Schema: single; Owner: biblivre
--

SELECT pg_catalog.setval('biblio_idx_autocomplete_id_seq', 5103, false);


--
-- TOC entry 2412 (class 0 OID 753973)
-- Dependencies: 194
-- Data for Name: biblio_idx_autocomplete; Type: TABLE DATA; Schema: single; Owner: biblivre
--

INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2, '095', 'a', '1.00.00.00-3', '1.00.00.00-3 Ciências Exatas e da Terra', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3, '095', 'a', 'ciencias', '1.00.00.00-3 Ciências Exatas e da Terra', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4, '095', 'a', 'exatas', '1.00.00.00-3 Ciências Exatas e da Terra', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5, '095', 'a', 'da', '1.00.00.00-3 Ciências Exatas e da Terra', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (6, '095', 'a', 'terra', '1.00.00.00-3 Ciências Exatas e da Terra', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (7, '095', 'a', '1.01.00.00-8', '1.01.00.00-8 Matemática', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (8, '095', 'a', 'matematica', '1.01.00.00-8 Matemática', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (9, '095', 'a', '1.01.01.00-4', '1.01.01.00-4 Álgebra', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (10, '095', 'a', 'algebra', '1.01.01.00-4 Álgebra', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (11, '095', 'a', '1.01.01.01-2', '1.01.01.01-2 Conjuntos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (12, '095', 'a', 'conjuntos', '1.01.01.01-2 Conjuntos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (13, '095', 'a', '1.01.01.02-0', '1.01.01.02-0 Lógica Matemática', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (14, '095', 'a', 'logica', '1.01.01.02-0 Lógica Matemática', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (15, '095', 'a', 'matematica', '1.01.01.02-0 Lógica Matemática', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (16, '095', 'a', '1.01.01.03-9', '1.01.01.03-9 Teoria dos Números', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (17, '095', 'a', 'teoria', '1.01.01.03-9 Teoria dos Números', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (18, '095', 'a', 'dos', '1.01.01.03-9 Teoria dos Números', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (19, '095', 'a', 'numeros', '1.01.01.03-9 Teoria dos Números', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (20, '095', 'a', '1.01.01.04-7', '1.01.01.04-7 Grupos de Algebra Não-Comutaviva', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (21, '095', 'a', 'grupos', '1.01.01.04-7 Grupos de Algebra Não-Comutaviva', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (22, '095', 'a', 'de', '1.01.01.04-7 Grupos de Algebra Não-Comutaviva', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (23, '095', 'a', 'algebra', '1.01.01.04-7 Grupos de Algebra Não-Comutaviva', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (24, '095', 'a', 'nao-comutaviva', '1.01.01.04-7 Grupos de Algebra Não-Comutaviva', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (25, '095', 'a', '1.01.01.05-5', '1.01.01.05-5 Algebra Comutativa', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (26, '095', 'a', 'algebra', '1.01.01.05-5 Algebra Comutativa', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (27, '095', 'a', 'comutativa', '1.01.01.05-5 Algebra Comutativa', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (28, '095', 'a', '1.01.01.06-3', '1.01.01.06-3 Geometria Algebrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (29, '095', 'a', 'geometria', '1.01.01.06-3 Geometria Algebrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (30, '095', 'a', 'algebrica', '1.01.01.06-3 Geometria Algebrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (31, '095', 'a', '1.01.02.00-0', '1.01.02.00-0 Análise', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (32, '095', 'a', 'analise', '1.01.02.00-0 Análise', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (33, '095', 'a', '1.01.02.01-9', '1.01.02.01-9 Análise Complexa', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (34, '095', 'a', 'analise', '1.01.02.01-9 Análise Complexa', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (35, '095', 'a', 'complexa', '1.01.02.01-9 Análise Complexa', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (36, '095', 'a', '1.01.02.02-7', '1.01.02.02-7 Análise Funcional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (37, '095', 'a', 'analise', '1.01.02.02-7 Análise Funcional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (38, '095', 'a', 'funcional', '1.01.02.02-7 Análise Funcional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (39, '095', 'a', '1.01.02.03-5', '1.01.02.03-5 Análise Funcional Não-Linear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (40, '095', 'a', 'analise', '1.01.02.03-5 Análise Funcional Não-Linear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (41, '095', 'a', 'funcional', '1.01.02.03-5 Análise Funcional Não-Linear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (42, '095', 'a', 'nao-linear', '1.01.02.03-5 Análise Funcional Não-Linear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (43, '095', 'a', '1.01.02.04-3', '1.01.02.04-3 Equações Diferênciais Ordinárias', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (44, '095', 'a', 'equacoes', '1.01.02.04-3 Equações Diferênciais Ordinárias', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (45, '095', 'a', 'diferenciais', '1.01.02.04-3 Equações Diferênciais Ordinárias', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (46, '095', 'a', 'ordinarias', '1.01.02.04-3 Equações Diferênciais Ordinárias', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (47, '095', 'a', '1.01.02.05-1', '1.01.02.05-1 Equações Diferênciais Parciais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (48, '095', 'a', 'equacoes', '1.01.02.05-1 Equações Diferênciais Parciais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (49, '095', 'a', 'diferenciais', '1.01.02.05-1 Equações Diferênciais Parciais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (50, '095', 'a', 'parciais', '1.01.02.05-1 Equações Diferênciais Parciais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (51, '095', 'a', '1.01.02.06-0', '1.01.02.06-0 Equações Diferênciais Funcionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (52, '095', 'a', 'equacoes', '1.01.02.06-0 Equações Diferênciais Funcionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (53, '095', 'a', 'diferenciais', '1.01.02.06-0 Equações Diferênciais Funcionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (54, '095', 'a', 'funcionais', '1.01.02.06-0 Equações Diferênciais Funcionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (55, '095', 'a', '1.01.03.00-7', '1.01.03.00-7 Geometria e Topologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (56, '095', 'a', 'geometria', '1.01.03.00-7 Geometria e Topologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (57, '095', 'a', 'topologia', '1.01.03.00-7 Geometria e Topologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (58, '095', 'a', '1.01.03.01-5', '1.01.03.01-5 Geometria Diferêncial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (59, '095', 'a', 'geometria', '1.01.03.01-5 Geometria Diferêncial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (60, '095', 'a', 'diferencial', '1.01.03.01-5 Geometria Diferêncial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (61, '095', 'a', '1.01.03.02-3', '1.01.03.02-3 Topologia Algébrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (62, '095', 'a', 'topologia', '1.01.03.02-3 Topologia Algébrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (63, '095', 'a', 'algebrica', '1.01.03.02-3 Topologia Algébrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (64, '095', 'a', '1.01.03.03-1', '1.01.03.03-1 Topologia das Variedades', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (65, '095', 'a', 'topologia', '1.01.03.03-1 Topologia das Variedades', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (66, '095', 'a', 'das', '1.01.03.03-1 Topologia das Variedades', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (67, '095', 'a', 'variedades', '1.01.03.03-1 Topologia das Variedades', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (68, '095', 'a', '1.01.03.04-0', '1.01.03.04-0 Sistemas Dinâmicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (69, '095', 'a', 'sistemas', '1.01.03.04-0 Sistemas Dinâmicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (70, '095', 'a', 'dinamicos', '1.01.03.04-0 Sistemas Dinâmicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (71, '095', 'a', '1.01.03.05-8', '1.01.03.05-8 Teoria das Singularidades e Teoria das Catástrofes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (72, '095', 'a', 'teoria', '1.01.03.05-8 Teoria das Singularidades e Teoria das Catástrofes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (73, '095', 'a', 'das', '1.01.03.05-8 Teoria das Singularidades e Teoria das Catástrofes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (74, '095', 'a', 'singularidades', '1.01.03.05-8 Teoria das Singularidades e Teoria das Catástrofes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (75, '095', 'a', 'teoria', '1.01.03.05-8 Teoria das Singularidades e Teoria das Catástrofes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (76, '095', 'a', 'das', '1.01.03.05-8 Teoria das Singularidades e Teoria das Catástrofes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (77, '095', 'a', 'catastrofes', '1.01.03.05-8 Teoria das Singularidades e Teoria das Catástrofes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (78, '095', 'a', '1.01.03.06-6', '1.01.03.06-6 Teoria das Folheações', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (79, '095', 'a', 'teoria', '1.01.03.06-6 Teoria das Folheações', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (80, '095', 'a', 'das', '1.01.03.06-6 Teoria das Folheações', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (81, '095', 'a', 'folheacoes', '1.01.03.06-6 Teoria das Folheações', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (82, '095', 'a', '1.01.04.00-3', '1.01.04.00-3 Matemática Aplicada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (83, '095', 'a', 'matematica', '1.01.04.00-3 Matemática Aplicada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (84, '095', 'a', 'aplicada', '1.01.04.00-3 Matemática Aplicada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (85, '095', 'a', '1.01.04.01-1', '1.01.04.01-1 Física Matemática', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (86, '095', 'a', 'fisica', '1.01.04.01-1 Física Matemática', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (87, '095', 'a', 'matematica', '1.01.04.01-1 Física Matemática', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (88, '095', 'a', '1.01.04.02-0', '1.01.04.02-0 Análise Numérica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (89, '095', 'a', 'analise', '1.01.04.02-0 Análise Numérica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (90, '095', 'a', 'numerica', '1.01.04.02-0 Análise Numérica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (91, '095', 'a', '1.01.04.03-8', '1.01.04.03-8 Matemática Discreta e Combinatoria', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (92, '095', 'a', 'matematica', '1.01.04.03-8 Matemática Discreta e Combinatoria', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (93, '095', 'a', 'discreta', '1.01.04.03-8 Matemática Discreta e Combinatoria', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (94, '095', 'a', 'combinatoria', '1.01.04.03-8 Matemática Discreta e Combinatoria', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (95, '095', 'a', '1.02.00.00-2', '1.02.00.00-2 Probabilidade e Estatística', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (96, '095', 'a', 'probabilidade', '1.02.00.00-2 Probabilidade e Estatística', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (97, '095', 'a', 'estatistica', '1.02.00.00-2 Probabilidade e Estatística', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (98, '095', 'a', '1.02.01.00-9', '1.02.01.00-9 Probabilidade', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (99, '095', 'a', 'probabilidade', '1.02.01.00-9 Probabilidade', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (100, '095', 'a', '1.02.01.01-7', '1.02.01.01-7 Teoria Geral e Fundamentos da Probabilidade', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (101, '095', 'a', 'teoria', '1.02.01.01-7 Teoria Geral e Fundamentos da Probabilidade', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (102, '095', 'a', 'geral', '1.02.01.01-7 Teoria Geral e Fundamentos da Probabilidade', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (103, '095', 'a', 'fundamentos', '1.02.01.01-7 Teoria Geral e Fundamentos da Probabilidade', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (104, '095', 'a', 'da', '1.02.01.01-7 Teoria Geral e Fundamentos da Probabilidade', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (105, '095', 'a', 'probabilidade', '1.02.01.01-7 Teoria Geral e Fundamentos da Probabilidade', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (106, '095', 'a', '1.02.01.02-5', '1.02.01.02-5 Teoria Geral e Processos Estocásticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (107, '095', 'a', 'teoria', '1.02.01.02-5 Teoria Geral e Processos Estocásticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (108, '095', 'a', 'geral', '1.02.01.02-5 Teoria Geral e Processos Estocásticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (109, '095', 'a', 'processos', '1.02.01.02-5 Teoria Geral e Processos Estocásticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (110, '095', 'a', 'estocasticos', '1.02.01.02-5 Teoria Geral e Processos Estocásticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (111, '095', 'a', '1.02.01.03-3', '1.02.01.03-3 Teoremas de Limite', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (112, '095', 'a', 'teoremas', '1.02.01.03-3 Teoremas de Limite', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (113, '095', 'a', 'de', '1.02.01.03-3 Teoremas de Limite', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (114, '095', 'a', 'limite', '1.02.01.03-3 Teoremas de Limite', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (115, '095', 'a', '1.02.01.04-1', '1.02.01.04-1 Processos Markovianos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (116, '095', 'a', 'processos', '1.02.01.04-1 Processos Markovianos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (117, '095', 'a', 'markovianos', '1.02.01.04-1 Processos Markovianos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (118, '095', 'a', '1.02.01.05-0', '1.02.01.05-0 Análise Estocástica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (119, '095', 'a', 'analise', '1.02.01.05-0 Análise Estocástica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (120, '095', 'a', 'estocastica', '1.02.01.05-0 Análise Estocástica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (121, '095', 'a', '1.02.01.06-8', '1.02.01.06-8 Processos Estocásticos Especiais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (122, '095', 'a', 'processos', '1.02.01.06-8 Processos Estocásticos Especiais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (123, '095', 'a', 'estocasticos', '1.02.01.06-8 Processos Estocásticos Especiais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (124, '095', 'a', 'especiais', '1.02.01.06-8 Processos Estocásticos Especiais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (125, '095', 'a', '1.02.02.00-5', '1.02.02.00-5 Estatística', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (126, '095', 'a', 'estatistica', '1.02.02.00-5 Estatística', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (127, '095', 'a', '1.02.02.01-3', '1.02.02.01-3 Fundamentos da Estatística', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (128, '095', 'a', 'fundamentos', '1.02.02.01-3 Fundamentos da Estatística', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (129, '095', 'a', 'da', '1.02.02.01-3 Fundamentos da Estatística', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (130, '095', 'a', 'estatistica', '1.02.02.01-3 Fundamentos da Estatística', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (131, '095', 'a', '1.02.02.02-1', '1.02.02.02-1 Inferência Paramétrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (132, '095', 'a', 'inferencia', '1.02.02.02-1 Inferência Paramétrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (133, '095', 'a', 'parametrica', '1.02.02.02-1 Inferência Paramétrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (134, '095', 'a', '1.02.02.03-0', '1.02.02.03-0 Inferência Nao-Paramétrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (135, '095', 'a', 'inferencia', '1.02.02.03-0 Inferência Nao-Paramétrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (136, '095', 'a', 'nao-parametrica', '1.02.02.03-0 Inferência Nao-Paramétrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (137, '095', 'a', '1.02.02.04-8', '1.02.02.04-8 Inferência em Processos Estocásticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (138, '095', 'a', 'inferencia', '1.02.02.04-8 Inferência em Processos Estocásticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (139, '095', 'a', 'em', '1.02.02.04-8 Inferência em Processos Estocásticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (140, '095', 'a', 'processos', '1.02.02.04-8 Inferência em Processos Estocásticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (141, '095', 'a', 'estocasticos', '1.02.02.04-8 Inferência em Processos Estocásticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (142, '095', 'a', '1.02.02.05-6', '1.02.02.05-6 Análise Multivariada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (143, '095', 'a', 'analise', '1.02.02.05-6 Análise Multivariada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (144, '095', 'a', 'multivariada', '1.02.02.05-6 Análise Multivariada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (145, '095', 'a', '1.02.02.06-4', '1.02.02.06-4 Regressão e Correlação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (146, '095', 'a', 'regressao', '1.02.02.06-4 Regressão e Correlação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (147, '095', 'a', 'correlacao', '1.02.02.06-4 Regressão e Correlação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (148, '095', 'a', '1.02.02.07-2', '1.02.02.07-2 Planejamento de Experimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (149, '095', 'a', 'planejamento', '1.02.02.07-2 Planejamento de Experimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (150, '095', 'a', 'de', '1.02.02.07-2 Planejamento de Experimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (151, '095', 'a', 'experimentos', '1.02.02.07-2 Planejamento de Experimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (152, '095', 'a', '1.02.02.08-0', '1.02.02.08-0 Análise de Dados', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (153, '095', 'a', 'analise', '1.02.02.08-0 Análise de Dados', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (154, '095', 'a', 'de', '1.02.02.08-0 Análise de Dados', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (155, '095', 'a', 'dados', '1.02.02.08-0 Análise de Dados', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (156, '095', 'a', '1.02.03.00-1', '1.02.03.00-1 Probabilidade e Estatística Aplicadas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (157, '095', 'a', 'probabilidade', '1.02.03.00-1 Probabilidade e Estatística Aplicadas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (158, '095', 'a', 'estatistica', '1.02.03.00-1 Probabilidade e Estatística Aplicadas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (159, '095', 'a', 'aplicadas', '1.02.03.00-1 Probabilidade e Estatística Aplicadas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (160, '095', 'a', '1.03.00.00-7', '1.03.00.00-7 Ciência da Computação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (161, '095', 'a', 'ciencia', '1.03.00.00-7 Ciência da Computação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (162, '095', 'a', 'da', '1.03.00.00-7 Ciência da Computação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (163, '095', 'a', 'computacao', '1.03.00.00-7 Ciência da Computação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (164, '095', 'a', '1.03.01.00-3', '1.03.01.00-3 Teoria da Computação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (165, '095', 'a', 'teoria', '1.03.01.00-3 Teoria da Computação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (166, '095', 'a', 'da', '1.03.01.00-3 Teoria da Computação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (167, '095', 'a', 'computacao', '1.03.01.00-3 Teoria da Computação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (168, '095', 'a', '1.03.01.01-1', '1.03.01.01-1 Computabilidade e Modelos de Computação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (169, '095', 'a', 'computabilidade', '1.03.01.01-1 Computabilidade e Modelos de Computação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (170, '095', 'a', 'modelos', '1.03.01.01-1 Computabilidade e Modelos de Computação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (171, '095', 'a', 'de', '1.03.01.01-1 Computabilidade e Modelos de Computação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (172, '095', 'a', 'computacao', '1.03.01.01-1 Computabilidade e Modelos de Computação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (173, '095', 'a', '1.03.01.02-0', '1.03.01.02-0 Linguagem Formais e Automatos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (174, '095', 'a', 'linguagem', '1.03.01.02-0 Linguagem Formais e Automatos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (175, '095', 'a', 'formais', '1.03.01.02-0 Linguagem Formais e Automatos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (176, '095', 'a', 'automatos', '1.03.01.02-0 Linguagem Formais e Automatos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (177, '095', 'a', '1.03.01.03-8', '1.03.01.03-8 Análise de Algoritmos e Complexidade de Computação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (178, '095', 'a', 'analise', '1.03.01.03-8 Análise de Algoritmos e Complexidade de Computação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (179, '095', 'a', 'de', '1.03.01.03-8 Análise de Algoritmos e Complexidade de Computação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (180, '095', 'a', 'algoritmos', '1.03.01.03-8 Análise de Algoritmos e Complexidade de Computação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (181, '095', 'a', 'complexidade', '1.03.01.03-8 Análise de Algoritmos e Complexidade de Computação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (182, '095', 'a', 'de', '1.03.01.03-8 Análise de Algoritmos e Complexidade de Computação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (183, '095', 'a', 'computacao', '1.03.01.03-8 Análise de Algoritmos e Complexidade de Computação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (184, '095', 'a', '1.03.01.04-6', '1.03.01.04-6 Lógicas e Semântica de Programas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (185, '095', 'a', 'logicas', '1.03.01.04-6 Lógicas e Semântica de Programas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (186, '095', 'a', 'semantica', '1.03.01.04-6 Lógicas e Semântica de Programas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (187, '095', 'a', 'de', '1.03.01.04-6 Lógicas e Semântica de Programas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (188, '095', 'a', 'programas', '1.03.01.04-6 Lógicas e Semântica de Programas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (189, '095', 'a', '1.03.02.00-0', '1.03.02.00-0 Matemática da Computação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (190, '095', 'a', 'matematica', '1.03.02.00-0 Matemática da Computação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (191, '095', 'a', 'da', '1.03.02.00-0 Matemática da Computação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (192, '095', 'a', 'computacao', '1.03.02.00-0 Matemática da Computação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (193, '095', 'a', '1.03.02.01-8', '1.03.02.01-8 Matemática Simbólica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (194, '095', 'a', 'matematica', '1.03.02.01-8 Matemática Simbólica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (195, '095', 'a', 'simbolica', '1.03.02.01-8 Matemática Simbólica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (196, '095', 'a', '1.03.02.02-6', '1.03.02.02-6 Modelos Analíticos e de Simulação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (197, '095', 'a', 'modelos', '1.03.02.02-6 Modelos Analíticos e de Simulação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (198, '095', 'a', 'analiticos', '1.03.02.02-6 Modelos Analíticos e de Simulação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (199, '095', 'a', 'de', '1.03.02.02-6 Modelos Analíticos e de Simulação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (200, '095', 'a', 'simulacao', '1.03.02.02-6 Modelos Analíticos e de Simulação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (201, '095', 'a', '1.03.03.00-6', '1.03.03.00-6 Metodologia e Técnicas da Computação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (202, '095', 'a', 'metodologia', '1.03.03.00-6 Metodologia e Técnicas da Computação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (203, '095', 'a', 'tecnicas', '1.03.03.00-6 Metodologia e Técnicas da Computação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (204, '095', 'a', 'da', '1.03.03.00-6 Metodologia e Técnicas da Computação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (205, '095', 'a', 'computacao', '1.03.03.00-6 Metodologia e Técnicas da Computação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (206, '095', 'a', '1.03.03.01-4', '1.03.03.01-4 Linguagens de Programação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (207, '095', 'a', 'linguagens', '1.03.03.01-4 Linguagens de Programação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (208, '095', 'a', 'de', '1.03.03.01-4 Linguagens de Programação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (209, '095', 'a', 'programacao', '1.03.03.01-4 Linguagens de Programação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (210, '095', 'a', '1.03.03.02-2', '1.03.03.02-2 Engenharia de Software', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (211, '095', 'a', 'engenharia', '1.03.03.02-2 Engenharia de Software', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (212, '095', 'a', 'de', '1.03.03.02-2 Engenharia de Software', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (213, '095', 'a', 'software', '1.03.03.02-2 Engenharia de Software', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (214, '095', 'a', '1.03.03.03-0', '1.03.03.03-0 Banco de Dados', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (215, '095', 'a', 'banco', '1.03.03.03-0 Banco de Dados', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (216, '095', 'a', 'de', '1.03.03.03-0 Banco de Dados', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (217, '095', 'a', 'dados', '1.03.03.03-0 Banco de Dados', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (218, '095', 'a', '1.03.03.04-9', '1.03.03.04-9 Sistemas de Informação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (219, '095', 'a', 'sistemas', '1.03.03.04-9 Sistemas de Informação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (220, '095', 'a', 'de', '1.03.03.04-9 Sistemas de Informação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (221, '095', 'a', 'informacao', '1.03.03.04-9 Sistemas de Informação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (222, '095', 'a', '1.03.03.05-7', '1.03.03.05-7 Processamento Gráfico (Graphics)', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (223, '095', 'a', 'processamento', '1.03.03.05-7 Processamento Gráfico (Graphics)', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (224, '095', 'a', 'grafico', '1.03.03.05-7 Processamento Gráfico (Graphics)', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (225, '095', 'a', '(graphics)', '1.03.03.05-7 Processamento Gráfico (Graphics)', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (226, '095', 'a', '1.03.04.00-2', '1.03.04.00-2 Sistemas de Computação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (227, '095', 'a', 'sistemas', '1.03.04.00-2 Sistemas de Computação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (228, '095', 'a', 'de', '1.03.04.00-2 Sistemas de Computação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (229, '095', 'a', 'computacao', '1.03.04.00-2 Sistemas de Computação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (230, '095', 'a', '1.03.04.01-0', '1.03.04.01-0 Hardware', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (231, '095', 'a', 'hardware', '1.03.04.01-0 Hardware', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (232, '095', 'a', '1.03.04.02-9', '1.03.04.02-9 Arquitetura de Sistemas de Computação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (233, '095', 'a', 'arquitetura', '1.03.04.02-9 Arquitetura de Sistemas de Computação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (234, '095', 'a', 'de', '1.03.04.02-9 Arquitetura de Sistemas de Computação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (235, '095', 'a', 'sistemas', '1.03.04.02-9 Arquitetura de Sistemas de Computação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (236, '095', 'a', 'de', '1.03.04.02-9 Arquitetura de Sistemas de Computação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (237, '095', 'a', 'computacao', '1.03.04.02-9 Arquitetura de Sistemas de Computação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (238, '095', 'a', '1.03.04.03-7', '1.03.04.03-7 Software Básico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (239, '095', 'a', 'software', '1.03.04.03-7 Software Básico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (240, '095', 'a', 'basico', '1.03.04.03-7 Software Básico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (241, '095', 'a', '1.03.04.04-5', '1.03.04.04-5 Teleinformática', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (242, '095', 'a', 'teleinformatica', '1.03.04.04-5 Teleinformática', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (243, '095', 'a', '1.04.00.00-1', '1.04.00.00-1 Astronomia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (244, '095', 'a', 'astronomia', '1.04.00.00-1 Astronomia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (245, '095', 'a', '1.04.01.00-8', '1.04.01.00-8 Astronomia de Posição e Mecânica Celeste', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (246, '095', 'a', 'astronomia', '1.04.01.00-8 Astronomia de Posição e Mecânica Celeste', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (247, '095', 'a', 'de', '1.04.01.00-8 Astronomia de Posição e Mecânica Celeste', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (248, '095', 'a', 'posicao', '1.04.01.00-8 Astronomia de Posição e Mecânica Celeste', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (249, '095', 'a', 'mecanica', '1.04.01.00-8 Astronomia de Posição e Mecânica Celeste', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (250, '095', 'a', 'celeste', '1.04.01.00-8 Astronomia de Posição e Mecânica Celeste', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (251, '095', 'a', '1.04.01.01-6', '1.04.01.01-6 Astronomia Fundamental', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (252, '095', 'a', 'astronomia', '1.04.01.01-6 Astronomia Fundamental', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (253, '095', 'a', 'fundamental', '1.04.01.01-6 Astronomia Fundamental', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (254, '095', 'a', '1.04.01.02-4', '1.04.01.02-4 Astronomia Dinâmica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (255, '095', 'a', 'astronomia', '1.04.01.02-4 Astronomia Dinâmica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (256, '095', 'a', 'dinamica', '1.04.01.02-4 Astronomia Dinâmica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (257, '095', 'a', '1.04.02.00-4', '1.04.02.00-4 Astrofísica Estelar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (258, '095', 'a', 'astrofisica', '1.04.02.00-4 Astrofísica Estelar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (259, '095', 'a', 'estelar', '1.04.02.00-4 Astrofísica Estelar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (260, '095', 'a', '1.04.03.00-0', '1.04.03.00-0 Astrofísica do Meio Interestelar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (261, '095', 'a', 'astrofisica', '1.04.03.00-0 Astrofísica do Meio Interestelar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (262, '095', 'a', 'do', '1.04.03.00-0 Astrofísica do Meio Interestelar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (263, '095', 'a', 'meio', '1.04.03.00-0 Astrofísica do Meio Interestelar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (264, '095', 'a', 'interestelar', '1.04.03.00-0 Astrofísica do Meio Interestelar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (265, '095', 'a', '1.04.03.01-9', '1.04.03.01-9 Meio Interestelar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (266, '095', 'a', 'meio', '1.04.03.01-9 Meio Interestelar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (267, '095', 'a', 'interestelar', '1.04.03.01-9 Meio Interestelar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (268, '095', 'a', '1.04.03.02-7', '1.04.03.02-7 Nebulosa', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (269, '095', 'a', 'nebulosa', '1.04.03.02-7 Nebulosa', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (270, '095', 'a', '1.04.04.00-7', '1.04.04.00-7 Astrofísica Extragaláctica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (271, '095', 'a', 'astrofisica', '1.04.04.00-7 Astrofísica Extragaláctica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (272, '095', 'a', 'extragalactica', '1.04.04.00-7 Astrofísica Extragaláctica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (273, '095', 'a', '1.04.04.01-5', '1.04.04.01-5 Galáxias', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (274, '095', 'a', 'galaxias', '1.04.04.01-5 Galáxias', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (275, '095', 'a', '1.04.04.02-3', '1.04.04.02-3 Aglomerados de Galáxias', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (276, '095', 'a', 'aglomerados', '1.04.04.02-3 Aglomerados de Galáxias', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (277, '095', 'a', 'de', '1.04.04.02-3 Aglomerados de Galáxias', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (278, '095', 'a', 'galaxias', '1.04.04.02-3 Aglomerados de Galáxias', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (279, '095', 'a', '1.04.04.03-1', '1.04.04.03-1 Quasares', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (280, '095', 'a', 'quasares', '1.04.04.03-1 Quasares', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (281, '095', 'a', '1.04.04.04-0', '1.04.04.04-0 Cosmologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (282, '095', 'a', 'cosmologia', '1.04.04.04-0 Cosmologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (283, '095', 'a', '1.04.05.00-3', '1.04.05.00-3 Astrofísica do Sistema Solar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (284, '095', 'a', 'astrofisica', '1.04.05.00-3 Astrofísica do Sistema Solar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (285, '095', 'a', 'do', '1.04.05.00-3 Astrofísica do Sistema Solar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (286, '095', 'a', 'sistema', '1.04.05.00-3 Astrofísica do Sistema Solar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (287, '095', 'a', 'solar', '1.04.05.00-3 Astrofísica do Sistema Solar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (288, '095', 'a', '1.04.05.01-1', '1.04.05.01-1 Física Solar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (289, '095', 'a', 'fisica', '1.04.05.01-1 Física Solar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (290, '095', 'a', 'solar', '1.04.05.01-1 Física Solar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (291, '095', 'a', '1.04.05.02-0', '1.04.05.02-0 Movimento da Terra', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (292, '095', 'a', 'movimento', '1.04.05.02-0 Movimento da Terra', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (293, '095', 'a', 'da', '1.04.05.02-0 Movimento da Terra', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (294, '095', 'a', 'terra', '1.04.05.02-0 Movimento da Terra', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (295, '095', 'a', '1.04.05.03-8', '1.04.05.03-8 Sistema Planetário', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (296, '095', 'a', 'sistema', '1.04.05.03-8 Sistema Planetário', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (297, '095', 'a', 'planetario', '1.04.05.03-8 Sistema Planetário', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (298, '095', 'a', '1.04.06.00-0', '1.04.06.00-0 Instrumentação Astronômica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (299, '095', 'a', 'instrumentacao', '1.04.06.00-0 Instrumentação Astronômica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (300, '095', 'a', 'astronomica', '1.04.06.00-0 Instrumentação Astronômica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (301, '095', 'a', '1.04.06.01-8', '1.04.06.01-8 Astronômia Ótica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (302, '095', 'a', 'astronomia', '1.04.06.01-8 Astronômia Ótica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (303, '095', 'a', 'otica', '1.04.06.01-8 Astronômia Ótica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (304, '095', 'a', '1.04.06.02-6', '1.04.06.02-6 Radioastronomia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (305, '095', 'a', 'radioastronomia', '1.04.06.02-6 Radioastronomia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (306, '095', 'a', '1.04.06.03-4', '1.04.06.03-4 Astronomia Espacial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (307, '095', 'a', 'astronomia', '1.04.06.03-4 Astronomia Espacial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (308, '095', 'a', 'espacial', '1.04.06.03-4 Astronomia Espacial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (309, '095', 'a', '1.04.06.04-2', '1.04.06.04-2 Processamento de Dados Astronômicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (310, '095', 'a', 'processamento', '1.04.06.04-2 Processamento de Dados Astronômicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (311, '095', 'a', 'de', '1.04.06.04-2 Processamento de Dados Astronômicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (312, '095', 'a', 'dados', '1.04.06.04-2 Processamento de Dados Astronômicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (313, '095', 'a', 'astronomicos', '1.04.06.04-2 Processamento de Dados Astronômicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (314, '095', 'a', '1.05.00.00-6', '1.05.00.00-6 Física', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (315, '095', 'a', 'fisica', '1.05.00.00-6 Física', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (316, '095', 'a', '1.05.01.00-2', '1.05.01.00-2 Física Geral', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (317, '095', 'a', 'fisica', '1.05.01.00-2 Física Geral', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (318, '095', 'a', 'geral', '1.05.01.00-2 Física Geral', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (319, '095', 'a', '1.05.01.01-0', '1.05.01.01-0 Métodos Matemáticos da Física', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (320, '095', 'a', 'metodos', '1.05.01.01-0 Métodos Matemáticos da Física', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (321, '095', 'a', 'matematicos', '1.05.01.01-0 Métodos Matemáticos da Física', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (322, '095', 'a', 'da', '1.05.01.01-0 Métodos Matemáticos da Física', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (323, '095', 'a', 'fisica', '1.05.01.01-0 Métodos Matemáticos da Física', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (324, '095', 'a', '1.05.01.02-9', '1.05.01.02-9 Física Clássica e Física Quântica; Mecânica e Campos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (325, '095', 'a', 'fisica', '1.05.01.02-9 Física Clássica e Física Quântica; Mecânica e Campos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (326, '095', 'a', 'classica', '1.05.01.02-9 Física Clássica e Física Quântica; Mecânica e Campos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (327, '095', 'a', 'fisica', '1.05.01.02-9 Física Clássica e Física Quântica; Mecânica e Campos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (328, '095', 'a', 'quantica;', '1.05.01.02-9 Física Clássica e Física Quântica; Mecânica e Campos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (329, '095', 'a', 'mecanica', '1.05.01.02-9 Física Clássica e Física Quântica; Mecânica e Campos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (330, '095', 'a', 'campos', '1.05.01.02-9 Física Clássica e Física Quântica; Mecânica e Campos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (331, '095', 'a', '1.05.01.03-7', '1.05.01.03-7 Relatividade e Gravitação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (332, '095', 'a', 'relatividade', '1.05.01.03-7 Relatividade e Gravitação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (333, '095', 'a', 'gravitacao', '1.05.01.03-7 Relatividade e Gravitação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (334, '095', 'a', '1.05.01.04-5', '1.05.01.04-5 Física Estatística e Termodinâmica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (335, '095', 'a', 'fisica', '1.05.01.04-5 Física Estatística e Termodinâmica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (336, '095', 'a', 'estatistica', '1.05.01.04-5 Física Estatística e Termodinâmica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (337, '095', 'a', 'termodinamica', '1.05.01.04-5 Física Estatística e Termodinâmica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (338, '095', 'a', '1.05.01.05-3', '1.05.01.05-3 Metrologia, Técnicas Gerais de Laboratório, Sistema de Instrumentação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (339, '095', 'a', 'metrologia,', '1.05.01.05-3 Metrologia, Técnicas Gerais de Laboratório, Sistema de Instrumentação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (340, '095', 'a', 'tecnicas', '1.05.01.05-3 Metrologia, Técnicas Gerais de Laboratório, Sistema de Instrumentação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (341, '095', 'a', 'gerais', '1.05.01.05-3 Metrologia, Técnicas Gerais de Laboratório, Sistema de Instrumentação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (342, '095', 'a', 'de', '1.05.01.05-3 Metrologia, Técnicas Gerais de Laboratório, Sistema de Instrumentação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (343, '095', 'a', 'laboratorio,', '1.05.01.05-3 Metrologia, Técnicas Gerais de Laboratório, Sistema de Instrumentação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (344, '095', 'a', 'sistema', '1.05.01.05-3 Metrologia, Técnicas Gerais de Laboratório, Sistema de Instrumentação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (345, '095', 'a', 'de', '1.05.01.05-3 Metrologia, Técnicas Gerais de Laboratório, Sistema de Instrumentação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (346, '095', 'a', 'instrumentacao', '1.05.01.05-3 Metrologia, Técnicas Gerais de Laboratório, Sistema de Instrumentação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (347, '095', 'a', '1.05.01.06-1', '1.05.01.06-1 Instrumentação Específica de Uso Geral em Física', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (348, '095', 'a', 'instrumentacao', '1.05.01.06-1 Instrumentação Específica de Uso Geral em Física', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (349, '095', 'a', 'especifica', '1.05.01.06-1 Instrumentação Específica de Uso Geral em Física', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (350, '095', 'a', 'de', '1.05.01.06-1 Instrumentação Específica de Uso Geral em Física', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (351, '095', 'a', 'uso', '1.05.01.06-1 Instrumentação Específica de Uso Geral em Física', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (352, '095', 'a', 'geral', '1.05.01.06-1 Instrumentação Específica de Uso Geral em Física', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (353, '095', 'a', 'em', '1.05.01.06-1 Instrumentação Específica de Uso Geral em Física', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (354, '095', 'a', 'fisica', '1.05.01.06-1 Instrumentação Específica de Uso Geral em Física', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (355, '095', 'a', '1.05.02.00-9', '1.05.02.00-9 Áreas Clássicas de Fenomenologia e suas Aplicações', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (356, '095', 'a', 'areas', '1.05.02.00-9 Áreas Clássicas de Fenomenologia e suas Aplicações', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (357, '095', 'a', 'classicas', '1.05.02.00-9 Áreas Clássicas de Fenomenologia e suas Aplicações', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (358, '095', 'a', 'de', '1.05.02.00-9 Áreas Clássicas de Fenomenologia e suas Aplicações', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (359, '095', 'a', 'fenomenologia', '1.05.02.00-9 Áreas Clássicas de Fenomenologia e suas Aplicações', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (360, '095', 'a', 'suas', '1.05.02.00-9 Áreas Clássicas de Fenomenologia e suas Aplicações', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (361, '095', 'a', 'aplicacoes', '1.05.02.00-9 Áreas Clássicas de Fenomenologia e suas Aplicações', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (362, '095', 'a', '1.05.02.01-7', '1.05.02.01-7 Eletricidade e Magnetismo; Campos e Partículas Carregadas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (363, '095', 'a', 'eletricidade', '1.05.02.01-7 Eletricidade e Magnetismo; Campos e Partículas Carregadas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (364, '095', 'a', 'magnetismo;', '1.05.02.01-7 Eletricidade e Magnetismo; Campos e Partículas Carregadas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (365, '095', 'a', 'campos', '1.05.02.01-7 Eletricidade e Magnetismo; Campos e Partículas Carregadas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (366, '095', 'a', 'particulas', '1.05.02.01-7 Eletricidade e Magnetismo; Campos e Partículas Carregadas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (367, '095', 'a', 'carregadas', '1.05.02.01-7 Eletricidade e Magnetismo; Campos e Partículas Carregadas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (368, '095', 'a', '1.05.02.02-5', '1.05.02.02-5 Ótica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (369, '095', 'a', 'otica', '1.05.02.02-5 Ótica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (370, '095', 'a', '1.05.02.03-3', '1.05.02.03-3 Acústica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (371, '095', 'a', 'acustica', '1.05.02.03-3 Acústica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (372, '095', 'a', '1.05.02.04-1', '1.05.02.04-1 Transferência de Calor; Processos Térmicos e Termodinâmicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (373, '095', 'a', 'transferencia', '1.05.02.04-1 Transferência de Calor; Processos Térmicos e Termodinâmicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (374, '095', 'a', 'de', '1.05.02.04-1 Transferência de Calor; Processos Térmicos e Termodinâmicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (375, '095', 'a', 'calor;', '1.05.02.04-1 Transferência de Calor; Processos Térmicos e Termodinâmicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (376, '095', 'a', 'processos', '1.05.02.04-1 Transferência de Calor; Processos Térmicos e Termodinâmicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (377, '095', 'a', 'termicos', '1.05.02.04-1 Transferência de Calor; Processos Térmicos e Termodinâmicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (378, '095', 'a', 'termodinamicos', '1.05.02.04-1 Transferência de Calor; Processos Térmicos e Termodinâmicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (379, '095', 'a', '1.05.02.05-0', '1.05.02.05-0 Mecânica, Elasticidade e Reologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (380, '095', 'a', 'mecanica,', '1.05.02.05-0 Mecânica, Elasticidade e Reologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (381, '095', 'a', 'elasticidade', '1.05.02.05-0 Mecânica, Elasticidade e Reologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (382, '095', 'a', 'reologia', '1.05.02.05-0 Mecânica, Elasticidade e Reologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (383, '095', 'a', '1.05.02.06-8', '1.05.02.06-8 Dinâmica dos Fluidos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (384, '095', 'a', 'dinamica', '1.05.02.06-8 Dinâmica dos Fluidos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (385, '095', 'a', 'dos', '1.05.02.06-8 Dinâmica dos Fluidos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (386, '095', 'a', 'fluidos', '1.05.02.06-8 Dinâmica dos Fluidos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (387, '095', 'a', '1.05.03.00-5', '1.05.03.00-5 Física das Partículas Elementares e Campos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (388, '095', 'a', 'fisica', '1.05.03.00-5 Física das Partículas Elementares e Campos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (389, '095', 'a', 'das', '1.05.03.00-5 Física das Partículas Elementares e Campos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (390, '095', 'a', 'particulas', '1.05.03.00-5 Física das Partículas Elementares e Campos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (391, '095', 'a', 'elementares', '1.05.03.00-5 Física das Partículas Elementares e Campos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (392, '095', 'a', 'campos', '1.05.03.00-5 Física das Partículas Elementares e Campos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (393, '095', 'a', '1.05.03.01-3', '1.05.03.01-3 Teoria Geral de Partículas e Campos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (394, '095', 'a', 'teoria', '1.05.03.01-3 Teoria Geral de Partículas e Campos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (395, '095', 'a', 'geral', '1.05.03.01-3 Teoria Geral de Partículas e Campos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (396, '095', 'a', 'de', '1.05.03.01-3 Teoria Geral de Partículas e Campos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (397, '095', 'a', 'particulas', '1.05.03.01-3 Teoria Geral de Partículas e Campos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (398, '095', 'a', 'campos', '1.05.03.01-3 Teoria Geral de Partículas e Campos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (399, '095', 'a', '1.05.03.02-1', '1.05.03.02-1 Teorias Específicas e Modelos de Interação; Sistematica de Partículas; Raios Cósmicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (400, '095', 'a', 'teorias', '1.05.03.02-1 Teorias Específicas e Modelos de Interação; Sistematica de Partículas; Raios Cósmicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (401, '095', 'a', 'especificas', '1.05.03.02-1 Teorias Específicas e Modelos de Interação; Sistematica de Partículas; Raios Cósmicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (402, '095', 'a', 'modelos', '1.05.03.02-1 Teorias Específicas e Modelos de Interação; Sistematica de Partículas; Raios Cósmicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (403, '095', 'a', 'de', '1.05.03.02-1 Teorias Específicas e Modelos de Interação; Sistematica de Partículas; Raios Cósmicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (404, '095', 'a', 'interacao;', '1.05.03.02-1 Teorias Específicas e Modelos de Interação; Sistematica de Partículas; Raios Cósmicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (405, '095', 'a', 'sistematica', '1.05.03.02-1 Teorias Específicas e Modelos de Interação; Sistematica de Partículas; Raios Cósmicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (406, '095', 'a', 'de', '1.05.03.02-1 Teorias Específicas e Modelos de Interação; Sistematica de Partículas; Raios Cósmicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (407, '095', 'a', 'particulas;', '1.05.03.02-1 Teorias Específicas e Modelos de Interação; Sistematica de Partículas; Raios Cósmicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (408, '095', 'a', 'raios', '1.05.03.02-1 Teorias Específicas e Modelos de Interação; Sistematica de Partículas; Raios Cósmicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (409, '095', 'a', 'cosmicos', '1.05.03.02-1 Teorias Específicas e Modelos de Interação; Sistematica de Partículas; Raios Cósmicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (410, '095', 'a', '1.05.03.03-0', '1.05.03.03-0 Reações Específicas e Fenomiologia de Partículas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (411, '095', 'a', 'reacoes', '1.05.03.03-0 Reações Específicas e Fenomiologia de Partículas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (412, '095', 'a', 'especificas', '1.05.03.03-0 Reações Específicas e Fenomiologia de Partículas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (413, '095', 'a', 'fenomiologia', '1.05.03.03-0 Reações Específicas e Fenomiologia de Partículas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (414, '095', 'a', 'de', '1.05.03.03-0 Reações Específicas e Fenomiologia de Partículas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (415, '095', 'a', 'particulas', '1.05.03.03-0 Reações Específicas e Fenomiologia de Partículas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (416, '095', 'a', '1.05.03.04-8', '1.05.03.04-8 Propriedades de Partículas Específicas e Ressonâncias', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (417, '095', 'a', 'propriedades', '1.05.03.04-8 Propriedades de Partículas Específicas e Ressonâncias', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (418, '095', 'a', 'de', '1.05.03.04-8 Propriedades de Partículas Específicas e Ressonâncias', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (419, '095', 'a', 'particulas', '1.05.03.04-8 Propriedades de Partículas Específicas e Ressonâncias', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (420, '095', 'a', 'especificas', '1.05.03.04-8 Propriedades de Partículas Específicas e Ressonâncias', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (421, '095', 'a', 'ressonancias', '1.05.03.04-8 Propriedades de Partículas Específicas e Ressonâncias', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (422, '095', 'a', '1.05.04.00-1', '1.05.04.00-1 Física Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (423, '095', 'a', 'fisica', '1.05.04.00-1 Física Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (424, '095', 'a', 'nuclear', '1.05.04.00-1 Física Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (425, '095', 'a', '1.05.04.01-0', '1.05.04.01-0 Estrutura Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (426, '095', 'a', 'estrutura', '1.05.04.01-0 Estrutura Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (427, '095', 'a', 'nuclear', '1.05.04.01-0 Estrutura Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (428, '095', 'a', '1.05.04.02-8', '1.05.04.02-8 Desintegração Nuclear e Radioatividade', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (429, '095', 'a', 'desintegracao', '1.05.04.02-8 Desintegração Nuclear e Radioatividade', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (430, '095', 'a', 'nuclear', '1.05.04.02-8 Desintegração Nuclear e Radioatividade', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (431, '095', 'a', 'radioatividade', '1.05.04.02-8 Desintegração Nuclear e Radioatividade', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (432, '095', 'a', '1.05.04.03-6', '1.05.04.03-6 Reações Nucleares e Espalhamento Geral', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (433, '095', 'a', 'reacoes', '1.05.04.03-6 Reações Nucleares e Espalhamento Geral', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (434, '095', 'a', 'nucleares', '1.05.04.03-6 Reações Nucleares e Espalhamento Geral', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (435, '095', 'a', 'espalhamento', '1.05.04.03-6 Reações Nucleares e Espalhamento Geral', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (436, '095', 'a', 'geral', '1.05.04.03-6 Reações Nucleares e Espalhamento Geral', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (437, '095', 'a', '1.05.04.04-4', '1.05.04.04-4 Reações Nucleares e Espalhamento (Reações Específicas)', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (438, '095', 'a', 'reacoes', '1.05.04.04-4 Reações Nucleares e Espalhamento (Reações Específicas)', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (439, '095', 'a', 'nucleares', '1.05.04.04-4 Reações Nucleares e Espalhamento (Reações Específicas)', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (440, '095', 'a', 'espalhamento', '1.05.04.04-4 Reações Nucleares e Espalhamento (Reações Específicas)', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (441, '095', 'a', '(reacoes', '1.05.04.04-4 Reações Nucleares e Espalhamento (Reações Específicas)', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (442, '095', 'a', 'especificas)', '1.05.04.04-4 Reações Nucleares e Espalhamento (Reações Específicas)', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (443, '095', 'a', '1.05.04.05-2', '1.05.04.05-2 Propriedades de Núcleos Específicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (444, '095', 'a', 'propriedades', '1.05.04.05-2 Propriedades de Núcleos Específicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (445, '095', 'a', 'de', '1.05.04.05-2 Propriedades de Núcleos Específicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (446, '095', 'a', 'nucleos', '1.05.04.05-2 Propriedades de Núcleos Específicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (447, '095', 'a', 'especificos', '1.05.04.05-2 Propriedades de Núcleos Específicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (448, '095', 'a', '1.05.04.06-0', '1.05.04.06-0 Métodos Experimentais e Instrumentação para Partículas Elementares e Física Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (449, '095', 'a', 'metodos', '1.05.04.06-0 Métodos Experimentais e Instrumentação para Partículas Elementares e Física Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (450, '095', 'a', 'experimentais', '1.05.04.06-0 Métodos Experimentais e Instrumentação para Partículas Elementares e Física Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (451, '095', 'a', 'instrumentacao', '1.05.04.06-0 Métodos Experimentais e Instrumentação para Partículas Elementares e Física Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (452, '095', 'a', 'para', '1.05.04.06-0 Métodos Experimentais e Instrumentação para Partículas Elementares e Física Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (453, '095', 'a', 'particulas', '1.05.04.06-0 Métodos Experimentais e Instrumentação para Partículas Elementares e Física Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (454, '095', 'a', 'elementares', '1.05.04.06-0 Métodos Experimentais e Instrumentação para Partículas Elementares e Física Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (455, '095', 'a', 'fisica', '1.05.04.06-0 Métodos Experimentais e Instrumentação para Partículas Elementares e Física Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (456, '095', 'a', 'nuclear', '1.05.04.06-0 Métodos Experimentais e Instrumentação para Partículas Elementares e Física Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (457, '095', 'a', '1.05.05.00-8', '1.05.05.00-8 Física Atômica e Molécular', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (458, '095', 'a', 'fisica', '1.05.05.00-8 Física Atômica e Molécular', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (459, '095', 'a', 'atomica', '1.05.05.00-8 Física Atômica e Molécular', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (460, '095', 'a', 'molecular', '1.05.05.00-8 Física Atômica e Molécular', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (461, '095', 'a', '1.05.05.01-6', '1.05.05.01-6 Estrutura Eletrônica de Átomos e Moléculas; Teoria', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (462, '095', 'a', 'estrutura', '1.05.05.01-6 Estrutura Eletrônica de Átomos e Moléculas; Teoria', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (463, '095', 'a', 'eletronica', '1.05.05.01-6 Estrutura Eletrônica de Átomos e Moléculas; Teoria', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (464, '095', 'a', 'de', '1.05.05.01-6 Estrutura Eletrônica de Átomos e Moléculas; Teoria', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (465, '095', 'a', 'atomos', '1.05.05.01-6 Estrutura Eletrônica de Átomos e Moléculas; Teoria', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (466, '095', 'a', 'moleculas;', '1.05.05.01-6 Estrutura Eletrônica de Átomos e Moléculas; Teoria', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (467, '095', 'a', 'teoria', '1.05.05.01-6 Estrutura Eletrônica de Átomos e Moléculas; Teoria', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (468, '095', 'a', '1.05.05.02-4', '1.05.05.02-4 Espectros Atômicos e Integração de Fótons', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (469, '095', 'a', 'espectros', '1.05.05.02-4 Espectros Atômicos e Integração de Fótons', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (470, '095', 'a', 'atomicos', '1.05.05.02-4 Espectros Atômicos e Integração de Fótons', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (471, '095', 'a', 'integracao', '1.05.05.02-4 Espectros Atômicos e Integração de Fótons', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (472, '095', 'a', 'de', '1.05.05.02-4 Espectros Atômicos e Integração de Fótons', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (473, '095', 'a', 'fotons', '1.05.05.02-4 Espectros Atômicos e Integração de Fótons', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (474, '095', 'a', '1.05.05.03-2', '1.05.05.03-2 Espectros Moléculares e Interações de Fótons com Moléculas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (475, '095', 'a', 'espectros', '1.05.05.03-2 Espectros Moléculares e Interações de Fótons com Moléculas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (476, '095', 'a', 'moleculares', '1.05.05.03-2 Espectros Moléculares e Interações de Fótons com Moléculas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (477, '095', 'a', 'interacoes', '1.05.05.03-2 Espectros Moléculares e Interações de Fótons com Moléculas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (478, '095', 'a', 'de', '1.05.05.03-2 Espectros Moléculares e Interações de Fótons com Moléculas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (479, '095', 'a', 'fotons', '1.05.05.03-2 Espectros Moléculares e Interações de Fótons com Moléculas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (480, '095', 'a', 'com', '1.05.05.03-2 Espectros Moléculares e Interações de Fótons com Moléculas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (481, '095', 'a', 'moleculas', '1.05.05.03-2 Espectros Moléculares e Interações de Fótons com Moléculas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (482, '095', 'a', '1.05.05.04-0', '1.05.05.04-0 Processos de Colisão e Interações de Átomos e Moléculas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (483, '095', 'a', 'processos', '1.05.05.04-0 Processos de Colisão e Interações de Átomos e Moléculas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (484, '095', 'a', 'de', '1.05.05.04-0 Processos de Colisão e Interações de Átomos e Moléculas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (485, '095', 'a', 'colisao', '1.05.05.04-0 Processos de Colisão e Interações de Átomos e Moléculas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (486, '095', 'a', 'interacoes', '1.05.05.04-0 Processos de Colisão e Interações de Átomos e Moléculas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (487, '095', 'a', 'de', '1.05.05.04-0 Processos de Colisão e Interações de Átomos e Moléculas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (488, '095', 'a', 'atomos', '1.05.05.04-0 Processos de Colisão e Interações de Átomos e Moléculas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (489, '095', 'a', 'moleculas', '1.05.05.04-0 Processos de Colisão e Interações de Átomos e Moléculas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (490, '095', 'a', '1.05.05.05-9', '1.05.05.05-9 Inf.Sobre Átomos e Moléculas Obtidos Experimentalmente;Instrumentação e Técnicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (491, '095', 'a', 'inf.sobre', '1.05.05.05-9 Inf.Sobre Átomos e Moléculas Obtidos Experimentalmente;Instrumentação e Técnicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (492, '095', 'a', 'atomos', '1.05.05.05-9 Inf.Sobre Átomos e Moléculas Obtidos Experimentalmente;Instrumentação e Técnicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (493, '095', 'a', 'moleculas', '1.05.05.05-9 Inf.Sobre Átomos e Moléculas Obtidos Experimentalmente;Instrumentação e Técnicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (494, '095', 'a', 'obtidos', '1.05.05.05-9 Inf.Sobre Átomos e Moléculas Obtidos Experimentalmente;Instrumentação e Técnicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (495, '095', 'a', 'experimentalmente;instrumentacao', '1.05.05.05-9 Inf.Sobre Átomos e Moléculas Obtidos Experimentalmente;Instrumentação e Técnicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (496, '095', 'a', 'tecnicas', '1.05.05.05-9 Inf.Sobre Átomos e Moléculas Obtidos Experimentalmente;Instrumentação e Técnicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (497, '095', 'a', '1.05.05.06-7', '1.05.05.06-7 Estudos de Átomos e Moléculas Especiais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (498, '095', 'a', 'estudos', '1.05.05.06-7 Estudos de Átomos e Moléculas Especiais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (499, '095', 'a', 'de', '1.05.05.06-7 Estudos de Átomos e Moléculas Especiais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (500, '095', 'a', 'atomos', '1.05.05.06-7 Estudos de Átomos e Moléculas Especiais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (501, '095', 'a', 'moleculas', '1.05.05.06-7 Estudos de Átomos e Moléculas Especiais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (502, '095', 'a', 'especiais', '1.05.05.06-7 Estudos de Átomos e Moléculas Especiais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (503, '095', 'a', '1.05.06.00-4', '1.05.06.00-4 Física dos Fluidos, Física de Plasmas e Descargas Elétricas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (504, '095', 'a', 'fisica', '1.05.06.00-4 Física dos Fluidos, Física de Plasmas e Descargas Elétricas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (505, '095', 'a', 'dos', '1.05.06.00-4 Física dos Fluidos, Física de Plasmas e Descargas Elétricas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (506, '095', 'a', 'fluidos,', '1.05.06.00-4 Física dos Fluidos, Física de Plasmas e Descargas Elétricas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (507, '095', 'a', 'fisica', '1.05.06.00-4 Física dos Fluidos, Física de Plasmas e Descargas Elétricas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (508, '095', 'a', 'de', '1.05.06.00-4 Física dos Fluidos, Física de Plasmas e Descargas Elétricas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (509, '095', 'a', 'plasmas', '1.05.06.00-4 Física dos Fluidos, Física de Plasmas e Descargas Elétricas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (510, '095', 'a', 'descargas', '1.05.06.00-4 Física dos Fluidos, Física de Plasmas e Descargas Elétricas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (511, '095', 'a', 'eletricas', '1.05.06.00-4 Física dos Fluidos, Física de Plasmas e Descargas Elétricas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (512, '095', 'a', '1.05.06.01-2', '1.05.06.01-2 Cinética e Teoria de Transporte de Fluidos; Propriedades Físicas de Gases', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (513, '095', 'a', 'cinetica', '1.05.06.01-2 Cinética e Teoria de Transporte de Fluidos; Propriedades Físicas de Gases', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (514, '095', 'a', 'teoria', '1.05.06.01-2 Cinética e Teoria de Transporte de Fluidos; Propriedades Físicas de Gases', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (515, '095', 'a', 'de', '1.05.06.01-2 Cinética e Teoria de Transporte de Fluidos; Propriedades Físicas de Gases', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (516, '095', 'a', 'transporte', '1.05.06.01-2 Cinética e Teoria de Transporte de Fluidos; Propriedades Físicas de Gases', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (517, '095', 'a', 'de', '1.05.06.01-2 Cinética e Teoria de Transporte de Fluidos; Propriedades Físicas de Gases', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (518, '095', 'a', 'fluidos;', '1.05.06.01-2 Cinética e Teoria de Transporte de Fluidos; Propriedades Físicas de Gases', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (519, '095', 'a', 'propriedades', '1.05.06.01-2 Cinética e Teoria de Transporte de Fluidos; Propriedades Físicas de Gases', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (520, '095', 'a', 'fisicas', '1.05.06.01-2 Cinética e Teoria de Transporte de Fluidos; Propriedades Físicas de Gases', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (521, '095', 'a', 'de', '1.05.06.01-2 Cinética e Teoria de Transporte de Fluidos; Propriedades Físicas de Gases', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (522, '095', 'a', 'gases', '1.05.06.01-2 Cinética e Teoria de Transporte de Fluidos; Propriedades Físicas de Gases', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (523, '095', 'a', '1.05.06.02-0', '1.05.06.02-0 Física de Plasmas e Descargas Elétricas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (524, '095', 'a', 'fisica', '1.05.06.02-0 Física de Plasmas e Descargas Elétricas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (525, '095', 'a', 'de', '1.05.06.02-0 Física de Plasmas e Descargas Elétricas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (526, '095', 'a', 'plasmas', '1.05.06.02-0 Física de Plasmas e Descargas Elétricas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (527, '095', 'a', 'descargas', '1.05.06.02-0 Física de Plasmas e Descargas Elétricas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (528, '095', 'a', 'eletricas', '1.05.06.02-0 Física de Plasmas e Descargas Elétricas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (529, '095', 'a', '1.05.07.00-0', '1.05.07.00-0 Física da Matéria Condensada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (530, '095', 'a', 'fisica', '1.05.07.00-0 Física da Matéria Condensada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (531, '095', 'a', 'da', '1.05.07.00-0 Física da Matéria Condensada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (532, '095', 'a', 'materia', '1.05.07.00-0 Física da Matéria Condensada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (533, '095', 'a', 'condensada', '1.05.07.00-0 Física da Matéria Condensada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (534, '095', 'a', '1.05.07.01-9', '1.05.07.01-9 Estrutura de Líquidos e Sólidos; Cristalografia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (535, '095', 'a', 'estrutura', '1.05.07.01-9 Estrutura de Líquidos e Sólidos; Cristalografia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (536, '095', 'a', 'de', '1.05.07.01-9 Estrutura de Líquidos e Sólidos; Cristalografia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (537, '095', 'a', 'liquidos', '1.05.07.01-9 Estrutura de Líquidos e Sólidos; Cristalografia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (538, '095', 'a', 'solidos;', '1.05.07.01-9 Estrutura de Líquidos e Sólidos; Cristalografia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (539, '095', 'a', 'cristalografia', '1.05.07.01-9 Estrutura de Líquidos e Sólidos; Cristalografia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (540, '095', 'a', '1.05.07.02-7', '1.05.07.02-7 Propriedades Mecânicas e Acústicas da Matéria Condensada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (541, '095', 'a', 'propriedades', '1.05.07.02-7 Propriedades Mecânicas e Acústicas da Matéria Condensada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (542, '095', 'a', 'mecanicas', '1.05.07.02-7 Propriedades Mecânicas e Acústicas da Matéria Condensada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (543, '095', 'a', 'acusticas', '1.05.07.02-7 Propriedades Mecânicas e Acústicas da Matéria Condensada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (544, '095', 'a', 'da', '1.05.07.02-7 Propriedades Mecânicas e Acústicas da Matéria Condensada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (545, '095', 'a', 'materia', '1.05.07.02-7 Propriedades Mecânicas e Acústicas da Matéria Condensada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (546, '095', 'a', 'condensada', '1.05.07.02-7 Propriedades Mecânicas e Acústicas da Matéria Condensada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (547, '095', 'a', '1.05.07.03-5', '1.05.07.03-5 Dinâmica da Rede e Estatística de Cristais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (548, '095', 'a', 'dinamica', '1.05.07.03-5 Dinâmica da Rede e Estatística de Cristais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (549, '095', 'a', 'da', '1.05.07.03-5 Dinâmica da Rede e Estatística de Cristais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (550, '095', 'a', 'rede', '1.05.07.03-5 Dinâmica da Rede e Estatística de Cristais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (551, '095', 'a', 'estatistica', '1.05.07.03-5 Dinâmica da Rede e Estatística de Cristais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (552, '095', 'a', 'de', '1.05.07.03-5 Dinâmica da Rede e Estatística de Cristais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (553, '095', 'a', 'cristais', '1.05.07.03-5 Dinâmica da Rede e Estatística de Cristais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (554, '095', 'a', '1.05.07.04-3', '1.05.07.04-3 Equação de Estado, Equilíbrio de Fases e Transições de Fase', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (555, '095', 'a', 'equacao', '1.05.07.04-3 Equação de Estado, Equilíbrio de Fases e Transições de Fase', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (556, '095', 'a', 'de', '1.05.07.04-3 Equação de Estado, Equilíbrio de Fases e Transições de Fase', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (557, '095', 'a', 'estado,', '1.05.07.04-3 Equação de Estado, Equilíbrio de Fases e Transições de Fase', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (558, '095', 'a', 'equilibrio', '1.05.07.04-3 Equação de Estado, Equilíbrio de Fases e Transições de Fase', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (559, '095', 'a', 'de', '1.05.07.04-3 Equação de Estado, Equilíbrio de Fases e Transições de Fase', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (560, '095', 'a', 'fases', '1.05.07.04-3 Equação de Estado, Equilíbrio de Fases e Transições de Fase', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (561, '095', 'a', 'transicoes', '1.05.07.04-3 Equação de Estado, Equilíbrio de Fases e Transições de Fase', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (562, '095', 'a', 'de', '1.05.07.04-3 Equação de Estado, Equilíbrio de Fases e Transições de Fase', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (563, '095', 'a', 'fase', '1.05.07.04-3 Equação de Estado, Equilíbrio de Fases e Transições de Fase', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (564, '095', 'a', '1.05.07.05-1', '1.05.07.05-1 Propriedades Térmicas da Matéria Condensada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (565, '095', 'a', 'propriedades', '1.05.07.05-1 Propriedades Térmicas da Matéria Condensada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (566, '095', 'a', 'termicas', '1.05.07.05-1 Propriedades Térmicas da Matéria Condensada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (567, '095', 'a', 'da', '1.05.07.05-1 Propriedades Térmicas da Matéria Condensada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (568, '095', 'a', 'materia', '1.05.07.05-1 Propriedades Térmicas da Matéria Condensada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (569, '095', 'a', 'condensada', '1.05.07.05-1 Propriedades Térmicas da Matéria Condensada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (570, '095', 'a', '1.05.07.06-0', '1.05.07.06-0 Propriedades de Transportes de Matéria Condensada (Não Eletrônicas)', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (571, '095', 'a', 'propriedades', '1.05.07.06-0 Propriedades de Transportes de Matéria Condensada (Não Eletrônicas)', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (572, '095', 'a', 'de', '1.05.07.06-0 Propriedades de Transportes de Matéria Condensada (Não Eletrônicas)', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (573, '095', 'a', 'transportes', '1.05.07.06-0 Propriedades de Transportes de Matéria Condensada (Não Eletrônicas)', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (574, '095', 'a', 'de', '1.05.07.06-0 Propriedades de Transportes de Matéria Condensada (Não Eletrônicas)', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (575, '095', 'a', 'materia', '1.05.07.06-0 Propriedades de Transportes de Matéria Condensada (Não Eletrônicas)', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (576, '095', 'a', 'condensada', '1.05.07.06-0 Propriedades de Transportes de Matéria Condensada (Não Eletrônicas)', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (577, '095', 'a', '(nao', '1.05.07.06-0 Propriedades de Transportes de Matéria Condensada (Não Eletrônicas)', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (578, '095', 'a', 'eletronicas)', '1.05.07.06-0 Propriedades de Transportes de Matéria Condensada (Não Eletrônicas)', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (579, '095', 'a', '1.05.07.07-8', '1.05.07.07-8 Campos Quânticos e Sólidos, Hélio, Líquido, Sólido', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (580, '095', 'a', 'campos', '1.05.07.07-8 Campos Quânticos e Sólidos, Hélio, Líquido, Sólido', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (581, '095', 'a', 'quanticos', '1.05.07.07-8 Campos Quânticos e Sólidos, Hélio, Líquido, Sólido', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (582, '095', 'a', 'solidos,', '1.05.07.07-8 Campos Quânticos e Sólidos, Hélio, Líquido, Sólido', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (583, '095', 'a', 'helio,', '1.05.07.07-8 Campos Quânticos e Sólidos, Hélio, Líquido, Sólido', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (584, '095', 'a', 'liquido,', '1.05.07.07-8 Campos Quânticos e Sólidos, Hélio, Líquido, Sólido', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (585, '095', 'a', 'solido', '1.05.07.07-8 Campos Quânticos e Sólidos, Hélio, Líquido, Sólido', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (586, '095', 'a', '1.05.07.08-6', '1.05.07.08-6 Superfícies e Interfaces; Películas e Filamentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (587, '095', 'a', 'superficies', '1.05.07.08-6 Superfícies e Interfaces; Películas e Filamentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (588, '095', 'a', 'interfaces;', '1.05.07.08-6 Superfícies e Interfaces; Películas e Filamentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (589, '095', 'a', 'peliculas', '1.05.07.08-6 Superfícies e Interfaces; Películas e Filamentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (590, '095', 'a', 'filamentos', '1.05.07.08-6 Superfícies e Interfaces; Películas e Filamentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (591, '095', 'a', '1.05.07.09-4', '1.05.07.09-4 Estados Eletrônicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (592, '095', 'a', 'estados', '1.05.07.09-4 Estados Eletrônicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (593, '095', 'a', 'eletronicos', '1.05.07.09-4 Estados Eletrônicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (594, '095', 'a', '1.05.07.10-8', '1.05.07.10-8 Transp.Eletrônicos e Prop. Elétricas de Superfícies; Interfaces e Películas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (595, '095', 'a', 'transp.eletronicos', '1.05.07.10-8 Transp.Eletrônicos e Prop. Elétricas de Superfícies; Interfaces e Películas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (596, '095', 'a', 'prop.', '1.05.07.10-8 Transp.Eletrônicos e Prop. Elétricas de Superfícies; Interfaces e Películas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (597, '095', 'a', 'eletricas', '1.05.07.10-8 Transp.Eletrônicos e Prop. Elétricas de Superfícies; Interfaces e Películas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (598, '095', 'a', 'de', '1.05.07.10-8 Transp.Eletrônicos e Prop. Elétricas de Superfícies; Interfaces e Películas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (599, '095', 'a', 'superficies;', '1.05.07.10-8 Transp.Eletrônicos e Prop. Elétricas de Superfícies; Interfaces e Películas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (600, '095', 'a', 'interfaces', '1.05.07.10-8 Transp.Eletrônicos e Prop. Elétricas de Superfícies; Interfaces e Películas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (601, '095', 'a', 'peliculas', '1.05.07.10-8 Transp.Eletrônicos e Prop. Elétricas de Superfícies; Interfaces e Películas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (602, '095', 'a', '1.05.07.11-6', '1.05.07.11-6 Estruturas Eletrônicas e Propriedades Elétricas de Superfícies Interfaces e Películas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (603, '095', 'a', 'estruturas', '1.05.07.11-6 Estruturas Eletrônicas e Propriedades Elétricas de Superfícies Interfaces e Películas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (604, '095', 'a', 'eletronicas', '1.05.07.11-6 Estruturas Eletrônicas e Propriedades Elétricas de Superfícies Interfaces e Películas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (605, '095', 'a', 'propriedades', '1.05.07.11-6 Estruturas Eletrônicas e Propriedades Elétricas de Superfícies Interfaces e Películas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (606, '095', 'a', 'eletricas', '1.05.07.11-6 Estruturas Eletrônicas e Propriedades Elétricas de Superfícies Interfaces e Películas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (607, '095', 'a', 'de', '1.05.07.11-6 Estruturas Eletrônicas e Propriedades Elétricas de Superfícies Interfaces e Películas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (608, '095', 'a', 'superficies', '1.05.07.11-6 Estruturas Eletrônicas e Propriedades Elétricas de Superfícies Interfaces e Películas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (609, '095', 'a', 'interfaces', '1.05.07.11-6 Estruturas Eletrônicas e Propriedades Elétricas de Superfícies Interfaces e Películas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (610, '095', 'a', 'peliculas', '1.05.07.11-6 Estruturas Eletrônicas e Propriedades Elétricas de Superfícies Interfaces e Películas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (611, '095', 'a', '1.05.07.12-4', '1.05.07.12-4 Supercondutividade', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (612, '095', 'a', 'supercondutividade', '1.05.07.12-4 Supercondutividade', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (613, '095', 'a', '1.05.07.13-2', '1.05.07.13-2 Materiais Magnéticos e Propriedades Magnéticas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (614, '095', 'a', 'materiais', '1.05.07.13-2 Materiais Magnéticos e Propriedades Magnéticas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (615, '095', 'a', 'magneticos', '1.05.07.13-2 Materiais Magnéticos e Propriedades Magnéticas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (616, '095', 'a', 'propriedades', '1.05.07.13-2 Materiais Magnéticos e Propriedades Magnéticas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (617, '095', 'a', 'magneticas', '1.05.07.13-2 Materiais Magnéticos e Propriedades Magnéticas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (618, '095', 'a', '1.05.07.14-0', '1.05.07.14-0 Ressonância Mag.e Relax.Na Mat.Condens;Efeitos Mosbauer;Corr.Ang.Pertubada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (619, '095', 'a', 'ressonancia', '1.05.07.14-0 Ressonância Mag.e Relax.Na Mat.Condens;Efeitos Mosbauer;Corr.Ang.Pertubada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (620, '095', 'a', 'mag.e', '1.05.07.14-0 Ressonância Mag.e Relax.Na Mat.Condens;Efeitos Mosbauer;Corr.Ang.Pertubada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (621, '095', 'a', 'relax.na', '1.05.07.14-0 Ressonância Mag.e Relax.Na Mat.Condens;Efeitos Mosbauer;Corr.Ang.Pertubada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (622, '095', 'a', 'mat.condens;efeitos', '1.05.07.14-0 Ressonância Mag.e Relax.Na Mat.Condens;Efeitos Mosbauer;Corr.Ang.Pertubada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (623, '095', 'a', 'mosbauer;corr.ang.pertubada', '1.05.07.14-0 Ressonância Mag.e Relax.Na Mat.Condens;Efeitos Mosbauer;Corr.Ang.Pertubada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (624, '095', 'a', '1.05.07.15-9', '1.05.07.15-9 Materiais Dielétricos e Propriedades Dielétricas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (625, '095', 'a', 'materiais', '1.05.07.15-9 Materiais Dielétricos e Propriedades Dielétricas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (626, '095', 'a', 'dieletricos', '1.05.07.15-9 Materiais Dielétricos e Propriedades Dielétricas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (627, '095', 'a', 'propriedades', '1.05.07.15-9 Materiais Dielétricos e Propriedades Dielétricas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (628, '095', 'a', 'dieletricas', '1.05.07.15-9 Materiais Dielétricos e Propriedades Dielétricas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (629, '095', 'a', '1.05.07.16-7', '1.05.07.16-7 Prop.Óticas e Espectrosc.da Mat.Condens;Outras Inter.da Mat.Com Rad.e Part.', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (630, '095', 'a', 'prop.oticas', '1.05.07.16-7 Prop.Óticas e Espectrosc.da Mat.Condens;Outras Inter.da Mat.Com Rad.e Part.', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (631, '095', 'a', 'espectrosc.da', '1.05.07.16-7 Prop.Óticas e Espectrosc.da Mat.Condens;Outras Inter.da Mat.Com Rad.e Part.', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (632, '095', 'a', 'mat.condens;outras', '1.05.07.16-7 Prop.Óticas e Espectrosc.da Mat.Condens;Outras Inter.da Mat.Com Rad.e Part.', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (633, '095', 'a', 'inter.da', '1.05.07.16-7 Prop.Óticas e Espectrosc.da Mat.Condens;Outras Inter.da Mat.Com Rad.e Part.', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (634, '095', 'a', 'mat.com', '1.05.07.16-7 Prop.Óticas e Espectrosc.da Mat.Condens;Outras Inter.da Mat.Com Rad.e Part.', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (635, '095', 'a', 'rad.e', '1.05.07.16-7 Prop.Óticas e Espectrosc.da Mat.Condens;Outras Inter.da Mat.Com Rad.e Part.', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (636, '095', 'a', 'part.', '1.05.07.16-7 Prop.Óticas e Espectrosc.da Mat.Condens;Outras Inter.da Mat.Com Rad.e Part.', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (637, '095', 'a', '1.05.07.17-5', '1.05.07.17-5 Emissão Eletrônica e Iônica por Líquidos e Sólidos; Fenômenos de Impacto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (638, '095', 'a', 'emissao', '1.05.07.17-5 Emissão Eletrônica e Iônica por Líquidos e Sólidos; Fenômenos de Impacto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (639, '095', 'a', 'eletronica', '1.05.07.17-5 Emissão Eletrônica e Iônica por Líquidos e Sólidos; Fenômenos de Impacto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (640, '095', 'a', 'ionica', '1.05.07.17-5 Emissão Eletrônica e Iônica por Líquidos e Sólidos; Fenômenos de Impacto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (641, '095', 'a', 'por', '1.05.07.17-5 Emissão Eletrônica e Iônica por Líquidos e Sólidos; Fenômenos de Impacto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (642, '095', 'a', 'liquidos', '1.05.07.17-5 Emissão Eletrônica e Iônica por Líquidos e Sólidos; Fenômenos de Impacto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (643, '095', 'a', 'solidos;', '1.05.07.17-5 Emissão Eletrônica e Iônica por Líquidos e Sólidos; Fenômenos de Impacto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (644, '095', 'a', 'fenomenos', '1.05.07.17-5 Emissão Eletrônica e Iônica por Líquidos e Sólidos; Fenômenos de Impacto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (645, '095', 'a', 'de', '1.05.07.17-5 Emissão Eletrônica e Iônica por Líquidos e Sólidos; Fenômenos de Impacto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (646, '095', 'a', 'impacto', '1.05.07.17-5 Emissão Eletrônica e Iônica por Líquidos e Sólidos; Fenômenos de Impacto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (647, '095', 'a', '1.06.00.00-0', '1.06.00.00-0 Química', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (648, '095', 'a', 'quimica', '1.06.00.00-0 Química', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (649, '095', 'a', '1.06.01.00-7', '1.06.01.00-7 Química Orgânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (650, '095', 'a', 'quimica', '1.06.01.00-7 Química Orgânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (651, '095', 'a', 'organica', '1.06.01.00-7 Química Orgânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (652, '095', 'a', '1.06.01.01-5', '1.06.01.01-5 Estrutura, Conformação e Estereoquímica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (653, '095', 'a', 'estrutura,', '1.06.01.01-5 Estrutura, Conformação e Estereoquímica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (654, '095', 'a', 'conformacao', '1.06.01.01-5 Estrutura, Conformação e Estereoquímica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (655, '095', 'a', 'estereoquimica', '1.06.01.01-5 Estrutura, Conformação e Estereoquímica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (656, '095', 'a', '1.06.01.02-3', '1.06.01.02-3 Sintese Orgânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (657, '095', 'a', 'sintese', '1.06.01.02-3 Sintese Orgânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (658, '095', 'a', 'organica', '1.06.01.02-3 Sintese Orgânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (659, '095', 'a', '1.06.01.03-1', '1.06.01.03-1 Fisico-Química Orgânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (660, '095', 'a', 'fisico-quimica', '1.06.01.03-1 Fisico-Química Orgânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (661, '095', 'a', 'organica', '1.06.01.03-1 Fisico-Química Orgânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (662, '095', 'a', '1.06.01.04-0', '1.06.01.04-0 Fotoquímica Orgânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (663, '095', 'a', 'fotoquimica', '1.06.01.04-0 Fotoquímica Orgânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (664, '095', 'a', 'organica', '1.06.01.04-0 Fotoquímica Orgânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (665, '095', 'a', '1.06.01.05-8', '1.06.01.05-8 Química dos Produtos Naturais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (666, '095', 'a', 'quimica', '1.06.01.05-8 Química dos Produtos Naturais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (667, '095', 'a', 'dos', '1.06.01.05-8 Química dos Produtos Naturais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (668, '095', 'a', 'produtos', '1.06.01.05-8 Química dos Produtos Naturais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (669, '095', 'a', 'naturais', '1.06.01.05-8 Química dos Produtos Naturais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (670, '095', 'a', '1.06.01.06-6', '1.06.01.06-6 Evolução, Sistemática e Ecologia Química', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (671, '095', 'a', 'evolucao,', '1.06.01.06-6 Evolução, Sistemática e Ecologia Química', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (672, '095', 'a', 'sistematica', '1.06.01.06-6 Evolução, Sistemática e Ecologia Química', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (673, '095', 'a', 'ecologia', '1.06.01.06-6 Evolução, Sistemática e Ecologia Química', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (674, '095', 'a', 'quimica', '1.06.01.06-6 Evolução, Sistemática e Ecologia Química', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (675, '095', 'a', '1.06.01.07-4', '1.06.01.07-4 Polimeros e Colóides', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (676, '095', 'a', 'polimeros', '1.06.01.07-4 Polimeros e Colóides', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (677, '095', 'a', 'coloides', '1.06.01.07-4 Polimeros e Colóides', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (678, '095', 'a', '1.06.02.00-3', '1.06.02.00-3 Química Inorgânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (679, '095', 'a', 'quimica', '1.06.02.00-3 Química Inorgânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (680, '095', 'a', 'inorganica', '1.06.02.00-3 Química Inorgânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (681, '095', 'a', '1.06.02.01-1', '1.06.02.01-1 Campos de Coordenação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (682, '095', 'a', 'campos', '1.06.02.01-1 Campos de Coordenação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (683, '095', 'a', 'de', '1.06.02.01-1 Campos de Coordenação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (684, '095', 'a', 'coordenacao', '1.06.02.01-1 Campos de Coordenação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (685, '095', 'a', '1.06.02.02-0', '1.06.02.02-0 Não-Metais e Seus Compostos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (686, '095', 'a', 'nao-metais', '1.06.02.02-0 Não-Metais e Seus Compostos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (687, '095', 'a', 'seus', '1.06.02.02-0 Não-Metais e Seus Compostos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (688, '095', 'a', 'compostos', '1.06.02.02-0 Não-Metais e Seus Compostos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (689, '095', 'a', '1.06.02.03-8', '1.06.02.03-8 Compostos Organo-Metálicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (690, '095', 'a', 'compostos', '1.06.02.03-8 Compostos Organo-Metálicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (691, '095', 'a', 'organo-metalicos', '1.06.02.03-8 Compostos Organo-Metálicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (692, '095', 'a', '1.06.02.04-6', '1.06.02.04-6 Determinação de Estrutura de Compostos Inorgânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (693, '095', 'a', 'determinacao', '1.06.02.04-6 Determinação de Estrutura de Compostos Inorgânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (694, '095', 'a', 'de', '1.06.02.04-6 Determinação de Estrutura de Compostos Inorgânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (695, '095', 'a', 'estrutura', '1.06.02.04-6 Determinação de Estrutura de Compostos Inorgânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (696, '095', 'a', 'de', '1.06.02.04-6 Determinação de Estrutura de Compostos Inorgânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (697, '095', 'a', 'compostos', '1.06.02.04-6 Determinação de Estrutura de Compostos Inorgânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (698, '095', 'a', 'inorganicos', '1.06.02.04-6 Determinação de Estrutura de Compostos Inorgânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (699, '095', 'a', '1.06.02.05-4', '1.06.02.05-4 Foto-Química Inorgânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (700, '095', 'a', 'foto-quimica', '1.06.02.05-4 Foto-Química Inorgânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (701, '095', 'a', 'inorganica', '1.06.02.05-4 Foto-Química Inorgânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (702, '095', 'a', '1.06.02.06-2', '1.06.02.06-2 Fisico Química Inorgânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (703, '095', 'a', 'fisico', '1.06.02.06-2 Fisico Química Inorgânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (704, '095', 'a', 'quimica', '1.06.02.06-2 Fisico Química Inorgânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (705, '095', 'a', 'inorganica', '1.06.02.06-2 Fisico Química Inorgânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (706, '095', 'a', '1.06.02.07-0', '1.06.02.07-0 Química Bio-Inorgânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (707, '095', 'a', 'quimica', '1.06.02.07-0 Química Bio-Inorgânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (708, '095', 'a', 'bio-inorganica', '1.06.02.07-0 Química Bio-Inorgânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (709, '095', 'a', '1.06.03.00-0', '1.06.03.00-0 Fisico-Química', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (710, '095', 'a', 'fisico-quimica', '1.06.03.00-0 Fisico-Química', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (711, '095', 'a', '1.06.03.01-8', '1.06.03.01-8 Cinética Química e Catálise', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (712, '095', 'a', 'cinetica', '1.06.03.01-8 Cinética Química e Catálise', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (713, '095', 'a', 'quimica', '1.06.03.01-8 Cinética Química e Catálise', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (714, '095', 'a', 'catalise', '1.06.03.01-8 Cinética Química e Catálise', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (715, '095', 'a', '1.06.03.02-6', '1.06.03.02-6 Eletroquímica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (716, '095', 'a', 'eletroquimica', '1.06.03.02-6 Eletroquímica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (717, '095', 'a', '1.06.03.03-4', '1.06.03.03-4 Espectroscopia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (718, '095', 'a', 'espectroscopia', '1.06.03.03-4 Espectroscopia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (719, '095', 'a', '1.06.03.04-2', '1.06.03.04-2 Química de Interfaces', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (720, '095', 'a', 'quimica', '1.06.03.04-2 Química de Interfaces', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (721, '095', 'a', 'de', '1.06.03.04-2 Química de Interfaces', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (722, '095', 'a', 'interfaces', '1.06.03.04-2 Química de Interfaces', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (723, '095', 'a', '1.06.03.05-0', '1.06.03.05-0 Química do Estado Condensado', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (724, '095', 'a', 'quimica', '1.06.03.05-0 Química do Estado Condensado', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (725, '095', 'a', 'do', '1.06.03.05-0 Química do Estado Condensado', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (726, '095', 'a', 'estado', '1.06.03.05-0 Química do Estado Condensado', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (727, '095', 'a', 'condensado', '1.06.03.05-0 Química do Estado Condensado', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (728, '095', 'a', '1.06.03.06-9', '1.06.03.06-9 Química Nuclear e Radioquímica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (729, '095', 'a', 'quimica', '1.06.03.06-9 Química Nuclear e Radioquímica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (730, '095', 'a', 'nuclear', '1.06.03.06-9 Química Nuclear e Radioquímica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (731, '095', 'a', 'radioquimica', '1.06.03.06-9 Química Nuclear e Radioquímica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (732, '095', 'a', '1.06.03.07-7', '1.06.03.07-7 Química Teórica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (733, '095', 'a', 'quimica', '1.06.03.07-7 Química Teórica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (734, '095', 'a', 'teorica', '1.06.03.07-7 Química Teórica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (735, '095', 'a', '1.06.03.08-5', '1.06.03.08-5 Termodinâmica Química', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (736, '095', 'a', 'termodinamica', '1.06.03.08-5 Termodinâmica Química', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (737, '095', 'a', 'quimica', '1.06.03.08-5 Termodinâmica Química', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (738, '095', 'a', '1.06.04.00-6', '1.06.04.00-6 Química Analítica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (739, '095', 'a', 'quimica', '1.06.04.00-6 Química Analítica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (740, '095', 'a', 'analitica', '1.06.04.00-6 Química Analítica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (741, '095', 'a', '1.06.04.01-4', '1.06.04.01-4 Separação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (742, '095', 'a', 'separacao', '1.06.04.01-4 Separação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (743, '095', 'a', '1.06.04.02-2', '1.06.04.02-2 Métodos Óticos de Análise', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (744, '095', 'a', 'metodos', '1.06.04.02-2 Métodos Óticos de Análise', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (745, '095', 'a', 'oticos', '1.06.04.02-2 Métodos Óticos de Análise', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (746, '095', 'a', 'de', '1.06.04.02-2 Métodos Óticos de Análise', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (747, '095', 'a', 'analise', '1.06.04.02-2 Métodos Óticos de Análise', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (748, '095', 'a', '1.06.04.03-0', '1.06.04.03-0 Eletroanalítica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (749, '095', 'a', 'eletroanalitica', '1.06.04.03-0 Eletroanalítica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (750, '095', 'a', '1.06.04.04-9', '1.06.04.04-9 Gravimetria', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (751, '095', 'a', 'gravimetria', '1.06.04.04-9 Gravimetria', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (752, '095', 'a', '1.06.04.05-7', '1.06.04.05-7 Titimetria', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (753, '095', 'a', 'titimetria', '1.06.04.05-7 Titimetria', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (754, '095', 'a', '1.06.04.06-5', '1.06.04.06-5 Instrumentação Analítica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (755, '095', 'a', 'instrumentacao', '1.06.04.06-5 Instrumentação Analítica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (756, '095', 'a', 'analitica', '1.06.04.06-5 Instrumentação Analítica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (757, '095', 'a', '1.06.04.07-3', '1.06.04.07-3 Análise de Traços e Química Ambiental', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (758, '095', 'a', 'analise', '1.06.04.07-3 Análise de Traços e Química Ambiental', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (759, '095', 'a', 'de', '1.06.04.07-3 Análise de Traços e Química Ambiental', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (760, '095', 'a', 'tracos', '1.06.04.07-3 Análise de Traços e Química Ambiental', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (761, '095', 'a', 'quimica', '1.06.04.07-3 Análise de Traços e Química Ambiental', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (762, '095', 'a', 'ambiental', '1.06.04.07-3 Análise de Traços e Química Ambiental', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (763, '095', 'a', '1.07.00.00-5', '1.07.00.00-5 GeoCiências', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (764, '095', 'a', 'geociencias', '1.07.00.00-5 GeoCiências', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (765, '095', 'a', '1.07.01.00-1', '1.07.01.00-1 Geologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (766, '095', 'a', 'geologia', '1.07.01.00-1 Geologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (767, '095', 'a', '1.07.01.01-0', '1.07.01.01-0 Mineralogia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (768, '095', 'a', 'mineralogia', '1.07.01.01-0 Mineralogia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (769, '095', 'a', '1.07.01.02-8', '1.07.01.02-8 Petrologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (770, '095', 'a', 'petrologia', '1.07.01.02-8 Petrologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (771, '095', 'a', '1.07.01.03-6', '1.07.01.03-6 Geoquímica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (772, '095', 'a', 'geoquimica', '1.07.01.03-6 Geoquímica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (773, '095', 'a', '1.07.01.04-4', '1.07.01.04-4 Geologia Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (774, '095', 'a', 'geologia', '1.07.01.04-4 Geologia Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (775, '095', 'a', 'regional', '1.07.01.04-4 Geologia Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (776, '095', 'a', '1.07.01.05-2', '1.07.01.05-2 Geotectônica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (777, '095', 'a', 'geotectonica', '1.07.01.05-2 Geotectônica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (778, '095', 'a', '1.07.01.06-0', '1.07.01.06-0 Geocronologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (779, '095', 'a', 'geocronologia', '1.07.01.06-0 Geocronologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (780, '095', 'a', '1.07.01.07-9', '1.07.01.07-9 Cartografia Geológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (781, '095', 'a', 'cartografia', '1.07.01.07-9 Cartografia Geológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (782, '095', 'a', 'geologica', '1.07.01.07-9 Cartografia Geológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (783, '095', 'a', '1.07.01.08-7', '1.07.01.08-7 Metalogenia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (784, '095', 'a', 'metalogenia', '1.07.01.08-7 Metalogenia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (785, '095', 'a', '1.07.01.09-5', '1.07.01.09-5 Hidrogeologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (786, '095', 'a', 'hidrogeologia', '1.07.01.09-5 Hidrogeologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (787, '095', 'a', '1.07.01.10-9', '1.07.01.10-9 Prospecção Mineral', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (788, '095', 'a', 'prospeccao', '1.07.01.10-9 Prospecção Mineral', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (789, '095', 'a', 'mineral', '1.07.01.10-9 Prospecção Mineral', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (790, '095', 'a', '1.07.01.11-7', '1.07.01.11-7 Sedimentologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (791, '095', 'a', 'sedimentologia', '1.07.01.11-7 Sedimentologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (792, '095', 'a', '1.07.01.12-5', '1.07.01.12-5 Paleontologia Estratigráfica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (793, '095', 'a', 'paleontologia', '1.07.01.12-5 Paleontologia Estratigráfica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (794, '095', 'a', 'estratigrafica', '1.07.01.12-5 Paleontologia Estratigráfica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (795, '095', 'a', '1.07.01.13-3', '1.07.01.13-3 Estratigrafia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (796, '095', 'a', 'estratigrafia', '1.07.01.13-3 Estratigrafia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (797, '095', 'a', '1.07.01.14-1', '1.07.01.14-1 Geologia Ambiental', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (798, '095', 'a', 'geologia', '1.07.01.14-1 Geologia Ambiental', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (799, '095', 'a', 'ambiental', '1.07.01.14-1 Geologia Ambiental', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (800, '095', 'a', '1.07.02.00-8', '1.07.02.00-8 Geofísica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (801, '095', 'a', 'geofisica', '1.07.02.00-8 Geofísica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (802, '095', 'a', '1.07.02.01-6', '1.07.02.01-6 Geomagnetismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (803, '095', 'a', 'geomagnetismo', '1.07.02.01-6 Geomagnetismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (804, '095', 'a', '1.07.02.02-4', '1.07.02.02-4 Sismologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (805, '095', 'a', 'sismologia', '1.07.02.02-4 Sismologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (806, '095', 'a', '1.07.02.03-2', '1.07.02.03-2 Geotermia e Fluxo Térmico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (807, '095', 'a', 'geotermia', '1.07.02.03-2 Geotermia e Fluxo Térmico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (808, '095', 'a', 'fluxo', '1.07.02.03-2 Geotermia e Fluxo Térmico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (809, '095', 'a', 'termico', '1.07.02.03-2 Geotermia e Fluxo Térmico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (810, '095', 'a', '1.07.02.04-0', '1.07.02.04-0 Propriedades Físicas das Rochas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (811, '095', 'a', 'propriedades', '1.07.02.04-0 Propriedades Físicas das Rochas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (812, '095', 'a', 'fisicas', '1.07.02.04-0 Propriedades Físicas das Rochas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (813, '095', 'a', 'das', '1.07.02.04-0 Propriedades Físicas das Rochas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (814, '095', 'a', 'rochas', '1.07.02.04-0 Propriedades Físicas das Rochas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (815, '095', 'a', '1.07.02.05-9', '1.07.02.05-9 Geofísica Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (816, '095', 'a', 'geofisica', '1.07.02.05-9 Geofísica Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (817, '095', 'a', 'nuclear', '1.07.02.05-9 Geofísica Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (818, '095', 'a', '1.07.02.06-7', '1.07.02.06-7 Sensoriamento Remoto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (819, '095', 'a', 'sensoriamento', '1.07.02.06-7 Sensoriamento Remoto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (820, '095', 'a', 'remoto', '1.07.02.06-7 Sensoriamento Remoto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (821, '095', 'a', '1.07.02.07-5', '1.07.02.07-5 Aeronomia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (822, '095', 'a', 'aeronomia', '1.07.02.07-5 Aeronomia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (823, '095', 'a', '1.07.02.08-3', '1.07.02.08-3 Desenvolvimento de Instrumentação Geofísica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (824, '095', 'a', 'desenvolvimento', '1.07.02.08-3 Desenvolvimento de Instrumentação Geofísica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (825, '095', 'a', 'de', '1.07.02.08-3 Desenvolvimento de Instrumentação Geofísica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (826, '095', 'a', 'instrumentacao', '1.07.02.08-3 Desenvolvimento de Instrumentação Geofísica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (827, '095', 'a', 'geofisica', '1.07.02.08-3 Desenvolvimento de Instrumentação Geofísica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (828, '095', 'a', '1.07.02.09-1', '1.07.02.09-1 Geofísica Aplicada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (829, '095', 'a', 'geofisica', '1.07.02.09-1 Geofísica Aplicada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (830, '095', 'a', 'aplicada', '1.07.02.09-1 Geofísica Aplicada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (831, '095', 'a', '1.07.02.10-5', '1.07.02.10-5 Gravimetria', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (832, '095', 'a', 'gravimetria', '1.07.02.10-5 Gravimetria', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (833, '095', 'a', '1.07.03.00-4', '1.07.03.00-4 Meteorologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (834, '095', 'a', 'meteorologia', '1.07.03.00-4 Meteorologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (835, '095', 'a', '1.07.03.01-2', '1.07.03.01-2 Meteorologia Dinâmica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (836, '095', 'a', 'meteorologia', '1.07.03.01-2 Meteorologia Dinâmica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (837, '095', 'a', 'dinamica', '1.07.03.01-2 Meteorologia Dinâmica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (838, '095', 'a', '1.07.03.02-0', '1.07.03.02-0 Meteorologia Sinótica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (839, '095', 'a', 'meteorologia', '1.07.03.02-0 Meteorologia Sinótica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (840, '095', 'a', 'sinotica', '1.07.03.02-0 Meteorologia Sinótica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (841, '095', 'a', '1.07.03.03-9', '1.07.03.03-9 Meteorologia Física', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (842, '095', 'a', 'meteorologia', '1.07.03.03-9 Meteorologia Física', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (843, '095', 'a', 'fisica', '1.07.03.03-9 Meteorologia Física', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (844, '095', 'a', '1.07.03.04-7', '1.07.03.04-7 Química da Atmosfera', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (845, '095', 'a', 'quimica', '1.07.03.04-7 Química da Atmosfera', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (846, '095', 'a', 'da', '1.07.03.04-7 Química da Atmosfera', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (847, '095', 'a', 'atmosfera', '1.07.03.04-7 Química da Atmosfera', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (848, '095', 'a', '1.07.03.05-5', '1.07.03.05-5 Instrumentação Meteorológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (849, '095', 'a', 'instrumentacao', '1.07.03.05-5 Instrumentação Meteorológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (850, '095', 'a', 'meteorologica', '1.07.03.05-5 Instrumentação Meteorológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (851, '095', 'a', '1.07.03.06-3', '1.07.03.06-3 Climatologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (852, '095', 'a', 'climatologia', '1.07.03.06-3 Climatologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (853, '095', 'a', '1.07.03.07-1', '1.07.03.07-1 Micrometeorologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (854, '095', 'a', 'micrometeorologia', '1.07.03.07-1 Micrometeorologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (855, '095', 'a', '1.07.03.08-0', '1.07.03.08-0 Sensoriamento Remoto da Atmosfera', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (856, '095', 'a', 'sensoriamento', '1.07.03.08-0 Sensoriamento Remoto da Atmosfera', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (857, '095', 'a', 'remoto', '1.07.03.08-0 Sensoriamento Remoto da Atmosfera', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (858, '095', 'a', 'da', '1.07.03.08-0 Sensoriamento Remoto da Atmosfera', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (859, '095', 'a', 'atmosfera', '1.07.03.08-0 Sensoriamento Remoto da Atmosfera', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (860, '095', 'a', '1.07.03.09-8', '1.07.03.09-8 Meteorologia Aplicada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (861, '095', 'a', 'meteorologia', '1.07.03.09-8 Meteorologia Aplicada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (862, '095', 'a', 'aplicada', '1.07.03.09-8 Meteorologia Aplicada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (863, '095', 'a', '1.07.04.00-0', '1.07.04.00-0 Geodesia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (864, '095', 'a', 'geodesia', '1.07.04.00-0 Geodesia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (865, '095', 'a', '1.07.04.01-9', '1.07.04.01-9 Geodesia Física', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (866, '095', 'a', 'geodesia', '1.07.04.01-9 Geodesia Física', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (867, '095', 'a', 'fisica', '1.07.04.01-9 Geodesia Física', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (868, '095', 'a', '1.07.04.02-7', '1.07.04.02-7 Geodesia Geométrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (869, '095', 'a', 'geodesia', '1.07.04.02-7 Geodesia Geométrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (870, '095', 'a', 'geometrica', '1.07.04.02-7 Geodesia Geométrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (871, '095', 'a', '1.07.04.03-5', '1.07.04.03-5 Geodesia Celeste', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (872, '095', 'a', 'geodesia', '1.07.04.03-5 Geodesia Celeste', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (873, '095', 'a', 'celeste', '1.07.04.03-5 Geodesia Celeste', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (874, '095', 'a', '1.07.04.04-3', '1.07.04.04-3 Fotogrametria', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (875, '095', 'a', 'fotogrametria', '1.07.04.04-3 Fotogrametria', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (876, '095', 'a', '1.07.04.05-1', '1.07.04.05-1 Cartografia Básica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (877, '095', 'a', 'cartografia', '1.07.04.05-1 Cartografia Básica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (878, '095', 'a', 'basica', '1.07.04.05-1 Cartografia Básica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (879, '095', 'a', '1.07.05.00-7', '1.07.05.00-7 Geografia Física', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (880, '095', 'a', 'geografia', '1.07.05.00-7 Geografia Física', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (881, '095', 'a', 'fisica', '1.07.05.00-7 Geografia Física', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (882, '095', 'a', '1.07.05.01-5', '1.07.05.01-5 Geomorfologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (883, '095', 'a', 'geomorfologia', '1.07.05.01-5 Geomorfologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (884, '095', 'a', '1.07.05.02-3', '1.07.05.02-3 Climatologia Geográfica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (885, '095', 'a', 'climatologia', '1.07.05.02-3 Climatologia Geográfica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (886, '095', 'a', 'geografica', '1.07.05.02-3 Climatologia Geográfica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (887, '095', 'a', '1.07.05.03-1', '1.07.05.03-1 Pedologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (888, '095', 'a', 'pedologia', '1.07.05.03-1 Pedologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (889, '095', 'a', '1.07.05.04-0', '1.07.05.04-0 Hidrogeografia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (890, '095', 'a', 'hidrogeografia', '1.07.05.04-0 Hidrogeografia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (891, '095', 'a', '1.07.05.05-8', '1.07.05.05-8 Geoecologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (892, '095', 'a', 'geoecologia', '1.07.05.05-8 Geoecologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (893, '095', 'a', '1.07.05.06-6', '1.07.05.06-6 Fotogeografia (Físico-Ecológica)', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (894, '095', 'a', 'fotogeografia', '1.07.05.06-6 Fotogeografia (Físico-Ecológica)', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (895, '095', 'a', '(fisico-ecologica)', '1.07.05.06-6 Fotogeografia (Físico-Ecológica)', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (896, '095', 'a', '1.07.05.07-4', '1.07.05.07-4 Geocartografia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (897, '095', 'a', 'geocartografia', '1.07.05.07-4 Geocartografia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (898, '095', 'a', '1.08.00.00-0', '1.08.00.00-0 Oceanografia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (899, '095', 'a', 'oceanografia', '1.08.00.00-0 Oceanografia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (900, '095', 'a', '1.08.01.00-6', '1.08.01.00-6 Oceanografia Biológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (901, '095', 'a', 'oceanografia', '1.08.01.00-6 Oceanografia Biológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (902, '095', 'a', 'biologica', '1.08.01.00-6 Oceanografia Biológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (903, '095', 'a', '1.08.01.01-4', '1.08.01.01-4 Interação entre os Organismos Marinhos e os Parâmetros Ambientais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (904, '095', 'a', 'interacao', '1.08.01.01-4 Interação entre os Organismos Marinhos e os Parâmetros Ambientais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (905, '095', 'a', 'entre', '1.08.01.01-4 Interação entre os Organismos Marinhos e os Parâmetros Ambientais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (906, '095', 'a', 'os', '1.08.01.01-4 Interação entre os Organismos Marinhos e os Parâmetros Ambientais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (907, '095', 'a', 'organismos', '1.08.01.01-4 Interação entre os Organismos Marinhos e os Parâmetros Ambientais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (908, '095', 'a', 'marinhos', '1.08.01.01-4 Interação entre os Organismos Marinhos e os Parâmetros Ambientais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (909, '095', 'a', 'os', '1.08.01.01-4 Interação entre os Organismos Marinhos e os Parâmetros Ambientais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (910, '095', 'a', 'parametros', '1.08.01.01-4 Interação entre os Organismos Marinhos e os Parâmetros Ambientais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (911, '095', 'a', 'ambientais', '1.08.01.01-4 Interação entre os Organismos Marinhos e os Parâmetros Ambientais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (912, '095', 'a', '1.08.02.00-2', '1.08.02.00-2 Oceanografia Física', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (913, '095', 'a', 'oceanografia', '1.08.02.00-2 Oceanografia Física', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (914, '095', 'a', 'fisica', '1.08.02.00-2 Oceanografia Física', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (915, '095', 'a', '1.08.02.01-0', '1.08.02.01-0 Variáveis Físicas da Água do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (916, '095', 'a', 'variaveis', '1.08.02.01-0 Variáveis Físicas da Água do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (917, '095', 'a', 'fisicas', '1.08.02.01-0 Variáveis Físicas da Água do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (918, '095', 'a', 'da', '1.08.02.01-0 Variáveis Físicas da Água do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (919, '095', 'a', 'agua', '1.08.02.01-0 Variáveis Físicas da Água do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (920, '095', 'a', 'do', '1.08.02.01-0 Variáveis Físicas da Água do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (921, '095', 'a', 'mar', '1.08.02.01-0 Variáveis Físicas da Água do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (922, '095', 'a', '1.08.02.02-9', '1.08.02.02-9 Movimento da Água do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (923, '095', 'a', 'movimento', '1.08.02.02-9 Movimento da Água do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (924, '095', 'a', 'da', '1.08.02.02-9 Movimento da Água do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (925, '095', 'a', 'agua', '1.08.02.02-9 Movimento da Água do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (926, '095', 'a', 'do', '1.08.02.02-9 Movimento da Água do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (927, '095', 'a', 'mar', '1.08.02.02-9 Movimento da Água do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (928, '095', 'a', '1.08.02.03-7', '1.08.02.03-7 Origem das Massas de Água', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (929, '095', 'a', 'origem', '1.08.02.03-7 Origem das Massas de Água', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (930, '095', 'a', 'das', '1.08.02.03-7 Origem das Massas de Água', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (931, '095', 'a', 'massas', '1.08.02.03-7 Origem das Massas de Água', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (932, '095', 'a', 'de', '1.08.02.03-7 Origem das Massas de Água', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (933, '095', 'a', 'agua', '1.08.02.03-7 Origem das Massas de Água', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (934, '095', 'a', '1.08.02.04-5', '1.08.02.04-5 Interação do Oceano com o Leito do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (935, '095', 'a', 'interacao', '1.08.02.04-5 Interação do Oceano com o Leito do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (936, '095', 'a', 'do', '1.08.02.04-5 Interação do Oceano com o Leito do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (937, '095', 'a', 'oceano', '1.08.02.04-5 Interação do Oceano com o Leito do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (938, '095', 'a', 'com', '1.08.02.04-5 Interação do Oceano com o Leito do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (939, '095', 'a', 'leito', '1.08.02.04-5 Interação do Oceano com o Leito do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (940, '095', 'a', 'do', '1.08.02.04-5 Interação do Oceano com o Leito do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (941, '095', 'a', 'mar', '1.08.02.04-5 Interação do Oceano com o Leito do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (942, '095', 'a', '1.08.02.05-3', '1.08.02.05-3 Interação do Oceano com a Atmosfera', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (943, '095', 'a', 'interacao', '1.08.02.05-3 Interação do Oceano com a Atmosfera', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (944, '095', 'a', 'do', '1.08.02.05-3 Interação do Oceano com a Atmosfera', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (945, '095', 'a', 'oceano', '1.08.02.05-3 Interação do Oceano com a Atmosfera', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (946, '095', 'a', 'com', '1.08.02.05-3 Interação do Oceano com a Atmosfera', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (947, '095', 'a', 'atmosfera', '1.08.02.05-3 Interação do Oceano com a Atmosfera', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (948, '095', 'a', '1.08.03.00-9', '1.08.03.00-9 Oceanografia Química', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (949, '095', 'a', 'oceanografia', '1.08.03.00-9 Oceanografia Química', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (950, '095', 'a', 'quimica', '1.08.03.00-9 Oceanografia Química', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (951, '095', 'a', '1.08.03.01-7', '1.08.03.01-7 Propriedades Químicas da Água do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (952, '095', 'a', 'propriedades', '1.08.03.01-7 Propriedades Químicas da Água do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (953, '095', 'a', 'quimicas', '1.08.03.01-7 Propriedades Químicas da Água do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (954, '095', 'a', 'da', '1.08.03.01-7 Propriedades Químicas da Água do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (955, '095', 'a', 'agua', '1.08.03.01-7 Propriedades Químicas da Água do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (956, '095', 'a', 'do', '1.08.03.01-7 Propriedades Químicas da Água do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (957, '095', 'a', 'mar', '1.08.03.01-7 Propriedades Químicas da Água do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (958, '095', 'a', '1.08.03.02-5', '1.08.03.02-5 Interações Químico-Biológicas/Geológicas das Substâncias Químicas da Água do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (959, '095', 'a', 'interacoes', '1.08.03.02-5 Interações Químico-Biológicas/Geológicas das Substâncias Químicas da Água do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (960, '095', 'a', 'quimico-biologicas/geologicas', '1.08.03.02-5 Interações Químico-Biológicas/Geológicas das Substâncias Químicas da Água do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (961, '095', 'a', 'das', '1.08.03.02-5 Interações Químico-Biológicas/Geológicas das Substâncias Químicas da Água do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (962, '095', 'a', 'substancias', '1.08.03.02-5 Interações Químico-Biológicas/Geológicas das Substâncias Químicas da Água do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (963, '095', 'a', 'quimicas', '1.08.03.02-5 Interações Químico-Biológicas/Geológicas das Substâncias Químicas da Água do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (964, '095', 'a', 'da', '1.08.03.02-5 Interações Químico-Biológicas/Geológicas das Substâncias Químicas da Água do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (965, '095', 'a', 'agua', '1.08.03.02-5 Interações Químico-Biológicas/Geológicas das Substâncias Químicas da Água do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (966, '095', 'a', 'do', '1.08.03.02-5 Interações Químico-Biológicas/Geológicas das Substâncias Químicas da Água do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (967, '095', 'a', 'mar', '1.08.03.02-5 Interações Químico-Biológicas/Geológicas das Substâncias Químicas da Água do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (968, '095', 'a', '1.08.04.00-5', '1.08.04.00-5 Oceanografia Geológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (969, '095', 'a', 'oceanografia', '1.08.04.00-5 Oceanografia Geológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (970, '095', 'a', 'geologica', '1.08.04.00-5 Oceanografia Geológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (971, '095', 'a', '1.08.04.01-3', '1.08.04.01-3 Geomorfologia Submarina', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (972, '095', 'a', 'geomorfologia', '1.08.04.01-3 Geomorfologia Submarina', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (973, '095', 'a', 'submarina', '1.08.04.01-3 Geomorfologia Submarina', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (974, '095', 'a', '1.08.04.02-1', '1.08.04.02-1 Sedimentologia Marinha', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (975, '095', 'a', 'sedimentologia', '1.08.04.02-1 Sedimentologia Marinha', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (976, '095', 'a', 'marinha', '1.08.04.02-1 Sedimentologia Marinha', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (977, '095', 'a', '1.08.04.03-0', '1.08.04.03-0 Geofísica Marinha', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (978, '095', 'a', 'geofisica', '1.08.04.03-0 Geofísica Marinha', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (979, '095', 'a', 'marinha', '1.08.04.03-0 Geofísica Marinha', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (980, '095', 'a', '2.00.00.00-6', '2.00.00.00-6 Ciências Biológicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (981, '095', 'a', 'ciencias', '2.00.00.00-6 Ciências Biológicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (982, '095', 'a', 'biologicas', '2.00.00.00-6 Ciências Biológicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (983, '095', 'a', '2.01.00.00-0', '2.01.00.00-0 Biologia Geral', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (984, '095', 'a', 'biologia', '2.01.00.00-0 Biologia Geral', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (985, '095', 'a', 'geral', '2.01.00.00-0 Biologia Geral', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (986, '095', 'a', '2.02.00.00-5', '2.02.00.00-5 Genética', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (987, '095', 'a', 'genetica', '2.02.00.00-5 Genética', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (988, '095', 'a', '2.02.01.00-1', '2.02.01.00-1 Genética Quantitativa', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (989, '095', 'a', 'genetica', '2.02.01.00-1 Genética Quantitativa', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (990, '095', 'a', 'quantitativa', '2.02.01.00-1 Genética Quantitativa', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (991, '095', 'a', '2.02.02.00-8', '2.02.02.00-8 Genética Molecular e de Microorganismos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (992, '095', 'a', 'genetica', '2.02.02.00-8 Genética Molecular e de Microorganismos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (993, '095', 'a', 'molecular', '2.02.02.00-8 Genética Molecular e de Microorganismos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (994, '095', 'a', 'de', '2.02.02.00-8 Genética Molecular e de Microorganismos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (995, '095', 'a', 'microorganismos', '2.02.02.00-8 Genética Molecular e de Microorganismos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (996, '095', 'a', '2.02.03.00-4', '2.02.03.00-4 Genética Vegetal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (997, '095', 'a', 'genetica', '2.02.03.00-4 Genética Vegetal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (998, '095', 'a', 'vegetal', '2.02.03.00-4 Genética Vegetal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (999, '095', 'a', '2.02.04.00-0', '2.02.04.00-0 Genética Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1000, '095', 'a', 'genetica', '2.02.04.00-0 Genética Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1001, '095', 'a', 'animal', '2.02.04.00-0 Genética Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1002, '095', 'a', '2.02.05.00-7', '2.02.05.00-7 Genética Humana e Médica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1003, '095', 'a', 'genetica', '2.02.05.00-7 Genética Humana e Médica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1004, '095', 'a', 'humana', '2.02.05.00-7 Genética Humana e Médica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1005, '095', 'a', 'medica', '2.02.05.00-7 Genética Humana e Médica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1006, '095', 'a', '2.02.06.00-3', '2.02.06.00-3 Mutagênese', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1007, '095', 'a', 'mutagenese', '2.02.06.00-3 Mutagênese', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1008, '095', 'a', '2.03.00.00-0', '2.03.00.00-0 Botânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1009, '095', 'a', 'botanica', '2.03.00.00-0 Botânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1010, '095', 'a', '2.03.01.00-6', '2.03.01.00-6 Paleobotânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1011, '095', 'a', 'paleobotanica', '2.03.01.00-6 Paleobotânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1012, '095', 'a', '2.03.02.00-2', '2.03.02.00-2 Morfologia Vegetal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1013, '095', 'a', 'morfologia', '2.03.02.00-2 Morfologia Vegetal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1014, '095', 'a', 'vegetal', '2.03.02.00-2 Morfologia Vegetal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1015, '095', 'a', '2.03.02.01-0', '2.03.02.01-0 Morfologia Externa', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1016, '095', 'a', 'morfologia', '2.03.02.01-0 Morfologia Externa', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1017, '095', 'a', 'externa', '2.03.02.01-0 Morfologia Externa', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1018, '095', 'a', '2.03.02.02-9', '2.03.02.02-9 Citologia Vegetal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1019, '095', 'a', 'citologia', '2.03.02.02-9 Citologia Vegetal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1020, '095', 'a', 'vegetal', '2.03.02.02-9 Citologia Vegetal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1021, '095', 'a', '2.03.02.03-7', '2.03.02.03-7 Anatomia Vegetal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1022, '095', 'a', 'anatomia', '2.03.02.03-7 Anatomia Vegetal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1023, '095', 'a', 'vegetal', '2.03.02.03-7 Anatomia Vegetal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1024, '095', 'a', '2.03.02.04-5', '2.03.02.04-5 Palinologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1025, '095', 'a', 'palinologia', '2.03.02.04-5 Palinologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1026, '095', 'a', '2.03.03.00-9', '2.03.03.00-9 Fisiologia Vegetal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1027, '095', 'a', 'fisiologia', '2.03.03.00-9 Fisiologia Vegetal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1028, '095', 'a', 'vegetal', '2.03.03.00-9 Fisiologia Vegetal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1029, '095', 'a', '2.03.03.01-7', '2.03.03.01-7 Nutrição e Crescimento Vegetal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1030, '095', 'a', 'nutricao', '2.03.03.01-7 Nutrição e Crescimento Vegetal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1031, '095', 'a', 'crescimento', '2.03.03.01-7 Nutrição e Crescimento Vegetal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1032, '095', 'a', 'vegetal', '2.03.03.01-7 Nutrição e Crescimento Vegetal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1033, '095', 'a', '2.03.03.02-5', '2.03.03.02-5 Reprodução Vegetal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1034, '095', 'a', 'reproducao', '2.03.03.02-5 Reprodução Vegetal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1035, '095', 'a', 'vegetal', '2.03.03.02-5 Reprodução Vegetal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1036, '095', 'a', '2.03.03.03-3', '2.03.03.03-3 Ecofisiologia Vegetal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1037, '095', 'a', 'ecofisiologia', '2.03.03.03-3 Ecofisiologia Vegetal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1038, '095', 'a', 'vegetal', '2.03.03.03-3 Ecofisiologia Vegetal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1039, '095', 'a', '2.03.04.00-5', '2.03.04.00-5 Taxonomia Vegetal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1040, '095', 'a', 'taxonomia', '2.03.04.00-5 Taxonomia Vegetal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1041, '095', 'a', 'vegetal', '2.03.04.00-5 Taxonomia Vegetal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1042, '095', 'a', '2.03.04.01-3', '2.03.04.01-3 Taxonomia de Criptógamos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1043, '095', 'a', 'taxonomia', '2.03.04.01-3 Taxonomia de Criptógamos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1044, '095', 'a', 'de', '2.03.04.01-3 Taxonomia de Criptógamos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1045, '095', 'a', 'criptogamos', '2.03.04.01-3 Taxonomia de Criptógamos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1046, '095', 'a', '2.03.04.02-1', '2.03.04.02-1 Taxonomia de Fanerógamos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1047, '095', 'a', 'taxonomia', '2.03.04.02-1 Taxonomia de Fanerógamos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1048, '095', 'a', 'de', '2.03.04.02-1 Taxonomia de Fanerógamos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1049, '095', 'a', 'fanerogamos', '2.03.04.02-1 Taxonomia de Fanerógamos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1050, '095', 'a', '2.03.05.00-1', '2.03.05.00-1 Fitogeografia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1051, '095', 'a', 'fitogeografia', '2.03.05.00-1 Fitogeografia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1052, '095', 'a', '2.03.06.00-8', '2.03.06.00-8 Botânica Aplicada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1053, '095', 'a', 'botanica', '2.03.06.00-8 Botânica Aplicada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1054, '095', 'a', 'aplicada', '2.03.06.00-8 Botânica Aplicada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1055, '095', 'a', '2.04.00.00-4', '2.04.00.00-4 Zoologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1056, '095', 'a', 'zoologia', '2.04.00.00-4 Zoologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1057, '095', 'a', '2.04.01.00-0', '2.04.01.00-0 Paleozoologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1058, '095', 'a', 'paleozoologia', '2.04.01.00-0 Paleozoologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1059, '095', 'a', '2.04.02.00-7', '2.04.02.00-7 Morfologia dos Grupos Recentes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1060, '095', 'a', 'morfologia', '2.04.02.00-7 Morfologia dos Grupos Recentes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1061, '095', 'a', 'dos', '2.04.02.00-7 Morfologia dos Grupos Recentes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1062, '095', 'a', 'grupos', '2.04.02.00-7 Morfologia dos Grupos Recentes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1063, '095', 'a', 'recentes', '2.04.02.00-7 Morfologia dos Grupos Recentes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1064, '095', 'a', '2.04.03.00-3', '2.04.03.00-3 Fisiologia dos Grupos Recentes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1065, '095', 'a', 'fisiologia', '2.04.03.00-3 Fisiologia dos Grupos Recentes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1066, '095', 'a', 'dos', '2.04.03.00-3 Fisiologia dos Grupos Recentes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1067, '095', 'a', 'grupos', '2.04.03.00-3 Fisiologia dos Grupos Recentes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1068, '095', 'a', 'recentes', '2.04.03.00-3 Fisiologia dos Grupos Recentes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1069, '095', 'a', '2.04.04.00-0', '2.04.04.00-0 Comportamento Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1070, '095', 'a', 'comportamento', '2.04.04.00-0 Comportamento Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1071, '095', 'a', 'animal', '2.04.04.00-0 Comportamento Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1072, '095', 'a', '2.04.05.00-6', '2.04.05.00-6 Taxonomia dos Grupos Recentes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1073, '095', 'a', 'taxonomia', '2.04.05.00-6 Taxonomia dos Grupos Recentes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1074, '095', 'a', 'dos', '2.04.05.00-6 Taxonomia dos Grupos Recentes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1075, '095', 'a', 'grupos', '2.04.05.00-6 Taxonomia dos Grupos Recentes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1076, '095', 'a', 'recentes', '2.04.05.00-6 Taxonomia dos Grupos Recentes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1077, '095', 'a', '2.04.06.00-2', '2.04.06.00-2 Zoologia Aplicada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1078, '095', 'a', 'zoologia', '2.04.06.00-2 Zoologia Aplicada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1079, '095', 'a', 'aplicada', '2.04.06.00-2 Zoologia Aplicada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1080, '095', 'a', '2.04.06.01-0', '2.04.06.01-0 Conservação das Espécies Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1081, '095', 'a', 'conservacao', '2.04.06.01-0 Conservação das Espécies Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1082, '095', 'a', 'das', '2.04.06.01-0 Conservação das Espécies Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1083, '095', 'a', 'especies', '2.04.06.01-0 Conservação das Espécies Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1084, '095', 'a', 'animais', '2.04.06.01-0 Conservação das Espécies Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1085, '095', 'a', '2.04.06.02-9', '2.04.06.02-9 Utilização dos Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1086, '095', 'a', 'utilizacao', '2.04.06.02-9 Utilização dos Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1087, '095', 'a', 'dos', '2.04.06.02-9 Utilização dos Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1088, '095', 'a', 'animais', '2.04.06.02-9 Utilização dos Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1089, '095', 'a', '2.04.06.03-7', '2.04.06.03-7 Controle Populacional de Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1090, '095', 'a', 'controle', '2.04.06.03-7 Controle Populacional de Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1091, '095', 'a', 'populacional', '2.04.06.03-7 Controle Populacional de Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1092, '095', 'a', 'de', '2.04.06.03-7 Controle Populacional de Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1093, '095', 'a', 'animais', '2.04.06.03-7 Controle Populacional de Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1094, '095', 'a', '2.05.00.00-9', '2.05.00.00-9 Ecologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1095, '095', 'a', 'ecologia', '2.05.00.00-9 Ecologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1096, '095', 'a', '2.05.01.00-5', '2.05.01.00-5 Ecologia Teórica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1097, '095', 'a', 'ecologia', '2.05.01.00-5 Ecologia Teórica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1098, '095', 'a', 'teorica', '2.05.01.00-5 Ecologia Teórica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1099, '095', 'a', '2.05.02.00-1', '2.05.02.00-1 Ecologia de Ecossistemas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1100, '095', 'a', 'ecologia', '2.05.02.00-1 Ecologia de Ecossistemas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1101, '095', 'a', 'de', '2.05.02.00-1 Ecologia de Ecossistemas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1102, '095', 'a', 'ecossistemas', '2.05.02.00-1 Ecologia de Ecossistemas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1103, '095', 'a', '2.05.03.00-8', '2.05.03.00-8 Ecologia Aplicada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1104, '095', 'a', 'ecologia', '2.05.03.00-8 Ecologia Aplicada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1105, '095', 'a', 'aplicada', '2.05.03.00-8 Ecologia Aplicada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1106, '095', 'a', '2.06.00.00-3', '2.06.00.00-3 Morfologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1107, '095', 'a', 'morfologia', '2.06.00.00-3 Morfologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1108, '095', 'a', '2.06.01.00-0', '2.06.01.00-0 Citologia e Biologia Celular', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1109, '095', 'a', 'citologia', '2.06.01.00-0 Citologia e Biologia Celular', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1110, '095', 'a', 'biologia', '2.06.01.00-0 Citologia e Biologia Celular', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1111, '095', 'a', 'celular', '2.06.01.00-0 Citologia e Biologia Celular', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1112, '095', 'a', '2.06.02.00-6', '2.06.02.00-6 Embriologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1113, '095', 'a', 'embriologia', '2.06.02.00-6 Embriologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1114, '095', 'a', '2.06.03.00-2', '2.06.03.00-2 Histologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1115, '095', 'a', 'histologia', '2.06.03.00-2 Histologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1116, '095', 'a', '2.06.04.00-9', '2.06.04.00-9 Anatomia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1117, '095', 'a', 'anatomia', '2.06.04.00-9 Anatomia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1118, '095', 'a', '2.06.04.01-7', '2.06.04.01-7 Anatomia Humana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1119, '095', 'a', 'anatomia', '2.06.04.01-7 Anatomia Humana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1120, '095', 'a', 'humana', '2.06.04.01-7 Anatomia Humana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1121, '095', 'a', '2.07.00.00-8', '2.07.00.00-8 Fisiologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1122, '095', 'a', 'fisiologia', '2.07.00.00-8 Fisiologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1123, '095', 'a', '2.07.01.00-4', '2.07.01.00-4 Fisiologia Geral', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1124, '095', 'a', 'fisiologia', '2.07.01.00-4 Fisiologia Geral', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1125, '095', 'a', 'geral', '2.07.01.00-4 Fisiologia Geral', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1126, '095', 'a', '2.07.02.00-0', '2.07.02.00-0 Fisiologia de Órgaos e Sistemas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1127, '095', 'a', 'fisiologia', '2.07.02.00-0 Fisiologia de Órgaos e Sistemas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1128, '095', 'a', 'de', '2.07.02.00-0 Fisiologia de Órgaos e Sistemas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1129, '095', 'a', 'orgaos', '2.07.02.00-0 Fisiologia de Órgaos e Sistemas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1130, '095', 'a', 'sistemas', '2.07.02.00-0 Fisiologia de Órgaos e Sistemas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1131, '095', 'a', '2.07.02.01-9', '2.07.02.01-9 Neurofisiologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1132, '095', 'a', 'neurofisiologia', '2.07.02.01-9 Neurofisiologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1133, '095', 'a', '2.07.02.02-7', '2.07.02.02-7 Fisiologia Cardiovascular', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1134, '095', 'a', 'fisiologia', '2.07.02.02-7 Fisiologia Cardiovascular', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1135, '095', 'a', 'cardiovascular', '2.07.02.02-7 Fisiologia Cardiovascular', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1136, '095', 'a', '2.07.02.03-5', '2.07.02.03-5 Fisiologia da Respiração', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1137, '095', 'a', 'fisiologia', '2.07.02.03-5 Fisiologia da Respiração', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1138, '095', 'a', 'da', '2.07.02.03-5 Fisiologia da Respiração', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1139, '095', 'a', 'respiracao', '2.07.02.03-5 Fisiologia da Respiração', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1140, '095', 'a', '2.07.02.04-3', '2.07.02.04-3 Fisiologia Renal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1141, '095', 'a', 'fisiologia', '2.07.02.04-3 Fisiologia Renal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1142, '095', 'a', 'renal', '2.07.02.04-3 Fisiologia Renal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1143, '095', 'a', '2.07.02.05-1', '2.07.02.05-1 Fisiologia Endocrina', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1144, '095', 'a', 'fisiologia', '2.07.02.05-1 Fisiologia Endocrina', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1145, '095', 'a', 'endocrina', '2.07.02.05-1 Fisiologia Endocrina', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1146, '095', 'a', '2.07.02.06-0', '2.07.02.06-0 Fisiologia da Digestão', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1147, '095', 'a', 'fisiologia', '2.07.02.06-0 Fisiologia da Digestão', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1148, '095', 'a', 'da', '2.07.02.06-0 Fisiologia da Digestão', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1149, '095', 'a', 'digestao', '2.07.02.06-0 Fisiologia da Digestão', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1150, '095', 'a', '2.07.02.07-8', '2.07.02.07-8 Cinesiologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1151, '095', 'a', 'cinesiologia', '2.07.02.07-8 Cinesiologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1152, '095', 'a', '2.07.03.00-7', '2.07.03.00-7 Fisiologia do Esforço', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1153, '095', 'a', 'fisiologia', '2.07.03.00-7 Fisiologia do Esforço', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1154, '095', 'a', 'do', '2.07.03.00-7 Fisiologia do Esforço', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1155, '095', 'a', 'esforco', '2.07.03.00-7 Fisiologia do Esforço', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1156, '095', 'a', '2.07.04.00-3', '2.07.04.00-3 Fisiologia Comparada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1157, '095', 'a', 'fisiologia', '2.07.04.00-3 Fisiologia Comparada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1158, '095', 'a', 'comparada', '2.07.04.00-3 Fisiologia Comparada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1159, '095', 'a', '2.08.00.00-2', '2.08.00.00-2 Bioquímica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1160, '095', 'a', 'bioquimica', '2.08.00.00-2 Bioquímica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1161, '095', 'a', '2.08.01.00-9', '2.08.01.00-9 Química de Macromoléculas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1162, '095', 'a', 'quimica', '2.08.01.00-9 Química de Macromoléculas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1163, '095', 'a', 'de', '2.08.01.00-9 Química de Macromoléculas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1164, '095', 'a', 'macromoleculas', '2.08.01.00-9 Química de Macromoléculas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1165, '095', 'a', '2.08.01.01-7', '2.08.01.01-7 Proteínas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1166, '095', 'a', 'proteinas', '2.08.01.01-7 Proteínas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1167, '095', 'a', '2.08.01.02-5', '2.08.01.02-5 Lipídeos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1168, '095', 'a', 'lipideos', '2.08.01.02-5 Lipídeos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1169, '095', 'a', '2.08.01.03-3', '2.08.01.03-3 Glicídeos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1170, '095', 'a', 'glicideos', '2.08.01.03-3 Glicídeos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1171, '095', 'a', '2.08.02.00-5', '2.08.02.00-5 Bioquímica dos Microorganismos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1172, '095', 'a', 'bioquimica', '2.08.02.00-5 Bioquímica dos Microorganismos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1173, '095', 'a', 'dos', '2.08.02.00-5 Bioquímica dos Microorganismos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1174, '095', 'a', 'microorganismos', '2.08.02.00-5 Bioquímica dos Microorganismos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1175, '095', 'a', '2.08.03.00-1', '2.08.03.00-1 Metabolismo e Bioenergética', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1176, '095', 'a', 'metabolismo', '2.08.03.00-1 Metabolismo e Bioenergética', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1177, '095', 'a', 'bioenergetica', '2.08.03.00-1 Metabolismo e Bioenergética', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1178, '095', 'a', '2.08.04.00-8', '2.08.04.00-8 Biologia Molecular', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1179, '095', 'a', 'biologia', '2.08.04.00-8 Biologia Molecular', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1180, '095', 'a', 'molecular', '2.08.04.00-8 Biologia Molecular', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1181, '095', 'a', '2.08.05.00-4', '2.08.05.00-4 Enzimologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1182, '095', 'a', 'enzimologia', '2.08.05.00-4 Enzimologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1183, '095', 'a', '2.09.00.00-7', '2.09.00.00-7 Biofísica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1184, '095', 'a', 'biofisica', '2.09.00.00-7 Biofísica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1185, '095', 'a', '2.09.01.00-3', '2.09.01.00-3 Biofísica Molecular', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1186, '095', 'a', 'biofisica', '2.09.01.00-3 Biofísica Molecular', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1187, '095', 'a', 'molecular', '2.09.01.00-3 Biofísica Molecular', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1188, '095', 'a', '2.09.02.00-0', '2.09.02.00-0 Biofísica Celular', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1189, '095', 'a', 'biofisica', '2.09.02.00-0 Biofísica Celular', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1190, '095', 'a', 'celular', '2.09.02.00-0 Biofísica Celular', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1191, '095', 'a', '2.09.03.00-6', '2.09.03.00-6 Biofísica de Processos e Sistemas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1192, '095', 'a', 'biofisica', '2.09.03.00-6 Biofísica de Processos e Sistemas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1193, '095', 'a', 'de', '2.09.03.00-6 Biofísica de Processos e Sistemas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1194, '095', 'a', 'processos', '2.09.03.00-6 Biofísica de Processos e Sistemas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1195, '095', 'a', 'sistemas', '2.09.03.00-6 Biofísica de Processos e Sistemas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1196, '095', 'a', '2.09.04.00-2', '2.09.04.00-2 Radiologia e Fotobiologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1197, '095', 'a', 'radiologia', '2.09.04.00-2 Radiologia e Fotobiologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1198, '095', 'a', 'fotobiologia', '2.09.04.00-2 Radiologia e Fotobiologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1199, '095', 'a', '2.10.00.00-0', '2.10.00.00-0 Farmacologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1200, '095', 'a', 'farmacologia', '2.10.00.00-0 Farmacologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1201, '095', 'a', '2.10.01.00-6', '2.10.01.00-6 Farmacologia Geral', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1202, '095', 'a', 'farmacologia', '2.10.01.00-6 Farmacologia Geral', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1203, '095', 'a', 'geral', '2.10.01.00-6 Farmacologia Geral', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1204, '095', 'a', '2.10.01.01-4', '2.10.01.01-4 Farmacocinética', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1205, '095', 'a', 'farmacocinetica', '2.10.01.01-4 Farmacocinética', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1206, '095', 'a', '2.10.01.02-2', '2.10.01.02-2 Biodisponibilidade', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1207, '095', 'a', 'biodisponibilidade', '2.10.01.02-2 Biodisponibilidade', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1208, '095', 'a', '2.10.02.00-2', '2.10.02.00-2 Farmacologia Autonômica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1209, '095', 'a', 'farmacologia', '2.10.02.00-2 Farmacologia Autonômica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1210, '095', 'a', 'autonomica', '2.10.02.00-2 Farmacologia Autonômica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1211, '095', 'a', '2.10.03.00-9', '2.10.03.00-9 Neuropsicofarmacologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1212, '095', 'a', 'neuropsicofarmacologia', '2.10.03.00-9 Neuropsicofarmacologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1213, '095', 'a', '2.10.04.00-5', '2.10.04.00-5 Farmacologia Cardiorenal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1214, '095', 'a', 'farmacologia', '2.10.04.00-5 Farmacologia Cardiorenal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1215, '095', 'a', 'cardiorenal', '2.10.04.00-5 Farmacologia Cardiorenal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1216, '095', 'a', '2.10.05.00-1', '2.10.05.00-1 Farmacologia Bioquímica e Molecular', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1217, '095', 'a', 'farmacologia', '2.10.05.00-1 Farmacologia Bioquímica e Molecular', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1218, '095', 'a', 'bioquimica', '2.10.05.00-1 Farmacologia Bioquímica e Molecular', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1219, '095', 'a', 'molecular', '2.10.05.00-1 Farmacologia Bioquímica e Molecular', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1220, '095', 'a', '2.10.06.00-8', '2.10.06.00-8 Etnofarmacologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1221, '095', 'a', 'etnofarmacologia', '2.10.06.00-8 Etnofarmacologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1222, '095', 'a', '2.10.07.00-4', '2.10.07.00-4 Toxicologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1223, '095', 'a', 'toxicologia', '2.10.07.00-4 Toxicologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1224, '095', 'a', '2.10.08.00-0', '2.10.08.00-0 Farmacologia Clínica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1225, '095', 'a', 'farmacologia', '2.10.08.00-0 Farmacologia Clínica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1226, '095', 'a', 'clinica', '2.10.08.00-0 Farmacologia Clínica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1227, '095', 'a', '2.11.00.00-4', '2.11.00.00-4 Imunologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1228, '095', 'a', 'imunologia', '2.11.00.00-4 Imunologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1229, '095', 'a', '2.11.01.00-0', '2.11.01.00-0 Imunoquímica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1230, '095', 'a', 'imunoquimica', '2.11.01.00-0 Imunoquímica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1231, '095', 'a', '2.11.02.00-7', '2.11.02.00-7 Imunologia Celular', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1232, '095', 'a', 'imunologia', '2.11.02.00-7 Imunologia Celular', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1233, '095', 'a', 'celular', '2.11.02.00-7 Imunologia Celular', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1234, '095', 'a', '2.11.03.00-3', '2.11.03.00-3 Imunogenética', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1235, '095', 'a', 'imunogenetica', '2.11.03.00-3 Imunogenética', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1236, '095', 'a', '2.11.04.00-0', '2.11.04.00-0 Imunologia Aplicada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1237, '095', 'a', 'imunologia', '2.11.04.00-0 Imunologia Aplicada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1238, '095', 'a', 'aplicada', '2.11.04.00-0 Imunologia Aplicada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1239, '095', 'a', '2.12.00.00-9', '2.12.00.00-9 Microbiologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1240, '095', 'a', 'microbiologia', '2.12.00.00-9 Microbiologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1241, '095', 'a', '2.12.01.00-5', '2.12.01.00-5 Biologia e Fisiologia dos Microorganismos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1242, '095', 'a', 'biologia', '2.12.01.00-5 Biologia e Fisiologia dos Microorganismos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1243, '095', 'a', 'fisiologia', '2.12.01.00-5 Biologia e Fisiologia dos Microorganismos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1244, '095', 'a', 'dos', '2.12.01.00-5 Biologia e Fisiologia dos Microorganismos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1245, '095', 'a', 'microorganismos', '2.12.01.00-5 Biologia e Fisiologia dos Microorganismos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1246, '095', 'a', '2.12.01.01-3', '2.12.01.01-3 Virologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1247, '095', 'a', 'virologia', '2.12.01.01-3 Virologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1248, '095', 'a', '2.12.01.02-1', '2.12.01.02-1 Bacterologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1249, '095', 'a', 'bacterologia', '2.12.01.02-1 Bacterologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1250, '095', 'a', '2.12.01.03-0', '2.12.01.03-0 Micologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1251, '095', 'a', 'micologia', '2.12.01.03-0 Micologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1252, '095', 'a', '2.12.02.00-1', '2.12.02.00-1 Microbiologia Aplicada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1253, '095', 'a', 'microbiologia', '2.12.02.00-1 Microbiologia Aplicada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1254, '095', 'a', 'aplicada', '2.12.02.00-1 Microbiologia Aplicada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1255, '095', 'a', '2.12.02.01-0', '2.12.02.01-0 Microbiologia Médica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1256, '095', 'a', 'microbiologia', '2.12.02.01-0 Microbiologia Médica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1257, '095', 'a', 'medica', '2.12.02.01-0 Microbiologia Médica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1258, '095', 'a', '2.12.02.02-8', '2.12.02.02-8 Microbiologia Industrial e de Fermentação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1259, '095', 'a', 'microbiologia', '2.12.02.02-8 Microbiologia Industrial e de Fermentação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1260, '095', 'a', 'industrial', '2.12.02.02-8 Microbiologia Industrial e de Fermentação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1261, '095', 'a', 'de', '2.12.02.02-8 Microbiologia Industrial e de Fermentação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1262, '095', 'a', 'fermentacao', '2.12.02.02-8 Microbiologia Industrial e de Fermentação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1263, '095', 'a', '2.13.00.00-3', '2.13.00.00-3 Parasitologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1264, '095', 'a', 'parasitologia', '2.13.00.00-3 Parasitologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1265, '095', 'a', '2.13.01.00-0', '2.13.01.00-0 Protozoologia de Parasitos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1266, '095', 'a', 'protozoologia', '2.13.01.00-0 Protozoologia de Parasitos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1267, '095', 'a', 'de', '2.13.01.00-0 Protozoologia de Parasitos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1268, '095', 'a', 'parasitos', '2.13.01.00-0 Protozoologia de Parasitos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1269, '095', 'a', '2.13.01.01-8', '2.13.01.01-8 Protozoologia Parasitária Humana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1270, '095', 'a', 'protozoologia', '2.13.01.01-8 Protozoologia Parasitária Humana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1271, '095', 'a', 'parasitaria', '2.13.01.01-8 Protozoologia Parasitária Humana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1272, '095', 'a', 'humana', '2.13.01.01-8 Protozoologia Parasitária Humana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1273, '095', 'a', '2.13.01.02-6', '2.13.01.02-6 Protozoologia Parasitária Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1274, '095', 'a', 'protozoologia', '2.13.01.02-6 Protozoologia Parasitária Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1275, '095', 'a', 'parasitaria', '2.13.01.02-6 Protozoologia Parasitária Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1276, '095', 'a', 'animal', '2.13.01.02-6 Protozoologia Parasitária Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1277, '095', 'a', '2.13.02.00-6', '2.13.02.00-6 Helmintologia de Parasitos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1278, '095', 'a', 'helmintologia', '2.13.02.00-6 Helmintologia de Parasitos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1279, '095', 'a', 'de', '2.13.02.00-6 Helmintologia de Parasitos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1280, '095', 'a', 'parasitos', '2.13.02.00-6 Helmintologia de Parasitos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1281, '095', 'a', '2.13.02.01-4', '2.13.02.01-4 Helmintologia Humana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1282, '095', 'a', 'helmintologia', '2.13.02.01-4 Helmintologia Humana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1283, '095', 'a', 'humana', '2.13.02.01-4 Helmintologia Humana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1284, '095', 'a', '2.13.02.02-2', '2.13.02.02-2 Helmintologia Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1285, '095', 'a', 'helmintologia', '2.13.02.02-2 Helmintologia Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1286, '095', 'a', 'animal', '2.13.02.02-2 Helmintologia Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1287, '095', 'a', '2.13.03.00-2', '2.13.03.00-2 Entomologia e Malacologia de Parasitos e Vetores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1288, '095', 'a', 'entomologia', '2.13.03.00-2 Entomologia e Malacologia de Parasitos e Vetores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1289, '095', 'a', 'malacologia', '2.13.03.00-2 Entomologia e Malacologia de Parasitos e Vetores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1290, '095', 'a', 'de', '2.13.03.00-2 Entomologia e Malacologia de Parasitos e Vetores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1291, '095', 'a', 'parasitos', '2.13.03.00-2 Entomologia e Malacologia de Parasitos e Vetores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1292, '095', 'a', 'vetores', '2.13.03.00-2 Entomologia e Malacologia de Parasitos e Vetores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1293, '095', 'a', '3.00.00.00-9', '3.00.00.00-9 Engenharias', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1294, '095', 'a', 'engenharias', '3.00.00.00-9 Engenharias', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1295, '095', 'a', '3.01.00.00-3', '3.01.00.00-3 Engenharia Civil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1296, '095', 'a', 'engenharia', '3.01.00.00-3 Engenharia Civil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1297, '095', 'a', 'civil', '3.01.00.00-3 Engenharia Civil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1298, '095', 'a', '3.01.01.00-0', '3.01.01.00-0 Construção Civil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1299, '095', 'a', 'construcao', '3.01.01.00-0 Construção Civil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1300, '095', 'a', 'civil', '3.01.01.00-0 Construção Civil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1301, '095', 'a', '3.01.01.01-8', '3.01.01.01-8 Materiais e Componentes de Construção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1302, '095', 'a', 'materiais', '3.01.01.01-8 Materiais e Componentes de Construção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1303, '095', 'a', 'componentes', '3.01.01.01-8 Materiais e Componentes de Construção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1304, '095', 'a', 'de', '3.01.01.01-8 Materiais e Componentes de Construção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1305, '095', 'a', 'construcao', '3.01.01.01-8 Materiais e Componentes de Construção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1306, '095', 'a', '3.01.01.02-6', '3.01.01.02-6 Processos Construtivos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1307, '095', 'a', 'processos', '3.01.01.02-6 Processos Construtivos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1308, '095', 'a', 'construtivos', '3.01.01.02-6 Processos Construtivos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1309, '095', 'a', '3.01.01.03-4', '3.01.01.03-4 Instalações Prediais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1310, '095', 'a', 'instalacoes', '3.01.01.03-4 Instalações Prediais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1311, '095', 'a', 'prediais', '3.01.01.03-4 Instalações Prediais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1312, '095', 'a', '3.01.02.00-6', '3.01.02.00-6 Estruturas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1313, '095', 'a', 'estruturas', '3.01.02.00-6 Estruturas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1314, '095', 'a', '3.01.02.01-4', '3.01.02.01-4 Estruturas de Concreto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1315, '095', 'a', 'estruturas', '3.01.02.01-4 Estruturas de Concreto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1316, '095', 'a', 'de', '3.01.02.01-4 Estruturas de Concreto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1317, '095', 'a', 'concreto', '3.01.02.01-4 Estruturas de Concreto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1318, '095', 'a', '3.01.02.02-2', '3.01.02.02-2 Estruturas de Madeiras', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1319, '095', 'a', 'estruturas', '3.01.02.02-2 Estruturas de Madeiras', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1320, '095', 'a', 'de', '3.01.02.02-2 Estruturas de Madeiras', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1321, '095', 'a', 'madeiras', '3.01.02.02-2 Estruturas de Madeiras', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1322, '095', 'a', '3.01.02.03-0', '3.01.02.03-0 Estruturas Metálicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1323, '095', 'a', 'estruturas', '3.01.02.03-0 Estruturas Metálicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1324, '095', 'a', 'metalicas', '3.01.02.03-0 Estruturas Metálicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1325, '095', 'a', '3.01.02.04-9', '3.01.02.04-9 Mecânica das Estruturas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1326, '095', 'a', 'mecanica', '3.01.02.04-9 Mecânica das Estruturas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1327, '095', 'a', 'das', '3.01.02.04-9 Mecânica das Estruturas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1328, '095', 'a', 'estruturas', '3.01.02.04-9 Mecânica das Estruturas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1329, '095', 'a', '3.01.03.00-2', '3.01.03.00-2 Geotécnica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1330, '095', 'a', 'geotecnica', '3.01.03.00-2 Geotécnica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1331, '095', 'a', '3.01.03.01-0', '3.01.03.01-0 Fundações e Escavações', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1332, '095', 'a', 'fundacoes', '3.01.03.01-0 Fundações e Escavações', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1333, '095', 'a', 'escavacoes', '3.01.03.01-0 Fundações e Escavações', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1334, '095', 'a', '3.01.03.02-9', '3.01.03.02-9 Mecânicas das Rochas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1335, '095', 'a', 'mecanicas', '3.01.03.02-9 Mecânicas das Rochas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1336, '095', 'a', 'das', '3.01.03.02-9 Mecânicas das Rochas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1337, '095', 'a', 'rochas', '3.01.03.02-9 Mecânicas das Rochas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1338, '095', 'a', '3.01.03.03-7', '3.01.03.03-7 Mecânicas dos Solos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1339, '095', 'a', 'mecanicas', '3.01.03.03-7 Mecânicas dos Solos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1340, '095', 'a', 'dos', '3.01.03.03-7 Mecânicas dos Solos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1341, '095', 'a', 'solos', '3.01.03.03-7 Mecânicas dos Solos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1342, '095', 'a', '3.01.03.04-5', '3.01.03.04-5 Obras de Terra e Enrocamento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1343, '095', 'a', 'obras', '3.01.03.04-5 Obras de Terra e Enrocamento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1344, '095', 'a', 'de', '3.01.03.04-5 Obras de Terra e Enrocamento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1345, '095', 'a', 'terra', '3.01.03.04-5 Obras de Terra e Enrocamento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1346, '095', 'a', 'enrocamento', '3.01.03.04-5 Obras de Terra e Enrocamento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1347, '095', 'a', '3.01.03.05-3', '3.01.03.05-3 Pavimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1348, '095', 'a', 'pavimentos', '3.01.03.05-3 Pavimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1349, '095', 'a', '3.01.04.00-9', '3.01.04.00-9 Engenharia Hidráulica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1350, '095', 'a', 'engenharia', '3.01.04.00-9 Engenharia Hidráulica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1351, '095', 'a', 'hidraulica', '3.01.04.00-9 Engenharia Hidráulica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1352, '095', 'a', '3.01.04.01-7', '3.01.04.01-7 Hidráulica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1353, '095', 'a', 'hidraulica', '3.01.04.01-7 Hidráulica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1354, '095', 'a', '3.01.04.02-5', '3.01.04.02-5 Hidrologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1355, '095', 'a', 'hidrologia', '3.01.04.02-5 Hidrologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1356, '095', 'a', '3.01.05.00-5', '3.01.05.00-5 Infra-Estrutura de Transportes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1357, '095', 'a', 'infra-estrutura', '3.01.05.00-5 Infra-Estrutura de Transportes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1358, '095', 'a', 'de', '3.01.05.00-5 Infra-Estrutura de Transportes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1359, '095', 'a', 'transportes', '3.01.05.00-5 Infra-Estrutura de Transportes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1360, '095', 'a', '3.01.05.01-3', '3.01.05.01-3 Aeroportos; Projeto e Construção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1361, '095', 'a', 'aeroportos;', '3.01.05.01-3 Aeroportos; Projeto e Construção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1362, '095', 'a', 'projeto', '3.01.05.01-3 Aeroportos; Projeto e Construção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1363, '095', 'a', 'construcao', '3.01.05.01-3 Aeroportos; Projeto e Construção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1364, '095', 'a', '3.01.05.02-1', '3.01.05.02-1 Ferrovias; Projetos e Construção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1365, '095', 'a', 'ferrovias;', '3.01.05.02-1 Ferrovias; Projetos e Construção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1366, '095', 'a', 'projetos', '3.01.05.02-1 Ferrovias; Projetos e Construção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1367, '095', 'a', 'construcao', '3.01.05.02-1 Ferrovias; Projetos e Construção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1368, '095', 'a', '3.01.05.03-0', '3.01.05.03-0 Portos e Vias Nevegáveis; Projeto e Construção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1369, '095', 'a', 'portos', '3.01.05.03-0 Portos e Vias Nevegáveis; Projeto e Construção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1370, '095', 'a', 'vias', '3.01.05.03-0 Portos e Vias Nevegáveis; Projeto e Construção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1371, '095', 'a', 'nevegaveis;', '3.01.05.03-0 Portos e Vias Nevegáveis; Projeto e Construção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1372, '095', 'a', 'projeto', '3.01.05.03-0 Portos e Vias Nevegáveis; Projeto e Construção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1373, '095', 'a', 'construcao', '3.01.05.03-0 Portos e Vias Nevegáveis; Projeto e Construção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1374, '095', 'a', '3.01.05.04-8', '3.01.05.04-8 Rodovias; Projeto e Construção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1375, '095', 'a', 'rodovias;', '3.01.05.04-8 Rodovias; Projeto e Construção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1376, '095', 'a', 'projeto', '3.01.05.04-8 Rodovias; Projeto e Construção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1377, '095', 'a', 'construcao', '3.01.05.04-8 Rodovias; Projeto e Construção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1378, '095', 'a', '3.02.00.00-8', '3.02.00.00-8 Engenharia de Minas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1379, '095', 'a', 'engenharia', '3.02.00.00-8 Engenharia de Minas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1380, '095', 'a', 'de', '3.02.00.00-8 Engenharia de Minas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1381, '095', 'a', 'minas', '3.02.00.00-8 Engenharia de Minas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1382, '095', 'a', '3.02.01.00-4', '3.02.01.00-4 Pesquisa Mineral', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1383, '095', 'a', 'pesquisa', '3.02.01.00-4 Pesquisa Mineral', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1384, '095', 'a', 'mineral', '3.02.01.00-4 Pesquisa Mineral', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1385, '095', 'a', '3.02.01.01-2', '3.02.01.01-2 Caracterização do Minério', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1386, '095', 'a', 'caracterizacao', '3.02.01.01-2 Caracterização do Minério', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1387, '095', 'a', 'do', '3.02.01.01-2 Caracterização do Minério', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1388, '095', 'a', 'minerio', '3.02.01.01-2 Caracterização do Minério', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1389, '095', 'a', '3.02.01.02-0', '3.02.01.02-0 Dimensionamento de Jazidas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1390, '095', 'a', 'dimensionamento', '3.02.01.02-0 Dimensionamento de Jazidas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1391, '095', 'a', 'de', '3.02.01.02-0 Dimensionamento de Jazidas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1392, '095', 'a', 'jazidas', '3.02.01.02-0 Dimensionamento de Jazidas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1393, '095', 'a', '3.02.02.00-0', '3.02.02.00-0 Lavra', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1394, '095', 'a', 'lavra', '3.02.02.00-0 Lavra', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1395, '095', 'a', '3.02.02.01-9', '3.02.02.01-9 Lavra a Céu Aberto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1396, '095', 'a', 'lavra', '3.02.02.01-9 Lavra a Céu Aberto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1397, '095', 'a', 'ceu', '3.02.02.01-9 Lavra a Céu Aberto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1398, '095', 'a', 'aberto', '3.02.02.01-9 Lavra a Céu Aberto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1399, '095', 'a', '3.02.02.02-7', '3.02.02.02-7 Lavra de Mina Subterrânea', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1400, '095', 'a', 'lavra', '3.02.02.02-7 Lavra de Mina Subterrânea', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1401, '095', 'a', 'de', '3.02.02.02-7 Lavra de Mina Subterrânea', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1402, '095', 'a', 'mina', '3.02.02.02-7 Lavra de Mina Subterrânea', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1403, '095', 'a', 'subterranea', '3.02.02.02-7 Lavra de Mina Subterrânea', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1404, '095', 'a', '3.02.02.03-5', '3.02.02.03-5 Equipamentos de Lavra', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1405, '095', 'a', 'equipamentos', '3.02.02.03-5 Equipamentos de Lavra', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1406, '095', 'a', 'de', '3.02.02.03-5 Equipamentos de Lavra', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1407, '095', 'a', 'lavra', '3.02.02.03-5 Equipamentos de Lavra', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1408, '095', 'a', '3.02.03.00-7', '3.02.03.00-7 Tratamento de Minérios', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1409, '095', 'a', 'tratamento', '3.02.03.00-7 Tratamento de Minérios', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1410, '095', 'a', 'de', '3.02.03.00-7 Tratamento de Minérios', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1411, '095', 'a', 'minerios', '3.02.03.00-7 Tratamento de Minérios', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1412, '095', 'a', '3.02.03.01-5', '3.02.03.01-5 Métodos de Concentração e Enriquecimento de Minérios', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1413, '095', 'a', 'metodos', '3.02.03.01-5 Métodos de Concentração e Enriquecimento de Minérios', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1414, '095', 'a', 'de', '3.02.03.01-5 Métodos de Concentração e Enriquecimento de Minérios', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1415, '095', 'a', 'concentracao', '3.02.03.01-5 Métodos de Concentração e Enriquecimento de Minérios', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1416, '095', 'a', 'enriquecimento', '3.02.03.01-5 Métodos de Concentração e Enriquecimento de Minérios', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1417, '095', 'a', 'de', '3.02.03.01-5 Métodos de Concentração e Enriquecimento de Minérios', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1418, '095', 'a', 'minerios', '3.02.03.01-5 Métodos de Concentração e Enriquecimento de Minérios', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1419, '095', 'a', '3.02.03.02-3', '3.02.03.02-3 Equipamentos de Beneficiamento de Minérios', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1420, '095', 'a', 'equipamentos', '3.02.03.02-3 Equipamentos de Beneficiamento de Minérios', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1421, '095', 'a', 'de', '3.02.03.02-3 Equipamentos de Beneficiamento de Minérios', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1422, '095', 'a', 'beneficiamento', '3.02.03.02-3 Equipamentos de Beneficiamento de Minérios', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1423, '095', 'a', 'de', '3.02.03.02-3 Equipamentos de Beneficiamento de Minérios', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1424, '095', 'a', 'minerios', '3.02.03.02-3 Equipamentos de Beneficiamento de Minérios', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1425, '095', 'a', '3.03.00.00-2', '3.03.00.00-2 Engenharia de Materiais e Metalúrgica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1426, '095', 'a', 'engenharia', '3.03.00.00-2 Engenharia de Materiais e Metalúrgica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1427, '095', 'a', 'de', '3.03.00.00-2 Engenharia de Materiais e Metalúrgica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1428, '095', 'a', 'materiais', '3.03.00.00-2 Engenharia de Materiais e Metalúrgica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1429, '095', 'a', 'metalurgica', '3.03.00.00-2 Engenharia de Materiais e Metalúrgica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1430, '095', 'a', '3.03.01.00-9', '3.03.01.00-9 Instalações e Equipamentos Metalúrgicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1431, '095', 'a', 'instalacoes', '3.03.01.00-9 Instalações e Equipamentos Metalúrgicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1432, '095', 'a', 'equipamentos', '3.03.01.00-9 Instalações e Equipamentos Metalúrgicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1433, '095', 'a', 'metalurgicos', '3.03.01.00-9 Instalações e Equipamentos Metalúrgicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1434, '095', 'a', '3.03.01.01-7', '3.03.01.01-7 Instalações Metalúrgicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1435, '095', 'a', 'instalacoes', '3.03.01.01-7 Instalações Metalúrgicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1436, '095', 'a', 'metalurgicas', '3.03.01.01-7 Instalações Metalúrgicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1437, '095', 'a', '3.03.01.02-5', '3.03.01.02-5 Equipamentos Metalúrgicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1438, '095', 'a', 'equipamentos', '3.03.01.02-5 Equipamentos Metalúrgicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1439, '095', 'a', 'metalurgicos', '3.03.01.02-5 Equipamentos Metalúrgicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1440, '095', 'a', '3.03.02.00-5', '3.03.02.00-5 Metalurgia Extrativa', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1441, '095', 'a', 'metalurgia', '3.03.02.00-5 Metalurgia Extrativa', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1442, '095', 'a', 'extrativa', '3.03.02.00-5 Metalurgia Extrativa', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1443, '095', 'a', '3.03.02.01-3', '3.03.02.01-3 Aglomeração', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1444, '095', 'a', 'aglomeracao', '3.03.02.01-3 Aglomeração', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1445, '095', 'a', '3.03.02.02-1', '3.03.02.02-1 Eletrometalurgia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1446, '095', 'a', 'eletrometalurgia', '3.03.02.02-1 Eletrometalurgia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1447, '095', 'a', '3.03.02.03-0', '3.03.02.03-0 Hidrometalurgia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1448, '095', 'a', 'hidrometalurgia', '3.03.02.03-0 Hidrometalurgia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1449, '095', 'a', '3.03.02.04-8', '3.03.02.04-8 Pirometalurgia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1450, '095', 'a', 'pirometalurgia', '3.03.02.04-8 Pirometalurgia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1451, '095', 'a', '3.03.02.05-6', '3.03.02.05-6 Tratamento de Minérios', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1452, '095', 'a', 'tratamento', '3.03.02.05-6 Tratamento de Minérios', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1453, '095', 'a', 'de', '3.03.02.05-6 Tratamento de Minérios', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1454, '095', 'a', 'minerios', '3.03.02.05-6 Tratamento de Minérios', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1455, '095', 'a', '3.03.03.00-1', '3.03.03.00-1 Metalurgia de Transformação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1456, '095', 'a', 'metalurgia', '3.03.03.00-1 Metalurgia de Transformação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1457, '095', 'a', 'de', '3.03.03.00-1 Metalurgia de Transformação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1458, '095', 'a', 'transformacao', '3.03.03.00-1 Metalurgia de Transformação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1459, '095', 'a', '3.03.03.01-0', '3.03.03.01-0 Conformação Mecânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1460, '095', 'a', 'conformacao', '3.03.03.01-0 Conformação Mecânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1461, '095', 'a', 'mecanica', '3.03.03.01-0 Conformação Mecânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1462, '095', 'a', '3.03.03.02-8', '3.03.03.02-8 Fundição', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1463, '095', 'a', 'fundicao', '3.03.03.02-8 Fundição', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1464, '095', 'a', '3.03.03.03-6', '3.03.03.03-6 Metalurgia de Po', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1465, '095', 'a', 'metalurgia', '3.03.03.03-6 Metalurgia de Po', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1466, '095', 'a', 'de', '3.03.03.03-6 Metalurgia de Po', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1467, '095', 'a', 'po', '3.03.03.03-6 Metalurgia de Po', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1468, '095', 'a', '3.03.03.04-4', '3.03.03.04-4 Recobrimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1469, '095', 'a', 'recobrimentos', '3.03.03.04-4 Recobrimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1470, '095', 'a', '3.03.03.05-2', '3.03.03.05-2 Soldagem', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1471, '095', 'a', 'soldagem', '3.03.03.05-2 Soldagem', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1472, '095', 'a', '3.03.03.06-0', '3.03.03.06-0 Tratamento Térmicos, Mecânicos e Químicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1473, '095', 'a', 'tratamento', '3.03.03.06-0 Tratamento Térmicos, Mecânicos e Químicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1474, '095', 'a', 'termicos,', '3.03.03.06-0 Tratamento Térmicos, Mecânicos e Químicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1475, '095', 'a', 'mecanicos', '3.03.03.06-0 Tratamento Térmicos, Mecânicos e Químicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1476, '095', 'a', 'quimicos', '3.03.03.06-0 Tratamento Térmicos, Mecânicos e Químicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1477, '095', 'a', '3.03.03.07-9', '3.03.03.07-9 Usinagem', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1478, '095', 'a', 'usinagem', '3.03.03.07-9 Usinagem', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1479, '095', 'a', '3.03.04.00-8', '3.03.04.00-8 Metalurgia Fisica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1480, '095', 'a', 'metalurgia', '3.03.04.00-8 Metalurgia Fisica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1481, '095', 'a', 'fisica', '3.03.04.00-8 Metalurgia Fisica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1482, '095', 'a', '3.03.04.01-6', '3.03.04.01-6 Estrutura dos Metais e Ligas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1483, '095', 'a', 'estrutura', '3.03.04.01-6 Estrutura dos Metais e Ligas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1484, '095', 'a', 'dos', '3.03.04.01-6 Estrutura dos Metais e Ligas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1485, '095', 'a', 'metais', '3.03.04.01-6 Estrutura dos Metais e Ligas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1486, '095', 'a', 'ligas', '3.03.04.01-6 Estrutura dos Metais e Ligas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1487, '095', 'a', '3.03.04.02-4', '3.03.04.02-4 Propriedades Físicas dos Metais e Ligas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1488, '095', 'a', 'propriedades', '3.03.04.02-4 Propriedades Físicas dos Metais e Ligas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1489, '095', 'a', 'fisicas', '3.03.04.02-4 Propriedades Físicas dos Metais e Ligas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1490, '095', 'a', 'dos', '3.03.04.02-4 Propriedades Físicas dos Metais e Ligas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1491, '095', 'a', 'metais', '3.03.04.02-4 Propriedades Físicas dos Metais e Ligas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1492, '095', 'a', 'ligas', '3.03.04.02-4 Propriedades Físicas dos Metais e Ligas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1493, '095', 'a', '3.03.04.03-2', '3.03.04.03-2 Propriedades Mecânicas dos Metais e Ligas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1494, '095', 'a', 'propriedades', '3.03.04.03-2 Propriedades Mecânicas dos Metais e Ligas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1495, '095', 'a', 'mecanicas', '3.03.04.03-2 Propriedades Mecânicas dos Metais e Ligas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1496, '095', 'a', 'dos', '3.03.04.03-2 Propriedades Mecânicas dos Metais e Ligas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1497, '095', 'a', 'metais', '3.03.04.03-2 Propriedades Mecânicas dos Metais e Ligas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1498, '095', 'a', 'ligas', '3.03.04.03-2 Propriedades Mecânicas dos Metais e Ligas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1499, '095', 'a', '3.03.04.04-0', '3.03.04.04-0 Transformação de Fases', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1500, '095', 'a', 'transformacao', '3.03.04.04-0 Transformação de Fases', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1501, '095', 'a', 'de', '3.03.04.04-0 Transformação de Fases', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1502, '095', 'a', 'fases', '3.03.04.04-0 Transformação de Fases', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1503, '095', 'a', '3.03.04.05-9', '3.03.04.05-9 Corrosão', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1504, '095', 'a', 'corrosao', '3.03.04.05-9 Corrosão', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1505, '095', 'a', '3.03.05.00-4', '3.03.05.00-4 Materiais não Metálicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1506, '095', 'a', 'materiais', '3.03.05.00-4 Materiais não Metálicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1507, '095', 'a', 'nao', '3.03.05.00-4 Materiais não Metálicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1508, '095', 'a', 'metalicos', '3.03.05.00-4 Materiais não Metálicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1509, '095', 'a', '3.03.05.01-2', '3.03.05.01-2 Extração e Transformação de Materiais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1510, '095', 'a', 'extracao', '3.03.05.01-2 Extração e Transformação de Materiais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1511, '095', 'a', 'transformacao', '3.03.05.01-2 Extração e Transformação de Materiais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1512, '095', 'a', 'de', '3.03.05.01-2 Extração e Transformação de Materiais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1513, '095', 'a', 'materiais', '3.03.05.01-2 Extração e Transformação de Materiais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1514, '095', 'a', '3.03.05.02-0', '3.03.05.02-0 Cerâmicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1515, '095', 'a', 'ceramicos', '3.03.05.02-0 Cerâmicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1516, '095', 'a', '3.03.05.03-9', '3.03.05.03-9 Materiais Conjugados não Metálicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1517, '095', 'a', 'materiais', '3.03.05.03-9 Materiais Conjugados não Metálicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1518, '095', 'a', 'conjugados', '3.03.05.03-9 Materiais Conjugados não Metálicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1519, '095', 'a', 'nao', '3.03.05.03-9 Materiais Conjugados não Metálicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1520, '095', 'a', 'metalicos', '3.03.05.03-9 Materiais Conjugados não Metálicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1521, '095', 'a', '3.03.05.04-7', '3.03.05.04-7 Polímeros, Aplicações', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1522, '095', 'a', 'polimeros,', '3.03.05.04-7 Polímeros, Aplicações', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1523, '095', 'a', 'aplicacoes', '3.03.05.04-7 Polímeros, Aplicações', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1524, '095', 'a', '3.04.00.00-7', '3.04.00.00-7 Engenharia Elétrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1525, '095', 'a', 'engenharia', '3.04.00.00-7 Engenharia Elétrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1526, '095', 'a', 'eletrica', '3.04.00.00-7 Engenharia Elétrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1527, '095', 'a', '3.04.01.00-3', '3.04.01.00-3 Materiais Elétricos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1528, '095', 'a', 'materiais', '3.04.01.00-3 Materiais Elétricos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1529, '095', 'a', 'eletricos', '3.04.01.00-3 Materiais Elétricos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1530, '095', 'a', '3.04.01.01-1', '3.04.01.01-1 Materiais Condutores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1531, '095', 'a', 'materiais', '3.04.01.01-1 Materiais Condutores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1532, '095', 'a', 'condutores', '3.04.01.01-1 Materiais Condutores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1533, '095', 'a', '3.04.01.02-0', '3.04.01.02-0 Materiais e Componentes Semicondutores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1534, '095', 'a', 'materiais', '3.04.01.02-0 Materiais e Componentes Semicondutores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1535, '095', 'a', 'componentes', '3.04.01.02-0 Materiais e Componentes Semicondutores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1536, '095', 'a', 'semicondutores', '3.04.01.02-0 Materiais e Componentes Semicondutores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1537, '095', 'a', '3.04.01.03-8', '3.04.01.03-8 Materiais e Dispositivos Supercondutores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1538, '095', 'a', 'materiais', '3.04.01.03-8 Materiais e Dispositivos Supercondutores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1539, '095', 'a', 'dispositivos', '3.04.01.03-8 Materiais e Dispositivos Supercondutores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1540, '095', 'a', 'supercondutores', '3.04.01.03-8 Materiais e Dispositivos Supercondutores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1541, '095', 'a', '3.04.01.04-6', '3.04.01.04-6 Materiais Dielétricos, Piesoelétricos e Ferroelétricos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1542, '095', 'a', 'materiais', '3.04.01.04-6 Materiais Dielétricos, Piesoelétricos e Ferroelétricos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1543, '095', 'a', 'dieletricos,', '3.04.01.04-6 Materiais Dielétricos, Piesoelétricos e Ferroelétricos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1544, '095', 'a', 'piesoeletricos', '3.04.01.04-6 Materiais Dielétricos, Piesoelétricos e Ferroelétricos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1545, '095', 'a', 'ferroeletricos', '3.04.01.04-6 Materiais Dielétricos, Piesoelétricos e Ferroelétricos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1546, '095', 'a', '3.04.01.05-4', '3.04.01.05-4 Materiais e Componentes Eletroóticos e Magnetoóticos, Materiais Fotoelétricos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1547, '095', 'a', 'materiais', '3.04.01.05-4 Materiais e Componentes Eletroóticos e Magnetoóticos, Materiais Fotoelétricos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1548, '095', 'a', 'componentes', '3.04.01.05-4 Materiais e Componentes Eletroóticos e Magnetoóticos, Materiais Fotoelétricos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1549, '095', 'a', 'eletrooticos', '3.04.01.05-4 Materiais e Componentes Eletroóticos e Magnetoóticos, Materiais Fotoelétricos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1550, '095', 'a', 'magnetooticos,', '3.04.01.05-4 Materiais e Componentes Eletroóticos e Magnetoóticos, Materiais Fotoelétricos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1551, '095', 'a', 'materiais', '3.04.01.05-4 Materiais e Componentes Eletroóticos e Magnetoóticos, Materiais Fotoelétricos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1552, '095', 'a', 'fotoeletricos', '3.04.01.05-4 Materiais e Componentes Eletroóticos e Magnetoóticos, Materiais Fotoelétricos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1553, '095', 'a', '3.04.01.06-2', '3.04.01.06-2 Materiais e Dispositivos Magnéticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1554, '095', 'a', 'materiais', '3.04.01.06-2 Materiais e Dispositivos Magnéticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1555, '095', 'a', 'dispositivos', '3.04.01.06-2 Materiais e Dispositivos Magnéticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1556, '095', 'a', 'magneticos', '3.04.01.06-2 Materiais e Dispositivos Magnéticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1557, '095', 'a', '3.04.02.00-0', '3.04.02.00-0 Medidas Elétricas, Magnéticas e Eletrônicas; Instrumentação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1558, '095', 'a', 'medidas', '3.04.02.00-0 Medidas Elétricas, Magnéticas e Eletrônicas; Instrumentação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1559, '095', 'a', 'eletricas,', '3.04.02.00-0 Medidas Elétricas, Magnéticas e Eletrônicas; Instrumentação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1560, '095', 'a', 'magneticas', '3.04.02.00-0 Medidas Elétricas, Magnéticas e Eletrônicas; Instrumentação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1561, '095', 'a', 'eletronicas;', '3.04.02.00-0 Medidas Elétricas, Magnéticas e Eletrônicas; Instrumentação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1562, '095', 'a', 'instrumentacao', '3.04.02.00-0 Medidas Elétricas, Magnéticas e Eletrônicas; Instrumentação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1563, '095', 'a', '3.04.02.01-8', '3.04.02.01-8 Medidas Elétricas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1564, '095', 'a', 'medidas', '3.04.02.01-8 Medidas Elétricas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1565, '095', 'a', 'eletricas', '3.04.02.01-8 Medidas Elétricas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1566, '095', 'a', '3.04.02.02-6', '3.04.02.02-6 Medidas Magnéticas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1567, '095', 'a', 'medidas', '3.04.02.02-6 Medidas Magnéticas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1568, '095', 'a', 'magneticas', '3.04.02.02-6 Medidas Magnéticas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1569, '095', 'a', '3.04.02.03-4', '3.04.02.03-4 Instrumentação Eletromecânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1570, '095', 'a', 'instrumentacao', '3.04.02.03-4 Instrumentação Eletromecânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1571, '095', 'a', 'eletromecanica', '3.04.02.03-4 Instrumentação Eletromecânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1572, '095', 'a', '3.04.02.04-2', '3.04.02.04-2 Instrumentação Eletrônica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1573, '095', 'a', 'instrumentacao', '3.04.02.04-2 Instrumentação Eletrônica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1574, '095', 'a', 'eletronica', '3.04.02.04-2 Instrumentação Eletrônica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1575, '095', 'a', '3.04.02.05-0', '3.04.02.05-0 Sistemas Eletrônicos de Medida e de Controle', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1576, '095', 'a', 'sistemas', '3.04.02.05-0 Sistemas Eletrônicos de Medida e de Controle', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1577, '095', 'a', 'eletronicos', '3.04.02.05-0 Sistemas Eletrônicos de Medida e de Controle', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1578, '095', 'a', 'de', '3.04.02.05-0 Sistemas Eletrônicos de Medida e de Controle', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1579, '095', 'a', 'medida', '3.04.02.05-0 Sistemas Eletrônicos de Medida e de Controle', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1580, '095', 'a', 'de', '3.04.02.05-0 Sistemas Eletrônicos de Medida e de Controle', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1581, '095', 'a', 'controle', '3.04.02.05-0 Sistemas Eletrônicos de Medida e de Controle', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1582, '095', 'a', '3.04.03.00-6', '3.04.03.00-6 Circuitos Elétricos, Magnéticos e Eletrônicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1583, '095', 'a', 'circuitos', '3.04.03.00-6 Circuitos Elétricos, Magnéticos e Eletrônicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1584, '095', 'a', 'eletricos,', '3.04.03.00-6 Circuitos Elétricos, Magnéticos e Eletrônicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1585, '095', 'a', 'magneticos', '3.04.03.00-6 Circuitos Elétricos, Magnéticos e Eletrônicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1586, '095', 'a', 'eletronicos', '3.04.03.00-6 Circuitos Elétricos, Magnéticos e Eletrônicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1587, '095', 'a', '3.04.03.01-4', '3.04.03.01-4 Teoria Geral dos Circuitos Elétricos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1588, '095', 'a', 'teoria', '3.04.03.01-4 Teoria Geral dos Circuitos Elétricos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1589, '095', 'a', 'geral', '3.04.03.01-4 Teoria Geral dos Circuitos Elétricos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1590, '095', 'a', 'dos', '3.04.03.01-4 Teoria Geral dos Circuitos Elétricos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1591, '095', 'a', 'circuitos', '3.04.03.01-4 Teoria Geral dos Circuitos Elétricos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1592, '095', 'a', 'eletricos', '3.04.03.01-4 Teoria Geral dos Circuitos Elétricos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1593, '095', 'a', '3.04.03.02-2', '3.04.03.02-2 Circuitos Lineares e Não-Lineares', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1594, '095', 'a', 'circuitos', '3.04.03.02-2 Circuitos Lineares e Não-Lineares', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1595, '095', 'a', 'lineares', '3.04.03.02-2 Circuitos Lineares e Não-Lineares', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1596, '095', 'a', 'nao-lineares', '3.04.03.02-2 Circuitos Lineares e Não-Lineares', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1597, '095', 'a', '3.04.03.03-0', '3.04.03.03-0 Circuitos Eletrônicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1598, '095', 'a', 'circuitos', '3.04.03.03-0 Circuitos Eletrônicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1599, '095', 'a', 'eletronicos', '3.04.03.03-0 Circuitos Eletrônicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1600, '095', 'a', '3.04.03.04-9', '3.04.03.04-9 Circuitos Magnéticos, Magnetismos, Eletromagnetismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1601, '095', 'a', 'circuitos', '3.04.03.04-9 Circuitos Magnéticos, Magnetismos, Eletromagnetismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1602, '095', 'a', 'magneticos,', '3.04.03.04-9 Circuitos Magnéticos, Magnetismos, Eletromagnetismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1603, '095', 'a', 'magnetismos,', '3.04.03.04-9 Circuitos Magnéticos, Magnetismos, Eletromagnetismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1604, '095', 'a', 'eletromagnetismo', '3.04.03.04-9 Circuitos Magnéticos, Magnetismos, Eletromagnetismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1605, '095', 'a', '3.04.04.00-2', '3.04.04.00-2 Sistemas Elétricos de Potência', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1606, '095', 'a', 'sistemas', '3.04.04.00-2 Sistemas Elétricos de Potência', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1607, '095', 'a', 'eletricos', '3.04.04.00-2 Sistemas Elétricos de Potência', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1608, '095', 'a', 'de', '3.04.04.00-2 Sistemas Elétricos de Potência', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1609, '095', 'a', 'potencia', '3.04.04.00-2 Sistemas Elétricos de Potência', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1610, '095', 'a', '3.04.04.01-0', '3.04.04.01-0 Geração da Energia Elétrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1611, '095', 'a', 'geracao', '3.04.04.01-0 Geração da Energia Elétrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1612, '095', 'a', 'da', '3.04.04.01-0 Geração da Energia Elétrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1613, '095', 'a', 'energia', '3.04.04.01-0 Geração da Energia Elétrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1614, '095', 'a', 'eletrica', '3.04.04.01-0 Geração da Energia Elétrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1615, '095', 'a', '3.04.04.02-9', '3.04.04.02-9 Transmissão da Energia Elétrica, Distribuição da Energia Elétrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1616, '095', 'a', 'transmissao', '3.04.04.02-9 Transmissão da Energia Elétrica, Distribuição da Energia Elétrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1617, '095', 'a', 'da', '3.04.04.02-9 Transmissão da Energia Elétrica, Distribuição da Energia Elétrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1618, '095', 'a', 'energia', '3.04.04.02-9 Transmissão da Energia Elétrica, Distribuição da Energia Elétrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1619, '095', 'a', 'eletrica,', '3.04.04.02-9 Transmissão da Energia Elétrica, Distribuição da Energia Elétrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1620, '095', 'a', 'distribuicao', '3.04.04.02-9 Transmissão da Energia Elétrica, Distribuição da Energia Elétrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1621, '095', 'a', 'da', '3.04.04.02-9 Transmissão da Energia Elétrica, Distribuição da Energia Elétrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1622, '095', 'a', 'energia', '3.04.04.02-9 Transmissão da Energia Elétrica, Distribuição da Energia Elétrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1623, '095', 'a', 'eletrica', '3.04.04.02-9 Transmissão da Energia Elétrica, Distribuição da Energia Elétrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1624, '095', 'a', '3.04.04.03-7', '3.04.04.03-7 Conversão e Retificação da Energia Elétrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1625, '095', 'a', 'conversao', '3.04.04.03-7 Conversão e Retificação da Energia Elétrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1626, '095', 'a', 'retificacao', '3.04.04.03-7 Conversão e Retificação da Energia Elétrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1627, '095', 'a', 'da', '3.04.04.03-7 Conversão e Retificação da Energia Elétrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1628, '095', 'a', 'energia', '3.04.04.03-7 Conversão e Retificação da Energia Elétrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1629, '095', 'a', 'eletrica', '3.04.04.03-7 Conversão e Retificação da Energia Elétrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1630, '095', 'a', '3.04.04.04-5', '3.04.04.04-5 Medição, Controle, Correção e Proteção de Sistemas Elétricos de Potência', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1631, '095', 'a', 'medicao,', '3.04.04.04-5 Medição, Controle, Correção e Proteção de Sistemas Elétricos de Potência', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1632, '095', 'a', 'controle,', '3.04.04.04-5 Medição, Controle, Correção e Proteção de Sistemas Elétricos de Potência', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1633, '095', 'a', 'correcao', '3.04.04.04-5 Medição, Controle, Correção e Proteção de Sistemas Elétricos de Potência', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1634, '095', 'a', 'protecao', '3.04.04.04-5 Medição, Controle, Correção e Proteção de Sistemas Elétricos de Potência', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1635, '095', 'a', 'de', '3.04.04.04-5 Medição, Controle, Correção e Proteção de Sistemas Elétricos de Potência', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1636, '095', 'a', 'sistemas', '3.04.04.04-5 Medição, Controle, Correção e Proteção de Sistemas Elétricos de Potência', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1637, '095', 'a', 'eletricos', '3.04.04.04-5 Medição, Controle, Correção e Proteção de Sistemas Elétricos de Potência', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1638, '095', 'a', 'de', '3.04.04.04-5 Medição, Controle, Correção e Proteção de Sistemas Elétricos de Potência', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1639, '095', 'a', 'potencia', '3.04.04.04-5 Medição, Controle, Correção e Proteção de Sistemas Elétricos de Potência', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1640, '095', 'a', '3.04.04.05-3', '3.04.04.05-3 Máquinas Elétricas e Dispositivos de Potência', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1641, '095', 'a', 'maquinas', '3.04.04.05-3 Máquinas Elétricas e Dispositivos de Potência', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1642, '095', 'a', 'eletricas', '3.04.04.05-3 Máquinas Elétricas e Dispositivos de Potência', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1643, '095', 'a', 'dispositivos', '3.04.04.05-3 Máquinas Elétricas e Dispositivos de Potência', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1644, '095', 'a', 'de', '3.04.04.05-3 Máquinas Elétricas e Dispositivos de Potência', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1645, '095', 'a', 'potencia', '3.04.04.05-3 Máquinas Elétricas e Dispositivos de Potência', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1646, '095', 'a', '3.04.04.06-1', '3.04.04.06-1 Instalações Elétricas Prediais e Industriais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1647, '095', 'a', 'instalacoes', '3.04.04.06-1 Instalações Elétricas Prediais e Industriais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1648, '095', 'a', 'eletricas', '3.04.04.06-1 Instalações Elétricas Prediais e Industriais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1649, '095', 'a', 'prediais', '3.04.04.06-1 Instalações Elétricas Prediais e Industriais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1650, '095', 'a', 'industriais', '3.04.04.06-1 Instalações Elétricas Prediais e Industriais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1651, '095', 'a', '3.04.05.00-9', '3.04.05.00-9 Eletrônica Industrial, Sistemas e Controles Eletrônicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1652, '095', 'a', 'eletronica', '3.04.05.00-9 Eletrônica Industrial, Sistemas e Controles Eletrônicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1653, '095', 'a', 'industrial,', '3.04.05.00-9 Eletrônica Industrial, Sistemas e Controles Eletrônicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1654, '095', 'a', 'sistemas', '3.04.05.00-9 Eletrônica Industrial, Sistemas e Controles Eletrônicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1655, '095', 'a', 'controles', '3.04.05.00-9 Eletrônica Industrial, Sistemas e Controles Eletrônicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1656, '095', 'a', 'eletronicos', '3.04.05.00-9 Eletrônica Industrial, Sistemas e Controles Eletrônicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1657, '095', 'a', '3.04.05.01-7', '3.04.05.01-7 Eletrônica Industrial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1658, '095', 'a', 'eletronica', '3.04.05.01-7 Eletrônica Industrial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1659, '095', 'a', 'industrial', '3.04.05.01-7 Eletrônica Industrial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1660, '095', 'a', '3.04.05.02-5', '3.04.05.02-5 Automação Eletrônica de Processos Elétricos e Industriais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1661, '095', 'a', 'automacao', '3.04.05.02-5 Automação Eletrônica de Processos Elétricos e Industriais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1662, '095', 'a', 'eletronica', '3.04.05.02-5 Automação Eletrônica de Processos Elétricos e Industriais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1663, '095', 'a', 'de', '3.04.05.02-5 Automação Eletrônica de Processos Elétricos e Industriais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1664, '095', 'a', 'processos', '3.04.05.02-5 Automação Eletrônica de Processos Elétricos e Industriais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1665, '095', 'a', 'eletricos', '3.04.05.02-5 Automação Eletrônica de Processos Elétricos e Industriais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1666, '095', 'a', 'industriais', '3.04.05.02-5 Automação Eletrônica de Processos Elétricos e Industriais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1667, '095', 'a', '3.04.05.03-3', '3.04.05.03-3 Controle de Processos Eletrônicos, Retroalimentação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1668, '095', 'a', 'controle', '3.04.05.03-3 Controle de Processos Eletrônicos, Retroalimentação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1669, '095', 'a', 'de', '3.04.05.03-3 Controle de Processos Eletrônicos, Retroalimentação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1670, '095', 'a', 'processos', '3.04.05.03-3 Controle de Processos Eletrônicos, Retroalimentação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1671, '095', 'a', 'eletronicos,', '3.04.05.03-3 Controle de Processos Eletrônicos, Retroalimentação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1672, '095', 'a', 'retroalimentacao', '3.04.05.03-3 Controle de Processos Eletrônicos, Retroalimentação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1673, '095', 'a', '3.04.06.00-5', '3.04.06.00-5 Telecomunicações', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1674, '095', 'a', 'telecomunicacoes', '3.04.06.00-5 Telecomunicações', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1675, '095', 'a', '3.04.06.01-3', '3.04.06.01-3 Teoria Eletromagnética, Microondas, Propagação de Ondas, Antenas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1676, '095', 'a', 'teoria', '3.04.06.01-3 Teoria Eletromagnética, Microondas, Propagação de Ondas, Antenas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1677, '095', 'a', 'eletromagnetica,', '3.04.06.01-3 Teoria Eletromagnética, Microondas, Propagação de Ondas, Antenas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1678, '095', 'a', 'microondas,', '3.04.06.01-3 Teoria Eletromagnética, Microondas, Propagação de Ondas, Antenas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1679, '095', 'a', 'propagacao', '3.04.06.01-3 Teoria Eletromagnética, Microondas, Propagação de Ondas, Antenas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1680, '095', 'a', 'de', '3.04.06.01-3 Teoria Eletromagnética, Microondas, Propagação de Ondas, Antenas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1681, '095', 'a', 'ondas,', '3.04.06.01-3 Teoria Eletromagnética, Microondas, Propagação de Ondas, Antenas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1682, '095', 'a', 'antenas', '3.04.06.01-3 Teoria Eletromagnética, Microondas, Propagação de Ondas, Antenas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1683, '095', 'a', '3.04.06.02-1', '3.04.06.02-1 Radionavegação e Radioastronomia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1684, '095', 'a', 'radionavegacao', '3.04.06.02-1 Radionavegação e Radioastronomia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1685, '095', 'a', 'radioastronomia', '3.04.06.02-1 Radionavegação e Radioastronomia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1686, '095', 'a', '3.04.06.03-0', '3.04.06.03-0 Sistemas de Telecomunicações', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1687, '095', 'a', 'sistemas', '3.04.06.03-0 Sistemas de Telecomunicações', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1688, '095', 'a', 'de', '3.04.06.03-0 Sistemas de Telecomunicações', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1689, '095', 'a', 'telecomunicacoes', '3.04.06.03-0 Sistemas de Telecomunicações', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1690, '095', 'a', '3.05.00.00-1', '3.05.00.00-1 Engenharia Mecânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1691, '095', 'a', 'engenharia', '3.05.00.00-1 Engenharia Mecânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1692, '095', 'a', 'mecanica', '3.05.00.00-1 Engenharia Mecânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1693, '095', 'a', '3.05.01.00-8', '3.05.01.00-8 Fenômenos de Transporte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1694, '095', 'a', 'fenomenos', '3.05.01.00-8 Fenômenos de Transporte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1695, '095', 'a', 'de', '3.05.01.00-8 Fenômenos de Transporte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1696, '095', 'a', 'transporte', '3.05.01.00-8 Fenômenos de Transporte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1697, '095', 'a', '3.05.01.01-6', '3.05.01.01-6 Transferência de Calor', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1698, '095', 'a', 'transferencia', '3.05.01.01-6 Transferência de Calor', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1699, '095', 'a', 'de', '3.05.01.01-6 Transferência de Calor', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1700, '095', 'a', 'calor', '3.05.01.01-6 Transferência de Calor', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1701, '095', 'a', '3.05.01.02-4', '3.05.01.02-4 Mecânica dos Fluidos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1702, '095', 'a', 'mecanica', '3.05.01.02-4 Mecânica dos Fluidos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1703, '095', 'a', 'dos', '3.05.01.02-4 Mecânica dos Fluidos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1704, '095', 'a', 'fluidos', '3.05.01.02-4 Mecânica dos Fluidos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1705, '095', 'a', '3.05.01.03-2', '3.05.01.03-2 Dinâmica dos Gases', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1706, '095', 'a', 'dinamica', '3.05.01.03-2 Dinâmica dos Gases', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1707, '095', 'a', 'dos', '3.05.01.03-2 Dinâmica dos Gases', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1708, '095', 'a', 'gases', '3.05.01.03-2 Dinâmica dos Gases', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1709, '095', 'a', '3.05.01.04-0', '3.05.01.04-0 Principios Variacionais e Métodos Numéricos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1710, '095', 'a', 'principios', '3.05.01.04-0 Principios Variacionais e Métodos Numéricos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1711, '095', 'a', 'variacionais', '3.05.01.04-0 Principios Variacionais e Métodos Numéricos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1712, '095', 'a', 'metodos', '3.05.01.04-0 Principios Variacionais e Métodos Numéricos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1713, '095', 'a', 'numericos', '3.05.01.04-0 Principios Variacionais e Métodos Numéricos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1714, '095', 'a', '3.05.02.00-4', '3.05.02.00-4 Engenharia Térmica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1715, '095', 'a', 'engenharia', '3.05.02.00-4 Engenharia Térmica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1716, '095', 'a', 'termica', '3.05.02.00-4 Engenharia Térmica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1717, '095', 'a', '3.05.02.01-2', '3.05.02.01-2 Termodinâmica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1718, '095', 'a', 'termodinamica', '3.05.02.01-2 Termodinâmica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1719, '095', 'a', '3.05.02.02-0', '3.05.02.02-0 Controle Ambiental', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1720, '095', 'a', 'controle', '3.05.02.02-0 Controle Ambiental', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1721, '095', 'a', 'ambiental', '3.05.02.02-0 Controle Ambiental', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1722, '095', 'a', '3.05.02.03-9', '3.05.02.03-9 Aproveitamento da Energia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1723, '095', 'a', 'aproveitamento', '3.05.02.03-9 Aproveitamento da Energia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1724, '095', 'a', 'da', '3.05.02.03-9 Aproveitamento da Energia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1725, '095', 'a', 'energia', '3.05.02.03-9 Aproveitamento da Energia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1726, '095', 'a', '3.05.03.00-0', '3.05.03.00-0 Mecânica dos Sólidos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1727, '095', 'a', 'mecanica', '3.05.03.00-0 Mecânica dos Sólidos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1728, '095', 'a', 'dos', '3.05.03.00-0 Mecânica dos Sólidos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1729, '095', 'a', 'solidos', '3.05.03.00-0 Mecânica dos Sólidos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1730, '095', 'a', '3.05.03.01-9', '3.05.03.01-9 Mecânica dos Corpos Sólidos, Elásticos e Plásticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1731, '095', 'a', 'mecanica', '3.05.03.01-9 Mecânica dos Corpos Sólidos, Elásticos e Plásticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1732, '095', 'a', 'dos', '3.05.03.01-9 Mecânica dos Corpos Sólidos, Elásticos e Plásticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1733, '095', 'a', 'corpos', '3.05.03.01-9 Mecânica dos Corpos Sólidos, Elásticos e Plásticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1734, '095', 'a', 'solidos,', '3.05.03.01-9 Mecânica dos Corpos Sólidos, Elásticos e Plásticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1735, '095', 'a', 'elasticos', '3.05.03.01-9 Mecânica dos Corpos Sólidos, Elásticos e Plásticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1736, '095', 'a', 'plasticos', '3.05.03.01-9 Mecânica dos Corpos Sólidos, Elásticos e Plásticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1737, '095', 'a', '3.05.03.02-7', '3.05.03.02-7 Dinâmica dos Corpos Rígidos, Elásticos e Plásticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1738, '095', 'a', 'dinamica', '3.05.03.02-7 Dinâmica dos Corpos Rígidos, Elásticos e Plásticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1739, '095', 'a', 'dos', '3.05.03.02-7 Dinâmica dos Corpos Rígidos, Elásticos e Plásticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1740, '095', 'a', 'corpos', '3.05.03.02-7 Dinâmica dos Corpos Rígidos, Elásticos e Plásticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1741, '095', 'a', 'rigidos,', '3.05.03.02-7 Dinâmica dos Corpos Rígidos, Elásticos e Plásticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1742, '095', 'a', 'elasticos', '3.05.03.02-7 Dinâmica dos Corpos Rígidos, Elásticos e Plásticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1743, '095', 'a', 'plasticos', '3.05.03.02-7 Dinâmica dos Corpos Rígidos, Elásticos e Plásticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1744, '095', 'a', '3.05.03.03-5', '3.05.03.03-5 Análise de Tensões', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1745, '095', 'a', 'analise', '3.05.03.03-5 Análise de Tensões', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1746, '095', 'a', 'de', '3.05.03.03-5 Análise de Tensões', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1747, '095', 'a', 'tensoes', '3.05.03.03-5 Análise de Tensões', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1748, '095', 'a', '3.05.03.04-3', '3.05.03.04-3 Termoelasticidade', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1749, '095', 'a', 'termoelasticidade', '3.05.03.04-3 Termoelasticidade', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1750, '095', 'a', '3.05.04.00-7', '3.05.04.00-7 Projetos de Máquinas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1751, '095', 'a', 'projetos', '3.05.04.00-7 Projetos de Máquinas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1752, '095', 'a', 'de', '3.05.04.00-7 Projetos de Máquinas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1753, '095', 'a', 'maquinas', '3.05.04.00-7 Projetos de Máquinas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1754, '095', 'a', '3.05.04.01-5', '3.05.04.01-5 Teoria dos Mecanismos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1755, '095', 'a', 'teoria', '3.05.04.01-5 Teoria dos Mecanismos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1756, '095', 'a', 'dos', '3.05.04.01-5 Teoria dos Mecanismos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1757, '095', 'a', 'mecanismos', '3.05.04.01-5 Teoria dos Mecanismos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1758, '095', 'a', '3.05.04.02-3', '3.05.04.02-3 Estática e Dinâmica Aplicada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1759, '095', 'a', 'estatica', '3.05.04.02-3 Estática e Dinâmica Aplicada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1760, '095', 'a', 'dinamica', '3.05.04.02-3 Estática e Dinâmica Aplicada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1761, '095', 'a', 'aplicada', '3.05.04.02-3 Estática e Dinâmica Aplicada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1762, '095', 'a', '3.05.04.03-1', '3.05.04.03-1 Elementos de Máquinas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1763, '095', 'a', 'elementos', '3.05.04.03-1 Elementos de Máquinas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1764, '095', 'a', 'de', '3.05.04.03-1 Elementos de Máquinas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1765, '095', 'a', 'maquinas', '3.05.04.03-1 Elementos de Máquinas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1766, '095', 'a', '3.05.04.04-0', '3.05.04.04-0 Fundamentos Gerais de Projetos das Máquinas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1767, '095', 'a', 'fundamentos', '3.05.04.04-0 Fundamentos Gerais de Projetos das Máquinas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1768, '095', 'a', 'gerais', '3.05.04.04-0 Fundamentos Gerais de Projetos das Máquinas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1769, '095', 'a', 'de', '3.05.04.04-0 Fundamentos Gerais de Projetos das Máquinas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1770, '095', 'a', 'projetos', '3.05.04.04-0 Fundamentos Gerais de Projetos das Máquinas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1771, '095', 'a', 'das', '3.05.04.04-0 Fundamentos Gerais de Projetos das Máquinas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1772, '095', 'a', 'maquinas', '3.05.04.04-0 Fundamentos Gerais de Projetos das Máquinas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1773, '095', 'a', '3.05.04.05-8', '3.05.04.05-8 Máquinas, Motores e Equipamentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1774, '095', 'a', 'maquinas,', '3.05.04.05-8 Máquinas, Motores e Equipamentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1775, '095', 'a', 'motores', '3.05.04.05-8 Máquinas, Motores e Equipamentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1776, '095', 'a', 'equipamentos', '3.05.04.05-8 Máquinas, Motores e Equipamentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1777, '095', 'a', '3.05.04.06-6', '3.05.04.06-6 Métodos de Síntese e Otimização Aplicados ao Projeto Mecânico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1778, '095', 'a', 'metodos', '3.05.04.06-6 Métodos de Síntese e Otimização Aplicados ao Projeto Mecânico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1779, '095', 'a', 'de', '3.05.04.06-6 Métodos de Síntese e Otimização Aplicados ao Projeto Mecânico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1780, '095', 'a', 'sintese', '3.05.04.06-6 Métodos de Síntese e Otimização Aplicados ao Projeto Mecânico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1781, '095', 'a', 'otimizacao', '3.05.04.06-6 Métodos de Síntese e Otimização Aplicados ao Projeto Mecânico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1782, '095', 'a', 'aplicados', '3.05.04.06-6 Métodos de Síntese e Otimização Aplicados ao Projeto Mecânico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1783, '095', 'a', 'ao', '3.05.04.06-6 Métodos de Síntese e Otimização Aplicados ao Projeto Mecânico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1784, '095', 'a', 'projeto', '3.05.04.06-6 Métodos de Síntese e Otimização Aplicados ao Projeto Mecânico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1785, '095', 'a', 'mecanico', '3.05.04.06-6 Métodos de Síntese e Otimização Aplicados ao Projeto Mecânico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1786, '095', 'a', '3.05.04.07-4', '3.05.04.07-4 Controle de Sistemas Mecânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1787, '095', 'a', 'controle', '3.05.04.07-4 Controle de Sistemas Mecânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1788, '095', 'a', 'de', '3.05.04.07-4 Controle de Sistemas Mecânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1789, '095', 'a', 'sistemas', '3.05.04.07-4 Controle de Sistemas Mecânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1790, '095', 'a', 'mecanicos', '3.05.04.07-4 Controle de Sistemas Mecânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1791, '095', 'a', '3.05.04.08-2', '3.05.04.08-2 Aproveitamento de Energia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1792, '095', 'a', 'aproveitamento', '3.05.04.08-2 Aproveitamento de Energia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1793, '095', 'a', 'de', '3.05.04.08-2 Aproveitamento de Energia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1794, '095', 'a', 'energia', '3.05.04.08-2 Aproveitamento de Energia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1795, '095', 'a', '3.05.05.00-3', '3.05.05.00-3 Processos de Fabricação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1796, '095', 'a', 'processos', '3.05.05.00-3 Processos de Fabricação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1797, '095', 'a', 'de', '3.05.05.00-3 Processos de Fabricação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1798, '095', 'a', 'fabricacao', '3.05.05.00-3 Processos de Fabricação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1799, '095', 'a', '3.05.05.01-1', '3.05.05.01-1 Matrizes e Ferramentas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1800, '095', 'a', 'matrizes', '3.05.05.01-1 Matrizes e Ferramentas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1801, '095', 'a', 'ferramentas', '3.05.05.01-1 Matrizes e Ferramentas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1802, '095', 'a', '3.05.05.02-0', '3.05.05.02-0 Máquinas de Usinagem e Conformação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1803, '095', 'a', 'maquinas', '3.05.05.02-0 Máquinas de Usinagem e Conformação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1804, '095', 'a', 'de', '3.05.05.02-0 Máquinas de Usinagem e Conformação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1805, '095', 'a', 'usinagem', '3.05.05.02-0 Máquinas de Usinagem e Conformação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1806, '095', 'a', 'conformacao', '3.05.05.02-0 Máquinas de Usinagem e Conformação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1807, '095', 'a', '3.05.05.03-8', '3.05.05.03-8 Controle Numérico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1808, '095', 'a', 'controle', '3.05.05.03-8 Controle Numérico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1809, '095', 'a', 'numerico', '3.05.05.03-8 Controle Numérico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1810, '095', 'a', '3.05.05.04-6', '3.05.05.04-6 Robotização', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1811, '095', 'a', 'robotizacao', '3.05.05.04-6 Robotização', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1812, '095', 'a', '3.05.05.05-4', '3.05.05.05-4 Processos de Fabricação, Seleção Econômica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1813, '095', 'a', 'processos', '3.05.05.05-4 Processos de Fabricação, Seleção Econômica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1814, '095', 'a', 'de', '3.05.05.05-4 Processos de Fabricação, Seleção Econômica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1815, '095', 'a', 'fabricacao,', '3.05.05.05-4 Processos de Fabricação, Seleção Econômica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1816, '095', 'a', 'selecao', '3.05.05.05-4 Processos de Fabricação, Seleção Econômica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1817, '095', 'a', 'economica', '3.05.05.05-4 Processos de Fabricação, Seleção Econômica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1818, '095', 'a', '3.06.00.00-6', '3.06.00.00-6 Engenharia Química', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1819, '095', 'a', 'engenharia', '3.06.00.00-6 Engenharia Química', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1820, '095', 'a', 'quimica', '3.06.00.00-6 Engenharia Química', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1821, '095', 'a', '3.06.01.00-2', '3.06.01.00-2 Processos Industriais de Engenharia Química', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1822, '095', 'a', 'processos', '3.06.01.00-2 Processos Industriais de Engenharia Química', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1823, '095', 'a', 'industriais', '3.06.01.00-2 Processos Industriais de Engenharia Química', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1824, '095', 'a', 'de', '3.06.01.00-2 Processos Industriais de Engenharia Química', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1825, '095', 'a', 'engenharia', '3.06.01.00-2 Processos Industriais de Engenharia Química', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1826, '095', 'a', 'quimica', '3.06.01.00-2 Processos Industriais de Engenharia Química', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1827, '095', 'a', '3.06.01.01-0', '3.06.01.01-0 Processos Bioquimicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1828, '095', 'a', 'processos', '3.06.01.01-0 Processos Bioquimicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1829, '095', 'a', 'bioquimicos', '3.06.01.01-0 Processos Bioquimicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1830, '095', 'a', '3.06.01.02-9', '3.06.01.02-9 Processos Orgânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1831, '095', 'a', 'processos', '3.06.01.02-9 Processos Orgânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1832, '095', 'a', 'organicos', '3.06.01.02-9 Processos Orgânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1833, '095', 'a', '3.06.01.03-7', '3.06.01.03-7 Processos Inorgânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1834, '095', 'a', 'processos', '3.06.01.03-7 Processos Inorgânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1835, '095', 'a', 'inorganicos', '3.06.01.03-7 Processos Inorgânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1836, '095', 'a', '3.06.02.00-9', '3.06.02.00-9 Operações Industriais e Equipamentos para Engenharia Química', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1837, '095', 'a', 'operacoes', '3.06.02.00-9 Operações Industriais e Equipamentos para Engenharia Química', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1838, '095', 'a', 'industriais', '3.06.02.00-9 Operações Industriais e Equipamentos para Engenharia Química', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1839, '095', 'a', 'equipamentos', '3.06.02.00-9 Operações Industriais e Equipamentos para Engenharia Química', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1840, '095', 'a', 'para', '3.06.02.00-9 Operações Industriais e Equipamentos para Engenharia Química', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1841, '095', 'a', 'engenharia', '3.06.02.00-9 Operações Industriais e Equipamentos para Engenharia Química', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1842, '095', 'a', 'quimica', '3.06.02.00-9 Operações Industriais e Equipamentos para Engenharia Química', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1843, '095', 'a', '3.06.02.01-7', '3.06.02.01-7 Reatores Químicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1844, '095', 'a', 'reatores', '3.06.02.01-7 Reatores Químicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1845, '095', 'a', 'quimicos', '3.06.02.01-7 Reatores Químicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1846, '095', 'a', '3.06.02.02-5', '3.06.02.02-5 Operações Características de Processos Bioquímicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1847, '095', 'a', 'operacoes', '3.06.02.02-5 Operações Características de Processos Bioquímicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1848, '095', 'a', 'caracteristicas', '3.06.02.02-5 Operações Características de Processos Bioquímicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1849, '095', 'a', 'de', '3.06.02.02-5 Operações Características de Processos Bioquímicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1850, '095', 'a', 'processos', '3.06.02.02-5 Operações Características de Processos Bioquímicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1851, '095', 'a', 'bioquimicos', '3.06.02.02-5 Operações Características de Processos Bioquímicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1852, '095', 'a', '3.06.02.03-3', '3.06.02.03-3 Operações de Separação e Mistura', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1853, '095', 'a', 'operacoes', '3.06.02.03-3 Operações de Separação e Mistura', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1854, '095', 'a', 'de', '3.06.02.03-3 Operações de Separação e Mistura', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1855, '095', 'a', 'separacao', '3.06.02.03-3 Operações de Separação e Mistura', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1856, '095', 'a', 'mistura', '3.06.02.03-3 Operações de Separação e Mistura', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1857, '095', 'a', '3.06.03.00-5', '3.06.03.00-5 Tecnologia Química', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1858, '095', 'a', 'tecnologia', '3.06.03.00-5 Tecnologia Química', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1859, '095', 'a', 'quimica', '3.06.03.00-5 Tecnologia Química', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1860, '095', 'a', '3.06.03.01-3', '3.06.03.01-3 Balancos Globais de Matéria e Energia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1861, '095', 'a', 'balancos', '3.06.03.01-3 Balancos Globais de Matéria e Energia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1862, '095', 'a', 'globais', '3.06.03.01-3 Balancos Globais de Matéria e Energia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1863, '095', 'a', 'de', '3.06.03.01-3 Balancos Globais de Matéria e Energia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1864, '095', 'a', 'materia', '3.06.03.01-3 Balancos Globais de Matéria e Energia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1865, '095', 'a', 'energia', '3.06.03.01-3 Balancos Globais de Matéria e Energia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1866, '095', 'a', '3.06.03.02-1', '3.06.03.02-1 Água', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1867, '095', 'a', 'agua', '3.06.03.02-1 Água', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1868, '095', 'a', '3.06.03.03-0', '3.06.03.03-0 Álcool', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1869, '095', 'a', 'alcool', '3.06.03.03-0 Álcool', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1870, '095', 'a', '3.06.03.04-8', '3.06.03.04-8 Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1871, '095', 'a', 'alimentos', '3.06.03.04-8 Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1872, '095', 'a', '3.06.03.05-6', '3.06.03.05-6 Borrachas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1873, '095', 'a', 'borrachas', '3.06.03.05-6 Borrachas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1874, '095', 'a', '3.06.03.06-4', '3.06.03.06-4 Carvão', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1875, '095', 'a', 'carvao', '3.06.03.06-4 Carvão', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1876, '095', 'a', '3.06.03.07-2', '3.06.03.07-2 Cerâmica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1877, '095', 'a', 'ceramica', '3.06.03.07-2 Cerâmica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1878, '095', 'a', '3.06.03.08-0', '3.06.03.08-0 Cimento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1879, '095', 'a', 'cimento', '3.06.03.08-0 Cimento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1880, '095', 'a', '3.06.03.09-9', '3.06.03.09-9 Couro', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1881, '095', 'a', 'couro', '3.06.03.09-9 Couro', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1882, '095', 'a', '3.06.03.10-2', '3.06.03.10-2 Detergentes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1883, '095', 'a', 'detergentes', '3.06.03.10-2 Detergentes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1884, '095', 'a', '3.06.03.11-0', '3.06.03.11-0 Fertilizantes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1885, '095', 'a', 'fertilizantes', '3.06.03.11-0 Fertilizantes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1886, '095', 'a', '3.06.03.12-9', '3.06.03.12-9 Medicamentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1887, '095', 'a', 'medicamentos', '3.06.03.12-9 Medicamentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1888, '095', 'a', '3.06.03.13-7', '3.06.03.13-7 Metais não-Ferrosos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1889, '095', 'a', 'metais', '3.06.03.13-7 Metais não-Ferrosos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1890, '095', 'a', 'nao-ferrosos', '3.06.03.13-7 Metais não-Ferrosos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1891, '095', 'a', '3.06.03.14-5', '3.06.03.14-5 Óleos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1892, '095', 'a', 'oleos', '3.06.03.14-5 Óleos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1893, '095', 'a', '3.06.03.15-3', '3.06.03.15-3 Papel e Celulose', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1894, '095', 'a', 'papel', '3.06.03.15-3 Papel e Celulose', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1895, '095', 'a', 'celulose', '3.06.03.15-3 Papel e Celulose', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1896, '095', 'a', '3.06.03.16-1', '3.06.03.16-1 Petróleo e Petroquímica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1897, '095', 'a', 'petroleo', '3.06.03.16-1 Petróleo e Petroquímica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1898, '095', 'a', 'petroquimica', '3.06.03.16-1 Petróleo e Petroquímica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1899, '095', 'a', '3.06.03.17-0', '3.06.03.17-0 Polímeros', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1900, '095', 'a', 'polimeros', '3.06.03.17-0 Polímeros', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1901, '095', 'a', '3.06.03.18-8', '3.06.03.18-8 Produtos Naturais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1902, '095', 'a', 'produtos', '3.06.03.18-8 Produtos Naturais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1903, '095', 'a', 'naturais', '3.06.03.18-8 Produtos Naturais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1904, '095', 'a', '3.06.03.19-6', '3.06.03.19-6 Têxteis', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1905, '095', 'a', 'texteis', '3.06.03.19-6 Têxteis', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1906, '095', 'a', '3.06.03.20-0', '3.06.03.20-0 Tratamentos e Aproveitamento de Rejeitos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1907, '095', 'a', 'tratamentos', '3.06.03.20-0 Tratamentos e Aproveitamento de Rejeitos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1908, '095', 'a', 'aproveitamento', '3.06.03.20-0 Tratamentos e Aproveitamento de Rejeitos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1909, '095', 'a', 'de', '3.06.03.20-0 Tratamentos e Aproveitamento de Rejeitos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1910, '095', 'a', 'rejeitos', '3.06.03.20-0 Tratamentos e Aproveitamento de Rejeitos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1911, '095', 'a', '3.06.03.21-8', '3.06.03.21-8 Xisto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1912, '095', 'a', 'xisto', '3.06.03.21-8 Xisto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1913, '095', 'a', '3.07.00.00-0', '3.07.00.00-0 Engenharia Sanitária', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1914, '095', 'a', 'engenharia', '3.07.00.00-0 Engenharia Sanitária', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1915, '095', 'a', 'sanitaria', '3.07.00.00-0 Engenharia Sanitária', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1916, '095', 'a', '3.07.01.00-7', '3.07.01.00-7 Recursos Hídricos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1917, '095', 'a', 'recursos', '3.07.01.00-7 Recursos Hídricos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1918, '095', 'a', 'hidricos', '3.07.01.00-7 Recursos Hídricos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1919, '095', 'a', '3.07.01.01-5', '3.07.01.01-5 Planejamento Integrado dos Recursos Hídricos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1920, '095', 'a', 'planejamento', '3.07.01.01-5 Planejamento Integrado dos Recursos Hídricos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1921, '095', 'a', 'integrado', '3.07.01.01-5 Planejamento Integrado dos Recursos Hídricos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1922, '095', 'a', 'dos', '3.07.01.01-5 Planejamento Integrado dos Recursos Hídricos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1923, '095', 'a', 'recursos', '3.07.01.01-5 Planejamento Integrado dos Recursos Hídricos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1924, '095', 'a', 'hidricos', '3.07.01.01-5 Planejamento Integrado dos Recursos Hídricos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1925, '095', 'a', '3.07.01.02-3', '3.07.01.02-3 Tecnologia e Problemas Sanitários de Irrigação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1926, '095', 'a', 'tecnologia', '3.07.01.02-3 Tecnologia e Problemas Sanitários de Irrigação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1927, '095', 'a', 'problemas', '3.07.01.02-3 Tecnologia e Problemas Sanitários de Irrigação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1928, '095', 'a', 'sanitarios', '3.07.01.02-3 Tecnologia e Problemas Sanitários de Irrigação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1929, '095', 'a', 'de', '3.07.01.02-3 Tecnologia e Problemas Sanitários de Irrigação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1930, '095', 'a', 'irrigacao', '3.07.01.02-3 Tecnologia e Problemas Sanitários de Irrigação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1931, '095', 'a', '3.07.01.03-1', '3.07.01.03-1 Águas Subterrâneas e Poços Profundos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1932, '095', 'a', 'aguas', '3.07.01.03-1 Águas Subterrâneas e Poços Profundos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1933, '095', 'a', 'subterraneas', '3.07.01.03-1 Águas Subterrâneas e Poços Profundos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1934, '095', 'a', 'pocos', '3.07.01.03-1 Águas Subterrâneas e Poços Profundos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1935, '095', 'a', 'profundos', '3.07.01.03-1 Águas Subterrâneas e Poços Profundos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1936, '095', 'a', '3.07.01.04-0', '3.07.01.04-0 Controle de Enchentes e de Barragens', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1937, '095', 'a', 'controle', '3.07.01.04-0 Controle de Enchentes e de Barragens', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1938, '095', 'a', 'de', '3.07.01.04-0 Controle de Enchentes e de Barragens', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1939, '095', 'a', 'enchentes', '3.07.01.04-0 Controle de Enchentes e de Barragens', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1940, '095', 'a', 'de', '3.07.01.04-0 Controle de Enchentes e de Barragens', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1941, '095', 'a', 'barragens', '3.07.01.04-0 Controle de Enchentes e de Barragens', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1942, '095', 'a', '3.07.01.05-8', '3.07.01.05-8 Sedimentologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1943, '095', 'a', 'sedimentologia', '3.07.01.05-8 Sedimentologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1944, '095', 'a', '3.07.02.00-3', '3.07.02.00-3 Tratamento de Águas de Abastecimento e Residuárias', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1945, '095', 'a', 'tratamento', '3.07.02.00-3 Tratamento de Águas de Abastecimento e Residuárias', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1946, '095', 'a', 'de', '3.07.02.00-3 Tratamento de Águas de Abastecimento e Residuárias', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1947, '095', 'a', 'aguas', '3.07.02.00-3 Tratamento de Águas de Abastecimento e Residuárias', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1948, '095', 'a', 'de', '3.07.02.00-3 Tratamento de Águas de Abastecimento e Residuárias', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1949, '095', 'a', 'abastecimento', '3.07.02.00-3 Tratamento de Águas de Abastecimento e Residuárias', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1950, '095', 'a', 'residuarias', '3.07.02.00-3 Tratamento de Águas de Abastecimento e Residuárias', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1951, '095', 'a', '3.07.02.01-1', '3.07.02.01-1 Química Sanitária', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1952, '095', 'a', 'quimica', '3.07.02.01-1 Química Sanitária', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1953, '095', 'a', 'sanitaria', '3.07.02.01-1 Química Sanitária', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1954, '095', 'a', '3.07.02.02-0', '3.07.02.02-0 Processos Simplificados de Tratamento de Águas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1955, '095', 'a', 'processos', '3.07.02.02-0 Processos Simplificados de Tratamento de Águas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1956, '095', 'a', 'simplificados', '3.07.02.02-0 Processos Simplificados de Tratamento de Águas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1957, '095', 'a', 'de', '3.07.02.02-0 Processos Simplificados de Tratamento de Águas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1958, '095', 'a', 'tratamento', '3.07.02.02-0 Processos Simplificados de Tratamento de Águas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1959, '095', 'a', 'de', '3.07.02.02-0 Processos Simplificados de Tratamento de Águas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1960, '095', 'a', 'aguas', '3.07.02.02-0 Processos Simplificados de Tratamento de Águas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1961, '095', 'a', '3.07.02.03-8', '3.07.02.03-8 Técnicas Convencionais de Tratamento de Águas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1962, '095', 'a', 'tecnicas', '3.07.02.03-8 Técnicas Convencionais de Tratamento de Águas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1963, '095', 'a', 'convencionais', '3.07.02.03-8 Técnicas Convencionais de Tratamento de Águas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1964, '095', 'a', 'de', '3.07.02.03-8 Técnicas Convencionais de Tratamento de Águas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1965, '095', 'a', 'tratamento', '3.07.02.03-8 Técnicas Convencionais de Tratamento de Águas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1966, '095', 'a', 'de', '3.07.02.03-8 Técnicas Convencionais de Tratamento de Águas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1967, '095', 'a', 'aguas', '3.07.02.03-8 Técnicas Convencionais de Tratamento de Águas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1968, '095', 'a', '3.07.02.04-6', '3.07.02.04-6 Técnicas Avancadas de Tratamento de Águas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1969, '095', 'a', 'tecnicas', '3.07.02.04-6 Técnicas Avancadas de Tratamento de Águas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1970, '095', 'a', 'avancadas', '3.07.02.04-6 Técnicas Avancadas de Tratamento de Águas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1971, '095', 'a', 'de', '3.07.02.04-6 Técnicas Avancadas de Tratamento de Águas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1972, '095', 'a', 'tratamento', '3.07.02.04-6 Técnicas Avancadas de Tratamento de Águas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1973, '095', 'a', 'de', '3.07.02.04-6 Técnicas Avancadas de Tratamento de Águas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1974, '095', 'a', 'aguas', '3.07.02.04-6 Técnicas Avancadas de Tratamento de Águas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1975, '095', 'a', '3.07.02.05-4', '3.07.02.05-4 Estudos e Caracterização de Efluentes Industriais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1976, '095', 'a', 'estudos', '3.07.02.05-4 Estudos e Caracterização de Efluentes Industriais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1977, '095', 'a', 'caracterizacao', '3.07.02.05-4 Estudos e Caracterização de Efluentes Industriais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1978, '095', 'a', 'de', '3.07.02.05-4 Estudos e Caracterização de Efluentes Industriais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1979, '095', 'a', 'efluentes', '3.07.02.05-4 Estudos e Caracterização de Efluentes Industriais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1980, '095', 'a', 'industriais', '3.07.02.05-4 Estudos e Caracterização de Efluentes Industriais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1981, '095', 'a', '3.07.02.06-2', '3.07.02.06-2 Lay Out de Processos Industriais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1982, '095', 'a', 'lay', '3.07.02.06-2 Lay Out de Processos Industriais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1983, '095', 'a', 'out', '3.07.02.06-2 Lay Out de Processos Industriais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1984, '095', 'a', 'de', '3.07.02.06-2 Lay Out de Processos Industriais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1985, '095', 'a', 'processos', '3.07.02.06-2 Lay Out de Processos Industriais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1986, '095', 'a', 'industriais', '3.07.02.06-2 Lay Out de Processos Industriais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1987, '095', 'a', '3.07.02.07-0', '3.07.02.07-0 Resíduos Radioativos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1988, '095', 'a', 'residuos', '3.07.02.07-0 Resíduos Radioativos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1989, '095', 'a', 'radioativos', '3.07.02.07-0 Resíduos Radioativos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1990, '095', 'a', '3.07.03.00-0', '3.07.03.00-0 Saneamento Básico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1991, '095', 'a', 'saneamento', '3.07.03.00-0 Saneamento Básico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1992, '095', 'a', 'basico', '3.07.03.00-0 Saneamento Básico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1993, '095', 'a', '3.07.03.01-8', '3.07.03.01-8 Técnicas de Abastecimento da Água', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1994, '095', 'a', 'tecnicas', '3.07.03.01-8 Técnicas de Abastecimento da Água', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1995, '095', 'a', 'de', '3.07.03.01-8 Técnicas de Abastecimento da Água', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1996, '095', 'a', 'abastecimento', '3.07.03.01-8 Técnicas de Abastecimento da Água', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1997, '095', 'a', 'da', '3.07.03.01-8 Técnicas de Abastecimento da Água', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1998, '095', 'a', 'agua', '3.07.03.01-8 Técnicas de Abastecimento da Água', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (1999, '095', 'a', '3.07.03.02-6', '3.07.03.02-6 Drenagem de Águas Residuárias', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2000, '095', 'a', 'drenagem', '3.07.03.02-6 Drenagem de Águas Residuárias', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2001, '095', 'a', 'de', '3.07.03.02-6 Drenagem de Águas Residuárias', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2002, '095', 'a', 'aguas', '3.07.03.02-6 Drenagem de Águas Residuárias', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2003, '095', 'a', 'residuarias', '3.07.03.02-6 Drenagem de Águas Residuárias', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2004, '095', 'a', '3.07.03.03-4', '3.07.03.03-4 Drenagem Urbana de Águas Pluviais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2005, '095', 'a', 'drenagem', '3.07.03.03-4 Drenagem Urbana de Águas Pluviais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2006, '095', 'a', 'urbana', '3.07.03.03-4 Drenagem Urbana de Águas Pluviais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2007, '095', 'a', 'de', '3.07.03.03-4 Drenagem Urbana de Águas Pluviais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2008, '095', 'a', 'aguas', '3.07.03.03-4 Drenagem Urbana de Águas Pluviais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2009, '095', 'a', 'pluviais', '3.07.03.03-4 Drenagem Urbana de Águas Pluviais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2010, '095', 'a', '3.07.03.04-2', '3.07.03.04-2 Resíduos Sólidos, Domésticos e Industriais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2011, '095', 'a', 'residuos', '3.07.03.04-2 Resíduos Sólidos, Domésticos e Industriais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2012, '095', 'a', 'solidos,', '3.07.03.04-2 Resíduos Sólidos, Domésticos e Industriais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2013, '095', 'a', 'domesticos', '3.07.03.04-2 Resíduos Sólidos, Domésticos e Industriais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2014, '095', 'a', 'industriais', '3.07.03.04-2 Resíduos Sólidos, Domésticos e Industriais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2015, '095', 'a', '3.07.03.05-0', '3.07.03.05-0 Limpeza Pública', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2016, '095', 'a', 'limpeza', '3.07.03.05-0 Limpeza Pública', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2017, '095', 'a', 'publica', '3.07.03.05-0 Limpeza Pública', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2018, '095', 'a', '3.07.03.06-9', '3.07.03.06-9 Instalações Hidráulico-Sanitárias', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2019, '095', 'a', 'instalacoes', '3.07.03.06-9 Instalações Hidráulico-Sanitárias', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2020, '095', 'a', 'hidraulico-sanitarias', '3.07.03.06-9 Instalações Hidráulico-Sanitárias', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2021, '095', 'a', '3.07.04.00-6', '3.07.04.00-6 Saneamento Ambiental', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2022, '095', 'a', 'saneamento', '3.07.04.00-6 Saneamento Ambiental', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2023, '095', 'a', 'ambiental', '3.07.04.00-6 Saneamento Ambiental', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2024, '095', 'a', '3.07.04.01-4', '3.07.04.01-4 Ecologia Aplicada à Engenharia Sanitária', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2025, '095', 'a', 'ecologia', '3.07.04.01-4 Ecologia Aplicada à Engenharia Sanitária', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2026, '095', 'a', 'aplicada', '3.07.04.01-4 Ecologia Aplicada à Engenharia Sanitária', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2027, '095', 'a', 'engenharia', '3.07.04.01-4 Ecologia Aplicada à Engenharia Sanitária', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2028, '095', 'a', 'sanitaria', '3.07.04.01-4 Ecologia Aplicada à Engenharia Sanitária', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2029, '095', 'a', '3.07.04.02-2', '3.07.04.02-2 Microbiologia Aplicada e Engenharia Sanitária', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2030, '095', 'a', 'microbiologia', '3.07.04.02-2 Microbiologia Aplicada e Engenharia Sanitária', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2031, '095', 'a', 'aplicada', '3.07.04.02-2 Microbiologia Aplicada e Engenharia Sanitária', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2032, '095', 'a', 'engenharia', '3.07.04.02-2 Microbiologia Aplicada e Engenharia Sanitária', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2033, '095', 'a', 'sanitaria', '3.07.04.02-2 Microbiologia Aplicada e Engenharia Sanitária', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2034, '095', 'a', '3.07.04.03-0', '3.07.04.03-0 Parasitologia Aplicada à Engenharia Sanitária', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2035, '095', 'a', 'parasitologia', '3.07.04.03-0 Parasitologia Aplicada à Engenharia Sanitária', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2036, '095', 'a', 'aplicada', '3.07.04.03-0 Parasitologia Aplicada à Engenharia Sanitária', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2037, '095', 'a', 'engenharia', '3.07.04.03-0 Parasitologia Aplicada à Engenharia Sanitária', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2038, '095', 'a', 'sanitaria', '3.07.04.03-0 Parasitologia Aplicada à Engenharia Sanitária', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2039, '095', 'a', '3.07.04.04-9', '3.07.04.04-9 Qualidade do Ar, das Águas e do Solo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2040, '095', 'a', 'qualidade', '3.07.04.04-9 Qualidade do Ar, das Águas e do Solo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2041, '095', 'a', 'do', '3.07.04.04-9 Qualidade do Ar, das Águas e do Solo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2042, '095', 'a', 'ar,', '3.07.04.04-9 Qualidade do Ar, das Águas e do Solo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2043, '095', 'a', 'das', '3.07.04.04-9 Qualidade do Ar, das Águas e do Solo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2044, '095', 'a', 'aguas', '3.07.04.04-9 Qualidade do Ar, das Águas e do Solo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2045, '095', 'a', 'do', '3.07.04.04-9 Qualidade do Ar, das Águas e do Solo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2046, '095', 'a', 'solo', '3.07.04.04-9 Qualidade do Ar, das Águas e do Solo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2047, '095', 'a', '3.07.04.05-7', '3.07.04.05-7 Controle da Poluição', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2048, '095', 'a', 'controle', '3.07.04.05-7 Controle da Poluição', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2049, '095', 'a', 'da', '3.07.04.05-7 Controle da Poluição', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2050, '095', 'a', 'poluicao', '3.07.04.05-7 Controle da Poluição', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2051, '095', 'a', '3.07.04.06-5', '3.07.04.06-5 Legislação Ambiental', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2052, '095', 'a', 'legislacao', '3.07.04.06-5 Legislação Ambiental', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2053, '095', 'a', 'ambiental', '3.07.04.06-5 Legislação Ambiental', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2054, '095', 'a', '3.08.00.00-5', '3.08.00.00-5 Engenharia de Produção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2055, '095', 'a', 'engenharia', '3.08.00.00-5 Engenharia de Produção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2056, '095', 'a', 'de', '3.08.00.00-5 Engenharia de Produção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2057, '095', 'a', 'producao', '3.08.00.00-5 Engenharia de Produção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2058, '095', 'a', '3.08.01.00-1', '3.08.01.00-1 Gerência de Produção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2059, '095', 'a', 'gerencia', '3.08.01.00-1 Gerência de Produção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2060, '095', 'a', 'de', '3.08.01.00-1 Gerência de Produção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2061, '095', 'a', 'producao', '3.08.01.00-1 Gerência de Produção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2062, '095', 'a', '3.08.01.01-0', '3.08.01.01-0 Planejamento de Instalações Industriais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2063, '095', 'a', 'planejamento', '3.08.01.01-0 Planejamento de Instalações Industriais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2064, '095', 'a', 'de', '3.08.01.01-0 Planejamento de Instalações Industriais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2065, '095', 'a', 'instalacoes', '3.08.01.01-0 Planejamento de Instalações Industriais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2066, '095', 'a', 'industriais', '3.08.01.01-0 Planejamento de Instalações Industriais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2067, '095', 'a', '3.08.01.02-8', '3.08.01.02-8 Planejamento, Projeto e Controle de Sistemas de Produção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2068, '095', 'a', 'planejamento,', '3.08.01.02-8 Planejamento, Projeto e Controle de Sistemas de Produção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2069, '095', 'a', 'projeto', '3.08.01.02-8 Planejamento, Projeto e Controle de Sistemas de Produção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2070, '095', 'a', 'controle', '3.08.01.02-8 Planejamento, Projeto e Controle de Sistemas de Produção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2071, '095', 'a', 'de', '3.08.01.02-8 Planejamento, Projeto e Controle de Sistemas de Produção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2072, '095', 'a', 'sistemas', '3.08.01.02-8 Planejamento, Projeto e Controle de Sistemas de Produção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2073, '095', 'a', 'de', '3.08.01.02-8 Planejamento, Projeto e Controle de Sistemas de Produção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2074, '095', 'a', 'producao', '3.08.01.02-8 Planejamento, Projeto e Controle de Sistemas de Produção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2075, '095', 'a', '3.08.01.03-6', '3.08.01.03-6 Higiene e Segurança do Trabalho', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2076, '095', 'a', 'higiene', '3.08.01.03-6 Higiene e Segurança do Trabalho', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2077, '095', 'a', 'seguranca', '3.08.01.03-6 Higiene e Segurança do Trabalho', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2078, '095', 'a', 'do', '3.08.01.03-6 Higiene e Segurança do Trabalho', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2079, '095', 'a', 'trabalho', '3.08.01.03-6 Higiene e Segurança do Trabalho', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2080, '095', 'a', '3.08.01.04-4', '3.08.01.04-4 Suprimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2081, '095', 'a', 'suprimentos', '3.08.01.04-4 Suprimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2082, '095', 'a', '3.08.01.05-2', '3.08.01.05-2 Garantia de Controle de Qualidade', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2083, '095', 'a', 'garantia', '3.08.01.05-2 Garantia de Controle de Qualidade', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2084, '095', 'a', 'de', '3.08.01.05-2 Garantia de Controle de Qualidade', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2085, '095', 'a', 'controle', '3.08.01.05-2 Garantia de Controle de Qualidade', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2086, '095', 'a', 'de', '3.08.01.05-2 Garantia de Controle de Qualidade', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2087, '095', 'a', 'qualidade', '3.08.01.05-2 Garantia de Controle de Qualidade', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2088, '095', 'a', '3.08.02.00-8', '3.08.02.00-8 Pesquisa Operacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2089, '095', 'a', 'pesquisa', '3.08.02.00-8 Pesquisa Operacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2090, '095', 'a', 'operacional', '3.08.02.00-8 Pesquisa Operacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2091, '095', 'a', '3.08.02.01-6', '3.08.02.01-6 Processos Estocásticos e Teorias da Filas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2092, '095', 'a', 'processos', '3.08.02.01-6 Processos Estocásticos e Teorias da Filas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2093, '095', 'a', 'estocasticos', '3.08.02.01-6 Processos Estocásticos e Teorias da Filas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2094, '095', 'a', 'teorias', '3.08.02.01-6 Processos Estocásticos e Teorias da Filas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2095, '095', 'a', 'da', '3.08.02.01-6 Processos Estocásticos e Teorias da Filas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2096, '095', 'a', 'filas', '3.08.02.01-6 Processos Estocásticos e Teorias da Filas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2097, '095', 'a', '3.08.02.02-4', '3.08.02.02-4 Programação Linear, Não-Linear, Mista e Dinâmica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2098, '095', 'a', 'programacao', '3.08.02.02-4 Programação Linear, Não-Linear, Mista e Dinâmica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2099, '095', 'a', 'linear,', '3.08.02.02-4 Programação Linear, Não-Linear, Mista e Dinâmica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2100, '095', 'a', 'nao-linear,', '3.08.02.02-4 Programação Linear, Não-Linear, Mista e Dinâmica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2101, '095', 'a', 'mista', '3.08.02.02-4 Programação Linear, Não-Linear, Mista e Dinâmica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2102, '095', 'a', 'dinamica', '3.08.02.02-4 Programação Linear, Não-Linear, Mista e Dinâmica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2103, '095', 'a', '3.08.02.03-2', '3.08.02.03-2 Séries Temporais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2104, '095', 'a', 'series', '3.08.02.03-2 Séries Temporais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2105, '095', 'a', 'temporais', '3.08.02.03-2 Séries Temporais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2106, '095', 'a', '3.08.02.04-0', '3.08.02.04-0 Teoria dos Grafos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2107, '095', 'a', 'teoria', '3.08.02.04-0 Teoria dos Grafos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2108, '095', 'a', 'dos', '3.08.02.04-0 Teoria dos Grafos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2109, '095', 'a', 'grafos', '3.08.02.04-0 Teoria dos Grafos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2110, '095', 'a', '3.08.02.05-9', '3.08.02.05-9 Teoria dos Jogos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2111, '095', 'a', 'teoria', '3.08.02.05-9 Teoria dos Jogos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2112, '095', 'a', 'dos', '3.08.02.05-9 Teoria dos Jogos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2113, '095', 'a', 'jogos', '3.08.02.05-9 Teoria dos Jogos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2114, '095', 'a', '3.08.03.00-4', '3.08.03.00-4 Engenharia do Produto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2115, '095', 'a', 'engenharia', '3.08.03.00-4 Engenharia do Produto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2116, '095', 'a', 'do', '3.08.03.00-4 Engenharia do Produto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2117, '095', 'a', 'produto', '3.08.03.00-4 Engenharia do Produto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2118, '095', 'a', '3.08.03.01-2', '3.08.03.01-2 Ergonomia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2119, '095', 'a', 'ergonomia', '3.08.03.01-2 Ergonomia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2120, '095', 'a', '3.08.03.02-0', '3.08.03.02-0 Metodologia de Projeto do Produto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2121, '095', 'a', 'metodologia', '3.08.03.02-0 Metodologia de Projeto do Produto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2122, '095', 'a', 'de', '3.08.03.02-0 Metodologia de Projeto do Produto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2123, '095', 'a', 'projeto', '3.08.03.02-0 Metodologia de Projeto do Produto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2124, '095', 'a', 'do', '3.08.03.02-0 Metodologia de Projeto do Produto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2125, '095', 'a', 'produto', '3.08.03.02-0 Metodologia de Projeto do Produto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2126, '095', 'a', '3.08.03.03-9', '3.08.03.03-9 Processos de Trabalho', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2127, '095', 'a', 'processos', '3.08.03.03-9 Processos de Trabalho', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2128, '095', 'a', 'de', '3.08.03.03-9 Processos de Trabalho', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2129, '095', 'a', 'trabalho', '3.08.03.03-9 Processos de Trabalho', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2130, '095', 'a', '3.08.03.04-7', '3.08.03.04-7 Gerência do Projeto e do Produto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2131, '095', 'a', 'gerencia', '3.08.03.04-7 Gerência do Projeto e do Produto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2132, '095', 'a', 'do', '3.08.03.04-7 Gerência do Projeto e do Produto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2133, '095', 'a', 'projeto', '3.08.03.04-7 Gerência do Projeto e do Produto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2134, '095', 'a', 'do', '3.08.03.04-7 Gerência do Projeto e do Produto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2135, '095', 'a', 'produto', '3.08.03.04-7 Gerência do Projeto e do Produto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2136, '095', 'a', '3.08.03.05-5', '3.08.03.05-5 Desenvolvimento de Produto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2137, '095', 'a', 'desenvolvimento', '3.08.03.05-5 Desenvolvimento de Produto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2138, '095', 'a', 'de', '3.08.03.05-5 Desenvolvimento de Produto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2139, '095', 'a', 'produto', '3.08.03.05-5 Desenvolvimento de Produto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2140, '095', 'a', '3.08.04.00-0', '3.08.04.00-0 Engenharia Econômica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2141, '095', 'a', 'engenharia', '3.08.04.00-0 Engenharia Econômica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2142, '095', 'a', 'economica', '3.08.04.00-0 Engenharia Econômica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2143, '095', 'a', '3.08.04.01-9', '3.08.04.01-9 Estudo de Mercado', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2144, '095', 'a', 'estudo', '3.08.04.01-9 Estudo de Mercado', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2145, '095', 'a', 'de', '3.08.04.01-9 Estudo de Mercado', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2146, '095', 'a', 'mercado', '3.08.04.01-9 Estudo de Mercado', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2147, '095', 'a', '3.08.04.02-7', '3.08.04.02-7 Localização Industrial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2148, '095', 'a', 'localizacao', '3.08.04.02-7 Localização Industrial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2149, '095', 'a', 'industrial', '3.08.04.02-7 Localização Industrial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2150, '095', 'a', '3.08.04.03-5', '3.08.04.03-5 Análise de Custos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2151, '095', 'a', 'analise', '3.08.04.03-5 Análise de Custos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2152, '095', 'a', 'de', '3.08.04.03-5 Análise de Custos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2153, '095', 'a', 'custos', '3.08.04.03-5 Análise de Custos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2154, '095', 'a', '3.08.04.04-3', '3.08.04.04-3 Economia de Tecnologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2155, '095', 'a', 'economia', '3.08.04.04-3 Economia de Tecnologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2156, '095', 'a', 'de', '3.08.04.04-3 Economia de Tecnologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2157, '095', 'a', 'tecnologia', '3.08.04.04-3 Economia de Tecnologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2158, '095', 'a', '3.08.04.05-1', '3.08.04.05-1 Vida Econômica dos Equipamentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2159, '095', 'a', 'vida', '3.08.04.05-1 Vida Econômica dos Equipamentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2160, '095', 'a', 'economica', '3.08.04.05-1 Vida Econômica dos Equipamentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2161, '095', 'a', 'dos', '3.08.04.05-1 Vida Econômica dos Equipamentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2162, '095', 'a', 'equipamentos', '3.08.04.05-1 Vida Econômica dos Equipamentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2163, '095', 'a', '3.08.04.06-0', '3.08.04.06-0 Avaliação de Projetos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2164, '095', 'a', 'avaliacao', '3.08.04.06-0 Avaliação de Projetos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2165, '095', 'a', 'de', '3.08.04.06-0 Avaliação de Projetos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2166, '095', 'a', 'projetos', '3.08.04.06-0 Avaliação de Projetos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2167, '095', 'a', '3.09.00.00-0', '3.09.00.00-0 Engenharia Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2168, '095', 'a', 'engenharia', '3.09.00.00-0 Engenharia Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2169, '095', 'a', 'nuclear', '3.09.00.00-0 Engenharia Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2170, '095', 'a', '3.09.01.00-6', '3.09.01.00-6 Aplicações de Radioisotopos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2171, '095', 'a', 'aplicacoes', '3.09.01.00-6 Aplicações de Radioisotopos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2172, '095', 'a', 'de', '3.09.01.00-6 Aplicações de Radioisotopos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2173, '095', 'a', 'radioisotopos', '3.09.01.00-6 Aplicações de Radioisotopos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2174, '095', 'a', '3.09.01.01-4', '3.09.01.01-4 Produção de Radioisotopos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2175, '095', 'a', 'producao', '3.09.01.01-4 Produção de Radioisotopos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2176, '095', 'a', 'de', '3.09.01.01-4 Produção de Radioisotopos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2177, '095', 'a', 'radioisotopos', '3.09.01.01-4 Produção de Radioisotopos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2178, '095', 'a', '3.09.01.02-2', '3.09.01.02-2 Aplicações Industriais de Radioisotopos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2179, '095', 'a', 'aplicacoes', '3.09.01.02-2 Aplicações Industriais de Radioisotopos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2180, '095', 'a', 'industriais', '3.09.01.02-2 Aplicações Industriais de Radioisotopos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2181, '095', 'a', 'de', '3.09.01.02-2 Aplicações Industriais de Radioisotopos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2182, '095', 'a', 'radioisotopos', '3.09.01.02-2 Aplicações Industriais de Radioisotopos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2183, '095', 'a', '3.09.01.03-0', '3.09.01.03-0 Instrumentação para Medida e Controle de Radiação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2184, '095', 'a', 'instrumentacao', '3.09.01.03-0 Instrumentação para Medida e Controle de Radiação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2185, '095', 'a', 'para', '3.09.01.03-0 Instrumentação para Medida e Controle de Radiação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2186, '095', 'a', 'medida', '3.09.01.03-0 Instrumentação para Medida e Controle de Radiação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2187, '095', 'a', 'controle', '3.09.01.03-0 Instrumentação para Medida e Controle de Radiação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2188, '095', 'a', 'de', '3.09.01.03-0 Instrumentação para Medida e Controle de Radiação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2189, '095', 'a', 'radiacao', '3.09.01.03-0 Instrumentação para Medida e Controle de Radiação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2190, '095', 'a', '3.09.02.00-2', '3.09.02.00-2 Fusão Controlada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2191, '095', 'a', 'fusao', '3.09.02.00-2 Fusão Controlada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2192, '095', 'a', 'controlada', '3.09.02.00-2 Fusão Controlada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2193, '095', 'a', '3.09.02.01-0', '3.09.02.01-0 Processos Industriais da Fusão Controlada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2194, '095', 'a', 'processos', '3.09.02.01-0 Processos Industriais da Fusão Controlada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2195, '095', 'a', 'industriais', '3.09.02.01-0 Processos Industriais da Fusão Controlada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2196, '095', 'a', 'da', '3.09.02.01-0 Processos Industriais da Fusão Controlada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2197, '095', 'a', 'fusao', '3.09.02.01-0 Processos Industriais da Fusão Controlada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2198, '095', 'a', 'controlada', '3.09.02.01-0 Processos Industriais da Fusão Controlada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2199, '095', 'a', '3.09.02.02-9', '3.09.02.02-9 Problemas Tecnológicos da Fusão Controlada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2200, '095', 'a', 'problemas', '3.09.02.02-9 Problemas Tecnológicos da Fusão Controlada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2201, '095', 'a', 'tecnologicos', '3.09.02.02-9 Problemas Tecnológicos da Fusão Controlada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2202, '095', 'a', 'da', '3.09.02.02-9 Problemas Tecnológicos da Fusão Controlada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2203, '095', 'a', 'fusao', '3.09.02.02-9 Problemas Tecnológicos da Fusão Controlada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2204, '095', 'a', 'controlada', '3.09.02.02-9 Problemas Tecnológicos da Fusão Controlada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2205, '095', 'a', '3.09.03.00-9', '3.09.03.00-9 Combustível Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2206, '095', 'a', 'combustivel', '3.09.03.00-9 Combustível Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2207, '095', 'a', 'nuclear', '3.09.03.00-9 Combustível Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2208, '095', 'a', '3.09.03.01-7', '3.09.03.01-7 Extração de Combustível Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2209, '095', 'a', 'extracao', '3.09.03.01-7 Extração de Combustível Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2210, '095', 'a', 'de', '3.09.03.01-7 Extração de Combustível Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2211, '095', 'a', 'combustivel', '3.09.03.01-7 Extração de Combustível Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2212, '095', 'a', 'nuclear', '3.09.03.01-7 Extração de Combustível Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2213, '095', 'a', '3.09.03.02-5', '3.09.03.02-5 Conversão, Enriquecimento e Fabricação de Combustível Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2214, '095', 'a', 'conversao,', '3.09.03.02-5 Conversão, Enriquecimento e Fabricação de Combustível Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2215, '095', 'a', 'enriquecimento', '3.09.03.02-5 Conversão, Enriquecimento e Fabricação de Combustível Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2216, '095', 'a', 'fabricacao', '3.09.03.02-5 Conversão, Enriquecimento e Fabricação de Combustível Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2217, '095', 'a', 'de', '3.09.03.02-5 Conversão, Enriquecimento e Fabricação de Combustível Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2218, '095', 'a', 'combustivel', '3.09.03.02-5 Conversão, Enriquecimento e Fabricação de Combustível Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2219, '095', 'a', 'nuclear', '3.09.03.02-5 Conversão, Enriquecimento e Fabricação de Combustível Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2220, '095', 'a', '3.09.03.03-3', '3.09.03.03-3 Reprocessamento de Combustível Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2221, '095', 'a', 'reprocessamento', '3.09.03.03-3 Reprocessamento de Combustível Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2222, '095', 'a', 'de', '3.09.03.03-3 Reprocessamento de Combustível Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2223, '095', 'a', 'combustivel', '3.09.03.03-3 Reprocessamento de Combustível Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2224, '095', 'a', 'nuclear', '3.09.03.03-3 Reprocessamento de Combustível Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2225, '095', 'a', '3.09.03.04-1', '3.09.03.04-1 Rejeitos de Combustível Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2226, '095', 'a', 'rejeitos', '3.09.03.04-1 Rejeitos de Combustível Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2227, '095', 'a', 'de', '3.09.03.04-1 Rejeitos de Combustível Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2228, '095', 'a', 'combustivel', '3.09.03.04-1 Rejeitos de Combustível Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2229, '095', 'a', 'nuclear', '3.09.03.04-1 Rejeitos de Combustível Nuclear', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2230, '095', 'a', '3.09.04.00-5', '3.09.04.00-5 Tecnologia dos Reatores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2231, '095', 'a', 'tecnologia', '3.09.04.00-5 Tecnologia dos Reatores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2232, '095', 'a', 'dos', '3.09.04.00-5 Tecnologia dos Reatores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2233, '095', 'a', 'reatores', '3.09.04.00-5 Tecnologia dos Reatores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2234, '095', 'a', '3.09.04.01-3', '3.09.04.01-3 Núcleo do Reator', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2235, '095', 'a', 'nucleo', '3.09.04.01-3 Núcleo do Reator', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2236, '095', 'a', 'do', '3.09.04.01-3 Núcleo do Reator', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2237, '095', 'a', 'reator', '3.09.04.01-3 Núcleo do Reator', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2238, '095', 'a', '3.09.04.02-1', '3.09.04.02-1 Materiais Nucleares e Blindagem de Reatores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2239, '095', 'a', 'materiais', '3.09.04.02-1 Materiais Nucleares e Blindagem de Reatores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2240, '095', 'a', 'nucleares', '3.09.04.02-1 Materiais Nucleares e Blindagem de Reatores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2241, '095', 'a', 'blindagem', '3.09.04.02-1 Materiais Nucleares e Blindagem de Reatores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2242, '095', 'a', 'de', '3.09.04.02-1 Materiais Nucleares e Blindagem de Reatores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2243, '095', 'a', 'reatores', '3.09.04.02-1 Materiais Nucleares e Blindagem de Reatores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2244, '095', 'a', '3.09.04.03-0', '3.09.04.03-0 Transferência de Calor em Reatores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2245, '095', 'a', 'transferencia', '3.09.04.03-0 Transferência de Calor em Reatores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2246, '095', 'a', 'de', '3.09.04.03-0 Transferência de Calor em Reatores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2247, '095', 'a', 'calor', '3.09.04.03-0 Transferência de Calor em Reatores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2248, '095', 'a', 'em', '3.09.04.03-0 Transferência de Calor em Reatores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2249, '095', 'a', 'reatores', '3.09.04.03-0 Transferência de Calor em Reatores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2250, '095', 'a', '3.09.04.04-8', '3.09.04.04-8 Geração e Integração Com Sistemas Elétricos em Reatores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2251, '095', 'a', 'geracao', '3.09.04.04-8 Geração e Integração Com Sistemas Elétricos em Reatores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2252, '095', 'a', 'integracao', '3.09.04.04-8 Geração e Integração Com Sistemas Elétricos em Reatores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2253, '095', 'a', 'com', '3.09.04.04-8 Geração e Integração Com Sistemas Elétricos em Reatores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2254, '095', 'a', 'sistemas', '3.09.04.04-8 Geração e Integração Com Sistemas Elétricos em Reatores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2255, '095', 'a', 'eletricos', '3.09.04.04-8 Geração e Integração Com Sistemas Elétricos em Reatores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2256, '095', 'a', 'em', '3.09.04.04-8 Geração e Integração Com Sistemas Elétricos em Reatores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2257, '095', 'a', 'reatores', '3.09.04.04-8 Geração e Integração Com Sistemas Elétricos em Reatores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2258, '095', 'a', '3.09.04.05-6', '3.09.04.05-6 Instrumentação Para Operação e Controle de Reatores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2259, '095', 'a', 'instrumentacao', '3.09.04.05-6 Instrumentação Para Operação e Controle de Reatores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2260, '095', 'a', 'para', '3.09.04.05-6 Instrumentação Para Operação e Controle de Reatores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2261, '095', 'a', 'operacao', '3.09.04.05-6 Instrumentação Para Operação e Controle de Reatores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2262, '095', 'a', 'controle', '3.09.04.05-6 Instrumentação Para Operação e Controle de Reatores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2263, '095', 'a', 'de', '3.09.04.05-6 Instrumentação Para Operação e Controle de Reatores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2264, '095', 'a', 'reatores', '3.09.04.05-6 Instrumentação Para Operação e Controle de Reatores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2265, '095', 'a', '3.09.04.06-4', '3.09.04.06-4 Seguranca, Localização e Licênciamento de Reatores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2266, '095', 'a', 'seguranca,', '3.09.04.06-4 Seguranca, Localização e Licênciamento de Reatores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2267, '095', 'a', 'localizacao', '3.09.04.06-4 Seguranca, Localização e Licênciamento de Reatores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2268, '095', 'a', 'licenciamento', '3.09.04.06-4 Seguranca, Localização e Licênciamento de Reatores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2269, '095', 'a', 'de', '3.09.04.06-4 Seguranca, Localização e Licênciamento de Reatores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2270, '095', 'a', 'reatores', '3.09.04.06-4 Seguranca, Localização e Licênciamento de Reatores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2271, '095', 'a', '3.09.04.07-2', '3.09.04.07-2 Aspectos Econômicos de Reatores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2272, '095', 'a', 'aspectos', '3.09.04.07-2 Aspectos Econômicos de Reatores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2273, '095', 'a', 'economicos', '3.09.04.07-2 Aspectos Econômicos de Reatores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2274, '095', 'a', 'de', '3.09.04.07-2 Aspectos Econômicos de Reatores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2275, '095', 'a', 'reatores', '3.09.04.07-2 Aspectos Econômicos de Reatores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2276, '095', 'a', '3.10.00.00-2', '3.10.00.00-2 Engenharia de Transportes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2277, '095', 'a', 'engenharia', '3.10.00.00-2 Engenharia de Transportes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2278, '095', 'a', 'de', '3.10.00.00-2 Engenharia de Transportes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2279, '095', 'a', 'transportes', '3.10.00.00-2 Engenharia de Transportes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2280, '095', 'a', '3.10.01.00-9', '3.10.01.00-9 Planejamento de Transportes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2281, '095', 'a', 'planejamento', '3.10.01.00-9 Planejamento de Transportes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2282, '095', 'a', 'de', '3.10.01.00-9 Planejamento de Transportes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2283, '095', 'a', 'transportes', '3.10.01.00-9 Planejamento de Transportes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2284, '095', 'a', '3.10.01.01-7', '3.10.01.01-7 Planejamento e Organização do Sistema de Transporte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2285, '095', 'a', 'planejamento', '3.10.01.01-7 Planejamento e Organização do Sistema de Transporte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2286, '095', 'a', 'organizacao', '3.10.01.01-7 Planejamento e Organização do Sistema de Transporte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2287, '095', 'a', 'do', '3.10.01.01-7 Planejamento e Organização do Sistema de Transporte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2288, '095', 'a', 'sistema', '3.10.01.01-7 Planejamento e Organização do Sistema de Transporte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2289, '095', 'a', 'de', '3.10.01.01-7 Planejamento e Organização do Sistema de Transporte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2290, '095', 'a', 'transporte', '3.10.01.01-7 Planejamento e Organização do Sistema de Transporte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2291, '095', 'a', '3.10.01.02-5', '3.10.01.02-5 Economia dos Transportes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2292, '095', 'a', 'economia', '3.10.01.02-5 Economia dos Transportes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2293, '095', 'a', 'dos', '3.10.01.02-5 Economia dos Transportes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2294, '095', 'a', 'transportes', '3.10.01.02-5 Economia dos Transportes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2295, '095', 'a', '3.10.02.00-5', '3.10.02.00-5 Veículos e Equipamentos de Controle', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2296, '095', 'a', 'veiculos', '3.10.02.00-5 Veículos e Equipamentos de Controle', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2297, '095', 'a', 'equipamentos', '3.10.02.00-5 Veículos e Equipamentos de Controle', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2298, '095', 'a', 'de', '3.10.02.00-5 Veículos e Equipamentos de Controle', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2299, '095', 'a', 'controle', '3.10.02.00-5 Veículos e Equipamentos de Controle', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2300, '095', 'a', '3.10.02.01-3', '3.10.02.01-3 Vias de Transporte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2301, '095', 'a', 'vias', '3.10.02.01-3 Vias de Transporte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2302, '095', 'a', 'de', '3.10.02.01-3 Vias de Transporte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2303, '095', 'a', 'transporte', '3.10.02.01-3 Vias de Transporte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2304, '095', 'a', '3.10.02.02-1', '3.10.02.02-1 Veículos de Transportes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2305, '095', 'a', 'veiculos', '3.10.02.02-1 Veículos de Transportes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2306, '095', 'a', 'de', '3.10.02.02-1 Veículos de Transportes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2307, '095', 'a', 'transportes', '3.10.02.02-1 Veículos de Transportes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2308, '095', 'a', '3.10.02.03-0', '3.10.02.03-0 Estação de Transporte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2309, '095', 'a', 'estacao', '3.10.02.03-0 Estação de Transporte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2310, '095', 'a', 'de', '3.10.02.03-0 Estação de Transporte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2311, '095', 'a', 'transporte', '3.10.02.03-0 Estação de Transporte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2312, '095', 'a', '3.10.02.04-8', '3.10.02.04-8 Equipamentos Auxiliares e Controles', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2313, '095', 'a', 'equipamentos', '3.10.02.04-8 Equipamentos Auxiliares e Controles', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2314, '095', 'a', 'auxiliares', '3.10.02.04-8 Equipamentos Auxiliares e Controles', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2315, '095', 'a', 'controles', '3.10.02.04-8 Equipamentos Auxiliares e Controles', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2316, '095', 'a', '3.10.03.00-1', '3.10.03.00-1 Operações de Transportes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2317, '095', 'a', 'operacoes', '3.10.03.00-1 Operações de Transportes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2318, '095', 'a', 'de', '3.10.03.00-1 Operações de Transportes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2319, '095', 'a', 'transportes', '3.10.03.00-1 Operações de Transportes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2320, '095', 'a', '3.10.03.01-0', '3.10.03.01-0 Engenharia de Tráfego', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2321, '095', 'a', 'engenharia', '3.10.03.01-0 Engenharia de Tráfego', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2322, '095', 'a', 'de', '3.10.03.01-0 Engenharia de Tráfego', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2323, '095', 'a', 'trafego', '3.10.03.01-0 Engenharia de Tráfego', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2324, '095', 'a', '3.10.03.02-8', '3.10.03.02-8 Capacidade de Vias de Transporte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2325, '095', 'a', 'capacidade', '3.10.03.02-8 Capacidade de Vias de Transporte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2326, '095', 'a', 'de', '3.10.03.02-8 Capacidade de Vias de Transporte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2327, '095', 'a', 'vias', '3.10.03.02-8 Capacidade de Vias de Transporte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2328, '095', 'a', 'de', '3.10.03.02-8 Capacidade de Vias de Transporte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2329, '095', 'a', 'transporte', '3.10.03.02-8 Capacidade de Vias de Transporte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2330, '095', 'a', '3.10.03.03-6', '3.10.03.03-6 Operação de Sistemas de Transporte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2331, '095', 'a', 'operacao', '3.10.03.03-6 Operação de Sistemas de Transporte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2332, '095', 'a', 'de', '3.10.03.03-6 Operação de Sistemas de Transporte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2333, '095', 'a', 'sistemas', '3.10.03.03-6 Operação de Sistemas de Transporte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2334, '095', 'a', 'de', '3.10.03.03-6 Operação de Sistemas de Transporte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2335, '095', 'a', 'transporte', '3.10.03.03-6 Operação de Sistemas de Transporte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2336, '095', 'a', '3.11.00.00-7', '3.11.00.00-7 Engenharia Naval e Oceânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2337, '095', 'a', 'engenharia', '3.11.00.00-7 Engenharia Naval e Oceânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2338, '095', 'a', 'naval', '3.11.00.00-7 Engenharia Naval e Oceânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2339, '095', 'a', 'oceanica', '3.11.00.00-7 Engenharia Naval e Oceânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2340, '095', 'a', '3.11.01.00-3', '3.11.01.00-3 Hidrodinâmica de Navios e Sistemas Oceânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2341, '095', 'a', 'hidrodinamica', '3.11.01.00-3 Hidrodinâmica de Navios e Sistemas Oceânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2342, '095', 'a', 'de', '3.11.01.00-3 Hidrodinâmica de Navios e Sistemas Oceânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2343, '095', 'a', 'navios', '3.11.01.00-3 Hidrodinâmica de Navios e Sistemas Oceânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2344, '095', 'a', 'sistemas', '3.11.01.00-3 Hidrodinâmica de Navios e Sistemas Oceânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2345, '095', 'a', 'oceanicos', '3.11.01.00-3 Hidrodinâmica de Navios e Sistemas Oceânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2346, '095', 'a', '3.11.01.01-1', '3.11.01.01-1 Resistência Hidrodinâmica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2347, '095', 'a', 'resistencia', '3.11.01.01-1 Resistência Hidrodinâmica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2348, '095', 'a', 'hidrodinamica', '3.11.01.01-1 Resistência Hidrodinâmica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2349, '095', 'a', '3.11.01.02-0', '3.11.01.02-0 Propulsão de Navios', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2350, '095', 'a', 'propulsao', '3.11.01.02-0 Propulsão de Navios', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2351, '095', 'a', 'de', '3.11.01.02-0 Propulsão de Navios', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2352, '095', 'a', 'navios', '3.11.01.02-0 Propulsão de Navios', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2353, '095', 'a', '3.11.02.00-0', '3.11.02.00-0 Estruturas Navais e Oceânicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2354, '095', 'a', 'estruturas', '3.11.02.00-0 Estruturas Navais e Oceânicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2355, '095', 'a', 'navais', '3.11.02.00-0 Estruturas Navais e Oceânicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2356, '095', 'a', 'oceanicas', '3.11.02.00-0 Estruturas Navais e Oceânicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2357, '095', 'a', '3.11.02.01-8', '3.11.02.01-8 Análise Teórica e Experimental de Estrutura', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2358, '095', 'a', 'analise', '3.11.02.01-8 Análise Teórica e Experimental de Estrutura', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2359, '095', 'a', 'teorica', '3.11.02.01-8 Análise Teórica e Experimental de Estrutura', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2360, '095', 'a', 'experimental', '3.11.02.01-8 Análise Teórica e Experimental de Estrutura', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2361, '095', 'a', 'de', '3.11.02.01-8 Análise Teórica e Experimental de Estrutura', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2362, '095', 'a', 'estrutura', '3.11.02.01-8 Análise Teórica e Experimental de Estrutura', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2363, '095', 'a', '3.11.02.02-6', '3.11.02.02-6 Dinâmica Estrutural Naval e Oceânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2364, '095', 'a', 'dinamica', '3.11.02.02-6 Dinâmica Estrutural Naval e Oceânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2365, '095', 'a', 'estrutural', '3.11.02.02-6 Dinâmica Estrutural Naval e Oceânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2366, '095', 'a', 'naval', '3.11.02.02-6 Dinâmica Estrutural Naval e Oceânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2367, '095', 'a', 'oceanica', '3.11.02.02-6 Dinâmica Estrutural Naval e Oceânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2368, '095', 'a', '3.11.02.03-4', '3.11.02.03-4 Síntese Estrutural Naval e Oceânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2369, '095', 'a', 'sintese', '3.11.02.03-4 Síntese Estrutural Naval e Oceânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2370, '095', 'a', 'estrutural', '3.11.02.03-4 Síntese Estrutural Naval e Oceânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2371, '095', 'a', 'naval', '3.11.02.03-4 Síntese Estrutural Naval e Oceânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2372, '095', 'a', 'oceanica', '3.11.02.03-4 Síntese Estrutural Naval e Oceânica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2373, '095', 'a', '3.11.03.00-6', '3.11.03.00-6 Máquinas Marítimas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2374, '095', 'a', 'maquinas', '3.11.03.00-6 Máquinas Marítimas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2375, '095', 'a', 'maritimas', '3.11.03.00-6 Máquinas Marítimas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2376, '095', 'a', '3.11.03.01-4', '3.11.03.01-4 Análise de Sistemas Propulsores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2377, '095', 'a', 'analise', '3.11.03.01-4 Análise de Sistemas Propulsores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2378, '095', 'a', 'de', '3.11.03.01-4 Análise de Sistemas Propulsores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2379, '095', 'a', 'sistemas', '3.11.03.01-4 Análise de Sistemas Propulsores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2380, '095', 'a', 'propulsores', '3.11.03.01-4 Análise de Sistemas Propulsores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2381, '095', 'a', '3.11.03.02-2', '3.11.03.02-2 Controle e Automação de Sistemas Propulsores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2382, '095', 'a', 'controle', '3.11.03.02-2 Controle e Automação de Sistemas Propulsores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2383, '095', 'a', 'automacao', '3.11.03.02-2 Controle e Automação de Sistemas Propulsores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2384, '095', 'a', 'de', '3.11.03.02-2 Controle e Automação de Sistemas Propulsores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2385, '095', 'a', 'sistemas', '3.11.03.02-2 Controle e Automação de Sistemas Propulsores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2386, '095', 'a', 'propulsores', '3.11.03.02-2 Controle e Automação de Sistemas Propulsores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2387, '095', 'a', '3.11.03.03-0', '3.11.03.03-0 Equipamentos Auxiliares do Sistema Propulsivo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2388, '095', 'a', 'equipamentos', '3.11.03.03-0 Equipamentos Auxiliares do Sistema Propulsivo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2389, '095', 'a', 'auxiliares', '3.11.03.03-0 Equipamentos Auxiliares do Sistema Propulsivo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2390, '095', 'a', 'do', '3.11.03.03-0 Equipamentos Auxiliares do Sistema Propulsivo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2391, '095', 'a', 'sistema', '3.11.03.03-0 Equipamentos Auxiliares do Sistema Propulsivo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2392, '095', 'a', 'propulsivo', '3.11.03.03-0 Equipamentos Auxiliares do Sistema Propulsivo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2393, '095', 'a', '3.11.03.04-9', '3.11.03.04-9 Motor de Propulsão', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2394, '095', 'a', 'motor', '3.11.03.04-9 Motor de Propulsão', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2395, '095', 'a', 'de', '3.11.03.04-9 Motor de Propulsão', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2396, '095', 'a', 'propulsao', '3.11.03.04-9 Motor de Propulsão', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2397, '095', 'a', '3.11.04.00-2', '3.11.04.00-2 Projeto de Navios e de Sistemas Oceânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2398, '095', 'a', 'projeto', '3.11.04.00-2 Projeto de Navios e de Sistemas Oceânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2399, '095', 'a', 'de', '3.11.04.00-2 Projeto de Navios e de Sistemas Oceânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2400, '095', 'a', 'navios', '3.11.04.00-2 Projeto de Navios e de Sistemas Oceânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2401, '095', 'a', 'de', '3.11.04.00-2 Projeto de Navios e de Sistemas Oceânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2402, '095', 'a', 'sistemas', '3.11.04.00-2 Projeto de Navios e de Sistemas Oceânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2403, '095', 'a', 'oceanicos', '3.11.04.00-2 Projeto de Navios e de Sistemas Oceânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2404, '095', 'a', '3.11.04.01-0', '3.11.04.01-0 Projetos de Navios', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2405, '095', 'a', 'projetos', '3.11.04.01-0 Projetos de Navios', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2406, '095', 'a', 'de', '3.11.04.01-0 Projetos de Navios', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2407, '095', 'a', 'navios', '3.11.04.01-0 Projetos de Navios', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2408, '095', 'a', '3.11.04.02-9', '3.11.04.02-9 Projetos de Sistemas Oceânicos Fixos e Semi-Fixos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2409, '095', 'a', 'projetos', '3.11.04.02-9 Projetos de Sistemas Oceânicos Fixos e Semi-Fixos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2410, '095', 'a', 'de', '3.11.04.02-9 Projetos de Sistemas Oceânicos Fixos e Semi-Fixos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2411, '095', 'a', 'sistemas', '3.11.04.02-9 Projetos de Sistemas Oceânicos Fixos e Semi-Fixos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2412, '095', 'a', 'oceanicos', '3.11.04.02-9 Projetos de Sistemas Oceânicos Fixos e Semi-Fixos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2413, '095', 'a', 'fixos', '3.11.04.02-9 Projetos de Sistemas Oceânicos Fixos e Semi-Fixos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2414, '095', 'a', 'semi-fixos', '3.11.04.02-9 Projetos de Sistemas Oceânicos Fixos e Semi-Fixos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2415, '095', 'a', '3.11.04.03-7', '3.11.04.03-7 Projetos de Embarcações Não-Convencionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2416, '095', 'a', 'projetos', '3.11.04.03-7 Projetos de Embarcações Não-Convencionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2417, '095', 'a', 'de', '3.11.04.03-7 Projetos de Embarcações Não-Convencionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2418, '095', 'a', 'embarcacoes', '3.11.04.03-7 Projetos de Embarcações Não-Convencionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2419, '095', 'a', 'nao-convencionais', '3.11.04.03-7 Projetos de Embarcações Não-Convencionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2420, '095', 'a', '3.11.05.00-9', '3.11.05.00-9 Tecnologia de Construção Naval e de Sistemas Oceânicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2421, '095', 'a', 'tecnologia', '3.11.05.00-9 Tecnologia de Construção Naval e de Sistemas Oceânicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2422, '095', 'a', 'de', '3.11.05.00-9 Tecnologia de Construção Naval e de Sistemas Oceânicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2423, '095', 'a', 'construcao', '3.11.05.00-9 Tecnologia de Construção Naval e de Sistemas Oceânicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2424, '095', 'a', 'naval', '3.11.05.00-9 Tecnologia de Construção Naval e de Sistemas Oceânicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2425, '095', 'a', 'de', '3.11.05.00-9 Tecnologia de Construção Naval e de Sistemas Oceânicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2426, '095', 'a', 'sistemas', '3.11.05.00-9 Tecnologia de Construção Naval e de Sistemas Oceânicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2427, '095', 'a', 'oceanicas', '3.11.05.00-9 Tecnologia de Construção Naval e de Sistemas Oceânicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2428, '095', 'a', '3.11.05.01-7', '3.11.05.01-7 Métodos de Fabricação de Navios e Sistemas Oceânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2429, '095', 'a', 'metodos', '3.11.05.01-7 Métodos de Fabricação de Navios e Sistemas Oceânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2430, '095', 'a', 'de', '3.11.05.01-7 Métodos de Fabricação de Navios e Sistemas Oceânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2431, '095', 'a', 'fabricacao', '3.11.05.01-7 Métodos de Fabricação de Navios e Sistemas Oceânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2432, '095', 'a', 'de', '3.11.05.01-7 Métodos de Fabricação de Navios e Sistemas Oceânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2433, '095', 'a', 'navios', '3.11.05.01-7 Métodos de Fabricação de Navios e Sistemas Oceânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2434, '095', 'a', 'sistemas', '3.11.05.01-7 Métodos de Fabricação de Navios e Sistemas Oceânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2435, '095', 'a', 'oceanicos', '3.11.05.01-7 Métodos de Fabricação de Navios e Sistemas Oceânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2436, '095', 'a', '3.11.05.02-5', '3.11.05.02-5 Soldagem de Estruturas Navais e Oceânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2437, '095', 'a', 'soldagem', '3.11.05.02-5 Soldagem de Estruturas Navais e Oceânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2438, '095', 'a', 'de', '3.11.05.02-5 Soldagem de Estruturas Navais e Oceânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2439, '095', 'a', 'estruturas', '3.11.05.02-5 Soldagem de Estruturas Navais e Oceânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2440, '095', 'a', 'navais', '3.11.05.02-5 Soldagem de Estruturas Navais e Oceânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2441, '095', 'a', 'oceanicos', '3.11.05.02-5 Soldagem de Estruturas Navais e Oceânicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2442, '095', 'a', '3.11.05.03-3', '3.11.05.03-3 Custos de Construção Naval', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2443, '095', 'a', 'custos', '3.11.05.03-3 Custos de Construção Naval', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2444, '095', 'a', 'de', '3.11.05.03-3 Custos de Construção Naval', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2445, '095', 'a', 'construcao', '3.11.05.03-3 Custos de Construção Naval', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2446, '095', 'a', 'naval', '3.11.05.03-3 Custos de Construção Naval', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2447, '095', 'a', '3.11.05.04-1', '3.11.05.04-1 Normatização e Certificação de Qualidade de Navios', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2448, '095', 'a', 'normatizacao', '3.11.05.04-1 Normatização e Certificação de Qualidade de Navios', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2449, '095', 'a', 'certificacao', '3.11.05.04-1 Normatização e Certificação de Qualidade de Navios', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2450, '095', 'a', 'de', '3.11.05.04-1 Normatização e Certificação de Qualidade de Navios', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2451, '095', 'a', 'qualidade', '3.11.05.04-1 Normatização e Certificação de Qualidade de Navios', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2452, '095', 'a', 'de', '3.11.05.04-1 Normatização e Certificação de Qualidade de Navios', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2453, '095', 'a', 'navios', '3.11.05.04-1 Normatização e Certificação de Qualidade de Navios', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2454, '095', 'a', '3.12.00.00-1', '3.12.00.00-1 Engenharia Aeroespacial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2455, '095', 'a', 'engenharia', '3.12.00.00-1 Engenharia Aeroespacial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2456, '095', 'a', 'aeroespacial', '3.12.00.00-1 Engenharia Aeroespacial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2457, '095', 'a', '3.12.01.00-8', '3.12.01.00-8 Aerodinâmica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2458, '095', 'a', 'aerodinamica', '3.12.01.00-8 Aerodinâmica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2459, '095', 'a', '3.12.01.01-6', '3.12.01.01-6 Aerodinâmica de Aeronaves Espaciais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2460, '095', 'a', 'aerodinamica', '3.12.01.01-6 Aerodinâmica de Aeronaves Espaciais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2461, '095', 'a', 'de', '3.12.01.01-6 Aerodinâmica de Aeronaves Espaciais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2462, '095', 'a', 'aeronaves', '3.12.01.01-6 Aerodinâmica de Aeronaves Espaciais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2463, '095', 'a', 'espaciais', '3.12.01.01-6 Aerodinâmica de Aeronaves Espaciais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2464, '095', 'a', '3.12.01.02-4', '3.12.01.02-4 Aerodinâmica dos Processos Geofísicos e Interplanetarios', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2465, '095', 'a', 'aerodinamica', '3.12.01.02-4 Aerodinâmica dos Processos Geofísicos e Interplanetarios', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2466, '095', 'a', 'dos', '3.12.01.02-4 Aerodinâmica dos Processos Geofísicos e Interplanetarios', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2467, '095', 'a', 'processos', '3.12.01.02-4 Aerodinâmica dos Processos Geofísicos e Interplanetarios', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2468, '095', 'a', 'geofisicos', '3.12.01.02-4 Aerodinâmica dos Processos Geofísicos e Interplanetarios', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2469, '095', 'a', 'interplanetarios', '3.12.01.02-4 Aerodinâmica dos Processos Geofísicos e Interplanetarios', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2470, '095', 'a', '3.12.02.00-4', '3.12.02.00-4 Dinâmica de Vôo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2471, '095', 'a', 'dinamica', '3.12.02.00-4 Dinâmica de Vôo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2472, '095', 'a', 'de', '3.12.02.00-4 Dinâmica de Vôo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2473, '095', 'a', 'voo', '3.12.02.00-4 Dinâmica de Vôo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2474, '095', 'a', '3.12.02.01-2', '3.12.02.01-2 Trajetorias e Orbitas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2475, '095', 'a', 'trajetorias', '3.12.02.01-2 Trajetorias e Orbitas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2476, '095', 'a', 'orbitas', '3.12.02.01-2 Trajetorias e Orbitas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2477, '095', 'a', '3.12.02.02-0', '3.12.02.02-0 Estabilidade e Controle', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2478, '095', 'a', 'estabilidade', '3.12.02.02-0 Estabilidade e Controle', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2479, '095', 'a', 'controle', '3.12.02.02-0 Estabilidade e Controle', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2480, '095', 'a', '3.12.03.00-0', '3.12.03.00-0 Estruturas Aeroespaciais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2481, '095', 'a', 'estruturas', '3.12.03.00-0 Estruturas Aeroespaciais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2482, '095', 'a', 'aeroespaciais', '3.12.03.00-0 Estruturas Aeroespaciais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2483, '095', 'a', '3.12.03.01-9', '3.12.03.01-9 Aeroelasticidade', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2484, '095', 'a', 'aeroelasticidade', '3.12.03.01-9 Aeroelasticidade', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2485, '095', 'a', '3.12.03.02-7', '3.12.03.02-7 Fadiga', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2486, '095', 'a', 'fadiga', '3.12.03.02-7 Fadiga', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2487, '095', 'a', '3.12.03.03-5', '3.12.03.03-5 Projeto de Estruturas Aeroespaciais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2488, '095', 'a', 'projeto', '3.12.03.03-5 Projeto de Estruturas Aeroespaciais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2489, '095', 'a', 'de', '3.12.03.03-5 Projeto de Estruturas Aeroespaciais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2490, '095', 'a', 'estruturas', '3.12.03.03-5 Projeto de Estruturas Aeroespaciais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2491, '095', 'a', 'aeroespaciais', '3.12.03.03-5 Projeto de Estruturas Aeroespaciais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2492, '095', 'a', '3.12.04.00-7', '3.12.04.00-7 Materiais e Processos para Engenharia Aeronáutica e Aeroespacial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2493, '095', 'a', 'materiais', '3.12.04.00-7 Materiais e Processos para Engenharia Aeronáutica e Aeroespacial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2494, '095', 'a', 'processos', '3.12.04.00-7 Materiais e Processos para Engenharia Aeronáutica e Aeroespacial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2495, '095', 'a', 'para', '3.12.04.00-7 Materiais e Processos para Engenharia Aeronáutica e Aeroespacial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2496, '095', 'a', 'engenharia', '3.12.04.00-7 Materiais e Processos para Engenharia Aeronáutica e Aeroespacial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2497, '095', 'a', 'aeronautica', '3.12.04.00-7 Materiais e Processos para Engenharia Aeronáutica e Aeroespacial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2498, '095', 'a', 'aeroespacial', '3.12.04.00-7 Materiais e Processos para Engenharia Aeronáutica e Aeroespacial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2499, '095', 'a', '3.12.05.00-3', '3.12.05.00-3 Propulsão Aeroespacial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2500, '095', 'a', 'propulsao', '3.12.05.00-3 Propulsão Aeroespacial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2501, '095', 'a', 'aeroespacial', '3.12.05.00-3 Propulsão Aeroespacial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2502, '095', 'a', '3.12.05.01-1', '3.12.05.01-1 Combustão e Escoamento com Reações Químicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2503, '095', 'a', 'combustao', '3.12.05.01-1 Combustão e Escoamento com Reações Químicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2504, '095', 'a', 'escoamento', '3.12.05.01-1 Combustão e Escoamento com Reações Químicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2505, '095', 'a', 'com', '3.12.05.01-1 Combustão e Escoamento com Reações Químicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2506, '095', 'a', 'reacoes', '3.12.05.01-1 Combustão e Escoamento com Reações Químicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2507, '095', 'a', 'quimicas', '3.12.05.01-1 Combustão e Escoamento com Reações Químicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2508, '095', 'a', '3.12.05.02-0', '3.12.05.02-0 Propulsão de Foguetes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2509, '095', 'a', 'propulsao', '3.12.05.02-0 Propulsão de Foguetes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2510, '095', 'a', 'de', '3.12.05.02-0 Propulsão de Foguetes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2511, '095', 'a', 'foguetes', '3.12.05.02-0 Propulsão de Foguetes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2512, '095', 'a', '3.12.05.03-8', '3.12.05.03-8 Máquinas de Fluxo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2513, '095', 'a', 'maquinas', '3.12.05.03-8 Máquinas de Fluxo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2514, '095', 'a', 'de', '3.12.05.03-8 Máquinas de Fluxo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2515, '095', 'a', 'fluxo', '3.12.05.03-8 Máquinas de Fluxo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2516, '095', 'a', '3.12.05.04-6', '3.12.05.04-6 Motores Alternativos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2517, '095', 'a', 'motores', '3.12.05.04-6 Motores Alternativos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2518, '095', 'a', 'alternativos', '3.12.05.04-6 Motores Alternativos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2519, '095', 'a', '3.12.06.00-0', '3.12.06.00-0 Sistemas Aeroespaciais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2520, '095', 'a', 'sistemas', '3.12.06.00-0 Sistemas Aeroespaciais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2521, '095', 'a', 'aeroespaciais', '3.12.06.00-0 Sistemas Aeroespaciais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2522, '095', 'a', '3.12.06.01-8', '3.12.06.01-8 Aviões', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2523, '095', 'a', 'avioes', '3.12.06.01-8 Aviões', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2524, '095', 'a', '3.12.06.02-6', '3.12.06.02-6 Foguetes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2525, '095', 'a', 'foguetes', '3.12.06.02-6 Foguetes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2526, '095', 'a', '3.12.06.03-4', '3.12.06.03-4 Helicópteros', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2527, '095', 'a', 'helicopteros', '3.12.06.03-4 Helicópteros', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2528, '095', 'a', '3.12.06.04-2', '3.12.06.04-2 Hovercraft', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2529, '095', 'a', 'hovercraft', '3.12.06.04-2 Hovercraft', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2530, '095', 'a', '3.12.06.05-0', '3.12.06.05-0 Satélites e Outros Dispositivos Aeroespaciais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2531, '095', 'a', 'satelites', '3.12.06.05-0 Satélites e Outros Dispositivos Aeroespaciais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2532, '095', 'a', 'outros', '3.12.06.05-0 Satélites e Outros Dispositivos Aeroespaciais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2533, '095', 'a', 'dispositivos', '3.12.06.05-0 Satélites e Outros Dispositivos Aeroespaciais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2534, '095', 'a', 'aeroespaciais', '3.12.06.05-0 Satélites e Outros Dispositivos Aeroespaciais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2535, '095', 'a', '3.12.06.06-9', '3.12.06.06-9 Normatização e Certificação de Qualidade de Aeronaves e Componentes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2536, '095', 'a', 'normatizacao', '3.12.06.06-9 Normatização e Certificação de Qualidade de Aeronaves e Componentes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2537, '095', 'a', 'certificacao', '3.12.06.06-9 Normatização e Certificação de Qualidade de Aeronaves e Componentes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2538, '095', 'a', 'de', '3.12.06.06-9 Normatização e Certificação de Qualidade de Aeronaves e Componentes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2539, '095', 'a', 'qualidade', '3.12.06.06-9 Normatização e Certificação de Qualidade de Aeronaves e Componentes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2540, '095', 'a', 'de', '3.12.06.06-9 Normatização e Certificação de Qualidade de Aeronaves e Componentes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2541, '095', 'a', 'aeronaves', '3.12.06.06-9 Normatização e Certificação de Qualidade de Aeronaves e Componentes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2542, '095', 'a', 'componentes', '3.12.06.06-9 Normatização e Certificação de Qualidade de Aeronaves e Componentes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2543, '095', 'a', '3.12.06.07-7', '3.12.06.07-7 Manutenção de Sistemas Aeroespaciais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2544, '095', 'a', 'manutencao', '3.12.06.07-7 Manutenção de Sistemas Aeroespaciais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2545, '095', 'a', 'de', '3.12.06.07-7 Manutenção de Sistemas Aeroespaciais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2546, '095', 'a', 'sistemas', '3.12.06.07-7 Manutenção de Sistemas Aeroespaciais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2547, '095', 'a', 'aeroespaciais', '3.12.06.07-7 Manutenção de Sistemas Aeroespaciais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2548, '095', 'a', '3.13.00.00-6', '3.13.00.00-6 Engenharia Biomédica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2549, '095', 'a', 'engenharia', '3.13.00.00-6 Engenharia Biomédica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2550, '095', 'a', 'biomedica', '3.13.00.00-6 Engenharia Biomédica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2551, '095', 'a', '3.13.01.00-2', '3.13.01.00-2 Bioengenharia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2552, '095', 'a', 'bioengenharia', '3.13.01.00-2 Bioengenharia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2553, '095', 'a', '3.13.01.01-0', '3.13.01.01-0 Processamento de Sinais Biológicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2554, '095', 'a', 'processamento', '3.13.01.01-0 Processamento de Sinais Biológicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2555, '095', 'a', 'de', '3.13.01.01-0 Processamento de Sinais Biológicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2556, '095', 'a', 'sinais', '3.13.01.01-0 Processamento de Sinais Biológicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2557, '095', 'a', 'biologicos', '3.13.01.01-0 Processamento de Sinais Biológicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2558, '095', 'a', '3.13.01.02-9', '3.13.01.02-9 Modelagem de Fenomenos Biológicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2559, '095', 'a', 'modelagem', '3.13.01.02-9 Modelagem de Fenomenos Biológicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2560, '095', 'a', 'de', '3.13.01.02-9 Modelagem de Fenomenos Biológicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2561, '095', 'a', 'fenomenos', '3.13.01.02-9 Modelagem de Fenomenos Biológicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2562, '095', 'a', 'biologicos', '3.13.01.02-9 Modelagem de Fenomenos Biológicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2563, '095', 'a', '3.13.01.03-7', '3.13.01.03-7 Modelagem de Sistemas Biológicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2564, '095', 'a', 'modelagem', '3.13.01.03-7 Modelagem de Sistemas Biológicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2565, '095', 'a', 'de', '3.13.01.03-7 Modelagem de Sistemas Biológicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2566, '095', 'a', 'sistemas', '3.13.01.03-7 Modelagem de Sistemas Biológicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2567, '095', 'a', 'biologicos', '3.13.01.03-7 Modelagem de Sistemas Biológicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2568, '095', 'a', '3.13.02.00-9', '3.13.02.00-9 Engenharia Médica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2569, '095', 'a', 'engenharia', '3.13.02.00-9 Engenharia Médica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2570, '095', 'a', 'medica', '3.13.02.00-9 Engenharia Médica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2571, '095', 'a', '3.13.02.01-7', '3.13.02.01-7 Biomateriais e Materiais Biocompatíveis', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2572, '095', 'a', 'biomateriais', '3.13.02.01-7 Biomateriais e Materiais Biocompatíveis', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2573, '095', 'a', 'materiais', '3.13.02.01-7 Biomateriais e Materiais Biocompatíveis', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2574, '095', 'a', 'biocompativeis', '3.13.02.01-7 Biomateriais e Materiais Biocompatíveis', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2575, '095', 'a', '3.13.02.02-5', '3.13.02.02-5 Transdutores para Aplicações Biomédicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2576, '095', 'a', 'transdutores', '3.13.02.02-5 Transdutores para Aplicações Biomédicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2577, '095', 'a', 'para', '3.13.02.02-5 Transdutores para Aplicações Biomédicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2578, '095', 'a', 'aplicacoes', '3.13.02.02-5 Transdutores para Aplicações Biomédicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2579, '095', 'a', 'biomedicas', '3.13.02.02-5 Transdutores para Aplicações Biomédicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2580, '095', 'a', '3.13.02.03-3', '3.13.02.03-3 Instrumentação Odontológica e Médico-Hospitalar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2581, '095', 'a', 'instrumentacao', '3.13.02.03-3 Instrumentação Odontológica e Médico-Hospitalar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2582, '095', 'a', 'odontologica', '3.13.02.03-3 Instrumentação Odontológica e Médico-Hospitalar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2583, '095', 'a', 'medico-hospitalar', '3.13.02.03-3 Instrumentação Odontológica e Médico-Hospitalar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2584, '095', 'a', '3.13.02.04-1', '3.13.02.04-1 Tecnologia de Próteses', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2585, '095', 'a', 'tecnologia', '3.13.02.04-1 Tecnologia de Próteses', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2586, '095', 'a', 'de', '3.13.02.04-1 Tecnologia de Próteses', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2587, '095', 'a', 'proteses', '3.13.02.04-1 Tecnologia de Próteses', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2588, '095', 'a', '4.00.00.00-1', '4.00.00.00-1 Ciências da Saúde', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2589, '095', 'a', 'ciencias', '4.00.00.00-1 Ciências da Saúde', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2590, '095', 'a', 'da', '4.00.00.00-1 Ciências da Saúde', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2591, '095', 'a', 'saude', '4.00.00.00-1 Ciências da Saúde', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2592, '095', 'a', '4.01.00.00-6', '4.01.00.00-6 Medicina', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2593, '095', 'a', 'medicina', '4.01.00.00-6 Medicina', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2594, '095', 'a', '4.01.01.00-2', '4.01.01.00-2 Clínica Médica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2595, '095', 'a', 'clinica', '4.01.01.00-2 Clínica Médica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2596, '095', 'a', 'medica', '4.01.01.00-2 Clínica Médica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2597, '095', 'a', '4.01.01.01-0', '4.01.01.01-0 Angiologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2598, '095', 'a', 'angiologia', '4.01.01.01-0 Angiologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2599, '095', 'a', '4.01.01.02-9', '4.01.01.02-9 Dermatologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2600, '095', 'a', 'dermatologia', '4.01.01.02-9 Dermatologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2601, '095', 'a', '4.01.01.03-7', '4.01.01.03-7 Alergologia e Imunologia Clínica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2602, '095', 'a', 'alergologia', '4.01.01.03-7 Alergologia e Imunologia Clínica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2603, '095', 'a', 'imunologia', '4.01.01.03-7 Alergologia e Imunologia Clínica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2604, '095', 'a', 'clinica', '4.01.01.03-7 Alergologia e Imunologia Clínica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2605, '095', 'a', '4.01.01.04-5', '4.01.01.04-5 Cancerologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2606, '095', 'a', 'cancerologia', '4.01.01.04-5 Cancerologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2607, '095', 'a', '4.01.01.05-3', '4.01.01.05-3 Hematologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2608, '095', 'a', 'hematologia', '4.01.01.05-3 Hematologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2609, '095', 'a', '4.01.01.06-1', '4.01.01.06-1 Endocrinologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2610, '095', 'a', 'endocrinologia', '4.01.01.06-1 Endocrinologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2611, '095', 'a', '4.01.01.07-0', '4.01.01.07-0 Neurologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2612, '095', 'a', 'neurologia', '4.01.01.07-0 Neurologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2613, '095', 'a', '4.01.01.08-8', '4.01.01.08-8 Pediatria', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2614, '095', 'a', 'pediatria', '4.01.01.08-8 Pediatria', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2615, '095', 'a', '4.01.01.09-6', '4.01.01.09-6 Doenças Infecciosas e Parasitárias', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2616, '095', 'a', 'doencas', '4.01.01.09-6 Doenças Infecciosas e Parasitárias', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2617, '095', 'a', 'infecciosas', '4.01.01.09-6 Doenças Infecciosas e Parasitárias', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2618, '095', 'a', 'parasitarias', '4.01.01.09-6 Doenças Infecciosas e Parasitárias', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2619, '095', 'a', '4.01.01.10-0', '4.01.01.10-0 Cardiologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2620, '095', 'a', 'cardiologia', '4.01.01.10-0 Cardiologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2621, '095', 'a', '4.01.01.11-8', '4.01.01.11-8 Gastroenterologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2622, '095', 'a', 'gastroenterologia', '4.01.01.11-8 Gastroenterologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2623, '095', 'a', '4.01.01.12-6', '4.01.01.12-6 Pneumologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2624, '095', 'a', 'pneumologia', '4.01.01.12-6 Pneumologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2625, '095', 'a', '4.01.01.13-4', '4.01.01.13-4 Nefrologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2626, '095', 'a', 'nefrologia', '4.01.01.13-4 Nefrologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2627, '095', 'a', '4.01.01.14-2', '4.01.01.14-2 Reumatologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2628, '095', 'a', 'reumatologia', '4.01.01.14-2 Reumatologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2629, '095', 'a', '4.01.01.15-0', '4.01.01.15-0 Ginecologia e Obstetrícia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2630, '095', 'a', 'ginecologia', '4.01.01.15-0 Ginecologia e Obstetrícia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2631, '095', 'a', 'obstetricia', '4.01.01.15-0 Ginecologia e Obstetrícia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2632, '095', 'a', '4.01.01.16-9', '4.01.01.16-9 Fisiatria', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2633, '095', 'a', 'fisiatria', '4.01.01.16-9 Fisiatria', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2634, '095', 'a', '4.01.01.17-7', '4.01.01.17-7 Oftalmologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2635, '095', 'a', 'oftalmologia', '4.01.01.17-7 Oftalmologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2636, '095', 'a', '4.01.01.18-6', '4.01.01.18-6 Ortopedia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2637, '095', 'a', 'ortopedia', '4.01.01.18-6 Ortopedia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2638, '095', 'a', '4.01.02.00-9', '4.01.02.00-9 Cirurgia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2639, '095', 'a', 'cirurgia', '4.01.02.00-9 Cirurgia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2640, '095', 'a', '4.01.02.01-7', '4.01.02.01-7 Cirurgia Plástica e Restauradora', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2641, '095', 'a', 'cirurgia', '4.01.02.01-7 Cirurgia Plástica e Restauradora', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2642, '095', 'a', 'plastica', '4.01.02.01-7 Cirurgia Plástica e Restauradora', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2643, '095', 'a', 'restauradora', '4.01.02.01-7 Cirurgia Plástica e Restauradora', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2644, '095', 'a', '4.01.02.02-5', '4.01.02.02-5 Cirurgia Otorrinolaringológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2645, '095', 'a', 'cirurgia', '4.01.02.02-5 Cirurgia Otorrinolaringológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2646, '095', 'a', 'otorrinolaringologica', '4.01.02.02-5 Cirurgia Otorrinolaringológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2647, '095', 'a', '4.01.02.03-3', '4.01.02.03-3 Cirurgia Oftalmológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2648, '095', 'a', 'cirurgia', '4.01.02.03-3 Cirurgia Oftalmológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2649, '095', 'a', 'oftalmologica', '4.01.02.03-3 Cirurgia Oftalmológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2650, '095', 'a', '4.01.02.04-1', '4.01.02.04-1 Cirurgia Cardiovascular', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2651, '095', 'a', 'cirurgia', '4.01.02.04-1 Cirurgia Cardiovascular', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2652, '095', 'a', 'cardiovascular', '4.01.02.04-1 Cirurgia Cardiovascular', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2653, '095', 'a', '4.01.02.05-0', '4.01.02.05-0 Cirurgia Toráxica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2654, '095', 'a', 'cirurgia', '4.01.02.05-0 Cirurgia Toráxica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2655, '095', 'a', 'toraxica', '4.01.02.05-0 Cirurgia Toráxica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2656, '095', 'a', '4.01.02.06-8', '4.01.02.06-8 Cirurgia Gastroenterologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2657, '095', 'a', 'cirurgia', '4.01.02.06-8 Cirurgia Gastroenterologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2658, '095', 'a', 'gastroenterologia', '4.01.02.06-8 Cirurgia Gastroenterologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2659, '095', 'a', '4.01.02.07-6', '4.01.02.07-6 Cirurgia Pediátrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2660, '095', 'a', 'cirurgia', '4.01.02.07-6 Cirurgia Pediátrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2661, '095', 'a', 'pediatrica', '4.01.02.07-6 Cirurgia Pediátrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2662, '095', 'a', '4.01.02.08-4', '4.01.02.08-4 Neurocirurgia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2663, '095', 'a', 'neurocirurgia', '4.01.02.08-4 Neurocirurgia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2664, '095', 'a', '4.01.02.09-2', '4.01.02.09-2 Cirurgia Urológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2665, '095', 'a', 'cirurgia', '4.01.02.09-2 Cirurgia Urológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2666, '095', 'a', 'urologica', '4.01.02.09-2 Cirurgia Urológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2667, '095', 'a', '4.01.02.10-6', '4.01.02.10-6 Cirurgia Proctológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2668, '095', 'a', 'cirurgia', '4.01.02.10-6 Cirurgia Proctológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2669, '095', 'a', 'proctologica', '4.01.02.10-6 Cirurgia Proctológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2670, '095', 'a', '4.01.02.11-4', '4.01.02.11-4 Cirurgia Ortopédica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2671, '095', 'a', 'cirurgia', '4.01.02.11-4 Cirurgia Ortopédica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2672, '095', 'a', 'ortopedica', '4.01.02.11-4 Cirurgia Ortopédica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2673, '095', 'a', '4.01.02.12-2', '4.01.02.12-2 Cirurgia Traumatológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2674, '095', 'a', 'cirurgia', '4.01.02.12-2 Cirurgia Traumatológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2675, '095', 'a', 'traumatologica', '4.01.02.12-2 Cirurgia Traumatológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2676, '095', 'a', '4.01.02.13-0', '4.01.02.13-0 Anestesiologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2677, '095', 'a', 'anestesiologia', '4.01.02.13-0 Anestesiologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2678, '095', 'a', '4.01.02.14-9', '4.01.02.14-9 Cirurgia Experimental', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2679, '095', 'a', 'cirurgia', '4.01.02.14-9 Cirurgia Experimental', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2680, '095', 'a', 'experimental', '4.01.02.14-9 Cirurgia Experimental', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2681, '095', 'a', '4.01.03.00-5', '4.01.03.00-5 Saúde Materno-Infantil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2682, '095', 'a', 'saude', '4.01.03.00-5 Saúde Materno-Infantil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2683, '095', 'a', 'materno-infantil', '4.01.03.00-5 Saúde Materno-Infantil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2684, '095', 'a', '4.01.04.00-1', '4.01.04.00-1 Psiquiatria', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2685, '095', 'a', 'psiquiatria', '4.01.04.00-1 Psiquiatria', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2686, '095', 'a', '4.01.05.00-8', '4.01.05.00-8 Anatomia Patológica e Patologia Clínica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2687, '095', 'a', 'anatomia', '4.01.05.00-8 Anatomia Patológica e Patologia Clínica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2688, '095', 'a', 'patologica', '4.01.05.00-8 Anatomia Patológica e Patologia Clínica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2689, '095', 'a', 'patologia', '4.01.05.00-8 Anatomia Patológica e Patologia Clínica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2690, '095', 'a', 'clinica', '4.01.05.00-8 Anatomia Patológica e Patologia Clínica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2691, '095', 'a', '4.01.06.00-4', '4.01.06.00-4 Radiologia Médica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2692, '095', 'a', 'radiologia', '4.01.06.00-4 Radiologia Médica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2693, '095', 'a', 'medica', '4.01.06.00-4 Radiologia Médica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2694, '095', 'a', '4.01.07.00-0', '4.01.07.00-0 Medicina Legal e Deontologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2695, '095', 'a', 'medicina', '4.01.07.00-0 Medicina Legal e Deontologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2696, '095', 'a', 'legal', '4.01.07.00-0 Medicina Legal e Deontologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2697, '095', 'a', 'deontologia', '4.01.07.00-0 Medicina Legal e Deontologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2698, '095', 'a', '4.02.00.00-0', '4.02.00.00-0 Odontologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2699, '095', 'a', 'odontologia', '4.02.00.00-0 Odontologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2700, '095', 'a', '4.02.01.00-7', '4.02.01.00-7 Clínica Odontológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2701, '095', 'a', 'clinica', '4.02.01.00-7 Clínica Odontológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2702, '095', 'a', 'odontologica', '4.02.01.00-7 Clínica Odontológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2703, '095', 'a', '4.02.02.00-3', '4.02.02.00-3 Cirurgia Buco-Maxilo-Facial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2704, '095', 'a', 'cirurgia', '4.02.02.00-3 Cirurgia Buco-Maxilo-Facial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2705, '095', 'a', 'buco-maxilo-facial', '4.02.02.00-3 Cirurgia Buco-Maxilo-Facial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2706, '095', 'a', '4.02.03.00-0', '4.02.03.00-0 Ortodontia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2707, '095', 'a', 'ortodontia', '4.02.03.00-0 Ortodontia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2708, '095', 'a', '4.02.04.00-6', '4.02.04.00-6 Odontopediatria', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2709, '095', 'a', 'odontopediatria', '4.02.04.00-6 Odontopediatria', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2710, '095', 'a', '4.02.05.00-2', '4.02.05.00-2 Periodontia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2711, '095', 'a', 'periodontia', '4.02.05.00-2 Periodontia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2712, '095', 'a', '4.02.06.00-9', '4.02.06.00-9 Endodontia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2713, '095', 'a', 'endodontia', '4.02.06.00-9 Endodontia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2714, '095', 'a', '4.02.07.00-5', '4.02.07.00-5 Radiologia Odontológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2715, '095', 'a', 'radiologia', '4.02.07.00-5 Radiologia Odontológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2716, '095', 'a', 'odontologica', '4.02.07.00-5 Radiologia Odontológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2717, '095', 'a', '4.02.08.00-1', '4.02.08.00-1 Odontologia Social e Preventiva', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2718, '095', 'a', 'odontologia', '4.02.08.00-1 Odontologia Social e Preventiva', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2719, '095', 'a', 'social', '4.02.08.00-1 Odontologia Social e Preventiva', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2720, '095', 'a', 'preventiva', '4.02.08.00-1 Odontologia Social e Preventiva', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2721, '095', 'a', '4.02.09.00-8', '4.02.09.00-8 Materiais Odontológicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2722, '095', 'a', 'materiais', '4.02.09.00-8 Materiais Odontológicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2723, '095', 'a', 'odontologicos', '4.02.09.00-8 Materiais Odontológicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2724, '095', 'a', '4.03.00.00-5', '4.03.00.00-5 Farmácia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2725, '095', 'a', 'farmacia', '4.03.00.00-5 Farmácia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2726, '095', 'a', '4.03.01.00-1', '4.03.01.00-1 Farmacotecnia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2727, '095', 'a', 'farmacotecnia', '4.03.01.00-1 Farmacotecnia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2728, '095', 'a', '4.03.02.00-8', '4.03.02.00-8 Farmacognosia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2729, '095', 'a', 'farmacognosia', '4.03.02.00-8 Farmacognosia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2730, '095', 'a', '4.03.03.00-4', '4.03.03.00-4 Análise Toxicológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2731, '095', 'a', 'analise', '4.03.03.00-4 Análise Toxicológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2732, '095', 'a', 'toxicologica', '4.03.03.00-4 Análise Toxicológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2733, '095', 'a', '4.03.04.00-0', '4.03.04.00-0 Análise e Controle e Medicamentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2734, '095', 'a', 'analise', '4.03.04.00-0 Análise e Controle e Medicamentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2735, '095', 'a', 'controle', '4.03.04.00-0 Análise e Controle e Medicamentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2736, '095', 'a', 'medicamentos', '4.03.04.00-0 Análise e Controle e Medicamentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2737, '095', 'a', '4.03.05.00-7', '4.03.05.00-7 Bromatologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2738, '095', 'a', 'bromatologia', '4.03.05.00-7 Bromatologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2739, '095', 'a', '4.04.00.00-0', '4.04.00.00-0 Enfermagem', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2740, '095', 'a', 'enfermagem', '4.04.00.00-0 Enfermagem', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2741, '095', 'a', '4.04.01.00-6', '4.04.01.00-6 Enfermagem Médico-Cirúrgica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2742, '095', 'a', 'enfermagem', '4.04.01.00-6 Enfermagem Médico-Cirúrgica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2743, '095', 'a', 'medico-cirurgica', '4.04.01.00-6 Enfermagem Médico-Cirúrgica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2744, '095', 'a', '4.04.02.00-2', '4.04.02.00-2 Enfermagem Obstétrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2745, '095', 'a', 'enfermagem', '4.04.02.00-2 Enfermagem Obstétrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2746, '095', 'a', 'obstetrica', '4.04.02.00-2 Enfermagem Obstétrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2747, '095', 'a', '4.04.03.00-9', '4.04.03.00-9 Enfermagem Pediátrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2748, '095', 'a', 'enfermagem', '4.04.03.00-9 Enfermagem Pediátrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2749, '095', 'a', 'pediatrica', '4.04.03.00-9 Enfermagem Pediátrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2750, '095', 'a', '4.04.04.00-5', '4.04.04.00-5 Enfermagem Psiquiátrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2751, '095', 'a', 'enfermagem', '4.04.04.00-5 Enfermagem Psiquiátrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2752, '095', 'a', 'psiquiatrica', '4.04.04.00-5 Enfermagem Psiquiátrica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2753, '095', 'a', '4.04.05.00-1', '4.04.05.00-1 Enfermagem de Doenças Contagiosas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2754, '095', 'a', 'enfermagem', '4.04.05.00-1 Enfermagem de Doenças Contagiosas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2755, '095', 'a', 'de', '4.04.05.00-1 Enfermagem de Doenças Contagiosas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2756, '095', 'a', 'doencas', '4.04.05.00-1 Enfermagem de Doenças Contagiosas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2757, '095', 'a', 'contagiosas', '4.04.05.00-1 Enfermagem de Doenças Contagiosas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2758, '095', 'a', '4.04.06.00-8', '4.04.06.00-8 Enfermagem de Saúde Pública', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2759, '095', 'a', 'enfermagem', '4.04.06.00-8 Enfermagem de Saúde Pública', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2760, '095', 'a', 'de', '4.04.06.00-8 Enfermagem de Saúde Pública', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2761, '095', 'a', 'saude', '4.04.06.00-8 Enfermagem de Saúde Pública', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2762, '095', 'a', 'publica', '4.04.06.00-8 Enfermagem de Saúde Pública', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2763, '095', 'a', '4.05.00.00-4', '4.05.00.00-4 Nutrição', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2764, '095', 'a', 'nutricao', '4.05.00.00-4 Nutrição', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2765, '095', 'a', '4.05.01.00-0', '4.05.01.00-0 Bioquímica da Nutrição', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2766, '095', 'a', 'bioquimica', '4.05.01.00-0 Bioquímica da Nutrição', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2767, '095', 'a', 'da', '4.05.01.00-0 Bioquímica da Nutrição', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2768, '095', 'a', 'nutricao', '4.05.01.00-0 Bioquímica da Nutrição', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2769, '095', 'a', '4.05.02.00-7', '4.05.02.00-7 Dietética', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2770, '095', 'a', 'dietetica', '4.05.02.00-7 Dietética', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2771, '095', 'a', '4.05.03.00-3', '4.05.03.00-3 Análise Nutricional de População', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2772, '095', 'a', 'analise', '4.05.03.00-3 Análise Nutricional de População', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2773, '095', 'a', 'nutricional', '4.05.03.00-3 Análise Nutricional de População', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2774, '095', 'a', 'de', '4.05.03.00-3 Análise Nutricional de População', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2775, '095', 'a', 'populacao', '4.05.03.00-3 Análise Nutricional de População', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2776, '095', 'a', '4.05.04.00-0', '4.05.04.00-0 Desnutrição e Desenvolvimento Fisiológico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2777, '095', 'a', 'desnutricao', '4.05.04.00-0 Desnutrição e Desenvolvimento Fisiológico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2778, '095', 'a', 'desenvolvimento', '4.05.04.00-0 Desnutrição e Desenvolvimento Fisiológico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2779, '095', 'a', 'fisiologico', '4.05.04.00-0 Desnutrição e Desenvolvimento Fisiológico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2780, '095', 'a', '4.06.00.00-9', '4.06.00.00-9 Saúde Coletiva', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2781, '095', 'a', 'saude', '4.06.00.00-9 Saúde Coletiva', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2782, '095', 'a', 'coletiva', '4.06.00.00-9 Saúde Coletiva', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2783, '095', 'a', '4.06.01.00-5', '4.06.01.00-5 Epidemiologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2784, '095', 'a', 'epidemiologia', '4.06.01.00-5 Epidemiologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2785, '095', 'a', '4.06.02.00-1', '4.06.02.00-1 Saúde Publica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2786, '095', 'a', 'saude', '4.06.02.00-1 Saúde Publica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2787, '095', 'a', 'publica', '4.06.02.00-1 Saúde Publica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2788, '095', 'a', '4.06.03.00-8', '4.06.03.00-8 Medicina Preventiva', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2789, '095', 'a', 'medicina', '4.06.03.00-8 Medicina Preventiva', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2790, '095', 'a', 'preventiva', '4.06.03.00-8 Medicina Preventiva', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2791, '095', 'a', '4.07.00.00-3', '4.07.00.00-3 Fonoaudiologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2792, '095', 'a', 'fonoaudiologia', '4.07.00.00-3 Fonoaudiologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2793, '095', 'a', '4.08.00.00-8', '4.08.00.00-8 Fisioterapia e Terapia Ocupacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2794, '095', 'a', 'fisioterapia', '4.08.00.00-8 Fisioterapia e Terapia Ocupacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2795, '095', 'a', 'terapia', '4.08.00.00-8 Fisioterapia e Terapia Ocupacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2796, '095', 'a', 'ocupacional', '4.08.00.00-8 Fisioterapia e Terapia Ocupacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2797, '095', 'a', '4.09.00.00-2', '4.09.00.00-2 Educação Física', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2798, '095', 'a', 'educacao', '4.09.00.00-2 Educação Física', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2799, '095', 'a', 'fisica', '4.09.00.00-2 Educação Física', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2800, '095', 'a', '5.00.00.00-4', '5.00.00.00-4 Ciências Agrárias', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2801, '095', 'a', 'ciencias', '5.00.00.00-4 Ciências Agrárias', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2802, '095', 'a', 'agrarias', '5.00.00.00-4 Ciências Agrárias', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2803, '095', 'a', '5.01.00.00-9', '5.01.00.00-9 Agronomia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2804, '095', 'a', 'agronomia', '5.01.00.00-9 Agronomia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2805, '095', 'a', '5.01.01.00-5', '5.01.01.00-5 Ciência do Solo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2806, '095', 'a', 'ciencia', '5.01.01.00-5 Ciência do Solo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2807, '095', 'a', 'do', '5.01.01.00-5 Ciência do Solo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2808, '095', 'a', 'solo', '5.01.01.00-5 Ciência do Solo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2809, '095', 'a', '5.01.01.01-3', '5.01.01.01-3 Genese, Morfologia e Classificação dos Solos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2810, '095', 'a', 'genese,', '5.01.01.01-3 Genese, Morfologia e Classificação dos Solos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2811, '095', 'a', 'morfologia', '5.01.01.01-3 Genese, Morfologia e Classificação dos Solos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2812, '095', 'a', 'classificacao', '5.01.01.01-3 Genese, Morfologia e Classificação dos Solos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2813, '095', 'a', 'dos', '5.01.01.01-3 Genese, Morfologia e Classificação dos Solos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2814, '095', 'a', 'solos', '5.01.01.01-3 Genese, Morfologia e Classificação dos Solos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2815, '095', 'a', '5.01.01.02-1', '5.01.01.02-1 Física do Solo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2816, '095', 'a', 'fisica', '5.01.01.02-1 Física do Solo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2817, '095', 'a', 'do', '5.01.01.02-1 Física do Solo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2818, '095', 'a', 'solo', '5.01.01.02-1 Física do Solo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2819, '095', 'a', '5.01.01.03-0', '5.01.01.03-0 Química do Solo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2820, '095', 'a', 'quimica', '5.01.01.03-0 Química do Solo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2821, '095', 'a', 'do', '5.01.01.03-0 Química do Solo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2822, '095', 'a', 'solo', '5.01.01.03-0 Química do Solo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2823, '095', 'a', '5.01.01.04-8', '5.01.01.04-8 Microbiologia e Bioquímica do Solo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2824, '095', 'a', 'microbiologia', '5.01.01.04-8 Microbiologia e Bioquímica do Solo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2825, '095', 'a', 'bioquimica', '5.01.01.04-8 Microbiologia e Bioquímica do Solo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2826, '095', 'a', 'do', '5.01.01.04-8 Microbiologia e Bioquímica do Solo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2827, '095', 'a', 'solo', '5.01.01.04-8 Microbiologia e Bioquímica do Solo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2828, '095', 'a', '5.01.01.05-6', '5.01.01.05-6 Fertilidade do Solo e Adubação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2829, '095', 'a', 'fertilidade', '5.01.01.05-6 Fertilidade do Solo e Adubação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2830, '095', 'a', 'do', '5.01.01.05-6 Fertilidade do Solo e Adubação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2831, '095', 'a', 'solo', '5.01.01.05-6 Fertilidade do Solo e Adubação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2832, '095', 'a', 'adubacao', '5.01.01.05-6 Fertilidade do Solo e Adubação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2833, '095', 'a', '5.01.01.06-4', '5.01.01.06-4 Manejo e Conservação do Solo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2834, '095', 'a', 'manejo', '5.01.01.06-4 Manejo e Conservação do Solo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2835, '095', 'a', 'conservacao', '5.01.01.06-4 Manejo e Conservação do Solo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2836, '095', 'a', 'do', '5.01.01.06-4 Manejo e Conservação do Solo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2837, '095', 'a', 'solo', '5.01.01.06-4 Manejo e Conservação do Solo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2838, '095', 'a', '5.01.02.00-1', '5.01.02.00-1 Fitossanidade', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2839, '095', 'a', 'fitossanidade', '5.01.02.00-1 Fitossanidade', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2840, '095', 'a', '5.01.02.01-0', '5.01.02.01-0 Fitopatologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2841, '095', 'a', 'fitopatologia', '5.01.02.01-0 Fitopatologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2842, '095', 'a', '5.01.02.02-8', '5.01.02.02-8 Entomologia Agrícola', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2843, '095', 'a', 'entomologia', '5.01.02.02-8 Entomologia Agrícola', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2844, '095', 'a', 'agricola', '5.01.02.02-8 Entomologia Agrícola', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2845, '095', 'a', '5.01.02.03-6', '5.01.02.03-6 Parasitologia Agrícola', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2846, '095', 'a', 'parasitologia', '5.01.02.03-6 Parasitologia Agrícola', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2847, '095', 'a', 'agricola', '5.01.02.03-6 Parasitologia Agrícola', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2848, '095', 'a', '5.01.02.04-4', '5.01.02.04-4 Microbiologia Agrícola', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2849, '095', 'a', 'microbiologia', '5.01.02.04-4 Microbiologia Agrícola', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2850, '095', 'a', 'agricola', '5.01.02.04-4 Microbiologia Agrícola', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2851, '095', 'a', '5.01.02.05-2', '5.01.02.05-2 Defesa Fitossanitária', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2852, '095', 'a', 'defesa', '5.01.02.05-2 Defesa Fitossanitária', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2853, '095', 'a', 'fitossanitaria', '5.01.02.05-2 Defesa Fitossanitária', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2854, '095', 'a', '5.01.03.00-8', '5.01.03.00-8 Fitotecnia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2855, '095', 'a', 'fitotecnia', '5.01.03.00-8 Fitotecnia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2856, '095', 'a', '5.01.03.01-6', '5.01.03.01-6 Manejo e Tratos Culturais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2857, '095', 'a', 'manejo', '5.01.03.01-6 Manejo e Tratos Culturais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2858, '095', 'a', 'tratos', '5.01.03.01-6 Manejo e Tratos Culturais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2859, '095', 'a', 'culturais', '5.01.03.01-6 Manejo e Tratos Culturais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2860, '095', 'a', '5.01.03.02-4', '5.01.03.02-4 Mecanização Agrícola', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2861, '095', 'a', 'mecanizacao', '5.01.03.02-4 Mecanização Agrícola', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2862, '095', 'a', 'agricola', '5.01.03.02-4 Mecanização Agrícola', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2863, '095', 'a', '5.01.03.03-2', '5.01.03.03-2 Produção e Beneficiamento de Sementes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2864, '095', 'a', 'producao', '5.01.03.03-2 Produção e Beneficiamento de Sementes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2865, '095', 'a', 'beneficiamento', '5.01.03.03-2 Produção e Beneficiamento de Sementes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2866, '095', 'a', 'de', '5.01.03.03-2 Produção e Beneficiamento de Sementes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2867, '095', 'a', 'sementes', '5.01.03.03-2 Produção e Beneficiamento de Sementes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2868, '095', 'a', '5.01.03.04-0', '5.01.03.04-0 Produção de Mudas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2869, '095', 'a', 'producao', '5.01.03.04-0 Produção de Mudas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2870, '095', 'a', 'de', '5.01.03.04-0 Produção de Mudas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2871, '095', 'a', 'mudas', '5.01.03.04-0 Produção de Mudas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2872, '095', 'a', '5.01.03.05-9', '5.01.03.05-9 Melhoramento Vegetal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2873, '095', 'a', 'melhoramento', '5.01.03.05-9 Melhoramento Vegetal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2874, '095', 'a', 'vegetal', '5.01.03.05-9 Melhoramento Vegetal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2875, '095', 'a', '5.01.03.06-7', '5.01.03.06-7 Fisiologia de Plantas Cultivadas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2876, '095', 'a', 'fisiologia', '5.01.03.06-7 Fisiologia de Plantas Cultivadas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2877, '095', 'a', 'de', '5.01.03.06-7 Fisiologia de Plantas Cultivadas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2878, '095', 'a', 'plantas', '5.01.03.06-7 Fisiologia de Plantas Cultivadas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2879, '095', 'a', 'cultivadas', '5.01.03.06-7 Fisiologia de Plantas Cultivadas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2880, '095', 'a', '5.01.03.07-5', '5.01.03.07-5 Matologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2881, '095', 'a', 'matologia', '5.01.03.07-5 Matologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2882, '095', 'a', '5.01.04.00-4', '5.01.04.00-4 Floricultura, Parques e Jardins', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2883, '095', 'a', 'floricultura,', '5.01.04.00-4 Floricultura, Parques e Jardins', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2884, '095', 'a', 'parques', '5.01.04.00-4 Floricultura, Parques e Jardins', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2885, '095', 'a', 'jardins', '5.01.04.00-4 Floricultura, Parques e Jardins', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2886, '095', 'a', '5.01.04.01-2', '5.01.04.01-2 Floricultura', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2887, '095', 'a', 'floricultura', '5.01.04.01-2 Floricultura', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2888, '095', 'a', '5.01.04.02-0', '5.01.04.02-0 Parques e Jardins', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2889, '095', 'a', 'parques', '5.01.04.02-0 Parques e Jardins', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2890, '095', 'a', 'jardins', '5.01.04.02-0 Parques e Jardins', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2891, '095', 'a', '5.01.04.03-9', '5.01.04.03-9 Arborização de Vias Públicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2892, '095', 'a', 'arborizacao', '5.01.04.03-9 Arborização de Vias Públicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2893, '095', 'a', 'de', '5.01.04.03-9 Arborização de Vias Públicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2894, '095', 'a', 'vias', '5.01.04.03-9 Arborização de Vias Públicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2895, '095', 'a', 'publicas', '5.01.04.03-9 Arborização de Vias Públicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2896, '095', 'a', '5.01.05.00-0', '5.01.05.00-0 Agrometeorologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2897, '095', 'a', 'agrometeorologia', '5.01.05.00-0 Agrometeorologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2898, '095', 'a', '5.01.06.00-7', '5.01.06.00-7 Extensão Rural', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2899, '095', 'a', 'extensao', '5.01.06.00-7 Extensão Rural', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2900, '095', 'a', 'rural', '5.01.06.00-7 Extensão Rural', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2901, '095', 'a', '5.02.00.00-3', '5.02.00.00-3 Recursos Florestais e Engenharia Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2902, '095', 'a', 'recursos', '5.02.00.00-3 Recursos Florestais e Engenharia Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2903, '095', 'a', 'florestais', '5.02.00.00-3 Recursos Florestais e Engenharia Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2904, '095', 'a', 'engenharia', '5.02.00.00-3 Recursos Florestais e Engenharia Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2905, '095', 'a', 'florestal', '5.02.00.00-3 Recursos Florestais e Engenharia Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2906, '095', 'a', '5.02.01.00-0', '5.02.01.00-0 Silvicultura', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2907, '095', 'a', 'silvicultura', '5.02.01.00-0 Silvicultura', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2908, '095', 'a', '5.02.01.01-8', '5.02.01.01-8 Dendrologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2909, '095', 'a', 'dendrologia', '5.02.01.01-8 Dendrologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2910, '095', 'a', '5.02.01.02-6', '5.02.01.02-6 Florestamento e Reflorestamento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2911, '095', 'a', 'florestamento', '5.02.01.02-6 Florestamento e Reflorestamento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2912, '095', 'a', 'reflorestamento', '5.02.01.02-6 Florestamento e Reflorestamento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2913, '095', 'a', '5.02.01.03-4', '5.02.01.03-4 Genética e Melhoramento Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2914, '095', 'a', 'genetica', '5.02.01.03-4 Genética e Melhoramento Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2915, '095', 'a', 'melhoramento', '5.02.01.03-4 Genética e Melhoramento Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2916, '095', 'a', 'florestal', '5.02.01.03-4 Genética e Melhoramento Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2917, '095', 'a', '5.02.01.04-2', '5.02.01.04-2 Sementes Florestais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2918, '095', 'a', 'sementes', '5.02.01.04-2 Sementes Florestais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2919, '095', 'a', 'florestais', '5.02.01.04-2 Sementes Florestais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2920, '095', 'a', '5.02.01.05-0', '5.02.01.05-0 Nutrição Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2921, '095', 'a', 'nutricao', '5.02.01.05-0 Nutrição Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2922, '095', 'a', 'florestal', '5.02.01.05-0 Nutrição Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2923, '095', 'a', '5.02.01.06-9', '5.02.01.06-9 Fisiologia Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2924, '095', 'a', 'fisiologia', '5.02.01.06-9 Fisiologia Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2925, '095', 'a', 'florestal', '5.02.01.06-9 Fisiologia Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2926, '095', 'a', '5.02.01.07-7', '5.02.01.07-7 Solos Florestais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2927, '095', 'a', 'solos', '5.02.01.07-7 Solos Florestais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2928, '095', 'a', 'florestais', '5.02.01.07-7 Solos Florestais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2929, '095', 'a', '5.02.01.08-5', '5.02.01.08-5 Proteção Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2930, '095', 'a', 'protecao', '5.02.01.08-5 Proteção Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2931, '095', 'a', 'florestal', '5.02.01.08-5 Proteção Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2932, '095', 'a', '5.02.02.00-6', '5.02.02.00-6 Manejo Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2933, '095', 'a', 'manejo', '5.02.02.00-6 Manejo Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2934, '095', 'a', 'florestal', '5.02.02.00-6 Manejo Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2935, '095', 'a', '5.02.02.01-4', '5.02.02.01-4 Economia Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2936, '095', 'a', 'economia', '5.02.02.01-4 Economia Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2937, '095', 'a', 'florestal', '5.02.02.01-4 Economia Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2938, '095', 'a', '5.02.02.02-2', '5.02.02.02-2 Politica e Legislação Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2939, '095', 'a', 'politica', '5.02.02.02-2 Politica e Legislação Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2940, '095', 'a', 'legislacao', '5.02.02.02-2 Politica e Legislação Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2941, '095', 'a', 'florestal', '5.02.02.02-2 Politica e Legislação Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2942, '095', 'a', '5.02.02.03-0', '5.02.02.03-0 Administração Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2943, '095', 'a', 'administracao', '5.02.02.03-0 Administração Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2944, '095', 'a', 'florestal', '5.02.02.03-0 Administração Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2945, '095', 'a', '5.02.02.04-9', '5.02.02.04-9 Dendrometria e Inventário Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2946, '095', 'a', 'dendrometria', '5.02.02.04-9 Dendrometria e Inventário Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2947, '095', 'a', 'inventario', '5.02.02.04-9 Dendrometria e Inventário Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2948, '095', 'a', 'florestal', '5.02.02.04-9 Dendrometria e Inventário Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2949, '095', 'a', '5.02.02.05-7', '5.02.02.05-7 Fotointerpretação Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2950, '095', 'a', 'fotointerpretacao', '5.02.02.05-7 Fotointerpretação Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2951, '095', 'a', 'florestal', '5.02.02.05-7 Fotointerpretação Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2952, '095', 'a', '5.02.02.06-5', '5.02.02.06-5 Ordenamento Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2953, '095', 'a', 'ordenamento', '5.02.02.06-5 Ordenamento Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2954, '095', 'a', 'florestal', '5.02.02.06-5 Ordenamento Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2955, '095', 'a', '5.02.03.00-2', '5.02.03.00-2 Técnicas e Operações Florestais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2956, '095', 'a', 'tecnicas', '5.02.03.00-2 Técnicas e Operações Florestais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2957, '095', 'a', 'operacoes', '5.02.03.00-2 Técnicas e Operações Florestais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2958, '095', 'a', 'florestais', '5.02.03.00-2 Técnicas e Operações Florestais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2959, '095', 'a', '5.02.03.01-0', '5.02.03.01-0 Exploração Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2960, '095', 'a', 'exploracao', '5.02.03.01-0 Exploração Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2961, '095', 'a', 'florestal', '5.02.03.01-0 Exploração Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2962, '095', 'a', '5.02.03.02-9', '5.02.03.02-9 Mecanização Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2963, '095', 'a', 'mecanizacao', '5.02.03.02-9 Mecanização Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2964, '095', 'a', 'florestal', '5.02.03.02-9 Mecanização Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2965, '095', 'a', '5.02.04.00-9', '5.02.04.00-9 Tecnologia e Utilização de Produtos Florestais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2966, '095', 'a', 'tecnologia', '5.02.04.00-9 Tecnologia e Utilização de Produtos Florestais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2967, '095', 'a', 'utilizacao', '5.02.04.00-9 Tecnologia e Utilização de Produtos Florestais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2968, '095', 'a', 'de', '5.02.04.00-9 Tecnologia e Utilização de Produtos Florestais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2969, '095', 'a', 'produtos', '5.02.04.00-9 Tecnologia e Utilização de Produtos Florestais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2970, '095', 'a', 'florestais', '5.02.04.00-9 Tecnologia e Utilização de Produtos Florestais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2971, '095', 'a', '5.02.04.01-7', '5.02.04.01-7 Anatomia e Identificação de Produtos Florestais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2972, '095', 'a', 'anatomia', '5.02.04.01-7 Anatomia e Identificação de Produtos Florestais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2973, '095', 'a', 'identificacao', '5.02.04.01-7 Anatomia e Identificação de Produtos Florestais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2974, '095', 'a', 'de', '5.02.04.01-7 Anatomia e Identificação de Produtos Florestais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2975, '095', 'a', 'produtos', '5.02.04.01-7 Anatomia e Identificação de Produtos Florestais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2976, '095', 'a', 'florestais', '5.02.04.01-7 Anatomia e Identificação de Produtos Florestais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2977, '095', 'a', '5.02.04.02-5', '5.02.04.02-5 Propriedades Físico-Mecânicas da Madeira', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2978, '095', 'a', 'propriedades', '5.02.04.02-5 Propriedades Físico-Mecânicas da Madeira', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2979, '095', 'a', 'fisico-mecanicas', '5.02.04.02-5 Propriedades Físico-Mecânicas da Madeira', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2980, '095', 'a', 'da', '5.02.04.02-5 Propriedades Físico-Mecânicas da Madeira', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2981, '095', 'a', 'madeira', '5.02.04.02-5 Propriedades Físico-Mecânicas da Madeira', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2982, '095', 'a', '5.02.04.03-3', '5.02.04.03-3 Relações Água-Madeira e Secagem', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2983, '095', 'a', 'relacoes', '5.02.04.03-3 Relações Água-Madeira e Secagem', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2984, '095', 'a', 'agua-madeira', '5.02.04.03-3 Relações Água-Madeira e Secagem', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2985, '095', 'a', 'secagem', '5.02.04.03-3 Relações Água-Madeira e Secagem', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2986, '095', 'a', '5.02.04.04-1', '5.02.04.04-1 Tratamento da Madeira', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2987, '095', 'a', 'tratamento', '5.02.04.04-1 Tratamento da Madeira', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2988, '095', 'a', 'da', '5.02.04.04-1 Tratamento da Madeira', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2989, '095', 'a', 'madeira', '5.02.04.04-1 Tratamento da Madeira', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2990, '095', 'a', '5.02.04.05-0', '5.02.04.05-0 Processamento Mecânico da Madeira', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2991, '095', 'a', 'processamento', '5.02.04.05-0 Processamento Mecânico da Madeira', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2992, '095', 'a', 'mecanico', '5.02.04.05-0 Processamento Mecânico da Madeira', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2993, '095', 'a', 'da', '5.02.04.05-0 Processamento Mecânico da Madeira', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2994, '095', 'a', 'madeira', '5.02.04.05-0 Processamento Mecânico da Madeira', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2995, '095', 'a', '5.02.04.06-8', '5.02.04.06-8 Química da Madeira', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2996, '095', 'a', 'quimica', '5.02.04.06-8 Química da Madeira', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2997, '095', 'a', 'da', '5.02.04.06-8 Química da Madeira', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2998, '095', 'a', 'madeira', '5.02.04.06-8 Química da Madeira', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (2999, '095', 'a', '5.02.04.07-6', '5.02.04.07-6 Resinas de Madeiras', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3000, '095', 'a', 'resinas', '5.02.04.07-6 Resinas de Madeiras', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3001, '095', 'a', 'de', '5.02.04.07-6 Resinas de Madeiras', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3002, '095', 'a', 'madeiras', '5.02.04.07-6 Resinas de Madeiras', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3003, '095', 'a', '5.02.04.08-4', '5.02.04.08-4 Tecnologia de Celulose e Papel', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3004, '095', 'a', 'tecnologia', '5.02.04.08-4 Tecnologia de Celulose e Papel', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3005, '095', 'a', 'de', '5.02.04.08-4 Tecnologia de Celulose e Papel', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3006, '095', 'a', 'celulose', '5.02.04.08-4 Tecnologia de Celulose e Papel', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3007, '095', 'a', 'papel', '5.02.04.08-4 Tecnologia de Celulose e Papel', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3008, '095', 'a', '5.02.04.09-2', '5.02.04.09-2 Tecnologia de Chapas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3009, '095', 'a', 'tecnologia', '5.02.04.09-2 Tecnologia de Chapas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3010, '095', 'a', 'de', '5.02.04.09-2 Tecnologia de Chapas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3011, '095', 'a', 'chapas', '5.02.04.09-2 Tecnologia de Chapas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3012, '095', 'a', '5.02.05.00-5', '5.02.05.00-5 Conservação da Natureza', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3013, '095', 'a', 'conservacao', '5.02.05.00-5 Conservação da Natureza', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3014, '095', 'a', 'da', '5.02.05.00-5 Conservação da Natureza', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3015, '095', 'a', 'natureza', '5.02.05.00-5 Conservação da Natureza', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3016, '095', 'a', '5.02.05.01-3', '5.02.05.01-3 Hidrologia Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3017, '095', 'a', 'hidrologia', '5.02.05.01-3 Hidrologia Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3018, '095', 'a', 'florestal', '5.02.05.01-3 Hidrologia Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3019, '095', 'a', '5.02.05.02-1', '5.02.05.02-1 Conservação de Áreas Silvestres', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3020, '095', 'a', 'conservacao', '5.02.05.02-1 Conservação de Áreas Silvestres', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3021, '095', 'a', 'de', '5.02.05.02-1 Conservação de Áreas Silvestres', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3022, '095', 'a', 'areas', '5.02.05.02-1 Conservação de Áreas Silvestres', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3023, '095', 'a', 'silvestres', '5.02.05.02-1 Conservação de Áreas Silvestres', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3024, '095', 'a', '5.02.05.03-0', '5.02.05.03-0 Conservação de Bacias Hidrográficas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3025, '095', 'a', 'conservacao', '5.02.05.03-0 Conservação de Bacias Hidrográficas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3026, '095', 'a', 'de', '5.02.05.03-0 Conservação de Bacias Hidrográficas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3027, '095', 'a', 'bacias', '5.02.05.03-0 Conservação de Bacias Hidrográficas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3028, '095', 'a', 'hidrograficas', '5.02.05.03-0 Conservação de Bacias Hidrográficas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3029, '095', 'a', '5.02.05.04-8', '5.02.05.04-8 Recuperação de Áreas Degradadas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3030, '095', 'a', 'recuperacao', '5.02.05.04-8 Recuperação de Áreas Degradadas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3031, '095', 'a', 'de', '5.02.05.04-8 Recuperação de Áreas Degradadas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3032, '095', 'a', 'areas', '5.02.05.04-8 Recuperação de Áreas Degradadas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3033, '095', 'a', 'degradadas', '5.02.05.04-8 Recuperação de Áreas Degradadas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3034, '095', 'a', '5.02.06.00-1', '5.02.06.00-1 Energia de Biomassa Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3035, '095', 'a', 'energia', '5.02.06.00-1 Energia de Biomassa Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3036, '095', 'a', 'de', '5.02.06.00-1 Energia de Biomassa Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3037, '095', 'a', 'biomassa', '5.02.06.00-1 Energia de Biomassa Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3038, '095', 'a', 'florestal', '5.02.06.00-1 Energia de Biomassa Florestal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3039, '095', 'a', '5.03.00.00-8', '5.03.00.00-8 Engenharia Agrícola', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3040, '095', 'a', 'engenharia', '5.03.00.00-8 Engenharia Agrícola', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3041, '095', 'a', 'agricola', '5.03.00.00-8 Engenharia Agrícola', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3042, '095', 'a', '5.03.01.00-4', '5.03.01.00-4 Máquinas e Implementos Agrícolas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3043, '095', 'a', 'maquinas', '5.03.01.00-4 Máquinas e Implementos Agrícolas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3044, '095', 'a', 'implementos', '5.03.01.00-4 Máquinas e Implementos Agrícolas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3045, '095', 'a', 'agricolas', '5.03.01.00-4 Máquinas e Implementos Agrícolas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3046, '095', 'a', '5.03.02.00-0', '5.03.02.00-0 Engenharia de Água e Solo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3047, '095', 'a', 'engenharia', '5.03.02.00-0 Engenharia de Água e Solo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3048, '095', 'a', 'de', '5.03.02.00-0 Engenharia de Água e Solo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3049, '095', 'a', 'agua', '5.03.02.00-0 Engenharia de Água e Solo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3050, '095', 'a', 'solo', '5.03.02.00-0 Engenharia de Água e Solo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3051, '095', 'a', '5.03.02.01-9', '5.03.02.01-9 Irrigação e Drenagem', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3052, '095', 'a', 'irrigacao', '5.03.02.01-9 Irrigação e Drenagem', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3053, '095', 'a', 'drenagem', '5.03.02.01-9 Irrigação e Drenagem', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3054, '095', 'a', '5.03.02.02-7', '5.03.02.02-7 Conservação de Solo e Água', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3055, '095', 'a', 'conservacao', '5.03.02.02-7 Conservação de Solo e Água', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3056, '095', 'a', 'de', '5.03.02.02-7 Conservação de Solo e Água', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3057, '095', 'a', 'solo', '5.03.02.02-7 Conservação de Solo e Água', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3058, '095', 'a', 'agua', '5.03.02.02-7 Conservação de Solo e Água', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3059, '095', 'a', '5.03.03.00-7', '5.03.03.00-7 Engenharia de Processamento de Produtos Agrícolas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3060, '095', 'a', 'engenharia', '5.03.03.00-7 Engenharia de Processamento de Produtos Agrícolas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3061, '095', 'a', 'de', '5.03.03.00-7 Engenharia de Processamento de Produtos Agrícolas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3062, '095', 'a', 'processamento', '5.03.03.00-7 Engenharia de Processamento de Produtos Agrícolas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3063, '095', 'a', 'de', '5.03.03.00-7 Engenharia de Processamento de Produtos Agrícolas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3064, '095', 'a', 'produtos', '5.03.03.00-7 Engenharia de Processamento de Produtos Agrícolas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3065, '095', 'a', 'agricolas', '5.03.03.00-7 Engenharia de Processamento de Produtos Agrícolas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3066, '095', 'a', '5.03.03.01-5', '5.03.03.01-5 Pré-Processamento de Produtos Agrícolas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3067, '095', 'a', 'pre-processamento', '5.03.03.01-5 Pré-Processamento de Produtos Agrícolas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3068, '095', 'a', 'de', '5.03.03.01-5 Pré-Processamento de Produtos Agrícolas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3069, '095', 'a', 'produtos', '5.03.03.01-5 Pré-Processamento de Produtos Agrícolas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3070, '095', 'a', 'agricolas', '5.03.03.01-5 Pré-Processamento de Produtos Agrícolas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3071, '095', 'a', '5.03.03.02-3', '5.03.03.02-3 Armazenamento de Produtos Agrícolas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3072, '095', 'a', 'armazenamento', '5.03.03.02-3 Armazenamento de Produtos Agrícolas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3073, '095', 'a', 'de', '5.03.03.02-3 Armazenamento de Produtos Agrícolas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3074, '095', 'a', 'produtos', '5.03.03.02-3 Armazenamento de Produtos Agrícolas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3075, '095', 'a', 'agricolas', '5.03.03.02-3 Armazenamento de Produtos Agrícolas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3076, '095', 'a', '5.03.03.03-1', '5.03.03.03-1 Transferência de Produtos Agrícolas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3077, '095', 'a', 'transferencia', '5.03.03.03-1 Transferência de Produtos Agrícolas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3078, '095', 'a', 'de', '5.03.03.03-1 Transferência de Produtos Agrícolas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3079, '095', 'a', 'produtos', '5.03.03.03-1 Transferência de Produtos Agrícolas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3080, '095', 'a', 'agricolas', '5.03.03.03-1 Transferência de Produtos Agrícolas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3081, '095', 'a', '5.03.04.00-3', '5.03.04.00-3 Construções Rurais e Ambiência', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3082, '095', 'a', 'construcoes', '5.03.04.00-3 Construções Rurais e Ambiência', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3083, '095', 'a', 'rurais', '5.03.04.00-3 Construções Rurais e Ambiência', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3084, '095', 'a', 'ambiencia', '5.03.04.00-3 Construções Rurais e Ambiência', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3085, '095', 'a', '5.03.04.01-1', '5.03.04.01-1 Assentamento Rural', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3086, '095', 'a', 'assentamento', '5.03.04.01-1 Assentamento Rural', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3087, '095', 'a', 'rural', '5.03.04.01-1 Assentamento Rural', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3088, '095', 'a', '5.03.04.02-0', '5.03.04.02-0 Engenharia de Construções Rurais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3089, '095', 'a', 'engenharia', '5.03.04.02-0 Engenharia de Construções Rurais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3090, '095', 'a', 'de', '5.03.04.02-0 Engenharia de Construções Rurais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3091, '095', 'a', 'construcoes', '5.03.04.02-0 Engenharia de Construções Rurais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3092, '095', 'a', 'rurais', '5.03.04.02-0 Engenharia de Construções Rurais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3093, '095', 'a', '5.03.04.03-8', '5.03.04.03-8 Saneamento Rural', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3094, '095', 'a', 'saneamento', '5.03.04.03-8 Saneamento Rural', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3095, '095', 'a', 'rural', '5.03.04.03-8 Saneamento Rural', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3096, '095', 'a', '5.03.05.00-0', '5.03.05.00-0 Energização Rural', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3097, '095', 'a', 'energizacao', '5.03.05.00-0 Energização Rural', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3098, '095', 'a', 'rural', '5.03.05.00-0 Energização Rural', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3099, '095', 'a', '5.04.00.00-2', '5.04.00.00-2 Zootecnia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3100, '095', 'a', 'zootecnia', '5.04.00.00-2 Zootecnia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3101, '095', 'a', '5.04.01.00-9', '5.04.01.00-9 Ecologia dos Animais Domésticos e Etologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3102, '095', 'a', 'ecologia', '5.04.01.00-9 Ecologia dos Animais Domésticos e Etologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3103, '095', 'a', 'dos', '5.04.01.00-9 Ecologia dos Animais Domésticos e Etologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3104, '095', 'a', 'animais', '5.04.01.00-9 Ecologia dos Animais Domésticos e Etologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3105, '095', 'a', 'domesticos', '5.04.01.00-9 Ecologia dos Animais Domésticos e Etologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3106, '095', 'a', 'etologia', '5.04.01.00-9 Ecologia dos Animais Domésticos e Etologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3107, '095', 'a', '5.04.02.00-5', '5.04.02.00-5 Genética e Melhoramento dos Animais Domésticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3108, '095', 'a', 'genetica', '5.04.02.00-5 Genética e Melhoramento dos Animais Domésticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3109, '095', 'a', 'melhoramento', '5.04.02.00-5 Genética e Melhoramento dos Animais Domésticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3110, '095', 'a', 'dos', '5.04.02.00-5 Genética e Melhoramento dos Animais Domésticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3111, '095', 'a', 'animais', '5.04.02.00-5 Genética e Melhoramento dos Animais Domésticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3112, '095', 'a', 'domesticos', '5.04.02.00-5 Genética e Melhoramento dos Animais Domésticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3113, '095', 'a', '5.04.03.00-1', '5.04.03.00-1 Nutrição e Alimentação Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3114, '095', 'a', 'nutricao', '5.04.03.00-1 Nutrição e Alimentação Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3115, '095', 'a', 'alimentacao', '5.04.03.00-1 Nutrição e Alimentação Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3116, '095', 'a', 'animal', '5.04.03.00-1 Nutrição e Alimentação Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3117, '095', 'a', '5.04.03.01-0', '5.04.03.01-0 Exigências Nutricionais dos Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3118, '095', 'a', 'exigencias', '5.04.03.01-0 Exigências Nutricionais dos Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3119, '095', 'a', 'nutricionais', '5.04.03.01-0 Exigências Nutricionais dos Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3120, '095', 'a', 'dos', '5.04.03.01-0 Exigências Nutricionais dos Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3121, '095', 'a', 'animais', '5.04.03.01-0 Exigências Nutricionais dos Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3122, '095', 'a', '5.04.03.02-8', '5.04.03.02-8 Avaliação de Alimentos para Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3123, '095', 'a', 'avaliacao', '5.04.03.02-8 Avaliação de Alimentos para Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3124, '095', 'a', 'de', '5.04.03.02-8 Avaliação de Alimentos para Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3125, '095', 'a', 'alimentos', '5.04.03.02-8 Avaliação de Alimentos para Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3126, '095', 'a', 'para', '5.04.03.02-8 Avaliação de Alimentos para Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3127, '095', 'a', 'animais', '5.04.03.02-8 Avaliação de Alimentos para Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3128, '095', 'a', '5.04.03.03-6', '5.04.03.03-6 Conservação de Alimentos para Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3129, '095', 'a', 'conservacao', '5.04.03.03-6 Conservação de Alimentos para Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3130, '095', 'a', 'de', '5.04.03.03-6 Conservação de Alimentos para Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3131, '095', 'a', 'alimentos', '5.04.03.03-6 Conservação de Alimentos para Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3132, '095', 'a', 'para', '5.04.03.03-6 Conservação de Alimentos para Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3133, '095', 'a', 'animais', '5.04.03.03-6 Conservação de Alimentos para Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3134, '095', 'a', '5.04.04.00-8', '5.04.04.00-8 Pastagem e Forragicultura', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3135, '095', 'a', 'pastagem', '5.04.04.00-8 Pastagem e Forragicultura', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3136, '095', 'a', 'forragicultura', '5.04.04.00-8 Pastagem e Forragicultura', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3137, '095', 'a', '5.04.04.01-6', '5.04.04.01-6 Avaliação, Produção e Conservação de Forragens', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3138, '095', 'a', 'avaliacao,', '5.04.04.01-6 Avaliação, Produção e Conservação de Forragens', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3139, '095', 'a', 'producao', '5.04.04.01-6 Avaliação, Produção e Conservação de Forragens', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3140, '095', 'a', 'conservacao', '5.04.04.01-6 Avaliação, Produção e Conservação de Forragens', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3141, '095', 'a', 'de', '5.04.04.01-6 Avaliação, Produção e Conservação de Forragens', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3142, '095', 'a', 'forragens', '5.04.04.01-6 Avaliação, Produção e Conservação de Forragens', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3143, '095', 'a', '5.04.04.02-4', '5.04.04.02-4 Manejo e Conservação de Pastagens', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3144, '095', 'a', 'manejo', '5.04.04.02-4 Manejo e Conservação de Pastagens', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3145, '095', 'a', 'conservacao', '5.04.04.02-4 Manejo e Conservação de Pastagens', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3146, '095', 'a', 'de', '5.04.04.02-4 Manejo e Conservação de Pastagens', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3147, '095', 'a', 'pastagens', '5.04.04.02-4 Manejo e Conservação de Pastagens', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3148, '095', 'a', '5.04.04.03-2', '5.04.04.03-2 Fisiologia de Plantas Forrageiras', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3149, '095', 'a', 'fisiologia', '5.04.04.03-2 Fisiologia de Plantas Forrageiras', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3150, '095', 'a', 'de', '5.04.04.03-2 Fisiologia de Plantas Forrageiras', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3151, '095', 'a', 'plantas', '5.04.04.03-2 Fisiologia de Plantas Forrageiras', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3152, '095', 'a', 'forrageiras', '5.04.04.03-2 Fisiologia de Plantas Forrageiras', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3153, '095', 'a', '5.04.04.04-0', '5.04.04.04-0 Melhoramento de Plantas Forrageiras e Produção de Sementes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3154, '095', 'a', 'melhoramento', '5.04.04.04-0 Melhoramento de Plantas Forrageiras e Produção de Sementes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3155, '095', 'a', 'de', '5.04.04.04-0 Melhoramento de Plantas Forrageiras e Produção de Sementes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3156, '095', 'a', 'plantas', '5.04.04.04-0 Melhoramento de Plantas Forrageiras e Produção de Sementes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3157, '095', 'a', 'forrageiras', '5.04.04.04-0 Melhoramento de Plantas Forrageiras e Produção de Sementes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3158, '095', 'a', 'producao', '5.04.04.04-0 Melhoramento de Plantas Forrageiras e Produção de Sementes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3159, '095', 'a', 'de', '5.04.04.04-0 Melhoramento de Plantas Forrageiras e Produção de Sementes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3160, '095', 'a', 'sementes', '5.04.04.04-0 Melhoramento de Plantas Forrageiras e Produção de Sementes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3161, '095', 'a', '5.04.04.05-9', '5.04.04.05-9 Toxicologia e Plantas Tóxicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3162, '095', 'a', 'toxicologia', '5.04.04.05-9 Toxicologia e Plantas Tóxicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3163, '095', 'a', 'plantas', '5.04.04.05-9 Toxicologia e Plantas Tóxicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3164, '095', 'a', 'toxicas', '5.04.04.05-9 Toxicologia e Plantas Tóxicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3165, '095', 'a', '5.04.05.00-4', '5.04.05.00-4 Produção Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3166, '095', 'a', 'producao', '5.04.05.00-4 Produção Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3167, '095', 'a', 'animal', '5.04.05.00-4 Produção Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3168, '095', 'a', '5.04.05.01-2', '5.04.05.01-2 Criação de Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3169, '095', 'a', 'criacao', '5.04.05.01-2 Criação de Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3170, '095', 'a', 'de', '5.04.05.01-2 Criação de Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3171, '095', 'a', 'animais', '5.04.05.01-2 Criação de Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3172, '095', 'a', '5.04.05.02-0', '5.04.05.02-0 Manejo de Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3173, '095', 'a', 'manejo', '5.04.05.02-0 Manejo de Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3174, '095', 'a', 'de', '5.04.05.02-0 Manejo de Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3175, '095', 'a', 'animais', '5.04.05.02-0 Manejo de Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3176, '095', 'a', '5.04.05.03-9', '5.04.05.03-9 Instalações para Produção Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3177, '095', 'a', 'instalacoes', '5.04.05.03-9 Instalações para Produção Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3178, '095', 'a', 'para', '5.04.05.03-9 Instalações para Produção Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3179, '095', 'a', 'producao', '5.04.05.03-9 Instalações para Produção Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3180, '095', 'a', 'animal', '5.04.05.03-9 Instalações para Produção Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3181, '095', 'a', '5.05.00.00-7', '5.05.00.00-7 Medicina Veterinária', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3182, '095', 'a', 'medicina', '5.05.00.00-7 Medicina Veterinária', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3183, '095', 'a', 'veterinaria', '5.05.00.00-7 Medicina Veterinária', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3184, '095', 'a', '5.05.01.00-3', '5.05.01.00-3 Clínica e Cirurgia Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3185, '095', 'a', 'clinica', '5.05.01.00-3 Clínica e Cirurgia Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3186, '095', 'a', 'cirurgia', '5.05.01.00-3 Clínica e Cirurgia Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3187, '095', 'a', 'animal', '5.05.01.00-3 Clínica e Cirurgia Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3188, '095', 'a', '5.05.01.01-1', '5.05.01.01-1 Anestesiologia Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3189, '095', 'a', 'anestesiologia', '5.05.01.01-1 Anestesiologia Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3190, '095', 'a', 'animal', '5.05.01.01-1 Anestesiologia Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3191, '095', 'a', '5.05.01.02-0', '5.05.01.02-0 Técnica Cirúrgica Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3192, '095', 'a', 'tecnica', '5.05.01.02-0 Técnica Cirúrgica Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3193, '095', 'a', 'cirurgica', '5.05.01.02-0 Técnica Cirúrgica Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3194, '095', 'a', 'animal', '5.05.01.02-0 Técnica Cirúrgica Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3195, '095', 'a', '5.05.01.03-8', '5.05.01.03-8 Radiologia de Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3196, '095', 'a', 'radiologia', '5.05.01.03-8 Radiologia de Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3197, '095', 'a', 'de', '5.05.01.03-8 Radiologia de Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3198, '095', 'a', 'animais', '5.05.01.03-8 Radiologia de Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3199, '095', 'a', '5.05.01.04-6', '5.05.01.04-6 Farmacologia e Terapêutica Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3200, '095', 'a', 'farmacologia', '5.05.01.04-6 Farmacologia e Terapêutica Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3201, '095', 'a', 'terapeutica', '5.05.01.04-6 Farmacologia e Terapêutica Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3202, '095', 'a', 'animal', '5.05.01.04-6 Farmacologia e Terapêutica Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3203, '095', 'a', '5.05.01.05-4', '5.05.01.05-4 Obstetrícia Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3204, '095', 'a', 'obstetricia', '5.05.01.05-4 Obstetrícia Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3205, '095', 'a', 'animal', '5.05.01.05-4 Obstetrícia Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3206, '095', 'a', '5.05.01.06-2', '5.05.01.06-2 Clínica Veterinária', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3207, '095', 'a', 'clinica', '5.05.01.06-2 Clínica Veterinária', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3208, '095', 'a', 'veterinaria', '5.05.01.06-2 Clínica Veterinária', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3209, '095', 'a', '5.05.01.07-0', '5.05.01.07-0 Clínica Cirúrgica Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3210, '095', 'a', 'clinica', '5.05.01.07-0 Clínica Cirúrgica Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3211, '095', 'a', 'cirurgica', '5.05.01.07-0 Clínica Cirúrgica Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3212, '095', 'a', 'animal', '5.05.01.07-0 Clínica Cirúrgica Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3213, '095', 'a', '5.05.01.08-9', '5.05.01.08-9 Toxicologia Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3214, '095', 'a', 'toxicologia', '5.05.01.08-9 Toxicologia Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3215, '095', 'a', 'animal', '5.05.01.08-9 Toxicologia Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3216, '095', 'a', '5.05.02.00-0', '5.05.02.00-0 Medicina Veterinária Preventiva', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3217, '095', 'a', 'medicina', '5.05.02.00-0 Medicina Veterinária Preventiva', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3218, '095', 'a', 'veterinaria', '5.05.02.00-0 Medicina Veterinária Preventiva', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3219, '095', 'a', 'preventiva', '5.05.02.00-0 Medicina Veterinária Preventiva', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3220, '095', 'a', '5.05.02.01-8', '5.05.02.01-8 Epidemiologia Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3221, '095', 'a', 'epidemiologia', '5.05.02.01-8 Epidemiologia Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3222, '095', 'a', 'animal', '5.05.02.01-8 Epidemiologia Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3223, '095', 'a', '5.05.02.02-6', '5.05.02.02-6 Saneamento Aplicado à Saúde do Homem', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3224, '095', 'a', 'saneamento', '5.05.02.02-6 Saneamento Aplicado à Saúde do Homem', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3225, '095', 'a', 'aplicado', '5.05.02.02-6 Saneamento Aplicado à Saúde do Homem', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3226, '095', 'a', 'saude', '5.05.02.02-6 Saneamento Aplicado à Saúde do Homem', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3227, '095', 'a', 'do', '5.05.02.02-6 Saneamento Aplicado à Saúde do Homem', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3228, '095', 'a', 'homem', '5.05.02.02-6 Saneamento Aplicado à Saúde do Homem', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3229, '095', 'a', '5.05.02.03-4', '5.05.02.03-4 Doenças Infecciosas de Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3230, '095', 'a', 'doencas', '5.05.02.03-4 Doenças Infecciosas de Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3231, '095', 'a', 'infecciosas', '5.05.02.03-4 Doenças Infecciosas de Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3232, '095', 'a', 'de', '5.05.02.03-4 Doenças Infecciosas de Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3233, '095', 'a', 'animais', '5.05.02.03-4 Doenças Infecciosas de Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3234, '095', 'a', '5.05.02.04-2', '5.05.02.04-2 Doenças Parasitárias de Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3235, '095', 'a', 'doencas', '5.05.02.04-2 Doenças Parasitárias de Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3236, '095', 'a', 'parasitarias', '5.05.02.04-2 Doenças Parasitárias de Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3237, '095', 'a', 'de', '5.05.02.04-2 Doenças Parasitárias de Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3238, '095', 'a', 'animais', '5.05.02.04-2 Doenças Parasitárias de Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3239, '095', 'a', '5.05.02.05-0', '5.05.02.05-0 Saúde Animal (Programas Sanitários)', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3240, '095', 'a', 'saude', '5.05.02.05-0 Saúde Animal (Programas Sanitários)', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3241, '095', 'a', 'animal', '5.05.02.05-0 Saúde Animal (Programas Sanitários)', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3242, '095', 'a', '(programas', '5.05.02.05-0 Saúde Animal (Programas Sanitários)', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3243, '095', 'a', 'sanitarios)', '5.05.02.05-0 Saúde Animal (Programas Sanitários)', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3244, '095', 'a', '5.05.03.00-6', '5.05.03.00-6 Patologia Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3245, '095', 'a', 'patologia', '5.05.03.00-6 Patologia Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3246, '095', 'a', 'animal', '5.05.03.00-6 Patologia Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3247, '095', 'a', '5.05.03.01-4', '5.05.03.01-4 Patologia Aviária', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3248, '095', 'a', 'patologia', '5.05.03.01-4 Patologia Aviária', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3249, '095', 'a', 'aviaria', '5.05.03.01-4 Patologia Aviária', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3250, '095', 'a', '5.05.03.02-2', '5.05.03.02-2 Anatomia Patologia Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3251, '095', 'a', 'anatomia', '5.05.03.02-2 Anatomia Patologia Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3252, '095', 'a', 'patologia', '5.05.03.02-2 Anatomia Patologia Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3253, '095', 'a', 'animal', '5.05.03.02-2 Anatomia Patologia Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3254, '095', 'a', '5.05.03.03-0', '5.05.03.03-0 Patologia Clínica Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3255, '095', 'a', 'patologia', '5.05.03.03-0 Patologia Clínica Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3256, '095', 'a', 'clinica', '5.05.03.03-0 Patologia Clínica Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3257, '095', 'a', 'animal', '5.05.03.03-0 Patologia Clínica Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3258, '095', 'a', '5.05.04.00-2', '5.05.04.00-2 Reprodução Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3259, '095', 'a', 'reproducao', '5.05.04.00-2 Reprodução Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3260, '095', 'a', 'animal', '5.05.04.00-2 Reprodução Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3261, '095', 'a', '5.05.04.01-0', '5.05.04.01-0 Ginecologia e Andrologia Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3262, '095', 'a', 'ginecologia', '5.05.04.01-0 Ginecologia e Andrologia Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3263, '095', 'a', 'andrologia', '5.05.04.01-0 Ginecologia e Andrologia Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3264, '095', 'a', 'animal', '5.05.04.01-0 Ginecologia e Andrologia Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3265, '095', 'a', '5.05.04.02-9', '5.05.04.02-9 Inseminação Artificial Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3266, '095', 'a', 'inseminacao', '5.05.04.02-9 Inseminação Artificial Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3267, '095', 'a', 'artificial', '5.05.04.02-9 Inseminação Artificial Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3268, '095', 'a', 'animal', '5.05.04.02-9 Inseminação Artificial Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3269, '095', 'a', '5.05.04.03-7', '5.05.04.03-7 Fisiopatologia da Reprodução Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3270, '095', 'a', 'fisiopatologia', '5.05.04.03-7 Fisiopatologia da Reprodução Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3271, '095', 'a', 'da', '5.05.04.03-7 Fisiopatologia da Reprodução Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3272, '095', 'a', 'reproducao', '5.05.04.03-7 Fisiopatologia da Reprodução Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3273, '095', 'a', 'animal', '5.05.04.03-7 Fisiopatologia da Reprodução Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3274, '095', 'a', '5.05.05.00-9', '5.05.05.00-9 Inspeção de Produtos de Origem Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3275, '095', 'a', 'inspecao', '5.05.05.00-9 Inspeção de Produtos de Origem Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3276, '095', 'a', 'de', '5.05.05.00-9 Inspeção de Produtos de Origem Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3277, '095', 'a', 'produtos', '5.05.05.00-9 Inspeção de Produtos de Origem Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3278, '095', 'a', 'de', '5.05.05.00-9 Inspeção de Produtos de Origem Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3279, '095', 'a', 'origem', '5.05.05.00-9 Inspeção de Produtos de Origem Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3280, '095', 'a', 'animal', '5.05.05.00-9 Inspeção de Produtos de Origem Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3281, '095', 'a', '5.06.00.00-1', '5.06.00.00-1 Recursos Pesqueiros e Engenharia de Pesca', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3282, '095', 'a', 'recursos', '5.06.00.00-1 Recursos Pesqueiros e Engenharia de Pesca', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3283, '095', 'a', 'pesqueiros', '5.06.00.00-1 Recursos Pesqueiros e Engenharia de Pesca', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3284, '095', 'a', 'engenharia', '5.06.00.00-1 Recursos Pesqueiros e Engenharia de Pesca', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3285, '095', 'a', 'de', '5.06.00.00-1 Recursos Pesqueiros e Engenharia de Pesca', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3286, '095', 'a', 'pesca', '5.06.00.00-1 Recursos Pesqueiros e Engenharia de Pesca', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3287, '095', 'a', '5.06.01.00-8', '5.06.01.00-8 Recursos Pesqueiros Marinhos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3288, '095', 'a', 'recursos', '5.06.01.00-8 Recursos Pesqueiros Marinhos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3289, '095', 'a', 'pesqueiros', '5.06.01.00-8 Recursos Pesqueiros Marinhos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3290, '095', 'a', 'marinhos', '5.06.01.00-8 Recursos Pesqueiros Marinhos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3291, '095', 'a', '5.06.01.01-6', '5.06.01.01-6 Fatores Abióticos do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3292, '095', 'a', 'fatores', '5.06.01.01-6 Fatores Abióticos do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3293, '095', 'a', 'abioticos', '5.06.01.01-6 Fatores Abióticos do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3294, '095', 'a', 'do', '5.06.01.01-6 Fatores Abióticos do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3295, '095', 'a', 'mar', '5.06.01.01-6 Fatores Abióticos do Mar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3296, '095', 'a', '5.06.01.02-4', '5.06.01.02-4 Avaliação de Estoques Pesqueiros Marinhos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3297, '095', 'a', 'avaliacao', '5.06.01.02-4 Avaliação de Estoques Pesqueiros Marinhos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3298, '095', 'a', 'de', '5.06.01.02-4 Avaliação de Estoques Pesqueiros Marinhos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3299, '095', 'a', 'estoques', '5.06.01.02-4 Avaliação de Estoques Pesqueiros Marinhos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3300, '095', 'a', 'pesqueiros', '5.06.01.02-4 Avaliação de Estoques Pesqueiros Marinhos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3301, '095', 'a', 'marinhos', '5.06.01.02-4 Avaliação de Estoques Pesqueiros Marinhos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3302, '095', 'a', '5.06.01.03-2', '5.06.01.03-2 Exploração Pesqueira Marinha', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3303, '095', 'a', 'exploracao', '5.06.01.03-2 Exploração Pesqueira Marinha', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3304, '095', 'a', 'pesqueira', '5.06.01.03-2 Exploração Pesqueira Marinha', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3305, '095', 'a', 'marinha', '5.06.01.03-2 Exploração Pesqueira Marinha', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3306, '095', 'a', '5.06.01.04-0', '5.06.01.04-0 Manejo e Conservação de Recursos Pesqueiros Marinhos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3552, '095', 'a', 'especiais', '6.01.04.00-7 Direitos Especiais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3307, '095', 'a', 'manejo', '5.06.01.04-0 Manejo e Conservação de Recursos Pesqueiros Marinhos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3308, '095', 'a', 'conservacao', '5.06.01.04-0 Manejo e Conservação de Recursos Pesqueiros Marinhos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3309, '095', 'a', 'de', '5.06.01.04-0 Manejo e Conservação de Recursos Pesqueiros Marinhos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3310, '095', 'a', 'recursos', '5.06.01.04-0 Manejo e Conservação de Recursos Pesqueiros Marinhos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3311, '095', 'a', 'pesqueiros', '5.06.01.04-0 Manejo e Conservação de Recursos Pesqueiros Marinhos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3312, '095', 'a', 'marinhos', '5.06.01.04-0 Manejo e Conservação de Recursos Pesqueiros Marinhos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3313, '095', 'a', '5.06.02.00-4', '5.06.02.00-4 Recursos Pesqueiros de Águas Interiores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3314, '095', 'a', 'recursos', '5.06.02.00-4 Recursos Pesqueiros de Águas Interiores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3315, '095', 'a', 'pesqueiros', '5.06.02.00-4 Recursos Pesqueiros de Águas Interiores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3316, '095', 'a', 'de', '5.06.02.00-4 Recursos Pesqueiros de Águas Interiores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3317, '095', 'a', 'aguas', '5.06.02.00-4 Recursos Pesqueiros de Águas Interiores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3318, '095', 'a', 'interiores', '5.06.02.00-4 Recursos Pesqueiros de Águas Interiores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3319, '095', 'a', '5.06.02.01-2', '5.06.02.01-2 Fatores Abióticos de Águas Interiores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3320, '095', 'a', 'fatores', '5.06.02.01-2 Fatores Abióticos de Águas Interiores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3321, '095', 'a', 'abioticos', '5.06.02.01-2 Fatores Abióticos de Águas Interiores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3322, '095', 'a', 'de', '5.06.02.01-2 Fatores Abióticos de Águas Interiores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3323, '095', 'a', 'aguas', '5.06.02.01-2 Fatores Abióticos de Águas Interiores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3324, '095', 'a', 'interiores', '5.06.02.01-2 Fatores Abióticos de Águas Interiores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3325, '095', 'a', '5.06.02.02-0', '5.06.02.02-0 Avaliação de Estoques Pesqueiros de Águas Interiores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3326, '095', 'a', 'avaliacao', '5.06.02.02-0 Avaliação de Estoques Pesqueiros de Águas Interiores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3327, '095', 'a', 'de', '5.06.02.02-0 Avaliação de Estoques Pesqueiros de Águas Interiores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3328, '095', 'a', 'estoques', '5.06.02.02-0 Avaliação de Estoques Pesqueiros de Águas Interiores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3329, '095', 'a', 'pesqueiros', '5.06.02.02-0 Avaliação de Estoques Pesqueiros de Águas Interiores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3330, '095', 'a', 'de', '5.06.02.02-0 Avaliação de Estoques Pesqueiros de Águas Interiores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3331, '095', 'a', 'aguas', '5.06.02.02-0 Avaliação de Estoques Pesqueiros de Águas Interiores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3332, '095', 'a', 'interiores', '5.06.02.02-0 Avaliação de Estoques Pesqueiros de Águas Interiores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3333, '095', 'a', '5.06.02.03-9', '5.06.02.03-9 Explotação Pesqueira de Águas Interiores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3334, '095', 'a', 'explotacao', '5.06.02.03-9 Explotação Pesqueira de Águas Interiores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3335, '095', 'a', 'pesqueira', '5.06.02.03-9 Explotação Pesqueira de Águas Interiores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3336, '095', 'a', 'de', '5.06.02.03-9 Explotação Pesqueira de Águas Interiores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3337, '095', 'a', 'aguas', '5.06.02.03-9 Explotação Pesqueira de Águas Interiores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3338, '095', 'a', 'interiores', '5.06.02.03-9 Explotação Pesqueira de Águas Interiores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3339, '095', 'a', '5.06.02.04-7', '5.06.02.04-7 Manejo e Conservação de Recursos Pesqueiros de Águas Interiores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3340, '095', 'a', 'manejo', '5.06.02.04-7 Manejo e Conservação de Recursos Pesqueiros de Águas Interiores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3341, '095', 'a', 'conservacao', '5.06.02.04-7 Manejo e Conservação de Recursos Pesqueiros de Águas Interiores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3342, '095', 'a', 'de', '5.06.02.04-7 Manejo e Conservação de Recursos Pesqueiros de Águas Interiores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3343, '095', 'a', 'recursos', '5.06.02.04-7 Manejo e Conservação de Recursos Pesqueiros de Águas Interiores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3344, '095', 'a', 'pesqueiros', '5.06.02.04-7 Manejo e Conservação de Recursos Pesqueiros de Águas Interiores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3345, '095', 'a', 'de', '5.06.02.04-7 Manejo e Conservação de Recursos Pesqueiros de Águas Interiores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3346, '095', 'a', 'aguas', '5.06.02.04-7 Manejo e Conservação de Recursos Pesqueiros de Águas Interiores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3347, '095', 'a', 'interiores', '5.06.02.04-7 Manejo e Conservação de Recursos Pesqueiros de Águas Interiores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3348, '095', 'a', '5.06.03.00-0', '5.06.03.00-0 Aqüicultura', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3349, '095', 'a', 'aquicultura', '5.06.03.00-0 Aqüicultura', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3350, '095', 'a', '5.06.03.01-9', '5.06.03.01-9 Maricultura', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3351, '095', 'a', 'maricultura', '5.06.03.01-9 Maricultura', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3352, '095', 'a', '5.06.03.02-7', '5.06.03.02-7 Carcinocultura', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3353, '095', 'a', 'carcinocultura', '5.06.03.02-7 Carcinocultura', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3354, '095', 'a', '5.06.03.03-5', '5.06.03.03-5 Ostreicultura', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3355, '095', 'a', 'ostreicultura', '5.06.03.03-5 Ostreicultura', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3356, '095', 'a', '5.06.03.04-3', '5.06.03.04-3 Piscicultura', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3357, '095', 'a', 'piscicultura', '5.06.03.04-3 Piscicultura', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3358, '095', 'a', '5.06.04.00-7', '5.06.04.00-7 Engenharia de Pesca', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3359, '095', 'a', 'engenharia', '5.06.04.00-7 Engenharia de Pesca', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3360, '095', 'a', 'de', '5.06.04.00-7 Engenharia de Pesca', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3361, '095', 'a', 'pesca', '5.06.04.00-7 Engenharia de Pesca', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3362, '095', 'a', '5.07.00.00-6', '5.07.00.00-6 Ciência e Tecnologia de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3363, '095', 'a', 'ciencia', '5.07.00.00-6 Ciência e Tecnologia de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3364, '095', 'a', 'tecnologia', '5.07.00.00-6 Ciência e Tecnologia de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3365, '095', 'a', 'de', '5.07.00.00-6 Ciência e Tecnologia de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3366, '095', 'a', 'alimentos', '5.07.00.00-6 Ciência e Tecnologia de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3367, '095', 'a', '5.07.01.00-2', '5.07.01.00-2 Ciência de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3368, '095', 'a', 'ciencia', '5.07.01.00-2 Ciência de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3369, '095', 'a', 'de', '5.07.01.00-2 Ciência de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3370, '095', 'a', 'alimentos', '5.07.01.00-2 Ciência de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3371, '095', 'a', '5.07.01.01-0', '5.07.01.01-0 Valor Nutritivo de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3372, '095', 'a', 'valor', '5.07.01.01-0 Valor Nutritivo de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3373, '095', 'a', 'nutritivo', '5.07.01.01-0 Valor Nutritivo de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3374, '095', 'a', 'de', '5.07.01.01-0 Valor Nutritivo de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3375, '095', 'a', 'alimentos', '5.07.01.01-0 Valor Nutritivo de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3376, '095', 'a', '5.07.01.02-9', '5.07.01.02-9 Química, Física, Físico-Química e Bioquímica dos Alim. e das Mat.-Primas Alimentares', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3377, '095', 'a', 'quimica,', '5.07.01.02-9 Química, Física, Físico-Química e Bioquímica dos Alim. e das Mat.-Primas Alimentares', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3378, '095', 'a', 'fisica,', '5.07.01.02-9 Química, Física, Físico-Química e Bioquímica dos Alim. e das Mat.-Primas Alimentares', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3379, '095', 'a', 'fisico-quimica', '5.07.01.02-9 Química, Física, Físico-Química e Bioquímica dos Alim. e das Mat.-Primas Alimentares', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3380, '095', 'a', 'bioquimica', '5.07.01.02-9 Química, Física, Físico-Química e Bioquímica dos Alim. e das Mat.-Primas Alimentares', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3381, '095', 'a', 'dos', '5.07.01.02-9 Química, Física, Físico-Química e Bioquímica dos Alim. e das Mat.-Primas Alimentares', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4969, '095', 'a', 'musica', '8.03.03.00-5 Música', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3382, '095', 'a', 'alim.', '5.07.01.02-9 Química, Física, Físico-Química e Bioquímica dos Alim. e das Mat.-Primas Alimentares', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3383, '095', 'a', 'das', '5.07.01.02-9 Química, Física, Físico-Química e Bioquímica dos Alim. e das Mat.-Primas Alimentares', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3384, '095', 'a', 'mat.-primas', '5.07.01.02-9 Química, Física, Físico-Química e Bioquímica dos Alim. e das Mat.-Primas Alimentares', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3385, '095', 'a', 'alimentares', '5.07.01.02-9 Química, Física, Físico-Química e Bioquímica dos Alim. e das Mat.-Primas Alimentares', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3386, '095', 'a', '5.07.01.03-7', '5.07.01.03-7 Microbiologia de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3387, '095', 'a', 'microbiologia', '5.07.01.03-7 Microbiologia de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3388, '095', 'a', 'de', '5.07.01.03-7 Microbiologia de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3389, '095', 'a', 'alimentos', '5.07.01.03-7 Microbiologia de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3390, '095', 'a', '5.07.01.04-5', '5.07.01.04-5 Fisiologia Pós-Colheita', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3391, '095', 'a', 'fisiologia', '5.07.01.04-5 Fisiologia Pós-Colheita', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3392, '095', 'a', 'pos-colheita', '5.07.01.04-5 Fisiologia Pós-Colheita', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3393, '095', 'a', '5.07.01.05-3', '5.07.01.05-3 Toxicidade e Resíduos de Pesticidas em Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3394, '095', 'a', 'toxicidade', '5.07.01.05-3 Toxicidade e Resíduos de Pesticidas em Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3395, '095', 'a', 'residuos', '5.07.01.05-3 Toxicidade e Resíduos de Pesticidas em Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3396, '095', 'a', 'de', '5.07.01.05-3 Toxicidade e Resíduos de Pesticidas em Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3397, '095', 'a', 'pesticidas', '5.07.01.05-3 Toxicidade e Resíduos de Pesticidas em Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3398, '095', 'a', 'em', '5.07.01.05-3 Toxicidade e Resíduos de Pesticidas em Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3399, '095', 'a', 'alimentos', '5.07.01.05-3 Toxicidade e Resíduos de Pesticidas em Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3400, '095', 'a', '5.07.01.06-1', '5.07.01.06-1 Avaliação e Controle de Qualidade de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3401, '095', 'a', 'avaliacao', '5.07.01.06-1 Avaliação e Controle de Qualidade de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3402, '095', 'a', 'controle', '5.07.01.06-1 Avaliação e Controle de Qualidade de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3403, '095', 'a', 'de', '5.07.01.06-1 Avaliação e Controle de Qualidade de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3404, '095', 'a', 'qualidade', '5.07.01.06-1 Avaliação e Controle de Qualidade de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3405, '095', 'a', 'de', '5.07.01.06-1 Avaliação e Controle de Qualidade de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3406, '095', 'a', 'alimentos', '5.07.01.06-1 Avaliação e Controle de Qualidade de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3407, '095', 'a', '5.07.01.07-0', '5.07.01.07-0 Padrões, Legislação e Fiscalização de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3408, '095', 'a', 'padroes,', '5.07.01.07-0 Padrões, Legislação e Fiscalização de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3409, '095', 'a', 'legislacao', '5.07.01.07-0 Padrões, Legislação e Fiscalização de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3410, '095', 'a', 'fiscalizacao', '5.07.01.07-0 Padrões, Legislação e Fiscalização de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3411, '095', 'a', 'de', '5.07.01.07-0 Padrões, Legislação e Fiscalização de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3412, '095', 'a', 'alimentos', '5.07.01.07-0 Padrões, Legislação e Fiscalização de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3413, '095', 'a', '5.07.02.00-9', '5.07.02.00-9 Tecnologia de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3414, '095', 'a', 'tecnologia', '5.07.02.00-9 Tecnologia de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3415, '095', 'a', 'de', '5.07.02.00-9 Tecnologia de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3416, '095', 'a', 'alimentos', '5.07.02.00-9 Tecnologia de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3417, '095', 'a', '5.07.02.01-7', '5.07.02.01-7 Tecnologia de Produtos de Origem Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3418, '095', 'a', 'tecnologia', '5.07.02.01-7 Tecnologia de Produtos de Origem Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3419, '095', 'a', 'de', '5.07.02.01-7 Tecnologia de Produtos de Origem Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3420, '095', 'a', 'produtos', '5.07.02.01-7 Tecnologia de Produtos de Origem Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3421, '095', 'a', 'de', '5.07.02.01-7 Tecnologia de Produtos de Origem Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3422, '095', 'a', 'origem', '5.07.02.01-7 Tecnologia de Produtos de Origem Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3423, '095', 'a', 'animal', '5.07.02.01-7 Tecnologia de Produtos de Origem Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3424, '095', 'a', '5.07.02.02-5', '5.07.02.02-5 Tecnologia de Produtos de Origem Vegetal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3425, '095', 'a', 'tecnologia', '5.07.02.02-5 Tecnologia de Produtos de Origem Vegetal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3426, '095', 'a', 'de', '5.07.02.02-5 Tecnologia de Produtos de Origem Vegetal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3427, '095', 'a', 'produtos', '5.07.02.02-5 Tecnologia de Produtos de Origem Vegetal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3428, '095', 'a', 'de', '5.07.02.02-5 Tecnologia de Produtos de Origem Vegetal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3429, '095', 'a', 'origem', '5.07.02.02-5 Tecnologia de Produtos de Origem Vegetal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3430, '095', 'a', 'vegetal', '5.07.02.02-5 Tecnologia de Produtos de Origem Vegetal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3431, '095', 'a', '5.07.02.03-3', '5.07.02.03-3 Tecnologia das Bebidas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3432, '095', 'a', 'tecnologia', '5.07.02.03-3 Tecnologia das Bebidas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3433, '095', 'a', 'das', '5.07.02.03-3 Tecnologia das Bebidas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3434, '095', 'a', 'bebidas', '5.07.02.03-3 Tecnologia das Bebidas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3435, '095', 'a', '5.07.02.04-1', '5.07.02.04-1 Tecnologia de Alimentos Dietéticos e Nutricionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3436, '095', 'a', 'tecnologia', '5.07.02.04-1 Tecnologia de Alimentos Dietéticos e Nutricionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3437, '095', 'a', 'de', '5.07.02.04-1 Tecnologia de Alimentos Dietéticos e Nutricionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3438, '095', 'a', 'alimentos', '5.07.02.04-1 Tecnologia de Alimentos Dietéticos e Nutricionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3439, '095', 'a', 'dieteticos', '5.07.02.04-1 Tecnologia de Alimentos Dietéticos e Nutricionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3440, '095', 'a', 'nutricionais', '5.07.02.04-1 Tecnologia de Alimentos Dietéticos e Nutricionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3441, '095', 'a', '5.07.02.05-0', '5.07.02.05-0 Aproveitamento de Subprodutos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3442, '095', 'a', 'aproveitamento', '5.07.02.05-0 Aproveitamento de Subprodutos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3443, '095', 'a', 'de', '5.07.02.05-0 Aproveitamento de Subprodutos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3444, '095', 'a', 'subprodutos', '5.07.02.05-0 Aproveitamento de Subprodutos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3445, '095', 'a', '5.07.02.06-8', '5.07.02.06-8 Embalagens de Produtos Alimentares', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3446, '095', 'a', 'embalagens', '5.07.02.06-8 Embalagens de Produtos Alimentares', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3447, '095', 'a', 'de', '5.07.02.06-8 Embalagens de Produtos Alimentares', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3448, '095', 'a', 'produtos', '5.07.02.06-8 Embalagens de Produtos Alimentares', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3449, '095', 'a', 'alimentares', '5.07.02.06-8 Embalagens de Produtos Alimentares', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3450, '095', 'a', '5.07.03.00-5', '5.07.03.00-5 Engenharia de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3451, '095', 'a', 'engenharia', '5.07.03.00-5 Engenharia de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3452, '095', 'a', 'de', '5.07.03.00-5 Engenharia de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3453, '095', 'a', 'alimentos', '5.07.03.00-5 Engenharia de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3454, '095', 'a', '5.07.03.01-3', '5.07.03.01-3 Instalações Industriais de Produção de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3455, '095', 'a', 'instalacoes', '5.07.03.01-3 Instalações Industriais de Produção de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3456, '095', 'a', 'industriais', '5.07.03.01-3 Instalações Industriais de Produção de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3457, '095', 'a', 'de', '5.07.03.01-3 Instalações Industriais de Produção de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3458, '095', 'a', 'producao', '5.07.03.01-3 Instalações Industriais de Produção de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3459, '095', 'a', 'de', '5.07.03.01-3 Instalações Industriais de Produção de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3460, '095', 'a', 'alimentos', '5.07.03.01-3 Instalações Industriais de Produção de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3461, '095', 'a', '5.07.03.02-1', '5.07.03.02-1 Armazenamento de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3462, '095', 'a', 'armazenamento', '5.07.03.02-1 Armazenamento de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3463, '095', 'a', 'de', '5.07.03.02-1 Armazenamento de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3464, '095', 'a', 'alimentos', '5.07.03.02-1 Armazenamento de Alimentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3465, '095', 'a', '6.00.00.00-7', '6.00.00.00-7 Ciências Sociais Aplicadas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3466, '095', 'a', 'ciencias', '6.00.00.00-7 Ciências Sociais Aplicadas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3467, '095', 'a', 'sociais', '6.00.00.00-7 Ciências Sociais Aplicadas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3468, '095', 'a', 'aplicadas', '6.00.00.00-7 Ciências Sociais Aplicadas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3469, '095', 'a', '6.01.00.00-1', '6.01.00.00-1 Direito', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3470, '095', 'a', 'direito', '6.01.00.00-1 Direito', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3471, '095', 'a', '6.01.01.00-8', '6.01.01.00-8 Teoria do Direito', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3472, '095', 'a', 'teoria', '6.01.01.00-8 Teoria do Direito', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3473, '095', 'a', 'do', '6.01.01.00-8 Teoria do Direito', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3474, '095', 'a', 'direito', '6.01.01.00-8 Teoria do Direito', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3475, '095', 'a', '6.01.01.01-6', '6.01.01.01-6 Teoria Geral do Direito', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3476, '095', 'a', 'teoria', '6.01.01.01-6 Teoria Geral do Direito', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3477, '095', 'a', 'geral', '6.01.01.01-6 Teoria Geral do Direito', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3478, '095', 'a', 'do', '6.01.01.01-6 Teoria Geral do Direito', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3479, '095', 'a', 'direito', '6.01.01.01-6 Teoria Geral do Direito', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3480, '095', 'a', '6.01.01.02-4', '6.01.01.02-4 Teoria Geral do Processo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3481, '095', 'a', 'teoria', '6.01.01.02-4 Teoria Geral do Processo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3482, '095', 'a', 'geral', '6.01.01.02-4 Teoria Geral do Processo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3483, '095', 'a', 'do', '6.01.01.02-4 Teoria Geral do Processo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3484, '095', 'a', 'processo', '6.01.01.02-4 Teoria Geral do Processo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3485, '095', 'a', '6.01.01.03-2', '6.01.01.03-2 Teoria do Estado', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3486, '095', 'a', 'teoria', '6.01.01.03-2 Teoria do Estado', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3487, '095', 'a', 'do', '6.01.01.03-2 Teoria do Estado', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3488, '095', 'a', 'estado', '6.01.01.03-2 Teoria do Estado', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3489, '095', 'a', '6.01.01.04-0', '6.01.01.04-0 História do Direito', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3490, '095', 'a', 'historia', '6.01.01.04-0 História do Direito', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3491, '095', 'a', 'do', '6.01.01.04-0 História do Direito', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3492, '095', 'a', 'direito', '6.01.01.04-0 História do Direito', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3493, '095', 'a', '6.01.01.05-9', '6.01.01.05-9 Filosofia do Direito', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3494, '095', 'a', 'filosofia', '6.01.01.05-9 Filosofia do Direito', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3495, '095', 'a', 'do', '6.01.01.05-9 Filosofia do Direito', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3496, '095', 'a', 'direito', '6.01.01.05-9 Filosofia do Direito', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3497, '095', 'a', '6.01.01.06-7', '6.01.01.06-7 Lógica Jurídica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3498, '095', 'a', 'logica', '6.01.01.06-7 Lógica Jurídica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3499, '095', 'a', 'juridica', '6.01.01.06-7 Lógica Jurídica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3500, '095', 'a', '6.01.01.07-5', '6.01.01.07-5 Sociologia Jurídica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3501, '095', 'a', 'sociologia', '6.01.01.07-5 Sociologia Jurídica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3502, '095', 'a', 'juridica', '6.01.01.07-5 Sociologia Jurídica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3503, '095', 'a', '6.01.01.08-3', '6.01.01.08-3 Antropologia Jurídica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3504, '095', 'a', 'antropologia', '6.01.01.08-3 Antropologia Jurídica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3505, '095', 'a', 'juridica', '6.01.01.08-3 Antropologia Jurídica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3506, '095', 'a', '6.01.02.00-4', '6.01.02.00-4 Direito Público', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3507, '095', 'a', 'direito', '6.01.02.00-4 Direito Público', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3508, '095', 'a', 'publico', '6.01.02.00-4 Direito Público', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3509, '095', 'a', '6.01.02.01-2', '6.01.02.01-2 Direito Tributário', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3510, '095', 'a', 'direito', '6.01.02.01-2 Direito Tributário', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3511, '095', 'a', 'tributario', '6.01.02.01-2 Direito Tributário', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3512, '095', 'a', '6.01.02.02-0', '6.01.02.02-0 Direito Penal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3513, '095', 'a', 'direito', '6.01.02.02-0 Direito Penal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3514, '095', 'a', 'penal', '6.01.02.02-0 Direito Penal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3515, '095', 'a', '6.01.02.03-9', '6.01.02.03-9 Direito Processual Penal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3516, '095', 'a', 'direito', '6.01.02.03-9 Direito Processual Penal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3517, '095', 'a', 'processual', '6.01.02.03-9 Direito Processual Penal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3518, '095', 'a', 'penal', '6.01.02.03-9 Direito Processual Penal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3519, '095', 'a', '6.01.02.04-7', '6.01.02.04-7 Direito Processual Civil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3520, '095', 'a', 'direito', '6.01.02.04-7 Direito Processual Civil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3521, '095', 'a', 'processual', '6.01.02.04-7 Direito Processual Civil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3522, '095', 'a', 'civil', '6.01.02.04-7 Direito Processual Civil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3523, '095', 'a', '6.01.02.05-5', '6.01.02.05-5 Direito Constitucional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3524, '095', 'a', 'direito', '6.01.02.05-5 Direito Constitucional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3525, '095', 'a', 'constitucional', '6.01.02.05-5 Direito Constitucional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3526, '095', 'a', '6.01.02.06-3', '6.01.02.06-3 Direito Administrativo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3527, '095', 'a', 'direito', '6.01.02.06-3 Direito Administrativo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3528, '095', 'a', 'administrativo', '6.01.02.06-3 Direito Administrativo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3529, '095', 'a', '6.01.02.07-1', '6.01.02.07-1 Direito Internacional Público', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3530, '095', 'a', 'direito', '6.01.02.07-1 Direito Internacional Público', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3531, '095', 'a', 'internacional', '6.01.02.07-1 Direito Internacional Público', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3532, '095', 'a', 'publico', '6.01.02.07-1 Direito Internacional Público', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3533, '095', 'a', '6.01.03.00-0', '6.01.03.00-0 Direito Privado', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3534, '095', 'a', 'direito', '6.01.03.00-0 Direito Privado', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3535, '095', 'a', 'privado', '6.01.03.00-0 Direito Privado', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3536, '095', 'a', '6.01.03.01-9', '6.01.03.01-9 Direito Civil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3537, '095', 'a', 'direito', '6.01.03.01-9 Direito Civil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3538, '095', 'a', 'civil', '6.01.03.01-9 Direito Civil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3539, '095', 'a', '6.01.03.02-7', '6.01.03.02-7 Direito Comercial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3540, '095', 'a', 'direito', '6.01.03.02-7 Direito Comercial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3541, '095', 'a', 'comercial', '6.01.03.02-7 Direito Comercial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3542, '095', 'a', '6.01.03.03-5', '6.01.03.03-5 Direito do Trabalho', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3543, '095', 'a', 'direito', '6.01.03.03-5 Direito do Trabalho', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3544, '095', 'a', 'do', '6.01.03.03-5 Direito do Trabalho', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3545, '095', 'a', 'trabalho', '6.01.03.03-5 Direito do Trabalho', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3546, '095', 'a', '6.01.03.04-3', '6.01.03.04-3 Direito Internacional Privado', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3547, '095', 'a', 'direito', '6.01.03.04-3 Direito Internacional Privado', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3548, '095', 'a', 'internacional', '6.01.03.04-3 Direito Internacional Privado', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3549, '095', 'a', 'privado', '6.01.03.04-3 Direito Internacional Privado', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3550, '095', 'a', '6.01.04.00-7', '6.01.04.00-7 Direitos Especiais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3551, '095', 'a', 'direitos', '6.01.04.00-7 Direitos Especiais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3553, '095', 'a', '6.02.00.00-6', '6.02.00.00-6 Administração', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3554, '095', 'a', 'administracao', '6.02.00.00-6 Administração', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3555, '095', 'a', '6.02.01.00-2', '6.02.01.00-2 Administração de Empresas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3556, '095', 'a', 'administracao', '6.02.01.00-2 Administração de Empresas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3557, '095', 'a', 'de', '6.02.01.00-2 Administração de Empresas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3558, '095', 'a', 'empresas', '6.02.01.00-2 Administração de Empresas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3559, '095', 'a', '6.02.01.01-0', '6.02.01.01-0 Administração da Produção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3560, '095', 'a', 'administracao', '6.02.01.01-0 Administração da Produção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3561, '095', 'a', 'da', '6.02.01.01-0 Administração da Produção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3562, '095', 'a', 'producao', '6.02.01.01-0 Administração da Produção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3563, '095', 'a', '6.02.01.02-9', '6.02.01.02-9 Administração Financeira', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3564, '095', 'a', 'administracao', '6.02.01.02-9 Administração Financeira', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3565, '095', 'a', 'financeira', '6.02.01.02-9 Administração Financeira', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3566, '095', 'a', '6.02.01.03-7', '6.02.01.03-7 Mercadologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3567, '095', 'a', 'mercadologia', '6.02.01.03-7 Mercadologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3568, '095', 'a', '6.02.01.04-5', '6.02.01.04-5 Negócios Internacionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3569, '095', 'a', 'negocios', '6.02.01.04-5 Negócios Internacionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3570, '095', 'a', 'internacionais', '6.02.01.04-5 Negócios Internacionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3571, '095', 'a', '6.02.01.05-3', '6.02.01.05-3 Administração de Recursos Humanos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3572, '095', 'a', 'administracao', '6.02.01.05-3 Administração de Recursos Humanos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3573, '095', 'a', 'de', '6.02.01.05-3 Administração de Recursos Humanos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3574, '095', 'a', 'recursos', '6.02.01.05-3 Administração de Recursos Humanos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3575, '095', 'a', 'humanos', '6.02.01.05-3 Administração de Recursos Humanos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3576, '095', 'a', '6.02.02.00-9', '6.02.02.00-9 Administração Pública', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3577, '095', 'a', 'administracao', '6.02.02.00-9 Administração Pública', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3578, '095', 'a', 'publica', '6.02.02.00-9 Administração Pública', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3579, '095', 'a', '6.02.02.01-7', '6.02.02.01-7 Contabilidade e Financas Públicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3580, '095', 'a', 'contabilidade', '6.02.02.01-7 Contabilidade e Financas Públicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3581, '095', 'a', 'financas', '6.02.02.01-7 Contabilidade e Financas Públicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3582, '095', 'a', 'publicas', '6.02.02.01-7 Contabilidade e Financas Públicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3583, '095', 'a', '6.02.02.02-5', '6.02.02.02-5 Organizações Públicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3584, '095', 'a', 'organizacoes', '6.02.02.02-5 Organizações Públicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3585, '095', 'a', 'publicas', '6.02.02.02-5 Organizações Públicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3586, '095', 'a', '6.02.02.03-3', '6.02.02.03-3 Política e Planejamento Governamentais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3587, '095', 'a', 'politica', '6.02.02.03-3 Política e Planejamento Governamentais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3588, '095', 'a', 'planejamento', '6.02.02.03-3 Política e Planejamento Governamentais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3589, '095', 'a', 'governamentais', '6.02.02.03-3 Política e Planejamento Governamentais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3590, '095', 'a', '6.02.02.04-1', '6.02.02.04-1 Administração de Pessoal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3591, '095', 'a', 'administracao', '6.02.02.04-1 Administração de Pessoal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3592, '095', 'a', 'de', '6.02.02.04-1 Administração de Pessoal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3593, '095', 'a', 'pessoal', '6.02.02.04-1 Administração de Pessoal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3594, '095', 'a', '6.02.03.00-5', '6.02.03.00-5 Administração de Setores Específicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3595, '095', 'a', 'administracao', '6.02.03.00-5 Administração de Setores Específicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3596, '095', 'a', 'de', '6.02.03.00-5 Administração de Setores Específicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3597, '095', 'a', 'setores', '6.02.03.00-5 Administração de Setores Específicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3598, '095', 'a', 'especificos', '6.02.03.00-5 Administração de Setores Específicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3599, '095', 'a', '6.02.04.00-1', '6.02.04.00-1 Ciências Contábeis', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3600, '095', 'a', 'ciencias', '6.02.04.00-1 Ciências Contábeis', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3601, '095', 'a', 'contabeis', '6.02.04.00-1 Ciências Contábeis', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3602, '095', 'a', '6.03.00.00-0', '6.03.00.00-0 Economia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3603, '095', 'a', 'economia', '6.03.00.00-0 Economia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3604, '095', 'a', '6.03.01.00-7', '6.03.01.00-7 Teoria Econômica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3605, '095', 'a', 'teoria', '6.03.01.00-7 Teoria Econômica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3606, '095', 'a', 'economica', '6.03.01.00-7 Teoria Econômica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3607, '095', 'a', '6.03.01.01-5', '6.03.01.01-5 Economia Geral', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3608, '095', 'a', 'economia', '6.03.01.01-5 Economia Geral', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3609, '095', 'a', 'geral', '6.03.01.01-5 Economia Geral', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3610, '095', 'a', '6.03.01.02-3', '6.03.01.02-3 Teoria Geral da Economia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3611, '095', 'a', 'teoria', '6.03.01.02-3 Teoria Geral da Economia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3612, '095', 'a', 'geral', '6.03.01.02-3 Teoria Geral da Economia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3613, '095', 'a', 'da', '6.03.01.02-3 Teoria Geral da Economia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3614, '095', 'a', 'economia', '6.03.01.02-3 Teoria Geral da Economia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3615, '095', 'a', '6.03.01.03-1', '6.03.01.03-1 História do Pensamento Econômico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3616, '095', 'a', 'historia', '6.03.01.03-1 História do Pensamento Econômico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3617, '095', 'a', 'do', '6.03.01.03-1 História do Pensamento Econômico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3618, '095', 'a', 'pensamento', '6.03.01.03-1 História do Pensamento Econômico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3619, '095', 'a', 'economico', '6.03.01.03-1 História do Pensamento Econômico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3620, '095', 'a', '6.03.01.04-0', '6.03.01.04-0 História Econômica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3621, '095', 'a', 'historia', '6.03.01.04-0 História Econômica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3622, '095', 'a', 'economica', '6.03.01.04-0 História Econômica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3623, '095', 'a', '6.03.01.05-8', '6.03.01.05-8 Sistemas Econômicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3624, '095', 'a', 'sistemas', '6.03.01.05-8 Sistemas Econômicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3625, '095', 'a', 'economicos', '6.03.01.05-8 Sistemas Econômicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3626, '095', 'a', '6.03.02.00-3', '6.03.02.00-3 Métodos Quantitativos em Economia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3627, '095', 'a', 'metodos', '6.03.02.00-3 Métodos Quantitativos em Economia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3628, '095', 'a', 'quantitativos', '6.03.02.00-3 Métodos Quantitativos em Economia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3629, '095', 'a', 'em', '6.03.02.00-3 Métodos Quantitativos em Economia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3630, '095', 'a', 'economia', '6.03.02.00-3 Métodos Quantitativos em Economia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3631, '095', 'a', '6.03.02.01-1', '6.03.02.01-1 Métodos e Modelos Matemáticos, Econométricos e Estatísticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3632, '095', 'a', 'metodos', '6.03.02.01-1 Métodos e Modelos Matemáticos, Econométricos e Estatísticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3633, '095', 'a', 'modelos', '6.03.02.01-1 Métodos e Modelos Matemáticos, Econométricos e Estatísticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3634, '095', 'a', 'matematicos,', '6.03.02.01-1 Métodos e Modelos Matemáticos, Econométricos e Estatísticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3635, '095', 'a', 'econometricos', '6.03.02.01-1 Métodos e Modelos Matemáticos, Econométricos e Estatísticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3636, '095', 'a', 'estatisticos', '6.03.02.01-1 Métodos e Modelos Matemáticos, Econométricos e Estatísticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3637, '095', 'a', '6.03.02.02-0', '6.03.02.02-0 Estatística Sócio-Econômica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3638, '095', 'a', 'estatistica', '6.03.02.02-0 Estatística Sócio-Econômica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3639, '095', 'a', 'socio-economica', '6.03.02.02-0 Estatística Sócio-Econômica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3640, '095', 'a', '6.03.02.03-8', '6.03.02.03-8 Contabilidade Nacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3641, '095', 'a', 'contabilidade', '6.03.02.03-8 Contabilidade Nacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3642, '095', 'a', 'nacional', '6.03.02.03-8 Contabilidade Nacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3643, '095', 'a', '6.03.02.04-6', '6.03.02.04-6 Economia Matemática', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3644, '095', 'a', 'economia', '6.03.02.04-6 Economia Matemática', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3645, '095', 'a', 'matematica', '6.03.02.04-6 Economia Matemática', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3646, '095', 'a', '6.03.03.00-0', '6.03.03.00-0 Economia Monetária e Fiscal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3647, '095', 'a', 'economia', '6.03.03.00-0 Economia Monetária e Fiscal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3648, '095', 'a', 'monetaria', '6.03.03.00-0 Economia Monetária e Fiscal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3649, '095', 'a', 'fiscal', '6.03.03.00-0 Economia Monetária e Fiscal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3650, '095', 'a', '6.03.03.01-8', '6.03.03.01-8 Teoria Monetária e Financeira', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3651, '095', 'a', 'teoria', '6.03.03.01-8 Teoria Monetária e Financeira', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3652, '095', 'a', 'monetaria', '6.03.03.01-8 Teoria Monetária e Financeira', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3653, '095', 'a', 'financeira', '6.03.03.01-8 Teoria Monetária e Financeira', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3654, '095', 'a', '6.03.03.02-6', '6.03.03.02-6 Instituições Monetárias e Financeiras do Brasil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3655, '095', 'a', 'instituicoes', '6.03.03.02-6 Instituições Monetárias e Financeiras do Brasil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3656, '095', 'a', 'monetarias', '6.03.03.02-6 Instituições Monetárias e Financeiras do Brasil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3657, '095', 'a', 'financeiras', '6.03.03.02-6 Instituições Monetárias e Financeiras do Brasil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3658, '095', 'a', 'do', '6.03.03.02-6 Instituições Monetárias e Financeiras do Brasil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3659, '095', 'a', 'brasil', '6.03.03.02-6 Instituições Monetárias e Financeiras do Brasil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3660, '095', 'a', '6.03.03.03-4', '6.03.03.03-4 Financas Públicas Internas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3661, '095', 'a', 'financas', '6.03.03.03-4 Financas Públicas Internas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3662, '095', 'a', 'publicas', '6.03.03.03-4 Financas Públicas Internas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3663, '095', 'a', 'internas', '6.03.03.03-4 Financas Públicas Internas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3664, '095', 'a', '6.03.03.04-2', '6.03.03.04-2 Política Fiscal do Brasil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3665, '095', 'a', 'politica', '6.03.03.04-2 Política Fiscal do Brasil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3666, '095', 'a', 'fiscal', '6.03.03.04-2 Política Fiscal do Brasil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3667, '095', 'a', 'do', '6.03.03.04-2 Política Fiscal do Brasil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3668, '095', 'a', 'brasil', '6.03.03.04-2 Política Fiscal do Brasil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3669, '095', 'a', '6.03.04.00-6', '6.03.04.00-6 Crescimento, Flutuações e Planejamento Econômico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3670, '095', 'a', 'crescimento,', '6.03.04.00-6 Crescimento, Flutuações e Planejamento Econômico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3671, '095', 'a', 'flutuacoes', '6.03.04.00-6 Crescimento, Flutuações e Planejamento Econômico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3672, '095', 'a', 'planejamento', '6.03.04.00-6 Crescimento, Flutuações e Planejamento Econômico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3673, '095', 'a', 'economico', '6.03.04.00-6 Crescimento, Flutuações e Planejamento Econômico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3674, '095', 'a', '6.03.04.01-4', '6.03.04.01-4 Crescimento e Desenvolvimento Econômico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3675, '095', 'a', 'crescimento', '6.03.04.01-4 Crescimento e Desenvolvimento Econômico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3676, '095', 'a', 'desenvolvimento', '6.03.04.01-4 Crescimento e Desenvolvimento Econômico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3677, '095', 'a', 'economico', '6.03.04.01-4 Crescimento e Desenvolvimento Econômico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3678, '095', 'a', '6.03.04.02-2', '6.03.04.02-2 Teoria e Política de Planejamento Econômico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3679, '095', 'a', 'teoria', '6.03.04.02-2 Teoria e Política de Planejamento Econômico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3680, '095', 'a', 'politica', '6.03.04.02-2 Teoria e Política de Planejamento Econômico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3681, '095', 'a', 'de', '6.03.04.02-2 Teoria e Política de Planejamento Econômico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3682, '095', 'a', 'planejamento', '6.03.04.02-2 Teoria e Política de Planejamento Econômico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3683, '095', 'a', 'economico', '6.03.04.02-2 Teoria e Política de Planejamento Econômico', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3684, '095', 'a', '6.03.04.03-0', '6.03.04.03-0 Flutuações Cíclicas e Projeções Econômicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3685, '095', 'a', 'flutuacoes', '6.03.04.03-0 Flutuações Cíclicas e Projeções Econômicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3686, '095', 'a', 'ciclicas', '6.03.04.03-0 Flutuações Cíclicas e Projeções Econômicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3687, '095', 'a', 'projecoes', '6.03.04.03-0 Flutuações Cíclicas e Projeções Econômicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3688, '095', 'a', 'economicas', '6.03.04.03-0 Flutuações Cíclicas e Projeções Econômicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3689, '095', 'a', '6.03.04.04-9', '6.03.04.04-9 Inflação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3690, '095', 'a', 'inflacao', '6.03.04.04-9 Inflação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3691, '095', 'a', '6.03.05.00-2', '6.03.05.00-2 Economia Internacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3692, '095', 'a', 'economia', '6.03.05.00-2 Economia Internacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3693, '095', 'a', 'internacional', '6.03.05.00-2 Economia Internacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3694, '095', 'a', '6.03.05.01-0', '6.03.05.01-0 Teoria do Comércio Internacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3695, '095', 'a', 'teoria', '6.03.05.01-0 Teoria do Comércio Internacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3696, '095', 'a', 'do', '6.03.05.01-0 Teoria do Comércio Internacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3697, '095', 'a', 'comercio', '6.03.05.01-0 Teoria do Comércio Internacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3698, '095', 'a', 'internacional', '6.03.05.01-0 Teoria do Comércio Internacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3699, '095', 'a', '6.03.05.02-9', '6.03.05.02-9 Relações do Comércio; Política Comercial; Integração Econômica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3700, '095', 'a', 'relacoes', '6.03.05.02-9 Relações do Comércio; Política Comercial; Integração Econômica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3701, '095', 'a', 'do', '6.03.05.02-9 Relações do Comércio; Política Comercial; Integração Econômica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3702, '095', 'a', 'comercio;', '6.03.05.02-9 Relações do Comércio; Política Comercial; Integração Econômica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3703, '095', 'a', 'politica', '6.03.05.02-9 Relações do Comércio; Política Comercial; Integração Econômica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3704, '095', 'a', 'comercial;', '6.03.05.02-9 Relações do Comércio; Política Comercial; Integração Econômica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3705, '095', 'a', 'integracao', '6.03.05.02-9 Relações do Comércio; Política Comercial; Integração Econômica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3706, '095', 'a', 'economica', '6.03.05.02-9 Relações do Comércio; Política Comercial; Integração Econômica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3707, '095', 'a', '6.03.05.03-7', '6.03.05.03-7 Balanço de Pagamentos; Financas Internacionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3708, '095', 'a', 'balanco', '6.03.05.03-7 Balanço de Pagamentos; Financas Internacionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3709, '095', 'a', 'de', '6.03.05.03-7 Balanço de Pagamentos; Financas Internacionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3710, '095', 'a', 'pagamentos;', '6.03.05.03-7 Balanço de Pagamentos; Financas Internacionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3711, '095', 'a', 'financas', '6.03.05.03-7 Balanço de Pagamentos; Financas Internacionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3712, '095', 'a', 'internacionais', '6.03.05.03-7 Balanço de Pagamentos; Financas Internacionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3713, '095', 'a', '6.03.05.04-5', '6.03.05.04-5 Investimentos Internacionais e Ajuda Externa', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3714, '095', 'a', 'investimentos', '6.03.05.04-5 Investimentos Internacionais e Ajuda Externa', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3715, '095', 'a', 'internacionais', '6.03.05.04-5 Investimentos Internacionais e Ajuda Externa', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3716, '095', 'a', 'ajuda', '6.03.05.04-5 Investimentos Internacionais e Ajuda Externa', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3717, '095', 'a', 'externa', '6.03.05.04-5 Investimentos Internacionais e Ajuda Externa', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3718, '095', 'a', '6.03.06.00-9', '6.03.06.00-9 Economia dos Recursos Humanos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3719, '095', 'a', 'economia', '6.03.06.00-9 Economia dos Recursos Humanos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3720, '095', 'a', 'dos', '6.03.06.00-9 Economia dos Recursos Humanos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3721, '095', 'a', 'recursos', '6.03.06.00-9 Economia dos Recursos Humanos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3722, '095', 'a', 'humanos', '6.03.06.00-9 Economia dos Recursos Humanos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3723, '095', 'a', '6.03.06.01-7', '6.03.06.01-7 Treinamento e Alocação de Mão-de-Obra; Oferta de Mão-de-Obra e Força de Trabalho', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3724, '095', 'a', 'treinamento', '6.03.06.01-7 Treinamento e Alocação de Mão-de-Obra; Oferta de Mão-de-Obra e Força de Trabalho', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3725, '095', 'a', 'alocacao', '6.03.06.01-7 Treinamento e Alocação de Mão-de-Obra; Oferta de Mão-de-Obra e Força de Trabalho', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3726, '095', 'a', 'de', '6.03.06.01-7 Treinamento e Alocação de Mão-de-Obra; Oferta de Mão-de-Obra e Força de Trabalho', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3727, '095', 'a', 'mao-de-obra;', '6.03.06.01-7 Treinamento e Alocação de Mão-de-Obra; Oferta de Mão-de-Obra e Força de Trabalho', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3728, '095', 'a', 'oferta', '6.03.06.01-7 Treinamento e Alocação de Mão-de-Obra; Oferta de Mão-de-Obra e Força de Trabalho', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3729, '095', 'a', 'de', '6.03.06.01-7 Treinamento e Alocação de Mão-de-Obra; Oferta de Mão-de-Obra e Força de Trabalho', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3730, '095', 'a', 'mao-de-obra', '6.03.06.01-7 Treinamento e Alocação de Mão-de-Obra; Oferta de Mão-de-Obra e Força de Trabalho', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3731, '095', 'a', 'forca', '6.03.06.01-7 Treinamento e Alocação de Mão-de-Obra; Oferta de Mão-de-Obra e Força de Trabalho', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3732, '095', 'a', 'de', '6.03.06.01-7 Treinamento e Alocação de Mão-de-Obra; Oferta de Mão-de-Obra e Força de Trabalho', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3733, '095', 'a', 'trabalho', '6.03.06.01-7 Treinamento e Alocação de Mão-de-Obra; Oferta de Mão-de-Obra e Força de Trabalho', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3734, '095', 'a', '6.03.06.02-5', '6.03.06.02-5 Mercado de Trabalho; Política do Governo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3735, '095', 'a', 'mercado', '6.03.06.02-5 Mercado de Trabalho; Política do Governo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3736, '095', 'a', 'de', '6.03.06.02-5 Mercado de Trabalho; Política do Governo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3737, '095', 'a', 'trabalho;', '6.03.06.02-5 Mercado de Trabalho; Política do Governo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3738, '095', 'a', 'politica', '6.03.06.02-5 Mercado de Trabalho; Política do Governo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3739, '095', 'a', 'do', '6.03.06.02-5 Mercado de Trabalho; Política do Governo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3740, '095', 'a', 'governo', '6.03.06.02-5 Mercado de Trabalho; Política do Governo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3741, '095', 'a', '6.03.06.03-3', '6.03.06.03-3 Sindicatos, Dissídios Coletivos, Relações de Emprego (Empregador/Empregado)', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3742, '095', 'a', 'sindicatos,', '6.03.06.03-3 Sindicatos, Dissídios Coletivos, Relações de Emprego (Empregador/Empregado)', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3743, '095', 'a', 'dissidios', '6.03.06.03-3 Sindicatos, Dissídios Coletivos, Relações de Emprego (Empregador/Empregado)', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3744, '095', 'a', 'coletivos,', '6.03.06.03-3 Sindicatos, Dissídios Coletivos, Relações de Emprego (Empregador/Empregado)', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3745, '095', 'a', 'relacoes', '6.03.06.03-3 Sindicatos, Dissídios Coletivos, Relações de Emprego (Empregador/Empregado)', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3746, '095', 'a', 'de', '6.03.06.03-3 Sindicatos, Dissídios Coletivos, Relações de Emprego (Empregador/Empregado)', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3747, '095', 'a', 'emprego', '6.03.06.03-3 Sindicatos, Dissídios Coletivos, Relações de Emprego (Empregador/Empregado)', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3748, '095', 'a', '(empregador/empregado)', '6.03.06.03-3 Sindicatos, Dissídios Coletivos, Relações de Emprego (Empregador/Empregado)', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3749, '095', 'a', '6.03.06.04-1', '6.03.06.04-1 Capital Humano', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3750, '095', 'a', 'capital', '6.03.06.04-1 Capital Humano', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3751, '095', 'a', 'humano', '6.03.06.04-1 Capital Humano', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3752, '095', 'a', '6.03.06.05-0', '6.03.06.05-0 Demografia Econômica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3753, '095', 'a', 'demografia', '6.03.06.05-0 Demografia Econômica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3754, '095', 'a', 'economica', '6.03.06.05-0 Demografia Econômica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3755, '095', 'a', '6.03.07.00-5', '6.03.07.00-5 Economia Industrial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3756, '095', 'a', 'economia', '6.03.07.00-5 Economia Industrial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3757, '095', 'a', 'industrial', '6.03.07.00-5 Economia Industrial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3758, '095', 'a', '6.03.07.01-3', '6.03.07.01-3 Organização Industrial e Estudos Industriais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3759, '095', 'a', 'organizacao', '6.03.07.01-3 Organização Industrial e Estudos Industriais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3760, '095', 'a', 'industrial', '6.03.07.01-3 Organização Industrial e Estudos Industriais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3761, '095', 'a', 'estudos', '6.03.07.01-3 Organização Industrial e Estudos Industriais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3762, '095', 'a', 'industriais', '6.03.07.01-3 Organização Industrial e Estudos Industriais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3763, '095', 'a', '6.03.07.02-1', '6.03.07.02-1 Mudança Tecnologica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3764, '095', 'a', 'mudanca', '6.03.07.02-1 Mudança Tecnologica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3765, '095', 'a', 'tecnologica', '6.03.07.02-1 Mudança Tecnologica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3766, '095', 'a', '6.03.08.00-1', '6.03.08.00-1 Economia do Bem-Estar Social', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3767, '095', 'a', 'economia', '6.03.08.00-1 Economia do Bem-Estar Social', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3768, '095', 'a', 'do', '6.03.08.00-1 Economia do Bem-Estar Social', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3769, '095', 'a', 'bem-estar', '6.03.08.00-1 Economia do Bem-Estar Social', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3770, '095', 'a', 'social', '6.03.08.00-1 Economia do Bem-Estar Social', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3771, '095', 'a', '6.03.08.01-0', '6.03.08.01-0 Economia dos Programas de Bem-Estar Social', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3772, '095', 'a', 'economia', '6.03.08.01-0 Economia dos Programas de Bem-Estar Social', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3773, '095', 'a', 'dos', '6.03.08.01-0 Economia dos Programas de Bem-Estar Social', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3774, '095', 'a', 'programas', '6.03.08.01-0 Economia dos Programas de Bem-Estar Social', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3775, '095', 'a', 'de', '6.03.08.01-0 Economia dos Programas de Bem-Estar Social', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3776, '095', 'a', 'bem-estar', '6.03.08.01-0 Economia dos Programas de Bem-Estar Social', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3777, '095', 'a', 'social', '6.03.08.01-0 Economia dos Programas de Bem-Estar Social', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3778, '095', 'a', '6.03.08.02-8', '6.03.08.02-8 Economia do Consumidor', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3779, '095', 'a', 'economia', '6.03.08.02-8 Economia do Consumidor', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3780, '095', 'a', 'do', '6.03.08.02-8 Economia do Consumidor', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3781, '095', 'a', 'consumidor', '6.03.08.02-8 Economia do Consumidor', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3782, '095', 'a', '6.03.09.00-8', '6.03.09.00-8 Economia Regional e Urbana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3783, '095', 'a', 'economia', '6.03.09.00-8 Economia Regional e Urbana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3784, '095', 'a', 'regional', '6.03.09.00-8 Economia Regional e Urbana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3785, '095', 'a', 'urbana', '6.03.09.00-8 Economia Regional e Urbana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3786, '095', 'a', '6.03.09.01-6', '6.03.09.01-6 Economia Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3787, '095', 'a', 'economia', '6.03.09.01-6 Economia Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3788, '095', 'a', 'regional', '6.03.09.01-6 Economia Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3789, '095', 'a', '6.03.09.02-4', '6.03.09.02-4 Economia Urbana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3790, '095', 'a', 'economia', '6.03.09.02-4 Economia Urbana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3791, '095', 'a', 'urbana', '6.03.09.02-4 Economia Urbana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3792, '095', 'a', '6.03.09.03-2', '6.03.09.03-2 Renda e Tributação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3793, '095', 'a', 'renda', '6.03.09.03-2 Renda e Tributação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3794, '095', 'a', 'tributacao', '6.03.09.03-2 Renda e Tributação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3795, '095', 'a', '6.03.10.00-6', '6.03.10.00-6 Economias Agrária e dos Recursos Naturais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3796, '095', 'a', 'economias', '6.03.10.00-6 Economias Agrária e dos Recursos Naturais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3797, '095', 'a', 'agraria', '6.03.10.00-6 Economias Agrária e dos Recursos Naturais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3798, '095', 'a', 'dos', '6.03.10.00-6 Economias Agrária e dos Recursos Naturais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3799, '095', 'a', 'recursos', '6.03.10.00-6 Economias Agrária e dos Recursos Naturais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3800, '095', 'a', 'naturais', '6.03.10.00-6 Economias Agrária e dos Recursos Naturais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3801, '095', 'a', '6.03.10.01-4', '6.03.10.01-4 Economia Agrária', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3802, '095', 'a', 'economia', '6.03.10.01-4 Economia Agrária', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3803, '095', 'a', 'agraria', '6.03.10.01-4 Economia Agrária', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3804, '095', 'a', '6.03.10.02-2', '6.03.10.02-2 Economia dos Recursos Naturais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3805, '095', 'a', 'economia', '6.03.10.02-2 Economia dos Recursos Naturais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3806, '095', 'a', 'dos', '6.03.10.02-2 Economia dos Recursos Naturais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3807, '095', 'a', 'recursos', '6.03.10.02-2 Economia dos Recursos Naturais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3808, '095', 'a', 'naturais', '6.03.10.02-2 Economia dos Recursos Naturais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3809, '095', 'a', '6.04.00.00-5', '6.04.00.00-5 Arquitetura e Urbanismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3810, '095', 'a', 'arquitetura', '6.04.00.00-5 Arquitetura e Urbanismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3811, '095', 'a', 'urbanismo', '6.04.00.00-5 Arquitetura e Urbanismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3812, '095', 'a', '6.04.01.00-1', '6.04.01.00-1 Fundamentos de Arquitetura e Urbanismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3813, '095', 'a', 'fundamentos', '6.04.01.00-1 Fundamentos de Arquitetura e Urbanismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3814, '095', 'a', 'de', '6.04.01.00-1 Fundamentos de Arquitetura e Urbanismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3815, '095', 'a', 'arquitetura', '6.04.01.00-1 Fundamentos de Arquitetura e Urbanismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3816, '095', 'a', 'urbanismo', '6.04.01.00-1 Fundamentos de Arquitetura e Urbanismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3817, '095', 'a', '6.04.01.01-0', '6.04.01.01-0 História da Arquitetura e Urbanismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3818, '095', 'a', 'historia', '6.04.01.01-0 História da Arquitetura e Urbanismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3819, '095', 'a', 'da', '6.04.01.01-0 História da Arquitetura e Urbanismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3820, '095', 'a', 'arquitetura', '6.04.01.01-0 História da Arquitetura e Urbanismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3821, '095', 'a', 'urbanismo', '6.04.01.01-0 História da Arquitetura e Urbanismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3822, '095', 'a', '6.04.01.02-8', '6.04.01.02-8 Teoria da Arquitetura', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3823, '095', 'a', 'teoria', '6.04.01.02-8 Teoria da Arquitetura', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3824, '095', 'a', 'da', '6.04.01.02-8 Teoria da Arquitetura', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3825, '095', 'a', 'arquitetura', '6.04.01.02-8 Teoria da Arquitetura', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3826, '095', 'a', '6.04.01.03-6', '6.04.01.03-6 História do Urbanismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3827, '095', 'a', 'historia', '6.04.01.03-6 História do Urbanismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3828, '095', 'a', 'do', '6.04.01.03-6 História do Urbanismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3829, '095', 'a', 'urbanismo', '6.04.01.03-6 História do Urbanismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3830, '095', 'a', '6.04.01.04-4', '6.04.01.04-4 Teoria do Urbanismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3831, '095', 'a', 'teoria', '6.04.01.04-4 Teoria do Urbanismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3832, '095', 'a', 'do', '6.04.01.04-4 Teoria do Urbanismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3833, '095', 'a', 'urbanismo', '6.04.01.04-4 Teoria do Urbanismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3834, '095', 'a', '6.04.02.00-8', '6.04.02.00-8 Projeto de Arquitetuta e Urbanismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3835, '095', 'a', 'projeto', '6.04.02.00-8 Projeto de Arquitetuta e Urbanismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3836, '095', 'a', 'de', '6.04.02.00-8 Projeto de Arquitetuta e Urbanismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3837, '095', 'a', 'arquitetuta', '6.04.02.00-8 Projeto de Arquitetuta e Urbanismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3838, '095', 'a', 'urbanismo', '6.04.02.00-8 Projeto de Arquitetuta e Urbanismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3839, '095', 'a', '6.04.02.01-6', '6.04.02.01-6 Planejamento e Projetos da Edificação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3840, '095', 'a', 'planejamento', '6.04.02.01-6 Planejamento e Projetos da Edificação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3841, '095', 'a', 'projetos', '6.04.02.01-6 Planejamento e Projetos da Edificação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3842, '095', 'a', 'da', '6.04.02.01-6 Planejamento e Projetos da Edificação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3843, '095', 'a', 'edificacao', '6.04.02.01-6 Planejamento e Projetos da Edificação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3844, '095', 'a', '6.04.02.02-4', '6.04.02.02-4 Planejamento e Projeto do Espaço Urbano', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3845, '095', 'a', 'planejamento', '6.04.02.02-4 Planejamento e Projeto do Espaço Urbano', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3846, '095', 'a', 'projeto', '6.04.02.02-4 Planejamento e Projeto do Espaço Urbano', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3847, '095', 'a', 'do', '6.04.02.02-4 Planejamento e Projeto do Espaço Urbano', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3848, '095', 'a', 'espaco', '6.04.02.02-4 Planejamento e Projeto do Espaço Urbano', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3849, '095', 'a', 'urbano', '6.04.02.02-4 Planejamento e Projeto do Espaço Urbano', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3850, '095', 'a', '6.04.02.03-2', '6.04.02.03-2 Planejamento e Projeto do Equipamento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3851, '095', 'a', 'planejamento', '6.04.02.03-2 Planejamento e Projeto do Equipamento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3852, '095', 'a', 'projeto', '6.04.02.03-2 Planejamento e Projeto do Equipamento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3853, '095', 'a', 'do', '6.04.02.03-2 Planejamento e Projeto do Equipamento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3854, '095', 'a', 'equipamento', '6.04.02.03-2 Planejamento e Projeto do Equipamento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3855, '095', 'a', '6.04.03.00-4', '6.04.03.00-4 Tecnologia de Arquitetura e Urbanismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3856, '095', 'a', 'tecnologia', '6.04.03.00-4 Tecnologia de Arquitetura e Urbanismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3857, '095', 'a', 'de', '6.04.03.00-4 Tecnologia de Arquitetura e Urbanismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3858, '095', 'a', 'arquitetura', '6.04.03.00-4 Tecnologia de Arquitetura e Urbanismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3859, '095', 'a', 'urbanismo', '6.04.03.00-4 Tecnologia de Arquitetura e Urbanismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3860, '095', 'a', '6.04.03.01-2', '6.04.03.01-2 Adequação Ambiental', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3861, '095', 'a', 'adequacao', '6.04.03.01-2 Adequação Ambiental', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3862, '095', 'a', 'ambiental', '6.04.03.01-2 Adequação Ambiental', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3863, '095', 'a', '6.04.04.00-0', '6.04.04.00-0 Paisagismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3864, '095', 'a', 'paisagismo', '6.04.04.00-0 Paisagismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3865, '095', 'a', '6.04.04.01-9', '6.04.04.01-9 Desenvolvimento Histórico do Paisagismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3866, '095', 'a', 'desenvolvimento', '6.04.04.01-9 Desenvolvimento Histórico do Paisagismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3867, '095', 'a', 'historico', '6.04.04.01-9 Desenvolvimento Histórico do Paisagismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3868, '095', 'a', 'do', '6.04.04.01-9 Desenvolvimento Histórico do Paisagismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3869, '095', 'a', 'paisagismo', '6.04.04.01-9 Desenvolvimento Histórico do Paisagismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3870, '095', 'a', '6.04.04.02-7', '6.04.04.02-7 Conceituação de Paisagismo e Metodologia do Paisagismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3871, '095', 'a', 'conceituacao', '6.04.04.02-7 Conceituação de Paisagismo e Metodologia do Paisagismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3872, '095', 'a', 'de', '6.04.04.02-7 Conceituação de Paisagismo e Metodologia do Paisagismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3873, '095', 'a', 'paisagismo', '6.04.04.02-7 Conceituação de Paisagismo e Metodologia do Paisagismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3874, '095', 'a', 'metodologia', '6.04.04.02-7 Conceituação de Paisagismo e Metodologia do Paisagismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3875, '095', 'a', 'do', '6.04.04.02-7 Conceituação de Paisagismo e Metodologia do Paisagismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3876, '095', 'a', 'paisagismo', '6.04.04.02-7 Conceituação de Paisagismo e Metodologia do Paisagismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3877, '095', 'a', '6.04.04.03-5', '6.04.04.03-5 Estudos de Organização do Espaço Exterior', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3878, '095', 'a', 'estudos', '6.04.04.03-5 Estudos de Organização do Espaço Exterior', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3879, '095', 'a', 'de', '6.04.04.03-5 Estudos de Organização do Espaço Exterior', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3880, '095', 'a', 'organizacao', '6.04.04.03-5 Estudos de Organização do Espaço Exterior', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3881, '095', 'a', 'do', '6.04.04.03-5 Estudos de Organização do Espaço Exterior', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3882, '095', 'a', 'espaco', '6.04.04.03-5 Estudos de Organização do Espaço Exterior', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3883, '095', 'a', 'exterior', '6.04.04.03-5 Estudos de Organização do Espaço Exterior', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3884, '095', 'a', '6.04.04.04-3', '6.04.04.04-3 Projetos de Espaços Livres Urbanos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3885, '095', 'a', 'projetos', '6.04.04.04-3 Projetos de Espaços Livres Urbanos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3886, '095', 'a', 'de', '6.04.04.04-3 Projetos de Espaços Livres Urbanos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3887, '095', 'a', 'espacos', '6.04.04.04-3 Projetos de Espaços Livres Urbanos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3888, '095', 'a', 'livres', '6.04.04.04-3 Projetos de Espaços Livres Urbanos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3889, '095', 'a', 'urbanos', '6.04.04.04-3 Projetos de Espaços Livres Urbanos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3890, '095', 'a', '6.05.00.00-0', '6.05.00.00-0 Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3891, '095', 'a', 'planejamento', '6.05.00.00-0 Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3892, '095', 'a', 'urbano', '6.05.00.00-0 Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3893, '095', 'a', 'regional', '6.05.00.00-0 Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3894, '095', 'a', '6.05.01.00-6', '6.05.01.00-6 Fundamentos do Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3895, '095', 'a', 'fundamentos', '6.05.01.00-6 Fundamentos do Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3896, '095', 'a', 'do', '6.05.01.00-6 Fundamentos do Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3897, '095', 'a', 'planejamento', '6.05.01.00-6 Fundamentos do Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3898, '095', 'a', 'urbano', '6.05.01.00-6 Fundamentos do Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3899, '095', 'a', 'regional', '6.05.01.00-6 Fundamentos do Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3900, '095', 'a', '6.05.01.01-4', '6.05.01.01-4 Teoria do Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3901, '095', 'a', 'teoria', '6.05.01.01-4 Teoria do Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3902, '095', 'a', 'do', '6.05.01.01-4 Teoria do Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3903, '095', 'a', 'planejamento', '6.05.01.01-4 Teoria do Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3904, '095', 'a', 'urbano', '6.05.01.01-4 Teoria do Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3905, '095', 'a', 'regional', '6.05.01.01-4 Teoria do Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3906, '095', 'a', '6.05.01.02-2', '6.05.01.02-2 Teoria da Urbanização', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3907, '095', 'a', 'teoria', '6.05.01.02-2 Teoria da Urbanização', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3908, '095', 'a', 'da', '6.05.01.02-2 Teoria da Urbanização', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3909, '095', 'a', 'urbanizacao', '6.05.01.02-2 Teoria da Urbanização', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3910, '095', 'a', '6.05.01.03-0', '6.05.01.03-0 Política Urbana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3911, '095', 'a', 'politica', '6.05.01.03-0 Política Urbana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3912, '095', 'a', 'urbana', '6.05.01.03-0 Política Urbana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3913, '095', 'a', '6.05.01.04-9', '6.05.01.04-9 História Urbana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3914, '095', 'a', 'historia', '6.05.01.04-9 História Urbana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3915, '095', 'a', 'urbana', '6.05.01.04-9 História Urbana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3916, '095', 'a', '6.05.02.00-2', '6.05.02.00-2 Métodos e Técnicas do Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3917, '095', 'a', 'metodos', '6.05.02.00-2 Métodos e Técnicas do Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3918, '095', 'a', 'tecnicas', '6.05.02.00-2 Métodos e Técnicas do Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3919, '095', 'a', 'do', '6.05.02.00-2 Métodos e Técnicas do Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3920, '095', 'a', 'planejamento', '6.05.02.00-2 Métodos e Técnicas do Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3921, '095', 'a', 'urbano', '6.05.02.00-2 Métodos e Técnicas do Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3922, '095', 'a', 'regional', '6.05.02.00-2 Métodos e Técnicas do Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3923, '095', 'a', '6.05.02.01-0', '6.05.02.01-0 Informação, Cadastro e Mapeamento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3924, '095', 'a', 'informacao,', '6.05.02.01-0 Informação, Cadastro e Mapeamento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3925, '095', 'a', 'cadastro', '6.05.02.01-0 Informação, Cadastro e Mapeamento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3926, '095', 'a', 'mapeamento', '6.05.02.01-0 Informação, Cadastro e Mapeamento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3927, '095', 'a', '6.05.02.02-9', '6.05.02.02-9 Técnica de Previsão Urbana e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3928, '095', 'a', 'tecnica', '6.05.02.02-9 Técnica de Previsão Urbana e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3929, '095', 'a', 'de', '6.05.02.02-9 Técnica de Previsão Urbana e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3930, '095', 'a', 'previsao', '6.05.02.02-9 Técnica de Previsão Urbana e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3931, '095', 'a', 'urbana', '6.05.02.02-9 Técnica de Previsão Urbana e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3932, '095', 'a', 'regional', '6.05.02.02-9 Técnica de Previsão Urbana e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3933, '095', 'a', '6.05.02.03-7', '6.05.02.03-7 Técnicas de Análise e Avaliação Urbana e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3934, '095', 'a', 'tecnicas', '6.05.02.03-7 Técnicas de Análise e Avaliação Urbana e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3935, '095', 'a', 'de', '6.05.02.03-7 Técnicas de Análise e Avaliação Urbana e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3936, '095', 'a', 'analise', '6.05.02.03-7 Técnicas de Análise e Avaliação Urbana e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3937, '095', 'a', 'avaliacao', '6.05.02.03-7 Técnicas de Análise e Avaliação Urbana e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3938, '095', 'a', 'urbana', '6.05.02.03-7 Técnicas de Análise e Avaliação Urbana e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3939, '095', 'a', 'regional', '6.05.02.03-7 Técnicas de Análise e Avaliação Urbana e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3940, '095', 'a', '6.05.02.04-5', '6.05.02.04-5 Técnicas de Planejamento e Projeto Urbanos e Regionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3941, '095', 'a', 'tecnicas', '6.05.02.04-5 Técnicas de Planejamento e Projeto Urbanos e Regionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3942, '095', 'a', 'de', '6.05.02.04-5 Técnicas de Planejamento e Projeto Urbanos e Regionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3943, '095', 'a', 'planejamento', '6.05.02.04-5 Técnicas de Planejamento e Projeto Urbanos e Regionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3944, '095', 'a', 'projeto', '6.05.02.04-5 Técnicas de Planejamento e Projeto Urbanos e Regionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3945, '095', 'a', 'urbanos', '6.05.02.04-5 Técnicas de Planejamento e Projeto Urbanos e Regionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3946, '095', 'a', 'regionais', '6.05.02.04-5 Técnicas de Planejamento e Projeto Urbanos e Regionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3947, '095', 'a', '6.05.03.00-9', '6.05.03.00-9 Serviços Urbanos e Regionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3948, '095', 'a', 'servicos', '6.05.03.00-9 Serviços Urbanos e Regionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3949, '095', 'a', 'urbanos', '6.05.03.00-9 Serviços Urbanos e Regionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3950, '095', 'a', 'regionais', '6.05.03.00-9 Serviços Urbanos e Regionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3951, '095', 'a', '6.05.03.01-7', '6.05.03.01-7 Administração Municipal e Urbana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3952, '095', 'a', 'administracao', '6.05.03.01-7 Administração Municipal e Urbana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3953, '095', 'a', 'municipal', '6.05.03.01-7 Administração Municipal e Urbana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3954, '095', 'a', 'urbana', '6.05.03.01-7 Administração Municipal e Urbana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3955, '095', 'a', '6.05.03.02-5', '6.05.03.02-5 Estudos da Habitação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3956, '095', 'a', 'estudos', '6.05.03.02-5 Estudos da Habitação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3957, '095', 'a', 'da', '6.05.03.02-5 Estudos da Habitação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3958, '095', 'a', 'habitacao', '6.05.03.02-5 Estudos da Habitação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3959, '095', 'a', '6.05.03.03-3', '6.05.03.03-3 Aspectos Sociais do Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3960, '095', 'a', 'aspectos', '6.05.03.03-3 Aspectos Sociais do Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3961, '095', 'a', 'sociais', '6.05.03.03-3 Aspectos Sociais do Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3962, '095', 'a', 'do', '6.05.03.03-3 Aspectos Sociais do Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3963, '095', 'a', 'planejamento', '6.05.03.03-3 Aspectos Sociais do Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3964, '095', 'a', 'urbano', '6.05.03.03-3 Aspectos Sociais do Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3965, '095', 'a', 'regional', '6.05.03.03-3 Aspectos Sociais do Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3966, '095', 'a', '6.05.03.04-1', '6.05.03.04-1 Aspectos Econômicos do Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3967, '095', 'a', 'aspectos', '6.05.03.04-1 Aspectos Econômicos do Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3968, '095', 'a', 'economicos', '6.05.03.04-1 Aspectos Econômicos do Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3969, '095', 'a', 'do', '6.05.03.04-1 Aspectos Econômicos do Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3970, '095', 'a', 'planejamento', '6.05.03.04-1 Aspectos Econômicos do Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3971, '095', 'a', 'urbano', '6.05.03.04-1 Aspectos Econômicos do Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3972, '095', 'a', 'regional', '6.05.03.04-1 Aspectos Econômicos do Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3973, '095', 'a', '6.05.03.05-0', '6.05.03.05-0 Aspectos Físico-Ambientais do Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3974, '095', 'a', 'aspectos', '6.05.03.05-0 Aspectos Físico-Ambientais do Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3975, '095', 'a', 'fisico-ambientais', '6.05.03.05-0 Aspectos Físico-Ambientais do Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3976, '095', 'a', 'do', '6.05.03.05-0 Aspectos Físico-Ambientais do Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3977, '095', 'a', 'planejamento', '6.05.03.05-0 Aspectos Físico-Ambientais do Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3978, '095', 'a', 'urbano', '6.05.03.05-0 Aspectos Físico-Ambientais do Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3979, '095', 'a', 'regional', '6.05.03.05-0 Aspectos Físico-Ambientais do Planejamento Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3980, '095', 'a', '6.05.03.06-8', '6.05.03.06-8 Serviços Comunitários', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3981, '095', 'a', 'servicos', '6.05.03.06-8 Serviços Comunitários', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3982, '095', 'a', 'comunitarios', '6.05.03.06-8 Serviços Comunitários', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3983, '095', 'a', '6.05.03.07-6', '6.05.03.07-6 Infra-Estruturas Urbanas e Regionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3984, '095', 'a', 'infra-estruturas', '6.05.03.07-6 Infra-Estruturas Urbanas e Regionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3985, '095', 'a', 'urbanas', '6.05.03.07-6 Infra-Estruturas Urbanas e Regionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3986, '095', 'a', 'regionais', '6.05.03.07-6 Infra-Estruturas Urbanas e Regionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3987, '095', 'a', '6.05.03.08-4', '6.05.03.08-4 Transporte e Tráfego Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3988, '095', 'a', 'transporte', '6.05.03.08-4 Transporte e Tráfego Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3989, '095', 'a', 'trafego', '6.05.03.08-4 Transporte e Tráfego Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3990, '095', 'a', 'urbano', '6.05.03.08-4 Transporte e Tráfego Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3991, '095', 'a', 'regional', '6.05.03.08-4 Transporte e Tráfego Urbano e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3992, '095', 'a', '6.05.03.09-2', '6.05.03.09-2 Legislação Urbana e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3993, '095', 'a', 'legislacao', '6.05.03.09-2 Legislação Urbana e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3994, '095', 'a', 'urbana', '6.05.03.09-2 Legislação Urbana e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3995, '095', 'a', 'regional', '6.05.03.09-2 Legislação Urbana e Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3996, '095', 'a', '6.06.00.00-4', '6.06.00.00-4 Demografia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3997, '095', 'a', 'demografia', '6.06.00.00-4 Demografia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3998, '095', 'a', '6.06.01.00-0', '6.06.01.00-0 Distribuição Espacial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (3999, '095', 'a', 'distribuicao', '6.06.01.00-0 Distribuição Espacial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4000, '095', 'a', 'espacial', '6.06.01.00-0 Distribuição Espacial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4001, '095', 'a', '6.06.01.01-9', '6.06.01.01-9 Distribuição Espacial Geral', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4002, '095', 'a', 'distribuicao', '6.06.01.01-9 Distribuição Espacial Geral', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4003, '095', 'a', 'espacial', '6.06.01.01-9 Distribuição Espacial Geral', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4004, '095', 'a', 'geral', '6.06.01.01-9 Distribuição Espacial Geral', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4005, '095', 'a', '6.06.01.02-7', '6.06.01.02-7 Distribuição Espacial Urbana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4006, '095', 'a', 'distribuicao', '6.06.01.02-7 Distribuição Espacial Urbana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4007, '095', 'a', 'espacial', '6.06.01.02-7 Distribuição Espacial Urbana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4008, '095', 'a', 'urbana', '6.06.01.02-7 Distribuição Espacial Urbana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4009, '095', 'a', '6.06.01.03-5', '6.06.01.03-5 Distribuição Espacial Rural', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4010, '095', 'a', 'distribuicao', '6.06.01.03-5 Distribuição Espacial Rural', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4011, '095', 'a', 'espacial', '6.06.01.03-5 Distribuição Espacial Rural', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4012, '095', 'a', 'rural', '6.06.01.03-5 Distribuição Espacial Rural', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4013, '095', 'a', '6.06.02.00-7', '6.06.02.00-7 Tendência Populacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4014, '095', 'a', 'tendencia', '6.06.02.00-7 Tendência Populacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4015, '095', 'a', 'populacional', '6.06.02.00-7 Tendência Populacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4016, '095', 'a', '6.06.02.01-5', '6.06.02.01-5 Tendências Passadas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4017, '095', 'a', 'tendencias', '6.06.02.01-5 Tendências Passadas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4018, '095', 'a', 'passadas', '6.06.02.01-5 Tendências Passadas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4019, '095', 'a', '6.06.02.02-3', '6.06.02.02-3 Taxas e Estimativas Correntes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4020, '095', 'a', 'taxas', '6.06.02.02-3 Taxas e Estimativas Correntes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4021, '095', 'a', 'estimativas', '6.06.02.02-3 Taxas e Estimativas Correntes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4022, '095', 'a', 'correntes', '6.06.02.02-3 Taxas e Estimativas Correntes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4023, '095', 'a', '6.06.02.03-1', '6.06.02.03-1 Projeções', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4024, '095', 'a', 'projecoes', '6.06.02.03-1 Projeções', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4025, '095', 'a', '6.06.03.00-3', '6.06.03.00-3 Componentes da Dinâmica Demográfica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4026, '095', 'a', 'componentes', '6.06.03.00-3 Componentes da Dinâmica Demográfica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4027, '095', 'a', 'da', '6.06.03.00-3 Componentes da Dinâmica Demográfica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4028, '095', 'a', 'dinamica', '6.06.03.00-3 Componentes da Dinâmica Demográfica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4029, '095', 'a', 'demografica', '6.06.03.00-3 Componentes da Dinâmica Demográfica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4030, '095', 'a', '6.06.03.01-1', '6.06.03.01-1 Fecundidade', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4031, '095', 'a', 'fecundidade', '6.06.03.01-1 Fecundidade', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4032, '095', 'a', '6.06.03.02-0', '6.06.03.02-0 Mortalidade', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4033, '095', 'a', 'mortalidade', '6.06.03.02-0 Mortalidade', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4034, '095', 'a', '6.06.03.03-8', '6.06.03.03-8 Migração', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4035, '095', 'a', 'migracao', '6.06.03.03-8 Migração', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4036, '095', 'a', '6.06.04.00-0', '6.06.04.00-0 Nupcialidade e Família', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4037, '095', 'a', 'nupcialidade', '6.06.04.00-0 Nupcialidade e Família', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4038, '095', 'a', 'familia', '6.06.04.00-0 Nupcialidade e Família', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4039, '095', 'a', '6.06.04.01-8', '6.06.04.01-8 Casamento e Divórcio', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4040, '095', 'a', 'casamento', '6.06.04.01-8 Casamento e Divórcio', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4041, '095', 'a', 'divorcio', '6.06.04.01-8 Casamento e Divórcio', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4042, '095', 'a', '6.06.04.02-6', '6.06.04.02-6 Família e Reprodução', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4043, '095', 'a', 'familia', '6.06.04.02-6 Família e Reprodução', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4044, '095', 'a', 'reproducao', '6.06.04.02-6 Família e Reprodução', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4045, '095', 'a', '6.06.05.00-6', '6.06.05.00-6 Demografia Histórica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4046, '095', 'a', 'demografia', '6.06.05.00-6 Demografia Histórica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4047, '095', 'a', 'historica', '6.06.05.00-6 Demografia Histórica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4048, '095', 'a', '6.06.05.01-4', '6.06.05.01-4 Distribuição Espacial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4049, '095', 'a', 'distribuicao', '6.06.05.01-4 Distribuição Espacial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4050, '095', 'a', 'espacial', '6.06.05.01-4 Distribuição Espacial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4051, '095', 'a', '6.06.05.02-2', '6.06.05.02-2 Natalidade, Mortalidade, Migração', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4052, '095', 'a', 'natalidade,', '6.06.05.02-2 Natalidade, Mortalidade, Migração', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4053, '095', 'a', 'mortalidade,', '6.06.05.02-2 Natalidade, Mortalidade, Migração', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4054, '095', 'a', 'migracao', '6.06.05.02-2 Natalidade, Mortalidade, Migração', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4055, '095', 'a', '6.06.05.03-0', '6.06.05.03-0 Nupcialidade e Família', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4056, '095', 'a', 'nupcialidade', '6.06.05.03-0 Nupcialidade e Família', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4057, '095', 'a', 'familia', '6.06.05.03-0 Nupcialidade e Família', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4058, '095', 'a', '6.06.05.04-9', '6.06.05.04-9 Métodos e Técnicas de Demografia Histórica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4059, '095', 'a', 'metodos', '6.06.05.04-9 Métodos e Técnicas de Demografia Histórica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4060, '095', 'a', 'tecnicas', '6.06.05.04-9 Métodos e Técnicas de Demografia Histórica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4061, '095', 'a', 'de', '6.06.05.04-9 Métodos e Técnicas de Demografia Histórica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4062, '095', 'a', 'demografia', '6.06.05.04-9 Métodos e Técnicas de Demografia Histórica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4063, '095', 'a', 'historica', '6.06.05.04-9 Métodos e Técnicas de Demografia Histórica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4064, '095', 'a', '6.06.06.00-2', '6.06.06.00-2 Política Pública e População', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4065, '095', 'a', 'politica', '6.06.06.00-2 Política Pública e População', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4066, '095', 'a', 'publica', '6.06.06.00-2 Política Pública e População', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4067, '095', 'a', 'populacao', '6.06.06.00-2 Política Pública e População', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4068, '095', 'a', '6.06.06.01-0', '6.06.06.01-0 Política Populacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4069, '095', 'a', 'politica', '6.06.06.01-0 Política Populacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4070, '095', 'a', 'populacional', '6.06.06.01-0 Política Populacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4071, '095', 'a', '6.06.06.02-9', '6.06.06.02-9 Políticas de Redistribuição de População', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4072, '095', 'a', 'politicas', '6.06.06.02-9 Políticas de Redistribuição de População', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4073, '095', 'a', 'de', '6.06.06.02-9 Políticas de Redistribuição de População', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4074, '095', 'a', 'redistribuicao', '6.06.06.02-9 Políticas de Redistribuição de População', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4075, '095', 'a', 'de', '6.06.06.02-9 Políticas de Redistribuição de População', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4076, '095', 'a', 'populacao', '6.06.06.02-9 Políticas de Redistribuição de População', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4077, '095', 'a', '6.06.06.03-7', '6.06.06.03-7 Políticas de Planejamento Familiar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4078, '095', 'a', 'politicas', '6.06.06.03-7 Políticas de Planejamento Familiar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4079, '095', 'a', 'de', '6.06.06.03-7 Políticas de Planejamento Familiar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4080, '095', 'a', 'planejamento', '6.06.06.03-7 Políticas de Planejamento Familiar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4081, '095', 'a', 'familiar', '6.06.06.03-7 Políticas de Planejamento Familiar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4082, '095', 'a', '6.06.07.00-9', '6.06.07.00-9 Fontes de Dados Demográficos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4083, '095', 'a', 'fontes', '6.06.07.00-9 Fontes de Dados Demográficos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4084, '095', 'a', 'de', '6.06.07.00-9 Fontes de Dados Demográficos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4085, '095', 'a', 'dados', '6.06.07.00-9 Fontes de Dados Demográficos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4086, '095', 'a', 'demograficos', '6.06.07.00-9 Fontes de Dados Demográficos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4087, '095', 'a', '6.07.00.00-9', '6.07.00.00-9 Ciência da Informação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4088, '095', 'a', 'ciencia', '6.07.00.00-9 Ciência da Informação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4089, '095', 'a', 'da', '6.07.00.00-9 Ciência da Informação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4090, '095', 'a', 'informacao', '6.07.00.00-9 Ciência da Informação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4091, '095', 'a', '6.07.01.00-5', '6.07.01.00-5 Teoria da Informação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4092, '095', 'a', 'teoria', '6.07.01.00-5 Teoria da Informação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4093, '095', 'a', 'da', '6.07.01.00-5 Teoria da Informação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4094, '095', 'a', 'informacao', '6.07.01.00-5 Teoria da Informação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4095, '095', 'a', '6.07.01.01-3', '6.07.01.01-3 Teoria Geral da Informação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4096, '095', 'a', 'teoria', '6.07.01.01-3 Teoria Geral da Informação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4097, '095', 'a', 'geral', '6.07.01.01-3 Teoria Geral da Informação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4098, '095', 'a', 'da', '6.07.01.01-3 Teoria Geral da Informação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4099, '095', 'a', 'informacao', '6.07.01.01-3 Teoria Geral da Informação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4100, '095', 'a', '6.07.01.02-1', '6.07.01.02-1 Processos da Comunicação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4101, '095', 'a', 'processos', '6.07.01.02-1 Processos da Comunicação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4102, '095', 'a', 'da', '6.07.01.02-1 Processos da Comunicação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4103, '095', 'a', 'comunicacao', '6.07.01.02-1 Processos da Comunicação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4104, '095', 'a', '6.07.01.03-0', '6.07.01.03-0 Representação da Informação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4105, '095', 'a', 'representacao', '6.07.01.03-0 Representação da Informação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4106, '095', 'a', 'da', '6.07.01.03-0 Representação da Informação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4107, '095', 'a', 'informacao', '6.07.01.03-0 Representação da Informação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4108, '095', 'a', '6.07.02.00-1', '6.07.02.00-1 Biblioteconomia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4109, '095', 'a', 'biblioteconomia', '6.07.02.00-1 Biblioteconomia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4110, '095', 'a', '6.07.02.01-0', '6.07.02.01-0 Teoria da Classificação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4111, '095', 'a', 'teoria', '6.07.02.01-0 Teoria da Classificação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4112, '095', 'a', 'da', '6.07.02.01-0 Teoria da Classificação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4113, '095', 'a', 'classificacao', '6.07.02.01-0 Teoria da Classificação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4114, '095', 'a', '6.07.02.02-8', '6.07.02.02-8 Métodos Quantitativos. Bibliometria', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4115, '095', 'a', 'metodos', '6.07.02.02-8 Métodos Quantitativos. Bibliometria', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4116, '095', 'a', 'quantitativos.', '6.07.02.02-8 Métodos Quantitativos. Bibliometria', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4117, '095', 'a', 'bibliometria', '6.07.02.02-8 Métodos Quantitativos. Bibliometria', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4118, '095', 'a', '6.07.02.03-6', '6.07.02.03-6 Técnicas de Recuperação de Informação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4119, '095', 'a', 'tecnicas', '6.07.02.03-6 Técnicas de Recuperação de Informação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4120, '095', 'a', 'de', '6.07.02.03-6 Técnicas de Recuperação de Informação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4121, '095', 'a', 'recuperacao', '6.07.02.03-6 Técnicas de Recuperação de Informação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4122, '095', 'a', 'de', '6.07.02.03-6 Técnicas de Recuperação de Informação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4123, '095', 'a', 'informacao', '6.07.02.03-6 Técnicas de Recuperação de Informação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4124, '095', 'a', '6.07.02.04-4', '6.07.02.04-4 Processos de Disseminação da Informação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4125, '095', 'a', 'processos', '6.07.02.04-4 Processos de Disseminação da Informação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4126, '095', 'a', 'de', '6.07.02.04-4 Processos de Disseminação da Informação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4127, '095', 'a', 'disseminacao', '6.07.02.04-4 Processos de Disseminação da Informação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4128, '095', 'a', 'da', '6.07.02.04-4 Processos de Disseminação da Informação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4129, '095', 'a', 'informacao', '6.07.02.04-4 Processos de Disseminação da Informação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4130, '095', 'a', '6.07.03.00-8', '6.07.03.00-8 Arquivologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4131, '095', 'a', 'arquivologia', '6.07.03.00-8 Arquivologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4132, '095', 'a', '6.07.03.01-6', '6.07.03.01-6 Organização de Arquivos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4133, '095', 'a', 'organizacao', '6.07.03.01-6 Organização de Arquivos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4134, '095', 'a', 'de', '6.07.03.01-6 Organização de Arquivos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4135, '095', 'a', 'arquivos', '6.07.03.01-6 Organização de Arquivos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4136, '095', 'a', '6.08.00.00-3', '6.08.00.00-3 Museologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4137, '095', 'a', 'museologia', '6.08.00.00-3 Museologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4138, '095', 'a', '6.09.00.00-8', '6.09.00.00-8 Comunicação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4139, '095', 'a', 'comunicacao', '6.09.00.00-8 Comunicação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4140, '095', 'a', '6.09.01.00-4', '6.09.01.00-4 Teoria da Comunicação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4141, '095', 'a', 'teoria', '6.09.01.00-4 Teoria da Comunicação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4142, '095', 'a', 'da', '6.09.01.00-4 Teoria da Comunicação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4143, '095', 'a', 'comunicacao', '6.09.01.00-4 Teoria da Comunicação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4144, '095', 'a', '6.09.02.00-0', '6.09.02.00-0 Jornalismo e Editoração', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4145, '095', 'a', 'jornalismo', '6.09.02.00-0 Jornalismo e Editoração', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4146, '095', 'a', 'editoracao', '6.09.02.00-0 Jornalismo e Editoração', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4147, '095', 'a', '6.09.02.01-9', '6.09.02.01-9 Teoria e Ética do Jornalismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4148, '095', 'a', 'teoria', '6.09.02.01-9 Teoria e Ética do Jornalismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4149, '095', 'a', 'etica', '6.09.02.01-9 Teoria e Ética do Jornalismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4150, '095', 'a', 'do', '6.09.02.01-9 Teoria e Ética do Jornalismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4151, '095', 'a', 'jornalismo', '6.09.02.01-9 Teoria e Ética do Jornalismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4152, '095', 'a', '6.09.02.02-7', '6.09.02.02-7 Organização Editorial de Jornais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4153, '095', 'a', 'organizacao', '6.09.02.02-7 Organização Editorial de Jornais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4154, '095', 'a', 'editorial', '6.09.02.02-7 Organização Editorial de Jornais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4155, '095', 'a', 'de', '6.09.02.02-7 Organização Editorial de Jornais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4156, '095', 'a', 'jornais', '6.09.02.02-7 Organização Editorial de Jornais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4157, '095', 'a', '6.09.02.03-5', '6.09.02.03-5 Organização Comercial de Jornais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4158, '095', 'a', 'organizacao', '6.09.02.03-5 Organização Comercial de Jornais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4159, '095', 'a', 'comercial', '6.09.02.03-5 Organização Comercial de Jornais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4160, '095', 'a', 'de', '6.09.02.03-5 Organização Comercial de Jornais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4161, '095', 'a', 'jornais', '6.09.02.03-5 Organização Comercial de Jornais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4162, '095', 'a', '6.09.02.04-3', '6.09.02.04-3 Jornalismo Especializado (Comunitário, Rural, Empresarial, Científico)', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4163, '095', 'a', 'jornalismo', '6.09.02.04-3 Jornalismo Especializado (Comunitário, Rural, Empresarial, Científico)', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4164, '095', 'a', 'especializado', '6.09.02.04-3 Jornalismo Especializado (Comunitário, Rural, Empresarial, Científico)', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4165, '095', 'a', '(comunitario,', '6.09.02.04-3 Jornalismo Especializado (Comunitário, Rural, Empresarial, Científico)', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4166, '095', 'a', 'rural,', '6.09.02.04-3 Jornalismo Especializado (Comunitário, Rural, Empresarial, Científico)', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4167, '095', 'a', 'empresarial,', '6.09.02.04-3 Jornalismo Especializado (Comunitário, Rural, Empresarial, Científico)', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4168, '095', 'a', 'cientifico)', '6.09.02.04-3 Jornalismo Especializado (Comunitário, Rural, Empresarial, Científico)', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4169, '095', 'a', '6.09.03.00-7', '6.09.03.00-7 Rádio e Televisão', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4170, '095', 'a', 'radio', '6.09.03.00-7 Rádio e Televisão', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4171, '095', 'a', 'televisao', '6.09.03.00-7 Rádio e Televisão', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4172, '095', 'a', '6.09.03.01-5', '6.09.03.01-5 Radiodifusão', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4173, '095', 'a', 'radiodifusao', '6.09.03.01-5 Radiodifusão', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4174, '095', 'a', '6.09.03.02-3', '6.09.03.02-3 Videodifusão', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4175, '095', 'a', 'videodifusao', '6.09.03.02-3 Videodifusão', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4176, '095', 'a', '6.09.04.00-3', '6.09.04.00-3 Relações Públicas e Propaganda', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4177, '095', 'a', 'relacoes', '6.09.04.00-3 Relações Públicas e Propaganda', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4178, '095', 'a', 'publicas', '6.09.04.00-3 Relações Públicas e Propaganda', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4179, '095', 'a', 'propaganda', '6.09.04.00-3 Relações Públicas e Propaganda', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4180, '095', 'a', '6.09.05.00-0', '6.09.05.00-0 Comunicação Visual', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4181, '095', 'a', 'comunicacao', '6.09.05.00-0 Comunicação Visual', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4182, '095', 'a', 'visual', '6.09.05.00-0 Comunicação Visual', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4183, '095', 'a', '6.10.00.00-0', '6.10.00.00-0 Serviço Social', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4184, '095', 'a', 'servico', '6.10.00.00-0 Serviço Social', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4185, '095', 'a', 'social', '6.10.00.00-0 Serviço Social', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4186, '095', 'a', '6.10.01.00-7', '6.10.01.00-7 Fundamentos do Serviço Social', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4187, '095', 'a', 'fundamentos', '6.10.01.00-7 Fundamentos do Serviço Social', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4188, '095', 'a', 'do', '6.10.01.00-7 Fundamentos do Serviço Social', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4189, '095', 'a', 'servico', '6.10.01.00-7 Fundamentos do Serviço Social', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4190, '095', 'a', 'social', '6.10.01.00-7 Fundamentos do Serviço Social', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4191, '095', 'a', '6.10.02.00-3', '6.10.02.00-3 Serviço Social Aplicado', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4192, '095', 'a', 'servico', '6.10.02.00-3 Serviço Social Aplicado', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4193, '095', 'a', 'social', '6.10.02.00-3 Serviço Social Aplicado', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4194, '095', 'a', 'aplicado', '6.10.02.00-3 Serviço Social Aplicado', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4195, '095', 'a', '6.10.02.01-1', '6.10.02.01-1 Serviço Social do Trabalho', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4196, '095', 'a', 'servico', '6.10.02.01-1 Serviço Social do Trabalho', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4197, '095', 'a', 'social', '6.10.02.01-1 Serviço Social do Trabalho', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4198, '095', 'a', 'do', '6.10.02.01-1 Serviço Social do Trabalho', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4199, '095', 'a', 'trabalho', '6.10.02.01-1 Serviço Social do Trabalho', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4200, '095', 'a', '6.10.02.02-0', '6.10.02.02-0 Serviço Social da Educação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4201, '095', 'a', 'servico', '6.10.02.02-0 Serviço Social da Educação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4202, '095', 'a', 'social', '6.10.02.02-0 Serviço Social da Educação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4203, '095', 'a', 'da', '6.10.02.02-0 Serviço Social da Educação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4204, '095', 'a', 'educacao', '6.10.02.02-0 Serviço Social da Educação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4205, '095', 'a', '6.10.02.03-8', '6.10.02.03-8 Serviço Social do Menor', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4206, '095', 'a', 'servico', '6.10.02.03-8 Serviço Social do Menor', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4207, '095', 'a', 'social', '6.10.02.03-8 Serviço Social do Menor', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4208, '095', 'a', 'do', '6.10.02.03-8 Serviço Social do Menor', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4209, '095', 'a', 'menor', '6.10.02.03-8 Serviço Social do Menor', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4210, '095', 'a', '6.10.02.04-6', '6.10.02.04-6 Serviço Social da Saúde', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4211, '095', 'a', 'servico', '6.10.02.04-6 Serviço Social da Saúde', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4212, '095', 'a', 'social', '6.10.02.04-6 Serviço Social da Saúde', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4213, '095', 'a', 'da', '6.10.02.04-6 Serviço Social da Saúde', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4214, '095', 'a', 'saude', '6.10.02.04-6 Serviço Social da Saúde', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4215, '095', 'a', '6.10.02.05-4', '6.10.02.05-4 Serviço Social da Habitação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4216, '095', 'a', 'servico', '6.10.02.05-4 Serviço Social da Habitação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4217, '095', 'a', 'social', '6.10.02.05-4 Serviço Social da Habitação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4218, '095', 'a', 'da', '6.10.02.05-4 Serviço Social da Habitação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4219, '095', 'a', 'habitacao', '6.10.02.05-4 Serviço Social da Habitação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4220, '095', 'a', '6.11.00.00-5', '6.11.00.00-5 Economia Doméstica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4221, '095', 'a', 'economia', '6.11.00.00-5 Economia Doméstica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4222, '095', 'a', 'domestica', '6.11.00.00-5 Economia Doméstica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4223, '095', 'a', '6.12.00.00-0', '6.12.00.00-0 Desenho Industrial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4224, '095', 'a', 'desenho', '6.12.00.00-0 Desenho Industrial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4225, '095', 'a', 'industrial', '6.12.00.00-0 Desenho Industrial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4226, '095', 'a', '6.12.01.00-6', '6.12.01.00-6 Programação Visual', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4227, '095', 'a', 'programacao', '6.12.01.00-6 Programação Visual', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4228, '095', 'a', 'visual', '6.12.01.00-6 Programação Visual', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4229, '095', 'a', '6.12.02.00-2', '6.12.02.00-2 Desenho de Produto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4230, '095', 'a', 'desenho', '6.12.02.00-2 Desenho de Produto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4231, '095', 'a', 'de', '6.12.02.00-2 Desenho de Produto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4232, '095', 'a', 'produto', '6.12.02.00-2 Desenho de Produto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4233, '095', 'a', '6.13.00.00-4', '6.13.00.00-4 Turismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4234, '095', 'a', 'turismo', '6.13.00.00-4 Turismo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4235, '095', 'a', '7.00.00.00-0', '7.00.00.00-0 Ciências Humanas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4236, '095', 'a', 'ciencias', '7.00.00.00-0 Ciências Humanas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4237, '095', 'a', 'humanas', '7.00.00.00-0 Ciências Humanas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4238, '095', 'a', '7.01.00.00-4', '7.01.00.00-4 Filosofia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4239, '095', 'a', 'filosofia', '7.01.00.00-4 Filosofia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4240, '095', 'a', '7.01.01.00-0', '7.01.01.00-0 História da Filosofia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4241, '095', 'a', 'historia', '7.01.01.00-0 História da Filosofia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4242, '095', 'a', 'da', '7.01.01.00-0 História da Filosofia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4243, '095', 'a', 'filosofia', '7.01.01.00-0 História da Filosofia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4244, '095', 'a', '7.01.02.00-7', '7.01.02.00-7 Metafísica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4245, '095', 'a', 'metafisica', '7.01.02.00-7 Metafísica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4246, '095', 'a', '7.01.03.00-3', '7.01.03.00-3 Lógica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4247, '095', 'a', 'logica', '7.01.03.00-3 Lógica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4248, '095', 'a', '7.01.04.00-0', '7.01.04.00-0 Ética', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4249, '095', 'a', 'etica', '7.01.04.00-0 Ética', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4250, '095', 'a', '7.01.05.00-6', '7.01.05.00-6 Epistemologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4251, '095', 'a', 'epistemologia', '7.01.05.00-6 Epistemologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4252, '095', 'a', '7.01.06.00-2', '7.01.06.00-2 Filosofia Brasileira', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4253, '095', 'a', 'filosofia', '7.01.06.00-2 Filosofia Brasileira', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4254, '095', 'a', 'brasileira', '7.01.06.00-2 Filosofia Brasileira', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4255, '095', 'a', '7.02.00.00-9', '7.02.00.00-9 Sociologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4256, '095', 'a', 'sociologia', '7.02.00.00-9 Sociologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4257, '095', 'a', '7.02.01.00-5', '7.02.01.00-5 Fundamentos da Sociologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4258, '095', 'a', 'fundamentos', '7.02.01.00-5 Fundamentos da Sociologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4259, '095', 'a', 'da', '7.02.01.00-5 Fundamentos da Sociologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4260, '095', 'a', 'sociologia', '7.02.01.00-5 Fundamentos da Sociologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4261, '095', 'a', '7.02.01.01-3', '7.02.01.01-3 Teoria Sociológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4262, '095', 'a', 'teoria', '7.02.01.01-3 Teoria Sociológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4263, '095', 'a', 'sociologica', '7.02.01.01-3 Teoria Sociológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4264, '095', 'a', '7.02.01.02-1', '7.02.01.02-1 História da Sociologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4265, '095', 'a', 'historia', '7.02.01.02-1 História da Sociologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4266, '095', 'a', 'da', '7.02.01.02-1 História da Sociologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4267, '095', 'a', 'sociologia', '7.02.01.02-1 História da Sociologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4268, '095', 'a', '7.02.02.00-1', '7.02.02.00-1 Sociologia do Conhecimento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4269, '095', 'a', 'sociologia', '7.02.02.00-1 Sociologia do Conhecimento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4270, '095', 'a', 'do', '7.02.02.00-1 Sociologia do Conhecimento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4271, '095', 'a', 'conhecimento', '7.02.02.00-1 Sociologia do Conhecimento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4272, '095', 'a', '7.02.03.00-8', '7.02.03.00-8 Sociologia do Desenvolvimento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4273, '095', 'a', 'sociologia', '7.02.03.00-8 Sociologia do Desenvolvimento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4274, '095', 'a', 'do', '7.02.03.00-8 Sociologia do Desenvolvimento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4275, '095', 'a', 'desenvolvimento', '7.02.03.00-8 Sociologia do Desenvolvimento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4276, '095', 'a', '7.02.04.00-4', '7.02.04.00-4 Sociologia Urbana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4277, '095', 'a', 'sociologia', '7.02.04.00-4 Sociologia Urbana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4278, '095', 'a', 'urbana', '7.02.04.00-4 Sociologia Urbana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4279, '095', 'a', '7.02.05.00-0', '7.02.05.00-0 Sociologia Rural', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4280, '095', 'a', 'sociologia', '7.02.05.00-0 Sociologia Rural', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4281, '095', 'a', 'rural', '7.02.05.00-0 Sociologia Rural', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4282, '095', 'a', '7.02.06.00-7', '7.02.06.00-7 Sociologia da Saúde', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4283, '095', 'a', 'sociologia', '7.02.06.00-7 Sociologia da Saúde', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4284, '095', 'a', 'da', '7.02.06.00-7 Sociologia da Saúde', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4285, '095', 'a', 'saude', '7.02.06.00-7 Sociologia da Saúde', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4286, '095', 'a', '7.02.07.00-3', '7.02.07.00-3 Outras Sociologias Específicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4287, '095', 'a', 'outras', '7.02.07.00-3 Outras Sociologias Específicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4288, '095', 'a', 'sociologias', '7.02.07.00-3 Outras Sociologias Específicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4289, '095', 'a', 'especificas', '7.02.07.00-3 Outras Sociologias Específicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4290, '095', 'a', '7.03.00.00-3', '7.03.00.00-3 Antropologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4291, '095', 'a', 'antropologia', '7.03.00.00-3 Antropologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4292, '095', 'a', '7.03.01.00-0', '7.03.01.00-0 Teoria Antropológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4293, '095', 'a', 'teoria', '7.03.01.00-0 Teoria Antropológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4294, '095', 'a', 'antropologica', '7.03.01.00-0 Teoria Antropológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4295, '095', 'a', '7.03.02.00-6', '7.03.02.00-6 Etnologia Indígena', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4296, '095', 'a', 'etnologia', '7.03.02.00-6 Etnologia Indígena', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4297, '095', 'a', 'indigena', '7.03.02.00-6 Etnologia Indígena', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4298, '095', 'a', '7.03.03.00-2', '7.03.03.00-2 Antropologia Urbana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4299, '095', 'a', 'antropologia', '7.03.03.00-2 Antropologia Urbana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4300, '095', 'a', 'urbana', '7.03.03.00-2 Antropologia Urbana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4301, '095', 'a', '7.03.04.00-9', '7.03.04.00-9 Antropologia Rural', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4302, '095', 'a', 'antropologia', '7.03.04.00-9 Antropologia Rural', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4303, '095', 'a', 'rural', '7.03.04.00-9 Antropologia Rural', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4304, '095', 'a', '7.03.05.00-5', '7.03.05.00-5 Antropologia das Populações Afro-Brasileiras', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4305, '095', 'a', 'antropologia', '7.03.05.00-5 Antropologia das Populações Afro-Brasileiras', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4306, '095', 'a', 'das', '7.03.05.00-5 Antropologia das Populações Afro-Brasileiras', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4307, '095', 'a', 'populacoes', '7.03.05.00-5 Antropologia das Populações Afro-Brasileiras', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4308, '095', 'a', 'afro-brasileiras', '7.03.05.00-5 Antropologia das Populações Afro-Brasileiras', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4309, '095', 'a', '7.04.00.00-8', '7.04.00.00-8 Arqueologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4310, '095', 'a', 'arqueologia', '7.04.00.00-8 Arqueologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4311, '095', 'a', '7.04.01.00-4', '7.04.01.00-4 Teoria e Método em Arqueologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4312, '095', 'a', 'teoria', '7.04.01.00-4 Teoria e Método em Arqueologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4313, '095', 'a', 'metodo', '7.04.01.00-4 Teoria e Método em Arqueologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4314, '095', 'a', 'em', '7.04.01.00-4 Teoria e Método em Arqueologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4315, '095', 'a', 'arqueologia', '7.04.01.00-4 Teoria e Método em Arqueologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4316, '095', 'a', '7.04.02.00-0', '7.04.02.00-0 Arqueologia Pré-Histórica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4317, '095', 'a', 'arqueologia', '7.04.02.00-0 Arqueologia Pré-Histórica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4318, '095', 'a', 'pre-historica', '7.04.02.00-0 Arqueologia Pré-Histórica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4319, '095', 'a', '7.04.03.00-7', '7.04.03.00-7 Arqueologia Histórica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4320, '095', 'a', 'arqueologia', '7.04.03.00-7 Arqueologia Histórica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4321, '095', 'a', 'historica', '7.04.03.00-7 Arqueologia Histórica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4322, '095', 'a', '7.05.00.00-2', '7.05.00.00-2 História', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4323, '095', 'a', 'historia', '7.05.00.00-2 História', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4324, '095', 'a', '7.05.01.00-9', '7.05.01.00-9 Teoria e Filosofia da História', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4325, '095', 'a', 'teoria', '7.05.01.00-9 Teoria e Filosofia da História', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4326, '095', 'a', 'filosofia', '7.05.01.00-9 Teoria e Filosofia da História', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4327, '095', 'a', 'da', '7.05.01.00-9 Teoria e Filosofia da História', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4328, '095', 'a', 'historia', '7.05.01.00-9 Teoria e Filosofia da História', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4329, '095', 'a', '7.05.02.00-5', '7.05.02.00-5 História Antiga e Medieval', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4330, '095', 'a', 'historia', '7.05.02.00-5 História Antiga e Medieval', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4331, '095', 'a', 'antiga', '7.05.02.00-5 História Antiga e Medieval', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4332, '095', 'a', 'medieval', '7.05.02.00-5 História Antiga e Medieval', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4333, '095', 'a', '7.05.03.00-1', '7.05.03.00-1 História Moderna e Contemporânea', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4334, '095', 'a', 'historia', '7.05.03.00-1 História Moderna e Contemporânea', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4335, '095', 'a', 'moderna', '7.05.03.00-1 História Moderna e Contemporânea', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4336, '095', 'a', 'contemporanea', '7.05.03.00-1 História Moderna e Contemporânea', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4337, '095', 'a', '7.05.04.00-8', '7.05.04.00-8 História da América', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4338, '095', 'a', 'historia', '7.05.04.00-8 História da América', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4339, '095', 'a', 'da', '7.05.04.00-8 História da América', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4340, '095', 'a', 'america', '7.05.04.00-8 História da América', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4341, '095', 'a', '7.05.04.01-6', '7.05.04.01-6 História dos Estados Unidos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4342, '095', 'a', 'historia', '7.05.04.01-6 História dos Estados Unidos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4343, '095', 'a', 'dos', '7.05.04.01-6 História dos Estados Unidos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4344, '095', 'a', 'estados', '7.05.04.01-6 História dos Estados Unidos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4345, '095', 'a', 'unidos', '7.05.04.01-6 História dos Estados Unidos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4346, '095', 'a', '7.05.04.02-4', '7.05.04.02-4 História Latino-Americana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4347, '095', 'a', 'historia', '7.05.04.02-4 História Latino-Americana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4348, '095', 'a', 'latino-americana', '7.05.04.02-4 História Latino-Americana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4349, '095', 'a', '7.05.05.00-4', '7.05.05.00-4 História do Brasil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4350, '095', 'a', 'historia', '7.05.05.00-4 História do Brasil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4351, '095', 'a', 'do', '7.05.05.00-4 História do Brasil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4352, '095', 'a', 'brasil', '7.05.05.00-4 História do Brasil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4353, '095', 'a', '7.05.05.01-2', '7.05.05.01-2 História do Brasil Colônia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4354, '095', 'a', 'historia', '7.05.05.01-2 História do Brasil Colônia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4355, '095', 'a', 'do', '7.05.05.01-2 História do Brasil Colônia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4356, '095', 'a', 'brasil', '7.05.05.01-2 História do Brasil Colônia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4357, '095', 'a', 'colonia', '7.05.05.01-2 História do Brasil Colônia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4358, '095', 'a', '7.05.05.02-0', '7.05.05.02-0 História do Brasil Império', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4359, '095', 'a', 'historia', '7.05.05.02-0 História do Brasil Império', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4360, '095', 'a', 'do', '7.05.05.02-0 História do Brasil Império', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4361, '095', 'a', 'brasil', '7.05.05.02-0 História do Brasil Império', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4362, '095', 'a', 'imperio', '7.05.05.02-0 História do Brasil Império', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4363, '095', 'a', '7.05.05.03-9', '7.05.05.03-9 História do Brasil República', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4364, '095', 'a', 'historia', '7.05.05.03-9 História do Brasil República', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4365, '095', 'a', 'do', '7.05.05.03-9 História do Brasil República', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4366, '095', 'a', 'brasil', '7.05.05.03-9 História do Brasil República', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4367, '095', 'a', 'republica', '7.05.05.03-9 História do Brasil República', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4368, '095', 'a', '7.05.05.04-7', '7.05.05.04-7 História Regional do Brasil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4369, '095', 'a', 'historia', '7.05.05.04-7 História Regional do Brasil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4370, '095', 'a', 'regional', '7.05.05.04-7 História Regional do Brasil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4371, '095', 'a', 'do', '7.05.05.04-7 História Regional do Brasil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4372, '095', 'a', 'brasil', '7.05.05.04-7 História Regional do Brasil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4373, '095', 'a', '7.05.06.00-0', '7.05.06.00-0 História das Ciências', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4374, '095', 'a', 'historia', '7.05.06.00-0 História das Ciências', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4375, '095', 'a', 'das', '7.05.06.00-0 História das Ciências', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4376, '095', 'a', 'ciencias', '7.05.06.00-0 História das Ciências', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4377, '095', 'a', '7.06.00.00-7', '7.06.00.00-7 Geografia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4378, '095', 'a', 'geografia', '7.06.00.00-7 Geografia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4379, '095', 'a', '7.06.01.00-3', '7.06.01.00-3 Geografia Humana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4380, '095', 'a', 'geografia', '7.06.01.00-3 Geografia Humana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4381, '095', 'a', 'humana', '7.06.01.00-3 Geografia Humana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4382, '095', 'a', '7.06.01.01-1', '7.06.01.01-1 Geografia da População', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4383, '095', 'a', 'geografia', '7.06.01.01-1 Geografia da População', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4384, '095', 'a', 'da', '7.06.01.01-1 Geografia da População', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4385, '095', 'a', 'populacao', '7.06.01.01-1 Geografia da População', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4386, '095', 'a', '7.06.01.02-0', '7.06.01.02-0 Geografia Agrária', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4387, '095', 'a', 'geografia', '7.06.01.02-0 Geografia Agrária', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4388, '095', 'a', 'agraria', '7.06.01.02-0 Geografia Agrária', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4389, '095', 'a', '7.06.01.03-8', '7.06.01.03-8 Geografia Urbana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4390, '095', 'a', 'geografia', '7.06.01.03-8 Geografia Urbana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4391, '095', 'a', 'urbana', '7.06.01.03-8 Geografia Urbana', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4392, '095', 'a', '7.06.01.04-6', '7.06.01.04-6 Geografia Econômica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4393, '095', 'a', 'geografia', '7.06.01.04-6 Geografia Econômica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4394, '095', 'a', 'economica', '7.06.01.04-6 Geografia Econômica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4395, '095', 'a', '7.06.01.05-4', '7.06.01.05-4 Geografia Política', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4396, '095', 'a', 'geografia', '7.06.01.05-4 Geografia Política', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4397, '095', 'a', 'politica', '7.06.01.05-4 Geografia Política', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4398, '095', 'a', '7.06.02.00-0', '7.06.02.00-0 Geografia Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4399, '095', 'a', 'geografia', '7.06.02.00-0 Geografia Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4400, '095', 'a', 'regional', '7.06.02.00-0 Geografia Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4401, '095', 'a', '7.06.02.01-8', '7.06.02.01-8 Teoria do Desenvolvimento Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4402, '095', 'a', 'teoria', '7.06.02.01-8 Teoria do Desenvolvimento Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4403, '095', 'a', 'do', '7.06.02.01-8 Teoria do Desenvolvimento Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4404, '095', 'a', 'desenvolvimento', '7.06.02.01-8 Teoria do Desenvolvimento Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4405, '095', 'a', 'regional', '7.06.02.01-8 Teoria do Desenvolvimento Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4406, '095', 'a', '7.06.02.02-6', '7.06.02.02-6 Regionalização', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4407, '095', 'a', 'regionalizacao', '7.06.02.02-6 Regionalização', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4408, '095', 'a', '7.06.02.03-4', '7.06.02.03-4 Análise Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4409, '095', 'a', 'analise', '7.06.02.03-4 Análise Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4410, '095', 'a', 'regional', '7.06.02.03-4 Análise Regional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4411, '095', 'a', '7.07.00.00-1', '7.07.00.00-1 Psicologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4412, '095', 'a', 'psicologia', '7.07.00.00-1 Psicologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4413, '095', 'a', '7.07.01.00-8', '7.07.01.00-8 Fundamentos e Medidas da Psicologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4414, '095', 'a', 'fundamentos', '7.07.01.00-8 Fundamentos e Medidas da Psicologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4415, '095', 'a', 'medidas', '7.07.01.00-8 Fundamentos e Medidas da Psicologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4416, '095', 'a', 'da', '7.07.01.00-8 Fundamentos e Medidas da Psicologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4417, '095', 'a', 'psicologia', '7.07.01.00-8 Fundamentos e Medidas da Psicologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4418, '095', 'a', '7.07.01.01-6', '7.07.01.01-6 História, Teorias e Sistemas em Psicologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4419, '095', 'a', 'historia,', '7.07.01.01-6 História, Teorias e Sistemas em Psicologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4420, '095', 'a', 'teorias', '7.07.01.01-6 História, Teorias e Sistemas em Psicologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4421, '095', 'a', 'sistemas', '7.07.01.01-6 História, Teorias e Sistemas em Psicologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4422, '095', 'a', 'em', '7.07.01.01-6 História, Teorias e Sistemas em Psicologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4423, '095', 'a', 'psicologia', '7.07.01.01-6 História, Teorias e Sistemas em Psicologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4424, '095', 'a', '7.07.01.02-4', '7.07.01.02-4 Metodologia, Instrumentação e Equipamento em Psicologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4425, '095', 'a', 'metodologia,', '7.07.01.02-4 Metodologia, Instrumentação e Equipamento em Psicologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4426, '095', 'a', 'instrumentacao', '7.07.01.02-4 Metodologia, Instrumentação e Equipamento em Psicologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4427, '095', 'a', 'equipamento', '7.07.01.02-4 Metodologia, Instrumentação e Equipamento em Psicologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4428, '095', 'a', 'em', '7.07.01.02-4 Metodologia, Instrumentação e Equipamento em Psicologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4429, '095', 'a', 'psicologia', '7.07.01.02-4 Metodologia, Instrumentação e Equipamento em Psicologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4430, '095', 'a', '7.07.01.03-2', '7.07.01.03-2 Construção e Validade de Testes, Escalas e Outras Medidas Psicológicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4431, '095', 'a', 'construcao', '7.07.01.03-2 Construção e Validade de Testes, Escalas e Outras Medidas Psicológicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4432, '095', 'a', 'validade', '7.07.01.03-2 Construção e Validade de Testes, Escalas e Outras Medidas Psicológicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4433, '095', 'a', 'de', '7.07.01.03-2 Construção e Validade de Testes, Escalas e Outras Medidas Psicológicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4434, '095', 'a', 'testes,', '7.07.01.03-2 Construção e Validade de Testes, Escalas e Outras Medidas Psicológicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4435, '095', 'a', 'escalas', '7.07.01.03-2 Construção e Validade de Testes, Escalas e Outras Medidas Psicológicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4436, '095', 'a', 'outras', '7.07.01.03-2 Construção e Validade de Testes, Escalas e Outras Medidas Psicológicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4437, '095', 'a', 'medidas', '7.07.01.03-2 Construção e Validade de Testes, Escalas e Outras Medidas Psicológicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4438, '095', 'a', 'psicologicas', '7.07.01.03-2 Construção e Validade de Testes, Escalas e Outras Medidas Psicológicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4439, '095', 'a', '7.07.01.04-0', '7.07.01.04-0 Técnicas de Processamento Estatístico, Matemático e Computacional em Psicologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4440, '095', 'a', 'tecnicas', '7.07.01.04-0 Técnicas de Processamento Estatístico, Matemático e Computacional em Psicologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4441, '095', 'a', 'de', '7.07.01.04-0 Técnicas de Processamento Estatístico, Matemático e Computacional em Psicologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4442, '095', 'a', 'processamento', '7.07.01.04-0 Técnicas de Processamento Estatístico, Matemático e Computacional em Psicologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4443, '095', 'a', 'estatistico,', '7.07.01.04-0 Técnicas de Processamento Estatístico, Matemático e Computacional em Psicologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4444, '095', 'a', 'matematico', '7.07.01.04-0 Técnicas de Processamento Estatístico, Matemático e Computacional em Psicologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4445, '095', 'a', 'computacional', '7.07.01.04-0 Técnicas de Processamento Estatístico, Matemático e Computacional em Psicologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4446, '095', 'a', 'em', '7.07.01.04-0 Técnicas de Processamento Estatístico, Matemático e Computacional em Psicologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4447, '095', 'a', 'psicologia', '7.07.01.04-0 Técnicas de Processamento Estatístico, Matemático e Computacional em Psicologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4448, '095', 'a', '7.07.02.00-4', '7.07.02.00-4 Psicologia Experimental', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4449, '095', 'a', 'psicologia', '7.07.02.00-4 Psicologia Experimental', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4450, '095', 'a', 'experimental', '7.07.02.00-4 Psicologia Experimental', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4451, '095', 'a', '7.07.02.01-2', '7.07.02.01-2 Processos Perceptuais e Motores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4452, '095', 'a', 'processos', '7.07.02.01-2 Processos Perceptuais e Motores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4453, '095', 'a', 'perceptuais', '7.07.02.01-2 Processos Perceptuais e Motores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4454, '095', 'a', 'motores', '7.07.02.01-2 Processos Perceptuais e Motores', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4455, '095', 'a', '7.07.02.02-0', '7.07.02.02-0 Processos de Aprendizagem, Memória e Motivação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4456, '095', 'a', 'processos', '7.07.02.02-0 Processos de Aprendizagem, Memória e Motivação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4457, '095', 'a', 'de', '7.07.02.02-0 Processos de Aprendizagem, Memória e Motivação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4458, '095', 'a', 'aprendizagem,', '7.07.02.02-0 Processos de Aprendizagem, Memória e Motivação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4459, '095', 'a', 'memoria', '7.07.02.02-0 Processos de Aprendizagem, Memória e Motivação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4460, '095', 'a', 'motivacao', '7.07.02.02-0 Processos de Aprendizagem, Memória e Motivação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4461, '095', 'a', '7.07.02.03-9', '7.07.02.03-9 Processos Cognitivos e Atencionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4462, '095', 'a', 'processos', '7.07.02.03-9 Processos Cognitivos e Atencionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4463, '095', 'a', 'cognitivos', '7.07.02.03-9 Processos Cognitivos e Atencionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4464, '095', 'a', 'atencionais', '7.07.02.03-9 Processos Cognitivos e Atencionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4465, '095', 'a', '7.07.02.04-7', '7.07.02.04-7 Estados Subjetivos e Emoção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4466, '095', 'a', 'estados', '7.07.02.04-7 Estados Subjetivos e Emoção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4467, '095', 'a', 'subjetivos', '7.07.02.04-7 Estados Subjetivos e Emoção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4468, '095', 'a', 'emocao', '7.07.02.04-7 Estados Subjetivos e Emoção', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4469, '095', 'a', '7.07.03.00-0', '7.07.03.00-0 Psicologia Fisiológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4470, '095', 'a', 'psicologia', '7.07.03.00-0 Psicologia Fisiológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4471, '095', 'a', 'fisiologica', '7.07.03.00-0 Psicologia Fisiológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4472, '095', 'a', '7.07.03.01-9', '7.07.03.01-9 Neurologia, Eletrofisiologia e Comportamento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4473, '095', 'a', 'neurologia,', '7.07.03.01-9 Neurologia, Eletrofisiologia e Comportamento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4474, '095', 'a', 'eletrofisiologia', '7.07.03.01-9 Neurologia, Eletrofisiologia e Comportamento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4475, '095', 'a', 'comportamento', '7.07.03.01-9 Neurologia, Eletrofisiologia e Comportamento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4476, '095', 'a', '7.07.03.02-7', '7.07.03.02-7 Processos Psico-Fisiológicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4477, '095', 'a', 'processos', '7.07.03.02-7 Processos Psico-Fisiológicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4478, '095', 'a', 'psico-fisiologicos', '7.07.03.02-7 Processos Psico-Fisiológicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4479, '095', 'a', '7.07.03.03-5', '7.07.03.03-5 Estimulação Elétrica e com Drogas; Comportamento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4480, '095', 'a', 'estimulacao', '7.07.03.03-5 Estimulação Elétrica e com Drogas; Comportamento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4481, '095', 'a', 'eletrica', '7.07.03.03-5 Estimulação Elétrica e com Drogas; Comportamento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4482, '095', 'a', 'com', '7.07.03.03-5 Estimulação Elétrica e com Drogas; Comportamento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4483, '095', 'a', 'drogas;', '7.07.03.03-5 Estimulação Elétrica e com Drogas; Comportamento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4484, '095', 'a', 'comportamento', '7.07.03.03-5 Estimulação Elétrica e com Drogas; Comportamento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4485, '095', 'a', '7.07.03.04-3', '7.07.03.04-3 Psicobiologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4486, '095', 'a', 'psicobiologia', '7.07.03.04-3 Psicobiologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4487, '095', 'a', '7.07.04.00-7', '7.07.04.00-7 Psicologia Comparativa', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4488, '095', 'a', 'psicologia', '7.07.04.00-7 Psicologia Comparativa', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4489, '095', 'a', 'comparativa', '7.07.04.00-7 Psicologia Comparativa', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4490, '095', 'a', '7.07.04.01-5', '7.07.04.01-5 Estudos Naturalísticos do Comportamento Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4491, '095', 'a', 'estudos', '7.07.04.01-5 Estudos Naturalísticos do Comportamento Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4492, '095', 'a', 'naturalisticos', '7.07.04.01-5 Estudos Naturalísticos do Comportamento Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4493, '095', 'a', 'do', '7.07.04.01-5 Estudos Naturalísticos do Comportamento Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4494, '095', 'a', 'comportamento', '7.07.04.01-5 Estudos Naturalísticos do Comportamento Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4495, '095', 'a', 'animal', '7.07.04.01-5 Estudos Naturalísticos do Comportamento Animal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4496, '095', 'a', '7.07.04.02-3', '7.07.04.02-3 Mecanismos Instintivos e Processos Sociais em Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4497, '095', 'a', 'mecanismos', '7.07.04.02-3 Mecanismos Instintivos e Processos Sociais em Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4498, '095', 'a', 'instintivos', '7.07.04.02-3 Mecanismos Instintivos e Processos Sociais em Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4499, '095', 'a', 'processos', '7.07.04.02-3 Mecanismos Instintivos e Processos Sociais em Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4500, '095', 'a', 'sociais', '7.07.04.02-3 Mecanismos Instintivos e Processos Sociais em Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4501, '095', 'a', 'em', '7.07.04.02-3 Mecanismos Instintivos e Processos Sociais em Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4502, '095', 'a', 'animais', '7.07.04.02-3 Mecanismos Instintivos e Processos Sociais em Animais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4503, '095', 'a', '7.07.05.00-3', '7.07.05.00-3 Psicologia Social', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4504, '095', 'a', 'psicologia', '7.07.05.00-3 Psicologia Social', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4505, '095', 'a', 'social', '7.07.05.00-3 Psicologia Social', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4506, '095', 'a', '7.07.05.01-1', '7.07.05.01-1 Relações Interpessoais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4507, '095', 'a', 'relacoes', '7.07.05.01-1 Relações Interpessoais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4508, '095', 'a', 'interpessoais', '7.07.05.01-1 Relações Interpessoais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4509, '095', 'a', '7.07.05.02-0', '7.07.05.02-0 Processos Grupais e de Comunicação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4510, '095', 'a', 'processos', '7.07.05.02-0 Processos Grupais e de Comunicação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4511, '095', 'a', 'grupais', '7.07.05.02-0 Processos Grupais e de Comunicação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4512, '095', 'a', 'de', '7.07.05.02-0 Processos Grupais e de Comunicação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4513, '095', 'a', 'comunicacao', '7.07.05.02-0 Processos Grupais e de Comunicação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4514, '095', 'a', '7.07.05.03-8', '7.07.05.03-8 Papéis e Estruturas Sociais; Indivíduo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4515, '095', 'a', 'papeis', '7.07.05.03-8 Papéis e Estruturas Sociais; Indivíduo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4516, '095', 'a', 'estruturas', '7.07.05.03-8 Papéis e Estruturas Sociais; Indivíduo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4517, '095', 'a', 'sociais;', '7.07.05.03-8 Papéis e Estruturas Sociais; Indivíduo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4518, '095', 'a', 'individuo', '7.07.05.03-8 Papéis e Estruturas Sociais; Indivíduo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4519, '095', 'a', '7.07.06.00-0', '7.07.06.00-0 Psicologia Cognitiva', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4520, '095', 'a', 'psicologia', '7.07.06.00-0 Psicologia Cognitiva', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4521, '095', 'a', 'cognitiva', '7.07.06.00-0 Psicologia Cognitiva', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4522, '095', 'a', '7.07.07.00-6', '7.07.07.00-6 Psicologia do Desenvolvimento Humano', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4523, '095', 'a', 'psicologia', '7.07.07.00-6 Psicologia do Desenvolvimento Humano', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4524, '095', 'a', 'do', '7.07.07.00-6 Psicologia do Desenvolvimento Humano', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4525, '095', 'a', 'desenvolvimento', '7.07.07.00-6 Psicologia do Desenvolvimento Humano', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4526, '095', 'a', 'humano', '7.07.07.00-6 Psicologia do Desenvolvimento Humano', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4527, '095', 'a', '7.07.07.01-4', '7.07.07.01-4 Processos Perceptuais e Cognitivos; Desenvolvimento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4528, '095', 'a', 'processos', '7.07.07.01-4 Processos Perceptuais e Cognitivos; Desenvolvimento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4529, '095', 'a', 'perceptuais', '7.07.07.01-4 Processos Perceptuais e Cognitivos; Desenvolvimento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4530, '095', 'a', 'cognitivos;', '7.07.07.01-4 Processos Perceptuais e Cognitivos; Desenvolvimento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4531, '095', 'a', 'desenvolvimento', '7.07.07.01-4 Processos Perceptuais e Cognitivos; Desenvolvimento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4532, '095', 'a', '7.07.07.02-2', '7.07.07.02-2 Desenvolvimento Social e da Personalidade', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4533, '095', 'a', 'desenvolvimento', '7.07.07.02-2 Desenvolvimento Social e da Personalidade', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4534, '095', 'a', 'social', '7.07.07.02-2 Desenvolvimento Social e da Personalidade', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4535, '095', 'a', 'da', '7.07.07.02-2 Desenvolvimento Social e da Personalidade', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4536, '095', 'a', 'personalidade', '7.07.07.02-2 Desenvolvimento Social e da Personalidade', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4537, '095', 'a', '7.07.08.00-2', '7.07.08.00-2 Psicologia do Ensino e da Aprendizagem', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4538, '095', 'a', 'psicologia', '7.07.08.00-2 Psicologia do Ensino e da Aprendizagem', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4539, '095', 'a', 'do', '7.07.08.00-2 Psicologia do Ensino e da Aprendizagem', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4540, '095', 'a', 'ensino', '7.07.08.00-2 Psicologia do Ensino e da Aprendizagem', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4541, '095', 'a', 'da', '7.07.08.00-2 Psicologia do Ensino e da Aprendizagem', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4542, '095', 'a', 'aprendizagem', '7.07.08.00-2 Psicologia do Ensino e da Aprendizagem', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4543, '095', 'a', '7.07.08.01-0', '7.07.08.01-0 Planejamento Institucional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4544, '095', 'a', 'planejamento', '7.07.08.01-0 Planejamento Institucional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4545, '095', 'a', 'institucional', '7.07.08.01-0 Planejamento Institucional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4546, '095', 'a', '7.07.08.02-9', '7.07.08.02-9 Programação de Condições de Ensino', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4547, '095', 'a', 'programacao', '7.07.08.02-9 Programação de Condições de Ensino', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4548, '095', 'a', 'de', '7.07.08.02-9 Programação de Condições de Ensino', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4549, '095', 'a', 'condicoes', '7.07.08.02-9 Programação de Condições de Ensino', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4550, '095', 'a', 'de', '7.07.08.02-9 Programação de Condições de Ensino', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4551, '095', 'a', 'ensino', '7.07.08.02-9 Programação de Condições de Ensino', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4552, '095', 'a', '7.07.08.03-7', '7.07.08.03-7 Treinamento de Pessoal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4553, '095', 'a', 'treinamento', '7.07.08.03-7 Treinamento de Pessoal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4554, '095', 'a', 'de', '7.07.08.03-7 Treinamento de Pessoal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4555, '095', 'a', 'pessoal', '7.07.08.03-7 Treinamento de Pessoal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4556, '095', 'a', '7.07.08.04-5', '7.07.08.04-5 Aprendizagem e Desempenho Acadêmicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4557, '095', 'a', 'aprendizagem', '7.07.08.04-5 Aprendizagem e Desempenho Acadêmicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4558, '095', 'a', 'desempenho', '7.07.08.04-5 Aprendizagem e Desempenho Acadêmicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4559, '095', 'a', 'academicos', '7.07.08.04-5 Aprendizagem e Desempenho Acadêmicos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4560, '095', 'a', '7.07.08.05-3', '7.07.08.05-3 Ensino e Aprendizagem na Sala de Aula', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4561, '095', 'a', 'ensino', '7.07.08.05-3 Ensino e Aprendizagem na Sala de Aula', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4562, '095', 'a', 'aprendizagem', '7.07.08.05-3 Ensino e Aprendizagem na Sala de Aula', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4563, '095', 'a', 'na', '7.07.08.05-3 Ensino e Aprendizagem na Sala de Aula', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4564, '095', 'a', 'sala', '7.07.08.05-3 Ensino e Aprendizagem na Sala de Aula', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4565, '095', 'a', 'de', '7.07.08.05-3 Ensino e Aprendizagem na Sala de Aula', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4566, '095', 'a', 'aula', '7.07.08.05-3 Ensino e Aprendizagem na Sala de Aula', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4567, '095', 'a', '7.07.09.00-9', '7.07.09.00-9 Psicologia do Trabalho e Organizacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4568, '095', 'a', 'psicologia', '7.07.09.00-9 Psicologia do Trabalho e Organizacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4569, '095', 'a', 'do', '7.07.09.00-9 Psicologia do Trabalho e Organizacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4570, '095', 'a', 'trabalho', '7.07.09.00-9 Psicologia do Trabalho e Organizacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4571, '095', 'a', 'organizacional', '7.07.09.00-9 Psicologia do Trabalho e Organizacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4572, '095', 'a', '7.07.09.01-7', '7.07.09.01-7 Análise Institucional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4573, '095', 'a', 'analise', '7.07.09.01-7 Análise Institucional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4574, '095', 'a', 'institucional', '7.07.09.01-7 Análise Institucional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4575, '095', 'a', '7.07.09.02-5', '7.07.09.02-5 Recrutamento e Seleção de Pessoal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4576, '095', 'a', 'recrutamento', '7.07.09.02-5 Recrutamento e Seleção de Pessoal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4577, '095', 'a', 'selecao', '7.07.09.02-5 Recrutamento e Seleção de Pessoal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4578, '095', 'a', 'de', '7.07.09.02-5 Recrutamento e Seleção de Pessoal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4579, '095', 'a', 'pessoal', '7.07.09.02-5 Recrutamento e Seleção de Pessoal', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4580, '095', 'a', '7.07.09.03-3', '7.07.09.03-3 Treinamento e Avaliação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4581, '095', 'a', 'treinamento', '7.07.09.03-3 Treinamento e Avaliação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4582, '095', 'a', 'avaliacao', '7.07.09.03-3 Treinamento e Avaliação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4583, '095', 'a', '7.07.09.04-1', '7.07.09.04-1 Fatores Humanos no Trabalho', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4584, '095', 'a', 'fatores', '7.07.09.04-1 Fatores Humanos no Trabalho', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4585, '095', 'a', 'humanos', '7.07.09.04-1 Fatores Humanos no Trabalho', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4586, '095', 'a', 'no', '7.07.09.04-1 Fatores Humanos no Trabalho', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4587, '095', 'a', 'trabalho', '7.07.09.04-1 Fatores Humanos no Trabalho', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4588, '095', 'a', '7.07.09.05-0', '7.07.09.05-0 Planejamento Ambiental e Comportamento Humano', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4589, '095', 'a', 'planejamento', '7.07.09.05-0 Planejamento Ambiental e Comportamento Humano', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4590, '095', 'a', 'ambiental', '7.07.09.05-0 Planejamento Ambiental e Comportamento Humano', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4591, '095', 'a', 'comportamento', '7.07.09.05-0 Planejamento Ambiental e Comportamento Humano', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4592, '095', 'a', 'humano', '7.07.09.05-0 Planejamento Ambiental e Comportamento Humano', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4593, '095', 'a', '7.07.10.00-7', '7.07.10.00-7 Tratamento e Prevenção Psicológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4594, '095', 'a', 'tratamento', '7.07.10.00-7 Tratamento e Prevenção Psicológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4595, '095', 'a', 'prevencao', '7.07.10.00-7 Tratamento e Prevenção Psicológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4596, '095', 'a', 'psicologica', '7.07.10.00-7 Tratamento e Prevenção Psicológica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4597, '095', 'a', '7.07.10.01-5', '7.07.10.01-5 Intervenção Terapêutica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4598, '095', 'a', 'intervencao', '7.07.10.01-5 Intervenção Terapêutica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4599, '095', 'a', 'terapeutica', '7.07.10.01-5 Intervenção Terapêutica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4600, '095', 'a', '7.07.10.02-3', '7.07.10.02-3 Programas de Atendimento Comunitário', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4601, '095', 'a', 'programas', '7.07.10.02-3 Programas de Atendimento Comunitário', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4602, '095', 'a', 'de', '7.07.10.02-3 Programas de Atendimento Comunitário', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4603, '095', 'a', 'atendimento', '7.07.10.02-3 Programas de Atendimento Comunitário', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4604, '095', 'a', 'comunitario', '7.07.10.02-3 Programas de Atendimento Comunitário', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4605, '095', 'a', '7.07.10.03-1', '7.07.10.03-1 Treinamento e Reabilitação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4606, '095', 'a', 'treinamento', '7.07.10.03-1 Treinamento e Reabilitação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4607, '095', 'a', 'reabilitacao', '7.07.10.03-1 Treinamento e Reabilitação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4608, '095', 'a', '7.07.10.04-0', '7.07.10.04-0 Desvios da Conduta', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4609, '095', 'a', 'desvios', '7.07.10.04-0 Desvios da Conduta', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4610, '095', 'a', 'da', '7.07.10.04-0 Desvios da Conduta', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4611, '095', 'a', 'conduta', '7.07.10.04-0 Desvios da Conduta', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4612, '095', 'a', '7.07.10.05-8', '7.07.10.05-8 Distúrbios da Linguagem', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4613, '095', 'a', 'disturbios', '7.07.10.05-8 Distúrbios da Linguagem', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4614, '095', 'a', 'da', '7.07.10.05-8 Distúrbios da Linguagem', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4615, '095', 'a', 'linguagem', '7.07.10.05-8 Distúrbios da Linguagem', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4616, '095', 'a', '7.07.10.06-6', '7.07.10.06-6 Distúrbios Psicossomáticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4617, '095', 'a', 'disturbios', '7.07.10.06-6 Distúrbios Psicossomáticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4618, '095', 'a', 'psicossomaticos', '7.07.10.06-6 Distúrbios Psicossomáticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4619, '095', 'a', '7.08.00.00-6', '7.08.00.00-6 Educação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4620, '095', 'a', 'educacao', '7.08.00.00-6 Educação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4621, '095', 'a', '7.08.01.00-2', '7.08.01.00-2 Fundamentos da Educação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4622, '095', 'a', 'fundamentos', '7.08.01.00-2 Fundamentos da Educação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4623, '095', 'a', 'da', '7.08.01.00-2 Fundamentos da Educação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4624, '095', 'a', 'educacao', '7.08.01.00-2 Fundamentos da Educação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4625, '095', 'a', '7.08.01.01-0', '7.08.01.01-0 Filosofia da Educação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4626, '095', 'a', 'filosofia', '7.08.01.01-0 Filosofia da Educação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4627, '095', 'a', 'da', '7.08.01.01-0 Filosofia da Educação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4628, '095', 'a', 'educacao', '7.08.01.01-0 Filosofia da Educação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4629, '095', 'a', '7.08.01.02-9', '7.08.01.02-9 História da Educação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4630, '095', 'a', 'historia', '7.08.01.02-9 História da Educação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4631, '095', 'a', 'da', '7.08.01.02-9 História da Educação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4632, '095', 'a', 'educacao', '7.08.01.02-9 História da Educação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4633, '095', 'a', '7.08.01.03-7', '7.08.01.03-7 Sociologia da Educação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4634, '095', 'a', 'sociologia', '7.08.01.03-7 Sociologia da Educação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4635, '095', 'a', 'da', '7.08.01.03-7 Sociologia da Educação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4636, '095', 'a', 'educacao', '7.08.01.03-7 Sociologia da Educação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4637, '095', 'a', '7.08.01.04-5', '7.08.01.04-5 Antropologia Educacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4638, '095', 'a', 'antropologia', '7.08.01.04-5 Antropologia Educacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4639, '095', 'a', 'educacional', '7.08.01.04-5 Antropologia Educacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4640, '095', 'a', '7.08.01.05-3', '7.08.01.05-3 Economia da Educação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4641, '095', 'a', 'economia', '7.08.01.05-3 Economia da Educação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4642, '095', 'a', 'da', '7.08.01.05-3 Economia da Educação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4643, '095', 'a', 'educacao', '7.08.01.05-3 Economia da Educação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4644, '095', 'a', '7.08.01.06-1', '7.08.01.06-1 Psicologia Educacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4645, '095', 'a', 'psicologia', '7.08.01.06-1 Psicologia Educacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4646, '095', 'a', 'educacional', '7.08.01.06-1 Psicologia Educacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4647, '095', 'a', '7.08.02.00-9', '7.08.02.00-9 Administração Educacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4648, '095', 'a', 'administracao', '7.08.02.00-9 Administração Educacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4649, '095', 'a', 'educacional', '7.08.02.00-9 Administração Educacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4650, '095', 'a', '7.08.02.01-7', '7.08.02.01-7 Administração de Sistemas Educacionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4651, '095', 'a', 'administracao', '7.08.02.01-7 Administração de Sistemas Educacionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4652, '095', 'a', 'de', '7.08.02.01-7 Administração de Sistemas Educacionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4653, '095', 'a', 'sistemas', '7.08.02.01-7 Administração de Sistemas Educacionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4654, '095', 'a', 'educacionais', '7.08.02.01-7 Administração de Sistemas Educacionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4655, '095', 'a', '7.08.02.02-5', '7.08.02.02-5 Administração de Unidades Educativas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4656, '095', 'a', 'administracao', '7.08.02.02-5 Administração de Unidades Educativas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4657, '095', 'a', 'de', '7.08.02.02-5 Administração de Unidades Educativas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4658, '095', 'a', 'unidades', '7.08.02.02-5 Administração de Unidades Educativas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4659, '095', 'a', 'educativas', '7.08.02.02-5 Administração de Unidades Educativas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4660, '095', 'a', '7.08.03.00-5', '7.08.03.00-5 Planejamento e Avaliação Educacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4661, '095', 'a', 'planejamento', '7.08.03.00-5 Planejamento e Avaliação Educacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4662, '095', 'a', 'avaliacao', '7.08.03.00-5 Planejamento e Avaliação Educacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4663, '095', 'a', 'educacional', '7.08.03.00-5 Planejamento e Avaliação Educacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4664, '095', 'a', '7.08.03.01-3', '7.08.03.01-3 Política Educacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4665, '095', 'a', 'politica', '7.08.03.01-3 Política Educacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4666, '095', 'a', 'educacional', '7.08.03.01-3 Política Educacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4667, '095', 'a', '7.08.03.02-1', '7.08.03.02-1 Planejamento Educacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4668, '095', 'a', 'planejamento', '7.08.03.02-1 Planejamento Educacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4669, '095', 'a', 'educacional', '7.08.03.02-1 Planejamento Educacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4670, '095', 'a', '7.08.03.03-0', '7.08.03.03-0 Avaliação de Sistemas, Instituições, Planos e Programas Educacionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4671, '095', 'a', 'avaliacao', '7.08.03.03-0 Avaliação de Sistemas, Instituições, Planos e Programas Educacionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4672, '095', 'a', 'de', '7.08.03.03-0 Avaliação de Sistemas, Instituições, Planos e Programas Educacionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4673, '095', 'a', 'sistemas,', '7.08.03.03-0 Avaliação de Sistemas, Instituições, Planos e Programas Educacionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4674, '095', 'a', 'instituicoes,', '7.08.03.03-0 Avaliação de Sistemas, Instituições, Planos e Programas Educacionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4675, '095', 'a', 'planos', '7.08.03.03-0 Avaliação de Sistemas, Instituições, Planos e Programas Educacionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4676, '095', 'a', 'programas', '7.08.03.03-0 Avaliação de Sistemas, Instituições, Planos e Programas Educacionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4677, '095', 'a', 'educacionais', '7.08.03.03-0 Avaliação de Sistemas, Instituições, Planos e Programas Educacionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4678, '095', 'a', '7.08.04.00-1', '7.08.04.00-1 Ensino-Aprendizagem', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4679, '095', 'a', 'ensino-aprendizagem', '7.08.04.00-1 Ensino-Aprendizagem', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4680, '095', 'a', '7.08.04.01-0', '7.08.04.01-0 Teorias da Instrução', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4681, '095', 'a', 'teorias', '7.08.04.01-0 Teorias da Instrução', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4682, '095', 'a', 'da', '7.08.04.01-0 Teorias da Instrução', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4683, '095', 'a', 'instrucao', '7.08.04.01-0 Teorias da Instrução', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4684, '095', 'a', '7.08.04.02-8', '7.08.04.02-8 Métodos e Técnicas de Ensino', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4685, '095', 'a', 'metodos', '7.08.04.02-8 Métodos e Técnicas de Ensino', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4686, '095', 'a', 'tecnicas', '7.08.04.02-8 Métodos e Técnicas de Ensino', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4687, '095', 'a', 'de', '7.08.04.02-8 Métodos e Técnicas de Ensino', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4688, '095', 'a', 'ensino', '7.08.04.02-8 Métodos e Técnicas de Ensino', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4689, '095', 'a', '7.08.04.03-6', '7.08.04.03-6 Tecnologia Educacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4690, '095', 'a', 'tecnologia', '7.08.04.03-6 Tecnologia Educacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4691, '095', 'a', 'educacional', '7.08.04.03-6 Tecnologia Educacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4692, '095', 'a', '7.08.04.04-4', '7.08.04.04-4 Avaliação da Aprendizagem', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4693, '095', 'a', 'avaliacao', '7.08.04.04-4 Avaliação da Aprendizagem', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4694, '095', 'a', 'da', '7.08.04.04-4 Avaliação da Aprendizagem', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4695, '095', 'a', 'aprendizagem', '7.08.04.04-4 Avaliação da Aprendizagem', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4696, '095', 'a', '7.08.05.00-8', '7.08.05.00-8 Currículo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4697, '095', 'a', 'curriculo', '7.08.05.00-8 Currículo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4698, '095', 'a', '7.08.05.01-6', '7.08.05.01-6 Teoria Geral de Planejamento e Desenvolvimento Curricular', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4699, '095', 'a', 'teoria', '7.08.05.01-6 Teoria Geral de Planejamento e Desenvolvimento Curricular', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4700, '095', 'a', 'geral', '7.08.05.01-6 Teoria Geral de Planejamento e Desenvolvimento Curricular', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4701, '095', 'a', 'de', '7.08.05.01-6 Teoria Geral de Planejamento e Desenvolvimento Curricular', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4702, '095', 'a', 'planejamento', '7.08.05.01-6 Teoria Geral de Planejamento e Desenvolvimento Curricular', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4703, '095', 'a', 'desenvolvimento', '7.08.05.01-6 Teoria Geral de Planejamento e Desenvolvimento Curricular', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4704, '095', 'a', 'curricular', '7.08.05.01-6 Teoria Geral de Planejamento e Desenvolvimento Curricular', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4705, '095', 'a', '7.08.05.02-4', '7.08.05.02-4 Currículos Específicos para Níveis e Tipos de Educação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4706, '095', 'a', 'curriculos', '7.08.05.02-4 Currículos Específicos para Níveis e Tipos de Educação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4707, '095', 'a', 'especificos', '7.08.05.02-4 Currículos Específicos para Níveis e Tipos de Educação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4708, '095', 'a', 'para', '7.08.05.02-4 Currículos Específicos para Níveis e Tipos de Educação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4709, '095', 'a', 'niveis', '7.08.05.02-4 Currículos Específicos para Níveis e Tipos de Educação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4710, '095', 'a', 'tipos', '7.08.05.02-4 Currículos Específicos para Níveis e Tipos de Educação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4711, '095', 'a', 'de', '7.08.05.02-4 Currículos Específicos para Níveis e Tipos de Educação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4712, '095', 'a', 'educacao', '7.08.05.02-4 Currículos Específicos para Níveis e Tipos de Educação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4713, '095', 'a', '7.08.06.00-4', '7.08.06.00-4 Orientação e Aconselhamento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4714, '095', 'a', 'orientacao', '7.08.06.00-4 Orientação e Aconselhamento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4715, '095', 'a', 'aconselhamento', '7.08.06.00-4 Orientação e Aconselhamento', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4716, '095', 'a', '7.08.06.01-2', '7.08.06.01-2 Orientação Educacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4717, '095', 'a', 'orientacao', '7.08.06.01-2 Orientação Educacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4718, '095', 'a', 'educacional', '7.08.06.01-2 Orientação Educacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4719, '095', 'a', '7.08.06.02-0', '7.08.06.02-0 Orientação Vocacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4720, '095', 'a', 'orientacao', '7.08.06.02-0 Orientação Vocacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4721, '095', 'a', 'vocacional', '7.08.06.02-0 Orientação Vocacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4722, '095', 'a', '7.08.07.00-0', '7.08.07.00-0 Tópicos Específicos de Educação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4723, '095', 'a', 'topicos', '7.08.07.00-0 Tópicos Específicos de Educação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4724, '095', 'a', 'especificos', '7.08.07.00-0 Tópicos Específicos de Educação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4725, '095', 'a', 'de', '7.08.07.00-0 Tópicos Específicos de Educação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4726, '095', 'a', 'educacao', '7.08.07.00-0 Tópicos Específicos de Educação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4727, '095', 'a', '7.08.07.01-9', '7.08.07.01-9 Educação de Adultos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4728, '095', 'a', 'educacao', '7.08.07.01-9 Educação de Adultos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4729, '095', 'a', 'de', '7.08.07.01-9 Educação de Adultos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4730, '095', 'a', 'adultos', '7.08.07.01-9 Educação de Adultos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4731, '095', 'a', '7.08.07.02-7', '7.08.07.02-7 Educação Permanente', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4732, '095', 'a', 'educacao', '7.08.07.02-7 Educação Permanente', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4733, '095', 'a', 'permanente', '7.08.07.02-7 Educação Permanente', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4734, '095', 'a', '7.08.07.03-5', '7.08.07.03-5 Educação Rural', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4735, '095', 'a', 'educacao', '7.08.07.03-5 Educação Rural', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4736, '095', 'a', 'rural', '7.08.07.03-5 Educação Rural', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4737, '095', 'a', '7.08.07.04-3', '7.08.07.04-3 Educação em Periferias Urbanas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4738, '095', 'a', 'educacao', '7.08.07.04-3 Educação em Periferias Urbanas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4739, '095', 'a', 'em', '7.08.07.04-3 Educação em Periferias Urbanas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4740, '095', 'a', 'periferias', '7.08.07.04-3 Educação em Periferias Urbanas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4741, '095', 'a', 'urbanas', '7.08.07.04-3 Educação em Periferias Urbanas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4742, '095', 'a', '7.08.07.05-1', '7.08.07.05-1 Educação Especial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4743, '095', 'a', 'educacao', '7.08.07.05-1 Educação Especial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4744, '095', 'a', 'especial', '7.08.07.05-1 Educação Especial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4745, '095', 'a', '7.08.07.06-0', '7.08.07.06-0 Educação Pré-Escolar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4746, '095', 'a', 'educacao', '7.08.07.06-0 Educação Pré-Escolar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4747, '095', 'a', 'pre-escolar', '7.08.07.06-0 Educação Pré-Escolar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4748, '095', 'a', '7.08.07.07-8', '7.08.07.07-8 Ensino Profissionalizante', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4749, '095', 'a', 'ensino', '7.08.07.07-8 Ensino Profissionalizante', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4750, '095', 'a', 'profissionalizante', '7.08.07.07-8 Ensino Profissionalizante', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4751, '095', 'a', '7.09.00.00-0', '7.09.00.00-0 Ciência Política', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4752, '095', 'a', 'ciencia', '7.09.00.00-0 Ciência Política', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4753, '095', 'a', 'politica', '7.09.00.00-0 Ciência Política', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4754, '095', 'a', '7.09.01.00-7', '7.09.01.00-7 Teoria Política', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4755, '095', 'a', 'teoria', '7.09.01.00-7 Teoria Política', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4756, '095', 'a', 'politica', '7.09.01.00-7 Teoria Política', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4757, '095', 'a', '7.09.01.01-5', '7.09.01.01-5 Teoria Política Clássica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4758, '095', 'a', 'teoria', '7.09.01.01-5 Teoria Política Clássica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4759, '095', 'a', 'politica', '7.09.01.01-5 Teoria Política Clássica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4760, '095', 'a', 'classica', '7.09.01.01-5 Teoria Política Clássica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4761, '095', 'a', '7.09.01.02-3', '7.09.01.02-3 Teoria Política Medieval', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4762, '095', 'a', 'teoria', '7.09.01.02-3 Teoria Política Medieval', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4763, '095', 'a', 'politica', '7.09.01.02-3 Teoria Política Medieval', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4764, '095', 'a', 'medieval', '7.09.01.02-3 Teoria Política Medieval', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4765, '095', 'a', '7.09.01.03-1', '7.09.01.03-1 Teoria Política Moderna', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4766, '095', 'a', 'teoria', '7.09.01.03-1 Teoria Política Moderna', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4767, '095', 'a', 'politica', '7.09.01.03-1 Teoria Política Moderna', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4768, '095', 'a', 'moderna', '7.09.01.03-1 Teoria Política Moderna', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4769, '095', 'a', '7.09.01.04-0', '7.09.01.04-0 Teoria Política Contemporânea', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4770, '095', 'a', 'teoria', '7.09.01.04-0 Teoria Política Contemporânea', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4771, '095', 'a', 'politica', '7.09.01.04-0 Teoria Política Contemporânea', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4772, '095', 'a', 'contemporanea', '7.09.01.04-0 Teoria Política Contemporânea', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4773, '095', 'a', '7.09.02.00-3', '7.09.02.00-3 Estado e Governo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4774, '095', 'a', 'estado', '7.09.02.00-3 Estado e Governo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4775, '095', 'a', 'governo', '7.09.02.00-3 Estado e Governo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4776, '095', 'a', '7.09.02.01-1', '7.09.02.01-1 Estrutura e Transformação do Estado', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4777, '095', 'a', 'estrutura', '7.09.02.01-1 Estrutura e Transformação do Estado', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4778, '095', 'a', 'transformacao', '7.09.02.01-1 Estrutura e Transformação do Estado', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4779, '095', 'a', 'do', '7.09.02.01-1 Estrutura e Transformação do Estado', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4780, '095', 'a', 'estado', '7.09.02.01-1 Estrutura e Transformação do Estado', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4781, '095', 'a', '7.09.02.02-0', '7.09.02.02-0 Sistemas Governamentais Comparados', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4782, '095', 'a', 'sistemas', '7.09.02.02-0 Sistemas Governamentais Comparados', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4783, '095', 'a', 'governamentais', '7.09.02.02-0 Sistemas Governamentais Comparados', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4784, '095', 'a', 'comparados', '7.09.02.02-0 Sistemas Governamentais Comparados', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4785, '095', 'a', '7.09.02.03-8', '7.09.02.03-8 Relações Intergovernamentais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4786, '095', 'a', 'relacoes', '7.09.02.03-8 Relações Intergovernamentais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4787, '095', 'a', 'intergovernamentais', '7.09.02.03-8 Relações Intergovernamentais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4788, '095', 'a', '7.09.02.04-6', '7.09.02.04-6 Estudos do Poder Local', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4789, '095', 'a', 'estudos', '7.09.02.04-6 Estudos do Poder Local', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4790, '095', 'a', 'do', '7.09.02.04-6 Estudos do Poder Local', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4791, '095', 'a', 'poder', '7.09.02.04-6 Estudos do Poder Local', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4792, '095', 'a', 'local', '7.09.02.04-6 Estudos do Poder Local', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4793, '095', 'a', '7.09.02.05-4', '7.09.02.05-4 Instituições Governamentais Específicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4794, '095', 'a', 'instituicoes', '7.09.02.05-4 Instituições Governamentais Específicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4795, '095', 'a', 'governamentais', '7.09.02.05-4 Instituições Governamentais Específicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4796, '095', 'a', 'especificas', '7.09.02.05-4 Instituições Governamentais Específicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4797, '095', 'a', '7.09.03.00-0', '7.09.03.00-0 Comportamento Político', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4798, '095', 'a', 'comportamento', '7.09.03.00-0 Comportamento Político', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4799, '095', 'a', 'politico', '7.09.03.00-0 Comportamento Político', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4800, '095', 'a', '7.09.03.01-8', '7.09.03.01-8 Estudos Eleitorais e Partidos Políticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4801, '095', 'a', 'estudos', '7.09.03.01-8 Estudos Eleitorais e Partidos Políticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4802, '095', 'a', 'eleitorais', '7.09.03.01-8 Estudos Eleitorais e Partidos Políticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4803, '095', 'a', 'partidos', '7.09.03.01-8 Estudos Eleitorais e Partidos Políticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4804, '095', 'a', 'politicos', '7.09.03.01-8 Estudos Eleitorais e Partidos Políticos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4805, '095', 'a', '7.09.03.02-6', '7.09.03.02-6 Atitude e Ideologias Políticas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4806, '095', 'a', 'atitude', '7.09.03.02-6 Atitude e Ideologias Políticas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4807, '095', 'a', 'ideologias', '7.09.03.02-6 Atitude e Ideologias Políticas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4808, '095', 'a', 'politicas', '7.09.03.02-6 Atitude e Ideologias Políticas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4809, '095', 'a', '7.09.03.03-4', '7.09.03.03-4 Conflitos e Coalizões Políticas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4810, '095', 'a', 'conflitos', '7.09.03.03-4 Conflitos e Coalizões Políticas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4811, '095', 'a', 'coalizoes', '7.09.03.03-4 Conflitos e Coalizões Políticas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4812, '095', 'a', 'politicas', '7.09.03.03-4 Conflitos e Coalizões Políticas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4813, '095', 'a', '7.09.03.04-2', '7.09.03.04-2 Comportamento Legislativo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4814, '095', 'a', 'comportamento', '7.09.03.04-2 Comportamento Legislativo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4815, '095', 'a', 'legislativo', '7.09.03.04-2 Comportamento Legislativo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4816, '095', 'a', '7.09.03.05-0', '7.09.03.05-0 Classes Sociais e Grupos de Interesse', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4817, '095', 'a', 'classes', '7.09.03.05-0 Classes Sociais e Grupos de Interesse', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4818, '095', 'a', 'sociais', '7.09.03.05-0 Classes Sociais e Grupos de Interesse', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4819, '095', 'a', 'grupos', '7.09.03.05-0 Classes Sociais e Grupos de Interesse', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4820, '095', 'a', 'de', '7.09.03.05-0 Classes Sociais e Grupos de Interesse', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4821, '095', 'a', 'interesse', '7.09.03.05-0 Classes Sociais e Grupos de Interesse', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4822, '095', 'a', '7.09.04.00-6', '7.09.04.00-6 Políticas Públicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4823, '095', 'a', 'politicas', '7.09.04.00-6 Políticas Públicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4824, '095', 'a', 'publicas', '7.09.04.00-6 Políticas Públicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4825, '095', 'a', '7.09.04.01-4', '7.09.04.01-4 Análise do Processo Decisório', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4826, '095', 'a', 'analise', '7.09.04.01-4 Análise do Processo Decisório', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4827, '095', 'a', 'do', '7.09.04.01-4 Análise do Processo Decisório', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4828, '095', 'a', 'processo', '7.09.04.01-4 Análise do Processo Decisório', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4829, '095', 'a', 'decisorio', '7.09.04.01-4 Análise do Processo Decisório', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4830, '095', 'a', '7.09.04.02-2', '7.09.04.02-2 Análise Institucional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4831, '095', 'a', 'analise', '7.09.04.02-2 Análise Institucional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4832, '095', 'a', 'institucional', '7.09.04.02-2 Análise Institucional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4833, '095', 'a', '7.09.04.03-0', '7.09.04.03-0 Técnicas de Antecipação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4834, '095', 'a', 'tecnicas', '7.09.04.03-0 Técnicas de Antecipação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4835, '095', 'a', 'de', '7.09.04.03-0 Técnicas de Antecipação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4836, '095', 'a', 'antecipacao', '7.09.04.03-0 Técnicas de Antecipação', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4837, '095', 'a', '7.09.05.00-2', '7.09.05.00-2 Política Internacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4838, '095', 'a', 'politica', '7.09.05.00-2 Política Internacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4839, '095', 'a', 'internacional', '7.09.05.00-2 Política Internacional', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4840, '095', 'a', '7.09.05.01-0', '7.09.05.01-0 Política Externa do Brasil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4841, '095', 'a', 'politica', '7.09.05.01-0 Política Externa do Brasil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4842, '095', 'a', 'externa', '7.09.05.01-0 Política Externa do Brasil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4843, '095', 'a', 'do', '7.09.05.01-0 Política Externa do Brasil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4844, '095', 'a', 'brasil', '7.09.05.01-0 Política Externa do Brasil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4845, '095', 'a', '7.09.05.02-9', '7.09.05.02-9 Organizações Internacionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4846, '095', 'a', 'organizacoes', '7.09.05.02-9 Organizações Internacionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4847, '095', 'a', 'internacionais', '7.09.05.02-9 Organizações Internacionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4848, '095', 'a', '7.09.05.03-7', '7.09.05.03-7 Integração Internacional, Conflito, Guerra e Paz', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4849, '095', 'a', 'integracao', '7.09.05.03-7 Integração Internacional, Conflito, Guerra e Paz', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4850, '095', 'a', 'internacional,', '7.09.05.03-7 Integração Internacional, Conflito, Guerra e Paz', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4851, '095', 'a', 'conflito,', '7.09.05.03-7 Integração Internacional, Conflito, Guerra e Paz', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4852, '095', 'a', 'guerra', '7.09.05.03-7 Integração Internacional, Conflito, Guerra e Paz', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4853, '095', 'a', 'paz', '7.09.05.03-7 Integração Internacional, Conflito, Guerra e Paz', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4854, '095', 'a', '7.09.05.04-5', '7.09.05.04-5 Relações Internacionais, Bilaterais e Multilaterais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4855, '095', 'a', 'relacoes', '7.09.05.04-5 Relações Internacionais, Bilaterais e Multilaterais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4856, '095', 'a', 'internacionais,', '7.09.05.04-5 Relações Internacionais, Bilaterais e Multilaterais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4857, '095', 'a', 'bilaterais', '7.09.05.04-5 Relações Internacionais, Bilaterais e Multilaterais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4858, '095', 'a', 'multilaterais', '7.09.05.04-5 Relações Internacionais, Bilaterais e Multilaterais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4859, '095', 'a', '7.10.00.00-3', '7.10.00.00-3 Teologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4860, '095', 'a', 'teologia', '7.10.00.00-3 Teologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4861, '095', 'a', '7.10.01.00-0', '7.10.01.00-0 História da Teologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4862, '095', 'a', 'historia', '7.10.01.00-0 História da Teologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4863, '095', 'a', 'da', '7.10.01.00-0 História da Teologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4864, '095', 'a', 'teologia', '7.10.01.00-0 História da Teologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4865, '095', 'a', '7.10.02.00-6', '7.10.02.00-6 Teologia Moral', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4866, '095', 'a', 'teologia', '7.10.02.00-6 Teologia Moral', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4867, '095', 'a', 'moral', '7.10.02.00-6 Teologia Moral', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4868, '095', 'a', '7.10.03.00-2', '7.10.03.00-2 Teologia Sistemática', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4869, '095', 'a', 'teologia', '7.10.03.00-2 Teologia Sistemática', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4870, '095', 'a', 'sistematica', '7.10.03.00-2 Teologia Sistemática', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4871, '095', 'a', '7.10.04.00-9', '7.10.04.00-9 Teologia Pastoral', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4872, '095', 'a', 'teologia', '7.10.04.00-9 Teologia Pastoral', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4873, '095', 'a', 'pastoral', '7.10.04.00-9 Teologia Pastoral', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4874, '095', 'a', '8.00.00.00-2', '8.00.00.00-2 Lingüística, Letras e Artes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4875, '095', 'a', 'linguistica,', '8.00.00.00-2 Lingüística, Letras e Artes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4876, '095', 'a', 'letras', '8.00.00.00-2 Lingüística, Letras e Artes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4877, '095', 'a', 'artes', '8.00.00.00-2 Lingüística, Letras e Artes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4878, '095', 'a', '8.01.00.00-7', '8.01.00.00-7 Lingüística', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4879, '095', 'a', 'linguistica', '8.01.00.00-7 Lingüística', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4880, '095', 'a', '8.01.01.00-3', '8.01.01.00-3 Teoria e Análise Lingüística', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4881, '095', 'a', 'teoria', '8.01.01.00-3 Teoria e Análise Lingüística', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4882, '095', 'a', 'analise', '8.01.01.00-3 Teoria e Análise Lingüística', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4883, '095', 'a', 'linguistica', '8.01.01.00-3 Teoria e Análise Lingüística', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4884, '095', 'a', '8.01.02.00-0', '8.01.02.00-0 Fisiologia da Linguagem', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4885, '095', 'a', 'fisiologia', '8.01.02.00-0 Fisiologia da Linguagem', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4886, '095', 'a', 'da', '8.01.02.00-0 Fisiologia da Linguagem', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4887, '095', 'a', 'linguagem', '8.01.02.00-0 Fisiologia da Linguagem', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4888, '095', 'a', '8.01.03.00-6', '8.01.03.00-6 Lingüística Histórica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4889, '095', 'a', 'linguistica', '8.01.03.00-6 Lingüística Histórica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4890, '095', 'a', 'historica', '8.01.03.00-6 Lingüística Histórica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4891, '095', 'a', '8.01.04.00-2', '8.01.04.00-2 Sociolingüística e Dialetologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4892, '095', 'a', 'sociolinguistica', '8.01.04.00-2 Sociolingüística e Dialetologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4893, '095', 'a', 'dialetologia', '8.01.04.00-2 Sociolingüística e Dialetologia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4894, '095', 'a', '8.01.05.00-9', '8.01.05.00-9 Psicolingüística', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4895, '095', 'a', 'psicolinguistica', '8.01.05.00-9 Psicolingüística', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4896, '095', 'a', '8.01.06.00-5', '8.01.06.00-5 Lingüística Aplicada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4897, '095', 'a', 'linguistica', '8.01.06.00-5 Lingüística Aplicada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4898, '095', 'a', 'aplicada', '8.01.06.00-5 Lingüística Aplicada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4899, '095', 'a', '8.02.00.00-1', '8.02.00.00-1 Letras', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4900, '095', 'a', 'letras', '8.02.00.00-1 Letras', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4901, '095', 'a', '8.02.01.00-8', '8.02.01.00-8 Língua Portuguesa', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4902, '095', 'a', 'lingua', '8.02.01.00-8 Língua Portuguesa', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4903, '095', 'a', 'portuguesa', '8.02.01.00-8 Língua Portuguesa', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4904, '095', 'a', '8.02.02.00-4', '8.02.02.00-4 Línguas Estrangeiras Modernas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4905, '095', 'a', 'linguas', '8.02.02.00-4 Línguas Estrangeiras Modernas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4906, '095', 'a', 'estrangeiras', '8.02.02.00-4 Línguas Estrangeiras Modernas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4907, '095', 'a', 'modernas', '8.02.02.00-4 Línguas Estrangeiras Modernas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4908, '095', 'a', '8.02.03.00-0', '8.02.03.00-0 Línguas Clássicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4909, '095', 'a', 'linguas', '8.02.03.00-0 Línguas Clássicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4910, '095', 'a', 'classicas', '8.02.03.00-0 Línguas Clássicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4911, '095', 'a', '8.02.04.00-7', '8.02.04.00-7 Línguas Indígenas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4912, '095', 'a', 'linguas', '8.02.04.00-7 Línguas Indígenas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4913, '095', 'a', 'indigenas', '8.02.04.00-7 Línguas Indígenas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4914, '095', 'a', '8.02.05.00-3', '8.02.05.00-3 Teoria Literária', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4915, '095', 'a', 'teoria', '8.02.05.00-3 Teoria Literária', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4916, '095', 'a', 'literaria', '8.02.05.00-3 Teoria Literária', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4917, '095', 'a', '8.02.06.00-0', '8.02.06.00-0 Literatura Brasileira', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4918, '095', 'a', 'literatura', '8.02.06.00-0 Literatura Brasileira', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4919, '095', 'a', 'brasileira', '8.02.06.00-0 Literatura Brasileira', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4920, '095', 'a', '8.02.07.00-6', '8.02.07.00-6 Outras Literaturas Vernáculas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4921, '095', 'a', 'outras', '8.02.07.00-6 Outras Literaturas Vernáculas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4922, '095', 'a', 'literaturas', '8.02.07.00-6 Outras Literaturas Vernáculas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4923, '095', 'a', 'vernaculas', '8.02.07.00-6 Outras Literaturas Vernáculas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4924, '095', 'a', '8.02.08.00-2', '8.02.08.00-2 Literaturas Estrangeiras Modernas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4925, '095', 'a', 'literaturas', '8.02.08.00-2 Literaturas Estrangeiras Modernas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4926, '095', 'a', 'estrangeiras', '8.02.08.00-2 Literaturas Estrangeiras Modernas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4927, '095', 'a', 'modernas', '8.02.08.00-2 Literaturas Estrangeiras Modernas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4928, '095', 'a', '8.02.09.00-9', '8.02.09.00-9 Literaturas Clássicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4929, '095', 'a', 'literaturas', '8.02.09.00-9 Literaturas Clássicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4930, '095', 'a', 'classicas', '8.02.09.00-9 Literaturas Clássicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4931, '095', 'a', '8.02.10.00-7', '8.02.10.00-7 Literatura Comparada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4932, '095', 'a', 'literatura', '8.02.10.00-7 Literatura Comparada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4933, '095', 'a', 'comparada', '8.02.10.00-7 Literatura Comparada', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4934, '095', 'a', '8.03.00.00-6', '8.03.00.00-6 Artes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4935, '095', 'a', 'artes', '8.03.00.00-6 Artes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4936, '095', 'a', '8.03.01.00-2', '8.03.01.00-2 Fundamentos e Crítica das Artes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4937, '095', 'a', 'fundamentos', '8.03.01.00-2 Fundamentos e Crítica das Artes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4938, '095', 'a', 'critica', '8.03.01.00-2 Fundamentos e Crítica das Artes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4939, '095', 'a', 'das', '8.03.01.00-2 Fundamentos e Crítica das Artes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4940, '095', 'a', 'artes', '8.03.01.00-2 Fundamentos e Crítica das Artes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4941, '095', 'a', '8.03.01.01-0', '8.03.01.01-0 Teoria da Arte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4942, '095', 'a', 'teoria', '8.03.01.01-0 Teoria da Arte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4943, '095', 'a', 'da', '8.03.01.01-0 Teoria da Arte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4944, '095', 'a', 'arte', '8.03.01.01-0 Teoria da Arte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4945, '095', 'a', '8.03.01.02-9', '8.03.01.02-9 História da Arte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4946, '095', 'a', 'historia', '8.03.01.02-9 História da Arte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4947, '095', 'a', 'da', '8.03.01.02-9 História da Arte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4948, '095', 'a', 'arte', '8.03.01.02-9 História da Arte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4949, '095', 'a', '8.03.01.03-7', '8.03.01.03-7 Crítica da Arte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4950, '095', 'a', 'critica', '8.03.01.03-7 Crítica da Arte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4951, '095', 'a', 'da', '8.03.01.03-7 Crítica da Arte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4952, '095', 'a', 'arte', '8.03.01.03-7 Crítica da Arte', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4953, '095', 'a', '8.03.02.00-9', '8.03.02.00-9 Artes Plásticas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4954, '095', 'a', 'artes', '8.03.02.00-9 Artes Plásticas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4955, '095', 'a', 'plasticas', '8.03.02.00-9 Artes Plásticas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4956, '095', 'a', '8.03.02.01-7', '8.03.02.01-7 Pintura', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4957, '095', 'a', 'pintura', '8.03.02.01-7 Pintura', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4958, '095', 'a', '8.03.02.02-5', '8.03.02.02-5 Desenho', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4959, '095', 'a', 'desenho', '8.03.02.02-5 Desenho', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4960, '095', 'a', '8.03.02.03-3', '8.03.02.03-3 Gravura', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4961, '095', 'a', 'gravura', '8.03.02.03-3 Gravura', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4962, '095', 'a', '8.03.02.04-1', '8.03.02.04-1 Escultura', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4963, '095', 'a', 'escultura', '8.03.02.04-1 Escultura', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4964, '095', 'a', '8.03.02.05-0', '8.03.02.05-0 Cerâmica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4965, '095', 'a', 'ceramica', '8.03.02.05-0 Cerâmica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4966, '095', 'a', '8.03.02.06-8', '8.03.02.06-8 Tecelagem', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4967, '095', 'a', 'tecelagem', '8.03.02.06-8 Tecelagem', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4968, '095', 'a', '8.03.03.00-5', '8.03.03.00-5 Música', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4970, '095', 'a', '8.03.03.01-3', '8.03.03.01-3 Regência', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4971, '095', 'a', 'regencia', '8.03.03.01-3 Regência', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4972, '095', 'a', '8.03.03.02-1', '8.03.03.02-1 Instrumentação Musical', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4973, '095', 'a', 'instrumentacao', '8.03.03.02-1 Instrumentação Musical', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4974, '095', 'a', 'musical', '8.03.03.02-1 Instrumentação Musical', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4975, '095', 'a', '8.03.03.03-0', '8.03.03.03-0 Composição Musical', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4976, '095', 'a', 'composicao', '8.03.03.03-0 Composição Musical', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4977, '095', 'a', 'musical', '8.03.03.03-0 Composição Musical', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4978, '095', 'a', '8.03.03.04-8', '8.03.03.04-8 Canto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4979, '095', 'a', 'canto', '8.03.03.04-8 Canto', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4980, '095', 'a', '8.03.04.00-1', '8.03.04.00-1 Dança', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4981, '095', 'a', 'danca', '8.03.04.00-1 Dança', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4982, '095', 'a', '8.03.04.01-0', '8.03.04.01-0 Execução da Dança', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4983, '095', 'a', 'execucao', '8.03.04.01-0 Execução da Dança', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4984, '095', 'a', 'da', '8.03.04.01-0 Execução da Dança', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4985, '095', 'a', 'danca', '8.03.04.01-0 Execução da Dança', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4986, '095', 'a', '8.03.04.02-8', '8.03.04.02-8 Coreografia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4987, '095', 'a', 'coreografia', '8.03.04.02-8 Coreografia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4988, '095', 'a', '8.03.05.00-8', '8.03.05.00-8 Teatro', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4989, '095', 'a', 'teatro', '8.03.05.00-8 Teatro', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4990, '095', 'a', '8.03.05.01-6', '8.03.05.01-6 Dramaturgia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4991, '095', 'a', 'dramaturgia', '8.03.05.01-6 Dramaturgia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4992, '095', 'a', '8.03.05.02-4', '8.03.05.02-4 Direção Teatral', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4993, '095', 'a', 'direcao', '8.03.05.02-4 Direção Teatral', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4994, '095', 'a', 'teatral', '8.03.05.02-4 Direção Teatral', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4995, '095', 'a', '8.03.05.03-2', '8.03.05.03-2 Cenografia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4996, '095', 'a', 'cenografia', '8.03.05.03-2 Cenografia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4997, '095', 'a', '8.03.05.04-0', '8.03.05.04-0 Interpretação Teatral', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4998, '095', 'a', 'interpretacao', '8.03.05.04-0 Interpretação Teatral', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (4999, '095', 'a', 'teatral', '8.03.05.04-0 Interpretação Teatral', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5000, '095', 'a', '8.03.06.00-4', '8.03.06.00-4 Ópera', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5001, '095', 'a', 'opera', '8.03.06.00-4 Ópera', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5002, '095', 'a', '8.03.07.00-0', '8.03.07.00-0 Fotografia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5003, '095', 'a', 'fotografia', '8.03.07.00-0 Fotografia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5004, '095', 'a', '8.03.08.00-7', '8.03.08.00-7 Cinema', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5005, '095', 'a', 'cinema', '8.03.08.00-7 Cinema', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5006, '095', 'a', '8.03.08.01-5', '8.03.08.01-5 Administração e Produção de Filmes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5007, '095', 'a', 'administracao', '8.03.08.01-5 Administração e Produção de Filmes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5008, '095', 'a', 'producao', '8.03.08.01-5 Administração e Produção de Filmes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5009, '095', 'a', 'de', '8.03.08.01-5 Administração e Produção de Filmes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5010, '095', 'a', 'filmes', '8.03.08.01-5 Administração e Produção de Filmes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5011, '095', 'a', '8.03.08.02-3', '8.03.08.02-3 Roteiro e Direção Cinematográficos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5012, '095', 'a', 'roteiro', '8.03.08.02-3 Roteiro e Direção Cinematográficos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5013, '095', 'a', 'direcao', '8.03.08.02-3 Roteiro e Direção Cinematográficos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5014, '095', 'a', 'cinematograficos', '8.03.08.02-3 Roteiro e Direção Cinematográficos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5015, '095', 'a', '8.03.08.03-1', '8.03.08.03-1 Técnicas de Registro e Processamento de Filmes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5016, '095', 'a', 'tecnicas', '8.03.08.03-1 Técnicas de Registro e Processamento de Filmes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5017, '095', 'a', 'de', '8.03.08.03-1 Técnicas de Registro e Processamento de Filmes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5018, '095', 'a', 'registro', '8.03.08.03-1 Técnicas de Registro e Processamento de Filmes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5019, '095', 'a', 'processamento', '8.03.08.03-1 Técnicas de Registro e Processamento de Filmes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5020, '095', 'a', 'de', '8.03.08.03-1 Técnicas de Registro e Processamento de Filmes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5021, '095', 'a', 'filmes', '8.03.08.03-1 Técnicas de Registro e Processamento de Filmes', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5022, '095', 'a', '8.03.08.04-0', '8.03.08.04-0 Interpretação Cinematográfica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5023, '095', 'a', 'interpretacao', '8.03.08.04-0 Interpretação Cinematográfica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5024, '095', 'a', 'cinematografica', '8.03.08.04-0 Interpretação Cinematográfica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5025, '095', 'a', '8.03.09.00-3', '8.03.09.00-3 Artes do Vídeo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5026, '095', 'a', 'artes', '8.03.09.00-3 Artes do Vídeo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5027, '095', 'a', 'do', '8.03.09.00-3 Artes do Vídeo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5028, '095', 'a', 'video', '8.03.09.00-3 Artes do Vídeo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5029, '095', 'a', '8.03.10.00-1', '8.03.10.00-1 Educação Artística', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5030, '095', 'a', 'educacao', '8.03.10.00-1 Educação Artística', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5031, '095', 'a', 'artistica', '8.03.10.00-1 Educação Artística', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5032, '095', 'a', '9.00.00.00-5', '9.00.00.00-5 Outros', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5033, '095', 'a', 'outros', '9.00.00.00-5 Outros', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5034, '095', 'a', '9.01.00.00-0', '9.01.00.00-0 Administração Hospitalar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5035, '095', 'a', 'administracao', '9.01.00.00-0 Administração Hospitalar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5036, '095', 'a', 'hospitalar', '9.01.00.00-0 Administração Hospitalar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5037, '095', 'a', '9.02.00.00-4', '9.02.00.00-4 Administração Rural', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5038, '095', 'a', 'administracao', '9.02.00.00-4 Administração Rural', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5039, '095', 'a', 'rural', '9.02.00.00-4 Administração Rural', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5040, '095', 'a', '9.03.00.00-9', '9.03.00.00-9 Carreira Militar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5041, '095', 'a', 'carreira', '9.03.00.00-9 Carreira Militar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5042, '095', 'a', 'militar', '9.03.00.00-9 Carreira Militar', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5043, '095', 'a', '9.04.00.00-3', '9.04.00.00-3 Carreira Religiosa', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5044, '095', 'a', 'carreira', '9.04.00.00-3 Carreira Religiosa', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5045, '095', 'a', 'religiosa', '9.04.00.00-3 Carreira Religiosa', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5046, '095', 'a', '9.05.00.00-8', '9.05.00.00-8 Ciências', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5047, '095', 'a', 'ciencias', '9.05.00.00-8 Ciências', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5048, '095', 'a', '9.06.00.00-2', '9.06.00.00-2 Biomedicina', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5049, '095', 'a', 'biomedicina', '9.06.00.00-2 Biomedicina', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5050, '095', 'a', '9.07.00.00-7', '9.07.00.00-7 Ciências Atuariais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5051, '095', 'a', 'ciencias', '9.07.00.00-7 Ciências Atuariais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5052, '095', 'a', 'atuariais', '9.07.00.00-7 Ciências Atuariais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5053, '095', 'a', '9.08.00.00-1', '9.08.00.00-1 Ciências Sociais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5054, '095', 'a', 'ciencias', '9.08.00.00-1 Ciências Sociais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5055, '095', 'a', 'sociais', '9.08.00.00-1 Ciências Sociais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5056, '095', 'a', '9.09.00.00-6', '9.09.00.00-6 Decoração', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5057, '095', 'a', 'decoracao', '9.09.00.00-6 Decoração', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5058, '095', 'a', '9.10.00.00-9', '9.10.00.00-9 Desenho de Moda', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5059, '095', 'a', 'desenho', '9.10.00.00-9 Desenho de Moda', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5060, '095', 'a', 'de', '9.10.00.00-9 Desenho de Moda', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5061, '095', 'a', 'moda', '9.10.00.00-9 Desenho de Moda', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5062, '095', 'a', '9.11.00.00-3', '9.11.00.00-3 Desenho de Projetos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5063, '095', 'a', 'desenho', '9.11.00.00-3 Desenho de Projetos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5064, '095', 'a', 'de', '9.11.00.00-3 Desenho de Projetos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5065, '095', 'a', 'projetos', '9.11.00.00-3 Desenho de Projetos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5066, '095', 'a', '9.12.00.00-8', '9.12.00.00-8 Diplomacia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5067, '095', 'a', 'diplomacia', '9.12.00.00-8 Diplomacia', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5068, '095', 'a', '9.13.00.00-2', '9.13.00.00-2 Engenharia de Agrimensura', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5069, '095', 'a', 'engenharia', '9.13.00.00-2 Engenharia de Agrimensura', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5070, '095', 'a', 'de', '9.13.00.00-2 Engenharia de Agrimensura', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5071, '095', 'a', 'agrimensura', '9.13.00.00-2 Engenharia de Agrimensura', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5072, '095', 'a', '9.14.00.00-7', '9.14.00.00-7 Engenharia Cartográfica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5073, '095', 'a', 'engenharia', '9.14.00.00-7 Engenharia Cartográfica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5074, '095', 'a', 'cartografica', '9.14.00.00-7 Engenharia Cartográfica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5075, '095', 'a', '9.15.00.00-1', '9.15.00.00-1 Engenharia de Armamentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5076, '095', 'a', 'engenharia', '9.15.00.00-1 Engenharia de Armamentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5077, '095', 'a', 'de', '9.15.00.00-1 Engenharia de Armamentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5078, '095', 'a', 'armamentos', '9.15.00.00-1 Engenharia de Armamentos', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5079, '095', 'a', '9.16.00.00-6', '9.16.00.00-6 Engenharia Mecatrônica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5080, '095', 'a', 'engenharia', '9.16.00.00-6 Engenharia Mecatrônica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5081, '095', 'a', 'mecatronica', '9.16.00.00-6 Engenharia Mecatrônica', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5082, '095', 'a', '9.17.00.00-0', '9.17.00.00-0 Engenharia Têxtil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5083, '095', 'a', 'engenharia', '9.17.00.00-0 Engenharia Têxtil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5084, '095', 'a', 'textil', '9.17.00.00-0 Engenharia Têxtil', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5085, '095', 'a', '9.18.00.00-5', '9.18.00.00-5 Estudos Sociais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5086, '095', 'a', 'estudos', '9.18.00.00-5 Estudos Sociais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5087, '095', 'a', 'sociais', '9.18.00.00-5 Estudos Sociais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5088, '095', 'a', '9.19.00.00-0', '9.19.00.00-0 História Natural', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5089, '095', 'a', 'historia', '9.19.00.00-0 História Natural', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5090, '095', 'a', 'natural', '9.19.00.00-0 História Natural', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5091, '095', 'a', '9.20.00.00-2', '9.20.00.00-2 Química Industrial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5092, '095', 'a', 'quimica', '9.20.00.00-2 Química Industrial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5093, '095', 'a', 'industrial', '9.20.00.00-2 Química Industrial', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5094, '095', 'a', '9.21.00.00-7', '9.21.00.00-7 Relações Internacionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5095, '095', 'a', 'relacoes', '9.21.00.00-7 Relações Internacionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5096, '095', 'a', 'internacionais', '9.21.00.00-7 Relações Internacionais', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5097, '095', 'a', '9.22.00.00-1', '9.22.00.00-1 Relações Publicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5098, '095', 'a', 'relacoes', '9.22.00.00-1 Relações Publicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5099, '095', 'a', 'publicas', '9.22.00.00-1 Relações Publicas', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5100, '095', 'a', '9.23.00.00-6', '9.23.00.00-6 Secretariado Executivo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5101, '095', 'a', 'secretariado', '9.23.00.00-6 Secretariado Executivo', NULL);
INSERT INTO biblio_idx_autocomplete (id, datafield, subfield, word, phrase, record_id) VALUES (5102, '095', 'a', 'executivo', '9.23.00.00-6 Secretariado Executivo', NULL);

    

-- Completed on 2014-06-09 23:23:00 BRT

--
-- PostgreSQL database dump complete
--

